commit live-langset-data for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package live-langset-data for 
openSUSE:Factory checked in at 2018-01-24 15:32:38

Comparing /work/SRC/openSUSE:Factory/live-langset-data (Old)
 and  /work/SRC/openSUSE:Factory/.live-langset-data.new (New)


Package is "live-langset-data"

Wed Jan 24 15:32:38 2018 rev:5 rq:568863 version:2.0

Changes:

--- /work/SRC/openSUSE:Factory/live-langset-data/live-langset-data.changes  
2017-12-16 20:55:24.855629525 +0100
+++ /work/SRC/openSUSE:Factory/.live-langset-data.new/live-langset-data.changes 
2018-01-24 15:32:39.728307280 +0100
@@ -1,0 +2,6 @@
+Wed Jan 24 07:56:03 UTC 2018 - fv...@suse.com
+
+- Update getcountrydata.rb to work with yast-country changes:
+  * Drop COMPOSETABLE
+
+---



Other differences:
--
++ live-langset-data.spec ++
--- /var/tmp/diff_new_pack.lJhxOP/_old  2018-01-24 15:32:40.636264817 +0100
+++ /var/tmp/diff_new_pack.lJhxOP/_new  2018-01-24 15:32:40.636264817 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package live-langset-data
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed

++ getcountrydata.rb ++
--- /var/tmp/diff_new_pack.lJhxOP/_old  2018-01-24 15:32:40.664263508 +0100
+++ /var/tmp/diff_new_pack.lJhxOP/_new  2018-01-24 15:32:40.664263508 +0100
@@ -40,7 +40,6 @@
   "CONSOLE_MAGIC='#{magic}'\n" +
   "KEYTABLE='#{Keyboard.keymap}'\n" +
   "YAST_KEYBOARD='#{yast_kbd}'\n" +
-  "COMPOSETABLE='#{Keyboard.compose_table}'\n" +
   "TIMEZONE='#{timezone}'\n" +
   "CONSOLE_ENCODING='#{WFM.GetEncoding}'"
 




commit lttng-modules for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package lttng-modules for openSUSE:Factory 
checked in at 2018-01-24 15:32:35

Comparing /work/SRC/openSUSE:Factory/lttng-modules (Old)
 and  /work/SRC/openSUSE:Factory/.lttng-modules.new (New)


Package is "lttng-modules"

Wed Jan 24 15:32:35 2018 rev:3 rq:568860 version:2.10.4

Changes:

--- /work/SRC/openSUSE:Factory/lttng-modules/lttng-modules.changes  
2017-12-31 01:14:18.811200044 +0100
+++ /work/SRC/openSUSE:Factory/.lttng-modules.new/lttng-modules.changes 
2018-01-24 15:32:36.864441216 +0100
@@ -1,0 +2,7 @@
+Wed Jan 24 10:09:10 UTC 2018 - sor.ale...@meowr.ru
+
+- Add lttng-modules-2.10.4-fix-kvm.patch: Update KVM
+  instrumentation for Linux 4.15 (commits 3363052, d9f561b,
+  5ccd696, bda29b7).
+
+---

New:

  lttng-modules-2.10.4-fix-kvm.patch



Other differences:
--
++ lttng-modules.spec ++
--- /var/tmp/diff_new_pack.5HTEGe/_old  2018-01-24 15:32:37.840395573 +0100
+++ /var/tmp/diff_new_pack.5HTEGe/_new  2018-01-24 15:32:37.844395386 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package lttng-modules
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -36,6 +36,8 @@
 Source4:Module.supported
 # PATCH-FIX-SLE btrfs-constify-tracepoint-arguments.patch bsc#1044912 
to...@suse.de
 Patch0: btrfs-constify-tracepoint-arguments.patch
+# PATCH-FIX-UPSTREAM lttng-modules-2.10.4-fix-kvm.patch 
mathieu.desnoy...@efficios.com -- Update KVM instrumentation for Linux 4.15 
(commits 3363052, d9f561b, 5ccd696, bda29b7).
+Patch1: lttng-modules-2.10.4-fix-kvm.patch
 BuildRequires:  kernel-devel
 BuildRequires:  kernel-source
 BuildRequires:  kernel-syms
@@ -63,6 +65,7 @@
 %if (0%{?suse_version} < 1320 || 0%{?suse_version} > 1320) && !0%{?is_opensuse}
 %patch0 -p1
 %endif
+%patch1 -p1
 
 set -- *
 mkdir source

++ lttng-modules-2.10.4-fix-kvm.patch ++
--- a/instrumentation/events/lttng-module/kvm.h
+++ b/instrumentation/events/lttng-module/kvm.h
@@ -84,6 +84,28 @@ LTTNG_TRACEPOINT_EVENT(kvm_ack_irq,
{ KVM_TRACE_MMIO_READ, "read" }, \
{ KVM_TRACE_MMIO_WRITE, "write" }
 
+#if (LINUX_VERSION_CODE >= KERNEL_VERSION(4,15,0) \
+   || LTTNG_KERNEL_RANGE(4,14,14, 4,15,0) \
+   || LTTNG_KERNEL_RANGE(4,9,77, 4,10,0) \
+   || LTTNG_KERNEL_RANGE(4,4,112, 4,5,0) \
+   || LTTNG_KERNEL_RANGE(3,16,52, 3,17,0) \
+   || LTTNG_KERNEL_RANGE(3,2,97, 3,3,0) \
+   || LTTNG_DEBIAN_KERNEL_RANGE(4,9,65,0,3,0, 4,10,0,0,0,0))
+
+LTTNG_TRACEPOINT_EVENT(kvm_mmio,
+   TP_PROTO(int type, int len, u64 gpa, void *val),
+   TP_ARGS(type, len, gpa, val),
+
+   TP_FIELDS(
+   ctf_integer(u32, type, type)
+   ctf_integer(u32, len, len)
+   ctf_integer(u64, gpa, gpa)
+   ctf_sequence_hex(unsigned char, val, val, u32, len)
+   )
+)
+
+#else
+
 LTTNG_TRACEPOINT_EVENT(kvm_mmio,
TP_PROTO(int type, int len, u64 gpa, u64 val),
TP_ARGS(type, len, gpa, val),
@@ -96,6 +118,8 @@ LTTNG_TRACEPOINT_EVENT(kvm_mmio,
)
 )
 
+#endif
+
 #if (LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,34))
 
 #define kvm_fpu_load_symbol\




commit coccinelle for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package coccinelle for openSUSE:Factory 
checked in at 2018-01-24 15:32:40

Comparing /work/SRC/openSUSE:Factory/coccinelle (Old)
 and  /work/SRC/openSUSE:Factory/.coccinelle.new (New)


Package is "coccinelle"

Wed Jan 24 15:32:40 2018 rev:23 rq:56 version:1.0.6

Changes:

--- /work/SRC/openSUSE:Factory/coccinelle/coccinelle.changes2017-12-06 
09:00:31.772723501 +0100
+++ /work/SRC/openSUSE:Factory/.coccinelle.new/coccinelle.changes   
2018-01-24 15:32:42.100196352 +0100
@@ -1,0 +2,5 @@
+Wed Jan 24 11:30:59 UTC 2018 - jeng...@inai.de
+
+- Build under rpm 4.14
+
+---



Other differences:
--
++ coccinelle.spec ++
--- /var/tmp/diff_new_pack.mSbGsj/_old  2018-01-24 15:32:43.504130693 +0100
+++ /var/tmp/diff_new_pack.mSbGsj/_new  2018-01-24 15:32:43.508130506 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package coccinelle
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -75,6 +75,7 @@
 %define __debug_install_post %nil
 : >debugfiles.list
 : >debugsources.list
+: >debugsourcefiles.list
 
 %make_install
 # Remove coccilib, don't have the deps




commit newlib for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package newlib for openSUSE:Factory checked 
in at 2018-01-24 15:32:25

Comparing /work/SRC/openSUSE:Factory/newlib (Old)
 and  /work/SRC/openSUSE:Factory/.newlib.new (New)


Package is "newlib"

Wed Jan 24 15:32:25 2018 rev:3 rq:568835 version:2.4.0

Changes:

--- /work/SRC/openSUSE:Factory/newlib/cross-epiphany-newlib-devel.changes   
2016-08-22 13:16:13.0 +0200
+++ /work/SRC/openSUSE:Factory/.newlib.new/cross-epiphany-newlib-devel.changes  
2018-01-24 15:32:29.516784850 +0100
@@ -1,0 +2,5 @@
+Wed Jan 24 09:29:00 UTC 2018 - rguent...@suse.com
+
+- Handle debugsources.list to debugsourcefiles.list rename of new rpm.
+
+---
cross-rx-newlib-devel.changes: same change
newlib.changes: same change



Other differences:
--
++ cross-epiphany-newlib-devel.spec ++
--- /var/tmp/diff_new_pack.01ZUpL/_old  2018-01-24 15:32:30.828723493 +0100
+++ /var/tmp/diff_new_pack.01ZUpL/_new  2018-01-24 15:32:30.828723493 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package cross-epiphany-newlib-devel
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -73,6 +73,7 @@
 export NO_DEBUGINFO_STRIP_DEBUG=true
 %define __debug_install_post %{nil}
 : >debugfiles.list
+: >debugsourcefiles.list
 : >debugsources.list
 
 cd build-dir

cross-rx-newlib-devel.spec: same change
++ newlib.spec ++
--- /var/tmp/diff_new_pack.01ZUpL/_old  2018-01-24 15:32:30.876721249 +0100
+++ /var/tmp/diff_new_pack.01ZUpL/_new  2018-01-24 15:32:30.876721249 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package newlib
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed

++ newlib.spec.in ++
--- /var/tmp/diff_new_pack.01ZUpL/_old  2018-01-24 15:32:30.928718817 +0100
+++ /var/tmp/diff_new_pack.01ZUpL/_new  2018-01-24 15:32:30.928718817 +0100
@@ -54,6 +54,7 @@
 export NO_DEBUGINFO_STRIP_DEBUG=true
 %define __debug_install_post %{nil}
 : >debugfiles.list
+: >debugsourcefiles.list
 : >debugsources.list
 
 cd build-dir




commit libvma for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package libvma for openSUSE:Factory checked 
in at 2018-01-24 15:32:22

Comparing /work/SRC/openSUSE:Factory/libvma (Old)
 and  /work/SRC/openSUSE:Factory/.libvma.new (New)


Package is "libvma"

Wed Jan 24 15:32:22 2018 rev:2 rq:568833 version:8.4.11

Changes:

--- /work/SRC/openSUSE:Factory/libvma/libvma.changes2017-11-15 
17:01:05.772791154 +0100
+++ /work/SRC/openSUSE:Factory/.libvma.new/libvma.changes   2018-01-24 
15:32:28.384837789 +0100
@@ -1,0 +2,39 @@
+Wed Jan 24 08:23:57 UTC 2018 - nmoreychaisemar...@suse.com
+
+- Update to version 8.4.11
+  - Added:
+- RM #1214451 Add systemd support for daemon
+- RM #1214453 Improve selection of filesystem monitor method
+- RM #1207424 Send quickack depending on the payload size
+- RM #1179641 Add MTU find logic to ring
+- RM #1190606 VMA stats - Remove timewait interval in last cycle
+- RM #1179641 Override MTU from route over interface MTU
+- RM #1179641 Add parsing route table metrics
+- RM #1190054 Rename VMA_SPEC parameter 6973 to 7750
+- RM #1176937 Add VMA_TCP_QUICKACK environment variable
+- RM #1176937 Add TCP_QUICKACK option support
+- RM #1176937 Add delayed ack control into LWIP
+- RM #1151606 Modify valgrind suppression file
+- RM #1182826 Check if the module parameters exists
+- RM #847360 Add Coverity badge to README.md
+- RM #1172255 Disable parser warning coverity checker
+  - Fixed:
+- RM #1247358 Fix crash when VMA could not resolve neighbor
+- RM #1258245 Fix SYN messages are sent to invalid peer
+- RM #1250147 Reorder netlink event registration at startup
+- RM #1214453 Fix daemon for powerpc
+- RM #1214453 Fix issue in inotify processing
+- RM #1222660 Correct warning check for flow steering
+- RM #1192017 Fix ibv_destroy_cq() failure while VMA_TCP_3T_RULES=1
+- RM #1213984 Use dst_enty to find the route MTU
+- RM #1175479 Inherit missing properties from the parent
+- RM #1175657 Fix ring statistics are not updated was flowtag is enabled
+- RM #1201040 Fix VMA_BUFFER_BATCHING_MODE is ignored while set from spec
+- RM #1182981 Fix TCP zero-window probe message sequence number
+- RM #1181379 Fix TCP zero window probe when there is data in-flight
+- RM #1185978 Fix compilation for --enable-opt-log=high
+- RM #1164732 Fix possible deadlock during connect
+- RM #1185372 Fix traffic is not offloaded for high VMA_RX_WRE values
+- Update vma.service to match upstream
+
+---

Old:

  libvma-8.4.8.0.49d23ea.tar.gz

New:

  libvma-8.4.11.0.0ab7df63dbeb.tar.gz



Other differences:
--
++ libvma.spec ++
--- /var/tmp/diff_new_pack.B4Avbn/_old  2018-01-24 15:32:29.052806549 +0100
+++ /var/tmp/diff_new_pack.B4Avbn/_new  2018-01-24 15:32:29.052806549 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package libvma
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,29 +17,28 @@
 
 
 #
-%define git_ver .0.49d23ea
+%define git_ver .0.0ab7df63dbeb
 %define lib_major 8
 
-
 Name:   libvma
 Summary:A library for boosting TCP and UDP traffic (over RDMA hardware)
 License:GPL-2.0 or BSD-2-Clause
 Group:  Development/Libraries/C and C++
-Version:8.4.8
+Version:8.4.11
 Release:0
 Source0:%{name}-%{version}%{git_ver}.tar.gz
 Source1:vma.service
 Url:https://github.com/Mellanox/libvma
 BuildRequires:  autoconf
 BuildRequires:  automake
-BuildRequires:  libtool
-BuildRequires:  pkg-config
-BuildRequires:  libibverbs-devel
-BuildRequires:  librdmacm-devel
-BuildRequires:  pkgconfig(libnl-3.0)
 BuildRequires:  gcc
 BuildRequires:  gcc-c++
+BuildRequires:  libibverbs-devel
+BuildRequires:  librdmacm-devel
+BuildRequires:  libtool
+BuildRequires:  pkg-config
 BuildRequires:  systemd-rpm-macros
+BuildRequires:  pkgconfig(libnl-3.0)
 Requires:   libvma%{lib_major} = %{version}
 ExclusiveArch:  x86_64 aarch64 ppc64le
 
@@ -81,6 +80,7 @@
 make DESTDIR=%{buildroot} install
 rm -f %{buildroot}%{_libdir}/*.la
 rm -f %{buildroot}/etc/init.d/vma
+rm -f %{buildroot}/etc/systemd/system/vma.service
 
 install -D -m 755 tests/vma_perf_envelope/vma_perf_envelope.sh 
%{buildroot}/%{_datadir}/%{name}/vma_perf_envelope.sh
 install -m 644 src/vma/vma_extra.h 
%{buildroot}/%{_includedir}/mellanox/vma_extra.h
@@ -94,7 +94,6 @@
 %post -n libvma%{lib_major} -p /sbin/ldconfig
 %postun -n 

commit squid for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package squid for openSUSE:Factory checked 
in at 2018-01-24 15:32:17

Comparing /work/SRC/openSUSE:Factory/squid (Old)
 and  /work/SRC/openSUSE:Factory/.squid.new (New)


Package is "squid"

Wed Jan 24 15:32:17 2018 rev:54 rq:568822 version:4.0.23

Changes:

--- /work/SRC/openSUSE:Factory/squid/squid.changes  2018-01-10 
23:36:55.811062521 +0100
+++ /work/SRC/openSUSE:Factory/.squid.new/squid.changes 2018-01-24 
15:32:23.333074049 +0100
@@ -1,0 +2,14 @@
+Mon Jan 22 12:48:24 UTC 2018 - adam.ma...@suse.de
+
+- Update Squid to 4.0.23
+  * fixes DoS caused by incorrect pointer handling when processing
+  ESI responses. This affects the default custom esi_parser
+  (libxml2 and expat esi_parsers are unaffected)
+  (bnc#1077003)
+  * fixes DoS caused by incorrect pointer handing whien processing
+  ESI responses or downloading intermediate CA certificates
+  (bnc#1077006)
+  * fixes "User names not sent to url_rewrite_program"
+  * fixes % squid-4.0.23.tar.xz ++
 47274 lines of diff (skipped)

++ squid-4.0.22.tar.xz.asc -> squid-4.0.23.tar.xz.asc ++
--- /work/SRC/openSUSE:Factory/squid/squid-4.0.22.tar.xz.asc2018-01-10 
23:36:55.795063271 +0100
+++ /work/SRC/openSUSE:Factory/.squid.new/squid-4.0.23.tar.xz.asc   
2018-01-24 15:32:23.209079848 +0100
@@ -1,25 +1,25 @@
-File: squid-4.0.22.tar.xz
-Date: Thu Dec  7 18:03:01 UTC 2017
-Size: 2411692
-MD5 : c09dab527ac8ea86833286597d2d633d
-SHA1: b3e1cfe1cc1074506a46652946efe175eb69bf8a
+File: squid-4.0.23.tar.xz
+Date: Fri Jan 19 13:39:51 UTC 2018
+Size: 2415132
+MD5 : 04eb448f1dc31b4b2d73fee6a91c240c
+SHA1: 0bd4248b412e88087ba37686bc27b08480995a9d
 Key : CD6DBF8EF3B17D3E 
 B068 84ED B779 C89B 044E  64E3 CD6D BF8E F3B1 7D3E
   keyring = http://www.squid-cache.org/pgp.asc
   keyserver = pool.sks-keyservers.net
 -BEGIN PGP SIGNATURE-
 
-iQIzBAABCgAdFiEEsGiE7bd5yJsETmTjzW2/jvOxfT4FAlopgl8ACgkQzW2/jvOx
-fT55dw/+JlwxV8qTWxITUZ/8IFB5TO6T2Rzy8g4hFulTDoPN8/z4RZz/FNeQT/44
-/csodC7kja1ZxVlzNz07gaIoPz8Ft4ITQRL3kUMJ3+azYSevXlaiTtAy2O3oo2PC
-oGw8X5M8USZ578BwaEIsnG/FHJY8qogr6WfX2lPfT9fgnYzXl+hRLqc4oD/605pY
-k+D3C6j4cuTjoo30qD867BY/0sf6AdFYnfsLtc/cT4K4B/VHB2pDDk+cDXyjLzT2
-8AZkvG8XHwLFlXO7lHssHGM7uqxM2Sj+w9QJNJrFEh2tfdRAS6eXn3aSy6WeRHty
-vOWXFc9U9D+PWPcHV3vE3FpLOBBkfhJnCiSMnz4GabjkXqjpD/7P1MQsTM2sKS4M
-g/CpNdfhUshgxeNCmY0tJFu6cl/LFi7qbLBPNXQk0NDKZciiijARh9fFSsvvUHTA
-g63LOZw+AyldeO5NMEalDaDsWViKd99CDXX93Y5qWxxuM4WhbStzUBUOXVl9CZ6m
-P0B/uC+1IR56NETveklSRth7JrrlG7GkbV8uTkHJzTEHw3t+jAGFi80zV+V/gaAH
-mMaXuv74UYosp2Zjdr5Ee5QLlo61kAWjKro9pd2uOyCUyGjijCcuyKa6zaNs1klp
-9ehX0hnN1nX9blp/5Qx/fYLcds8vSr9QIpG6GEx5gJ5PCryckys=
-=omrg
+iQIzBAABCgAdFiEEsGiE7bd5yJsETmTjzW2/jvOxfT4FAlph9S8ACgkQzW2/jvOx
+fT4Acg/+JmF+1Y+pwI/cFwFJNbgY3+9Lo2jWtV929Faip/h7MoRdm4eGUB6DW4ts
+3xn0prfIlOHSzg+GO7wda+/AWUe2V2VY3UKfd7HrxJ9PIr9RCUYOTFucIvW+7Jpd
+MqxHhohURQKKUfOHHPzenGPoZdnI+pyf6sK7xL11rnDNyPd7P8MqZc6QCa4WrfI9
+Z9fmTwuXH7r4kP4uPhqi1pEa5awM1UEJPPF+ovl5s8JcfsYPtN/c6FKAZf0wzz+s
+SxuJIx/6JB4wIepOVMNEMObOzfhLqM96w3CAFGaDLi1w4dVfBqMknVEikArlbEKV
+zvtkKevYsnkbmOYbFdsyqyr4+8VnzAor+RBauXc3H5DT5yUFryBLXzQxIc7EgBOn
+b69pr3VhLctjtsHpdWRGFzxRh//EDNEYSHspoOqURivUTtR1U/qIV/pJ5P38hBfr
+udXy7gFTrrny3nA3fGvK7Lr+yDW72V2z2oMqR0TKPKAJkrmDAyX11svdEBBNJjpt
+yzQUWHoWvlzZ8YJlBbTh1gGjXT1SEhSVQBbYcgZJb7fy/WVJg2TS5uf965Xckvig
+uFGdHnjkWeJHLFZUciHabxwdXroIj/rRymR+vRb/sqmuVroT4pMaS1sx96SUHfyD
+OoGK/KeCHeP9xYywlAFb/mzd+bRkL9O2+sb0yjLtgSEMB9A5HQs=
+=z1t9
 -END PGP SIGNATURE-





commit mate-desktop for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package mate-desktop for openSUSE:Factory 
checked in at 2018-01-24 15:32:30

Comparing /work/SRC/openSUSE:Factory/mate-desktop (Old)
 and  /work/SRC/openSUSE:Factory/.mate-desktop.new (New)


Package is "mate-desktop"

Wed Jan 24 15:32:30 2018 rev:18 rq:568850 version:1.18.0

Changes:

--- /work/SRC/openSUSE:Factory/mate-desktop/mate-desktop.changes
2017-03-20 17:11:42.415705186 +0100
+++ /work/SRC/openSUSE:Factory/.mate-desktop.new/mate-desktop.changes   
2018-01-24 15:32:31.180707032 +0100
@@ -1,0 +2,5 @@
+Wed Jan 24 10:09:10 UTC 2018 - sor.ale...@meowr.ru
+
+- Require xdg-user-dirs instead of xdg-user-dirs-gtk.
+
+---



Other differences:
--
++ mate-desktop.spec ++
--- /var/tmp/diff_new_pack.6FnUb2/_old  2018-01-24 15:32:31.808677663 +0100
+++ /var/tmp/diff_new_pack.6FnUb2/_new  2018-01-24 15:32:31.808677663 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package mate-desktop
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -24,7 +24,7 @@
 Version:1.18.0
 Release:0
 Summary:Library with common API for various MATE modules
-License:GPL-2.0+ and LGPL-2.1+ and MIT
+License:GPL-2.0+ AND LGPL-2.1+ AND MIT
 Group:  System/GUI/Other
 Url:https://mate-desktop.org/
 Source: 
http://pub.mate-desktop.org/releases/%{_version}/%{name}-%{version}.tar.xz
@@ -42,7 +42,7 @@
 BuildRequires:  pkgconfig(libstartup-notification-1.0)
 BuildRequires:  pkgconfig(python)
 BuildRequires:  pkgconfig(xrandr) >= 1.3
-Requires:   xdg-user-dirs-gtk
+Requires:   xdg-user-dirs
 Recommends: %{name}-lang
 Recommends: mate-user-guide
 
@@ -54,7 +54,7 @@
 
 %package -n %{soname}-%{sover}
 Summary:Library with common API for various MATE modules
-License:GPL-2.0+ and LGPL-2.1+ and MIT
+License:GPL-2.0+ AND LGPL-2.1+ AND MIT
 Group:  System/Libraries
 Requires:   %{name}-gschemas >= %{version}
 
@@ -75,12 +75,12 @@
 
 %package gschemas
 Summary:MATE Desktop GSchemas
-License:GPL-2.0+ and LGPL-2.1+ and MIT
+License:GPL-2.0+ AND LGPL-2.1+ AND MIT
 Group:  System/Libraries
 Requires:   %{name}-gschemas-branding >= %{version}
 # mate-desktop-gsettings-schemas was last used in openSUSE Leap 42.1.
-Obsoletes:  %{name}-gsettings-schemas < %{version}-%{release}
-Provides:   %{name}-gsettings-schemas = %{version}-%{release}
+Obsoletes:  %{name}-gsettings-schemas < %{version}
+Provides:   %{name}-gsettings-schemas = %{version}
 %glib2_gsettings_schema_requires
 
 %description gschemas
@@ -104,7 +104,7 @@
 
 %package devel
 Summary:MATE module API library development files
-License:GPL-2.0+ and LGPL-2.1+ and MIT
+License:GPL-2.0+ AND LGPL-2.1+ AND MIT
 Group:  Development/Libraries/Other
 Requires:   %{soname}-%{sover} = %{version}
 
@@ -158,7 +158,6 @@
 %postun -n %{soname}-%{sover} -p /sbin/ldconfig
 
 %files
-%defattr(-,root,root)
 %doc AUTHORS COPYING
 %dir %{_datadir}/mate-about
 %{_sysconfdir}/xdg/autostart/user-dirs-update-mate.desktop
@@ -172,25 +171,19 @@
 %{_mandir}/man?/*.?%{?ext_man}
 
 %files lang -f %{name}.lang
-%defattr(-,root,root)
 
 %files -n %{soname}-%{sover}
-%defattr(-,root,root)
 %{_libdir}/%{soname}.so.%{sover}*
 
 %files -n %{typelib}
-%defattr(-,root,root)
 %{_libdir}/girepository-1.0/MateDesktop-2.0.typelib
 
 %files gschemas
-%defattr(-,root,root)
 %{_datadir}/glib-2.0/schemas/*.xml
 
 %files gschemas-branding-upstream
-%defattr (-,root,root)
 
 %files devel
-%defattr(-,root,root)
 %{_includedir}/%{name}-2.0/
 %{_libdir}/%{soname}.so
 %{_libdir}/pkgconfig/%{name}-2.0.pc




commit supportutils for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package supportutils for openSUSE:Factory 
checked in at 2018-01-24 15:32:07

Comparing /work/SRC/openSUSE:Factory/supportutils (Old)
 and  /work/SRC/openSUSE:Factory/.supportutils.new (New)


Package is "supportutils"

Wed Jan 24 15:32:07 2018 rev:4 rq:568729 version:3.1

Changes:

--- /work/SRC/openSUSE:Factory/supportutils/supportutils.changes
2018-01-22 16:20:29.868379225 +0100
+++ /work/SRC/openSUSE:Factory/.supportutils.new/supportutils.changes   
2018-01-24 15:32:16.873376156 +0100
@@ -1,0 +2,6 @@
+Tue Jan 23 16:33:53 UTC 2018 - jason.rec...@suse.com
+
+- Added transactional update with OPTION_TRANSACTIONAL=1
+- Updated supportconfig.conf.5 with OPTION_TRANSACTIONAL
+
+---



Other differences:
--
++ supportutils-3.1.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/supportutils-3.1/bin/supportconfig 
new/supportutils-3.1/bin/supportconfig
--- old/supportutils-3.1/bin/supportconfig  2018-01-19 19:46:55.624589986 
+0100
+++ new/supportutils-3.1/bin/supportconfig  2018-01-23 17:37:34.967827254 
+0100
@@ -1,7 +1,7 @@
 #!/bin/bash
 
-SVER='3.1-3.1'
-SDATE='2018 01 19'
+SVER='3.1-4.0'
+SDATE='2018 01 23'
 
 ##
 #  supportconfig - Gathers system troubleshooting information for SUSE Support
@@ -3770,6 +3770,7 @@
case $SLES_VER in
90*) log_cmd $OF "readlink -fv 
$OWSSLCHECK" ;;
10*|11*|12*) log_cmd $OF "readlink -ev 
$OWSSLCHECK" ;;
+w do tty work
esac
fi
fi
@@ -3961,6 +3962,25 @@
fi
 }
 
+transactional_info() {
+   printlog "Transactional Update..."
+   test $OPTION_TRANSACTIONAL -eq 0 && { echolog Excluded; return 1; }
+   OF=transactional-update.txt
+   addHeaderFile $OF
+   if rpm_verify $OF transactional-update; then
+   log_cmd $OF "systemctl status transactional-update.service"
+   log_cmd $OF "systemctl status transactional-update.timer"
+   log_cmd $OF "systemctl list-timers --all"
+   conf_files $OF /etc/transactional-update.conf
+   conf_files $OF /var/lib/misc/transactional-update.state
+   FILES="/var/log/transactional-update.log"
+   test $ADD_OPTION_LOGS -gt 0 && log_files $OF 0 $FILES || 
log_files $OF $VAR_OPTION_LINE_COUNT $FILES
+   echolog Done
+   else
+   echolog Skipped
+   fi
+}
+
 
 ##
 #  main 
@@ -4179,6 +4199,7 @@
memory_info
disk_info
(( SLES_VER >= 110 )) && btrfs_info
+   (( SLES_VER >= 120 )) && transactional_info
yast_files  #Minimum Requirement
fslist_info
audit_info
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/supportutils-3.1/bin/supportconfig.rc 
new/supportutils-3.1/bin/supportconfig.rc
--- old/supportutils-3.1/bin/supportconfig.rc   2018-01-19 19:45:35.194928215 
+0100
+++ new/supportutils-3.1/bin/supportconfig.rc   2018-01-23 17:37:34.967827254 
+0100
@@ -53,6 +53,7 @@
 OPTION_SSSD=1
 OPTION_SYSCONFIG=1
 OPTION_SYSFS=1
+OPTION_TRANSACTIONAL=1
 OPTION_UDEV=1
 OPTION_UFILES=1
 OPTION_UP=1
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/supportutils-3.1/man/supportconfig.conf.5 
new/supportutils-3.1/man/supportconfig.conf.5
--- old/supportutils-3.1/man/supportconfig.conf.5   2018-01-19 
19:45:35.210927749 +0100
+++ new/supportutils-3.1/man/supportconfig.conf.5   2018-01-23 
17:37:34.991827570 +0100
@@ -1,4 +1,4 @@
-.TH SUPPORTCONFIG.CONF 5 "27 Oct 2017" "supportutils" "Support Utilities 
Manual"
+.TH SUPPORTCONFIG.CONF 5 "23 Jan 2018" "supportutils" "Support Utilities 
Manual"
 .SH NAME
 supportconfig.conf \- 
 .BR supportconfig (1)
@@ -160,6 +160,9 @@
 OPTION_SYSFS
 Gathers the contents of all files in /sys. \fBsysfs.txt\fR (1)
 .TP
+OPTION_TRANSACTIONAL
+Gathers transactional update information. \fBtransactional.txt\fR (1)
+.TP
 OPTION_UDEV
 UDEV device manager related information. \fBudev.txt\fR (1)
 .TP
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/supportutils-3.1/spec/supportutils.changes 
new/supportutils-3.1/spec/supportutils.changes
--- old/supportutils-3.1/spec/supportutils.changes  2018-01-19 

commit openQA for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package openQA for openSUSE:Factory checked 
in at 2018-01-24 15:32:03

Comparing /work/SRC/openSUSE:Factory/openQA (Old)
 and  /work/SRC/openSUSE:Factory/.openQA.new (New)


Package is "openQA"

Wed Jan 24 15:32:03 2018 rev:9 rq:568721 version:4.5.1516716144.98db9c99

Changes:

--- /work/SRC/openSUSE:Factory/openQA/openQA.changes2018-01-13 
21:49:55.603698978 +0100
+++ /work/SRC/openSUSE:Factory/.openQA.new/openQA.changes   2018-01-24 
15:32:05.109926309 +0100
@@ -1,0 +2,7 @@
+Tue Jan 23 14:02:46 UTC 2018 - co...@suse.com
+
+- Update to version 4.5.1516716144.98db9c99:
+  * Improve error handling in group overview (#1562)
+  * Do not remove forwarded-for=https headers (#1558)
+
+---

Old:

  openQA-4.5.1515767133.56cd6ee5.tar.xz

New:

  openQA-4.5.1516716144.98db9c99.tar.xz



Other differences:
--
++ openQA.spec ++
--- /var/tmp/diff_new_pack.wdUQpS/_old  2018-01-24 15:32:05.889889832 +0100
+++ /var/tmp/diff_new_pack.wdUQpS/_new  2018-01-24 15:32:05.893889645 +0100
@@ -36,7 +36,7 @@
 # runtime requirements that also the testsuite needs
 %define t_requires perl(DBD::Pg) perl(DBIx::Class) perl(Config::IniFiles) 
perl(SQL::Translator) perl(Date::Format) perl(File::Copy::Recursive) 
perl(DateTime::Format::Pg) perl(Net::OpenID::Consumer) 
perl(Mojolicious::Plugin::RenderFile) perl(Mojolicious::Plugin::AssetPack) 
perl(aliased) perl(Config::Tiny) perl(DBIx::Class::DynamicDefault) 
perl(DBIx::Class::Schema::Config) perl(DBIx::Class::Storage::Statistics) 
perl(IO::Socket::SSL) perl(Data::Dump) perl(DBIx::Class::OptimisticLocking) 
perl(Text::Markdown) perl(Net::DBus) perl(IPC::Run) perl(Archive::Extract) 
perl(CSS::Minifier::XS) perl(JavaScript::Minifier::XS) perl(Time::ParseDate) 
perl(Sort::Versions) perl(Mojo::RabbitMQ::Client) perl(BSD::Resource) 
perl(Cpanel::JSON::XS)
 Name:   openQA
-Version:4.5.1515767133.56cd6ee5
+Version:4.5.1516716144.98db9c99
 Release:0
 Summary:The openQA web-frontend, scheduler and tools
 License:GPL-2.0+


++ openQA-4.5.1515767133.56cd6ee5.tar.xz -> 
openQA-4.5.1516716144.98db9c99.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/openQA-4.5.1515767133.56cd6ee5/etc/apache2/vhosts.d/openqa-common.inc 
new/openQA-4.5.1516716144.98db9c99/etc/apache2/vhosts.d/openqa-common.inc
--- old/openQA-4.5.1515767133.56cd6ee5/etc/apache2/vhosts.d/openqa-common.inc   
2018-01-12 15:25:33.0 +0100
+++ new/openQA-4.5.1516716144.98db9c99/etc/apache2/vhosts.d/openqa-common.inc   
2018-01-23 15:02:24.0 +0100
@@ -59,10 +59,6 @@
 RequestHeader set X-Forwarded-HTTPS "1"
 RequestHeader set X-Forwarded-Proto "https"
 
-
-RequestHeader set X-Forwarded-HTTPS "0"
-RequestHeader set X-Forwarded-Proto "http"
-
 
 HostnameLookups Off
 UseCanonicalName Off
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/openQA-4.5.1515767133.56cd6ee5/lib/OpenQA/WebAPI/Controller/Main.pm 
new/openQA-4.5.1516716144.98db9c99/lib/OpenQA/WebAPI/Controller/Main.pm
--- old/openQA-4.5.1515767133.56cd6ee5/lib/OpenQA/WebAPI/Controller/Main.pm 
2018-01-12 15:25:33.0 +0100
+++ new/openQA-4.5.1516716144.98db9c99/lib/OpenQA/WebAPI/Controller/Main.pm 
2018-01-23 15:02:24.0 +0100
@@ -87,7 +87,9 @@
 
 $self->app->log->debug("Retrieving results for up to $limit_builds builds 
up to $time_limit_days days old");
 my $only_tagged = $self->param('only_tagged') // 0;
-my $group   = 
$self->db->resultset($resultset)->find($self->param('groupid'));
+my $group_id= $self->param('groupid');
+return $self->reply->not_found unless looks_like_number($group_id);
+my $group = $self->db->resultset($resultset)->find($group_id);
 return $self->reply->not_found unless $group;
 $self->stash('fullscreen', $self->param('fullscreen') // 0);
 my $interval = $self->param('interval') // 60;




commit python-selenium for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-selenium for openSUSE:Factory 
checked in at 2018-01-24 15:32:20

Comparing /work/SRC/openSUSE:Factory/python-selenium (Old)
 and  /work/SRC/openSUSE:Factory/.python-selenium.new (New)


Package is "python-selenium"

Wed Jan 24 15:32:20 2018 rev:3 rq:568825 version:3.8.1

Changes:

--- /work/SRC/openSUSE:Factory/python-selenium/python-selenium.changes  
2017-10-13 14:19:18.147747524 +0200
+++ /work/SRC/openSUSE:Factory/.python-selenium.new/python-selenium.changes 
2018-01-24 15:32:26.312934687 +0100
@@ -1,0 +2,46 @@
+Thu Jan 18 06:10:55 UTC 2018 - a...@gmx.de
+
+- specfile:
+  * update copyright year
+
+- update to version 3.8.1:
+  * Fix bug when creating an Opera driver (#5266)
+  * Stop sending sessionId in w3c payload. (#4620)
+  * Fix issue with w3c actions releasing on element (#5180)
+  * A more descriptive log message is displayed if the port cannot be
+connected (#2913)
+  * Initialize Alert object by calling alert.text (#1863)
+  * PhantomJS is now deprecated, please use either Chrome or Firefox
+in headless mode
+  * Legacy Firefox driver: ensuring copy of profile dir, its
+'extensions' subdir and 'user.js' file are writable. (#1466)
+
+- changes from version 3.8.0:
+  * Firefox options can now be imported from selenium.webdriver as
+FirefoxOptions (#5120)
+  * Headless mode can now be set in Chrome Options using
+`set_headless`
+  * Headless mode can now be set in Firefox Options using
+`set_headless`
+  * Add the WebKitGTK WebDriver and options class (#4635)
+  * Browser options can now be passed to remote WebDriver via the
+`options` parameter
+  * Browser option parameters are now standardized across drivers as
+`options`. `firefox_options`, `chrome_options`, and `ie_options`
+are now deprecated
+  * Added missing W3C Error Codes (#4556)
+  * Support has been removed for Python versions 2.6 and 3.3
+
+- changes from version 3.7.0:
+  * need to pass applicable environment variables to tox
+  * Fix active_element for w3c drivers (#3979)
+  * add support for minimize command
+  * add support for fullscreen command
+  * window rect commands should fail on firefox and remote (legacy)
+  * Fix python backward compatibility for window commands (#4937)
+  * Update docstrings to specify the type of path needed to install
+firefox addons. (#4881)
+  * Update python chromeOptions key for capabilities (#4622)
+  * Fix python pause action implementation (#4795)
+
+---

Old:

  selenium-3.6.0.tar.gz

New:

  selenium-3.8.1.tar.gz



Other differences:
--
++ python-selenium.spec ++
--- /var/tmp/diff_new_pack.EQF3d6/_old  2018-01-24 15:32:27.092898210 +0100
+++ /var/tmp/diff_new_pack.EQF3d6/_new  2018-01-24 15:32:27.096898023 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-selenium
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,7 +18,7 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-selenium
-Version:3.6.0
+Version:3.8.1
 Release:0
 Summary:Python bindings for Selenium
 License:Apache-2.0

++ selenium-3.6.0.tar.gz -> selenium-3.8.1.tar.gz ++
 2209 lines of diff (skipped)




commit dar for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package dar for openSUSE:Factory checked in 
at 2018-01-24 15:32:15

Comparing /work/SRC/openSUSE:Factory/dar (Old)
 and  /work/SRC/openSUSE:Factory/.dar.new (New)


Package is "dar"

Wed Jan 24 15:32:15 2018 rev:43 rq:568819 version:2.5.14

Changes:

--- /work/SRC/openSUSE:Factory/dar/dar.changes  2017-03-12 20:04:24.214330607 
+0100
+++ /work/SRC/openSUSE:Factory/.dar.new/dar.changes 2018-01-24 
15:32:21.669151867 +0100
@@ -1,0 +2,82 @@
+Wed Jan 24 07:12:50 UTC 2018 - adr...@suse.de
+
+- fix build for Factory
+- update to version 2.5.14
+  (relevant parts from upstream)
+  - made libgcrypt built-in memory guard be initialized before obtaining
+ligcrypt version, to respect libgcrypt usage (but no problem was seen
+nor reported about this inconsistency)
+  - fixed syntax error in XML listing output (EA_entry and Attributes
+tags)
+  - fixed bugs in dar_split: cygwin support, filedescriptors were not
+explicitly closed at end of execution, allocating buffer on heap
+rather than in the stack for better size flexibility, avoiding buffer
+size to be greater than SSIZE_MAX.
+  - added -s option to dar_split in order to disable the by default SYNC
+write that was used and which caused poor performance. To keep the
+same behavior as the older dar_split (and its poor performances) you
+need now using -s option.
+  - dar_split enhancement: added call to syncfs before closing the file
+descriptor in split_output mode
+  - fixed bug in dar_split that was did not lead dar_split to completely
+fulfill an device before asking for user to change the media when
+used in split_output mode, this was sometimes leading dar reporting
+file as corrupted at dar_split at media boundary.
+  - added feature in dar_split to show the amount of data written since
+the last media change
+  - added -az option to automatically nullify negative dates returned from
+the system in the archive under creation (filesystem is not modified)
+  - included the birthtime (HFS FSA) into the negative dates handling
+  - modified behavior: dar now fails upon unknown option instead of warning
+the option is unknown and thus ignored
+  - fixed missing throw in tools.cpp (exception condition was not reported)
+  - dar now aborts if a line exceeding 20479 bytes is met in a listing file
+  - fixed bug in file listing (-[ option) leading some directories and their
+content to be excluded in a somehow rare condition
+  - improved behavior when dar reads a negative date. Instead of aborting
+it now asks the user if it can substitute such value by zero
+  - improved behavior when dar is asked to read an archive located in a
+directory that does not exist. DUC file passed to -E option is now
+properly run in that case too and has the possibility for example to
+create that directory and download requested file
+  - minor feature: displays the archive header which is never ciphered and
+aborts. This feature is activated while listing archive content and
+adding the -aheader option. This brings the side effect to invert two
+lines in the archive summary (dar -l archive -q) "catalogue size" and
+"user comment".
+  - adding date format info for -w option in "dar_manager -h" usage help
+  - fixed several mistakes in tools.cpp leading compilation to fail under
+certain environments
+  - fixed bug in the filtering mechanism relying on file listing (-[ and
+-] options) that could not find an entry in the listing upon certain
+condition leading a file not being excluded as requested or not
+included as requested
+  - fixed bug: -r option (only more recent overwriting policy) was
+considering a file to be more recent when it had the exact same date as
+the file in place.
+  - updating documentation about requirements for compiling dar from sources
+  - fixed bug: bug met when restoring of a file that has the immutable
+flag set. Dar/libdar failed restoring such file in the context of
+differential/incremental backup. The fix consists of the removal of the
+immutable flag from filesystem before restoring the new version of the
+file's data, then setting back the immutable flag afterward.
+  - updating FAQ with description of the way dar uses lzo compression
+compared to the lzop program
+  - fixed bug: aborting an archive was leading to an unreadable archive in
+direct mode, most of the time when strong encryption was used
+  - minor new feature: added two flavors of lzo algorithm: lzop-1 and lzop-3
+in order to match compression levels 1 and 3 of the lzop command
+  - fixed bug: merging operation could wrongly melt different unrelated hard
+linked inodes when merging using an archive which results from a 

commit platformsh-cli for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package platformsh-cli for openSUSE:Factory 
checked in at 2018-01-24 15:32:12

Comparing /work/SRC/openSUSE:Factory/platformsh-cli (Old)
 and  /work/SRC/openSUSE:Factory/.platformsh-cli.new (New)


Package is "platformsh-cli"

Wed Jan 24 15:32:12 2018 rev:33 rq:568799 version:3.27.2

Changes:

--- /work/SRC/openSUSE:Factory/platformsh-cli/platformsh-cli.changes
2018-01-23 13:53:24.860423093 +0100
+++ /work/SRC/openSUSE:Factory/.platformsh-cli.new/platformsh-cli.changes   
2018-01-24 15:32:19.389258493 +0100
@@ -1,0 +2,16 @@
+Wed Jan 24 01:54:55 UTC 2018 - ji...@boombatower.com
+
+- Update to version 3.27.2:
+  * Release v3.27.2
+  * [self:build] Ignore certain commits from changelog (with [skip changelog])
+  * Fix: 'Invalid refresh token' message interception shouldn't check the 
request for oauth2
+  * Update list output in README.md
+  * Fix link
+  * Expand API token info in README.md
+  * [project:create] add detailed help
+  * [project:create] be stricter about check interval
+  * Minor correction to 7d41dce97bd5fed4c1f4cda3ca84e1f6a13acb62
+  * [subscription:info] allow passing a subscription ID directly
+  * [project:create] show project ID if possible even after failure
+
+---

Old:

  platformsh-cli-3.27.1.tar.xz

New:

  platformsh-cli-3.27.2.tar.xz



Other differences:
--
++ platformsh-cli.spec ++
--- /var/tmp/diff_new_pack.rLXDk9/_old  2018-01-24 15:32:20.117224448 +0100
+++ /var/tmp/diff_new_pack.rLXDk9/_new  2018-01-24 15:32:20.117224448 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   platformsh-cli
-Version:3.27.1
+Version:3.27.2
 Release:0
 Summary:Tool for managing Platform.sh services from the command line
 # See licenses.txt for dependency licenses.

++ _service ++
--- /var/tmp/diff_new_pack.rLXDk9/_old  2018-01-24 15:32:20.149222951 +0100
+++ /var/tmp/diff_new_pack.rLXDk9/_new  2018-01-24 15:32:20.153222764 +0100
@@ -2,7 +2,7 @@
   
 @PARENT_TAG@
 v(.*)
-refs/tags/v3.27.1
+refs/tags/v3.27.2
 git://github.com/platformsh/platformsh-cli.git
 git
 enable

++ _servicedata ++
--- /var/tmp/diff_new_pack.rLXDk9/_old  2018-01-24 15:32:20.181221454 +0100
+++ /var/tmp/diff_new_pack.rLXDk9/_new  2018-01-24 15:32:20.181221454 +0100
@@ -1,6 +1,6 @@
 
   
 git://github.com/platformsh/platformsh-cli.git
-90ee4b28bc46cef98160e5223ca58d7e5e90900b
+52ea816bec0b04d68feeac9109cf3a1e0d551364
   
 

++ platformsh-cli-3.27.1.tar.xz -> platformsh-cli-3.27.2.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/platformsh-cli-3.27.1/CHANGELOG.md 
new/platformsh-cli-3.27.2/CHANGELOG.md
--- old/platformsh-cli-3.27.1/CHANGELOG.md  2018-01-22 13:36:58.0 
+0100
+++ new/platformsh-cli-3.27.2/CHANGELOG.md  2018-01-23 19:08:21.0 
+0100
@@ -4,6 +4,15 @@
 
 More readable, curated release notes can be found at: 
https://github.com/platformsh/platformsh-cli/releases
 
+## [v3.27.2](https://github.com/platformsh/platformsh-cli/tree/v3.27.2) 
(2018-01-23)
+[Full 
Changelog](https://github.com/platformsh/platformsh-cli/compare/v3.27.1...v3.27.2)
+
+* Fix: 'Invalid refresh token' message interception shouldn't check the 
request for oauth2
+* [project:create] add detailed help
+* [project:create] be stricter about check interval
+* [project:create] show project ID if possible even after failure
+* [subscription:info] allow passing a subscription ID directly via --id
+
 ## [v3.27.1](https://github.com/platformsh/platformsh-cli/tree/v3.27.1) 
(2018-01-22)
 [Full 
Changelog](https://github.com/platformsh/platformsh-cli/compare/v3.27.0...v3.27.1)
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/platformsh-cli-3.27.1/README.md 
new/platformsh-cli-3.27.2/README.md
--- old/platformsh-cli-3.27.1/README.md 2018-01-22 13:36:58.0 +0100
+++ new/platformsh-cli-3.27.2/README.md 2018-01-23 19:08:21.0 +0100
@@ -80,9 +80,10 @@
   app:config-getView the configuration of an app
   app:list (apps)   List apps in the project
 auth
+  auth:browser-login (login)Log in to Platform.sh via a browser
   auth:info Display your account information
-  auth:login (login)Log in to Platform.sh using a 
username and password
   auth:logout (logout)  Log out of Platform.sh
+  auth:password-login   Log in to Platform.sh using a 
username and password
 certificate
   certificate:add   

commit pymol for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package pymol for openSUSE:Factory checked 
in at 2018-01-24 15:32:09

Comparing /work/SRC/openSUSE:Factory/pymol (Old)
 and  /work/SRC/openSUSE:Factory/.pymol.new (New)


Package is "pymol"

Wed Jan 24 15:32:09 2018 rev:52 rq:568739 version:1.9.0.0.svn4184

Changes:

--- /work/SRC/openSUSE:Factory/pymol/pymol.changes  2017-10-29 
20:24:35.326857910 +0100
+++ /work/SRC/openSUSE:Factory/.pymol.new/pymol.changes 2018-01-24 
15:32:18.213313489 +0100
@@ -1,0 +2,34 @@
+Tue Jan 16 16:35:27 UTC 2018 - dh...@wustl.edu
+
+- update to svn rev 4194
+  * Python 3.7 support (https://sf.net/p/pymol/bugs/197/)
+  * enable align with alt-codes
+- allow matching of non-alt-code to alt-code atoms in alignments
+- swap sorting priority of 'name' and 'alt' identifiers
+- sort empty 'alt' before non-empty 'alt'
+  * flags 6 and 7 for protein and nucleic acid
+  * mmCIF: read _atom_site.pdbx_formal_charge
+  * improve coordinate loading from mmcif chem_comp files
+- ignore columns with all ? (missing) values
+- select columns with "chem_comp_cartn_use" setting
+  * fix h_add: skip missing coordinates
+  * Python API: New "auto library mode". Automatically start a
+non-GUI PyMOL instance if the pymol.cmd API is used without
+running pymol.launch() first
+  * pdb_echo_tags for mmCIF and MMTF
+  * command parser: improve exception handling
+  * fix some PSE export memory leaks
+  * pymol2.cmd2: eliminate (non-weak) circular references
+  * movie making: reinterpolate after add_nutate/add_roll etc.
+  * support "module:callable" in loadfunctions/safefunctions
+  * yellow state indicator for discrete objects
+  * mpng modal draw improvements
+  * fix elements from .gro files (pymol/bugs/196, r4181 regression)
+  * save .mtl: raise exception
+  * Python 3:
+- fix "GUI Font Size" dialog (pmw/bugs/47)
+- fix COLLADA export
+  * some elements wrong from SDF and XYZ
+  * pse_export_version support with Python 3
+
+---

Old:

  pymol-1.9.0.0.svn4179.tar.xz

New:

  pymol-1.9.0.0.svn4184.tar.xz



Other differences:
--
++ pymol.spec ++
--- /var/tmp/diff_new_pack.nMKYFr/_old  2018-01-24 15:32:18.873282624 +0100
+++ /var/tmp/diff_new_pack.nMKYFr/_new  2018-01-24 15:32:18.873282624 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package pymol
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -19,7 +19,7 @@
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 %define oldpython python
 Name:   pymol
-Version:1.9.0.0.svn4179
+Version:1.9.0.0.svn4184
 Release:0
 Url:http://pymol.org
 Summary:A Molecular Viewer

++ pymol-1.9.0.0.svn4179.tar.xz -> pymol-1.9.0.0.svn4184.tar.xz ++
/work/SRC/openSUSE:Factory/pymol/pymol-1.9.0.0.svn4179.tar.xz 
/work/SRC/openSUSE:Factory/.pymol.new/pymol-1.9.0.0.svn4184.tar.xz differ: char 
26, line 1




commit ghc-hruby for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package ghc-hruby for openSUSE:Factory 
checked in at 2018-01-24 15:32:05

Comparing /work/SRC/openSUSE:Factory/ghc-hruby (Old)
 and  /work/SRC/openSUSE:Factory/.ghc-hruby.new (New)


Package is "ghc-hruby"

Wed Jan 24 15:32:05 2018 rev:4 rq:568726 version:0.3.5.1

Changes:

--- /work/SRC/openSUSE:Factory/ghc-hruby/ghc-hruby.changes  2017-08-31 
21:03:26.632570847 +0200
+++ /work/SRC/openSUSE:Factory/.ghc-hruby.new/ghc-hruby.changes 2018-01-24 
15:32:15.709430590 +0100
@@ -1,0 +2,12 @@
+Mon Jan  1 10:19:10 UTC 2018 - psim...@suse.com
+
+- Update to version 0.3.5.1.
+  A more detailed change log is not available.
+
+---
+Thu Dec 21 19:12:56 UTC 2017 - psim...@suse.com
+
+- Update to version 0.3.5.
+  A more detailed change log is not available.
+
+---

Old:

  hruby-0.3.4.4.tar.gz

New:

  hruby-0.3.5.1.tar.gz



Other differences:
--
++ ghc-hruby.spec ++
--- /var/tmp/diff_new_pack.EGpnm0/_old  2018-01-24 15:32:16.365399913 +0100
+++ /var/tmp/diff_new_pack.EGpnm0/_new  2018-01-24 15:32:16.365399913 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package ghc-hruby
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -19,7 +19,7 @@
 %global pkg_name hruby
 %bcond_with tests
 Name:   ghc-%{pkg_name}
-Version:0.3.4.4
+Version:0.3.5.1
 Release:0
 Summary:Embed a Ruby intepreter in your Haskell program !
 License:BSD-3-Clause
@@ -36,7 +36,7 @@
 BuildRequires:  ghc-text-devel
 BuildRequires:  ghc-unordered-containers-devel
 BuildRequires:  ghc-vector-devel
-BuildRequires:  ruby2.4-devel
+BuildRequires:  ruby-devel
 %if %{with tests}
 BuildRequires:  ghc-QuickCheck-devel
 %endif
@@ -50,7 +50,7 @@
 Group:  Development/Libraries/Haskell
 Requires:   %{name} = %{version}-%{release}
 Requires:   ghc-compiler = %{ghc_version}
-Requires:   ruby2.4-devel
+Requires:   ruby-devel
 Requires(post): ghc-compiler = %{ghc_version}
 Requires(postun): ghc-compiler = %{ghc_version}
 

++ hruby-0.3.4.4.tar.gz -> hruby-0.3.5.1.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/hruby-0.3.4.4/Foreign/Ruby/Bindings.hsc 
new/hruby-0.3.5.1/Foreign/Ruby/Bindings.hsc
--- old/hruby-0.3.4.4/Foreign/Ruby/Bindings.hsc 2016-05-10 17:12:55.0 
+0200
+++ new/hruby-0.3.5.1/Foreign/Ruby/Bindings.hsc 2017-12-14 10:49:43.0 
+0100
@@ -97,6 +97,9 @@
 foreign import ccall   safe "rb_funcall"c_rb_funcall_3 
 :: RValue -> RID -> Int -> RValue -> RValue -> RValue -> IO RValue
 foreign import ccall   safe "rb_funcall"c_rb_funcall_4 
 :: RValue -> RID -> Int -> RValue -> RValue -> RValue -> RValue -> IO 
RValue
 foreign import ccall   safe "rb_funcall"c_rb_funcall_5 
 :: RValue -> RID -> Int -> RValue -> RValue -> RValue -> RValue -> RValue 
-> IO RValue
+#ifdef RUBY2
+foreign import ccall   safe "rb_funcall_with_block" 
c_rb_funcall_with_block :: RValue -> RID -> Int -> Ptr RValue -> RValue -> 
IO RValue
+#endif
 foreign import ccall unsafe "rb_gv_get" c_rb_gv_get
 :: CString -> IO RValue
 foreign import ccall unsafe "rb_intern" c_rb_intern
 :: CString -> IO RID
 foreign import ccall unsafe "rb_id2name"rb_id2name 
 :: RID -> IO CString
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/hruby-0.3.4.4/hruby.cabal 
new/hruby-0.3.5.1/hruby.cabal
--- old/hruby-0.3.4.4/hruby.cabal   2017-07-21 14:39:55.0 +0200
+++ new/hruby-0.3.5.1/hruby.cabal   2017-12-26 16:07:42.0 +0100
@@ -2,7 +2,7 @@
 --  see http://haskell.org/cabal/users-guide/
 
 name:hruby
-version: 0.3.4.4
+version: 0.3.5.1
 synopsis:Embed a Ruby intepreter in your Haskell program !
 description: This doesn't work with Ruby 1.9. Everything you need 
should be in Foreign.Ruby.Safe.
 license: BSD3




commit os-autoinst for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package os-autoinst for openSUSE:Factory 
checked in at 2018-01-24 15:31:57

Comparing /work/SRC/openSUSE:Factory/os-autoinst (Old)
 and  /work/SRC/openSUSE:Factory/.os-autoinst.new (New)


Package is "os-autoinst"

Wed Jan 24 15:31:57 2018 rev:12 rq:568720 version:4.5.1516628925.5467a37f

Changes:

--- /work/SRC/openSUSE:Factory/os-autoinst/os-autoinst.changes  2018-01-20 
11:28:22.903688637 +0100
+++ /work/SRC/openSUSE:Factory/.os-autoinst.new/os-autoinst.changes 
2018-01-24 15:31:57.934261902 +0100
@@ -1,0 +2,7 @@
+Tue Jan 23 16:07:53 UTC 2018 - ok...@suse.com
+
+- Update to version 4.5.1516628925.5467a37f:
+  * Add single quote if parameter contains whitespace (#911)
+  * Remove commented code (#912)
+
+---

Old:

  os-autoinst-4.5.1516396050.1f10a0db.tar.xz

New:

  os-autoinst-4.5.1516628925.5467a37f.tar.xz



Other differences:
--
++ os-autoinst.spec ++
--- /var/tmp/diff_new_pack.fNzOAn/_old  2018-01-24 15:31:59.090207841 +0100
+++ /var/tmp/diff_new_pack.fNzOAn/_new  2018-01-24 15:31:59.090207841 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   os-autoinst
-Version:4.5.1516396050.1f10a0db
+Version:4.5.1516628925.5467a37f
 Release:0
 Summary:OS-level test automation
 License:GPL-2.0+

++ os-autoinst-4.5.1516396050.1f10a0db.tar.xz -> 
os-autoinst-4.5.1516628925.5467a37f.tar.xz ++
/work/SRC/openSUSE:Factory/os-autoinst/os-autoinst-4.5.1516396050.1f10a0db.tar.xz
 
/work/SRC/openSUSE:Factory/.os-autoinst.new/os-autoinst-4.5.1516628925.5467a37f.tar.xz
 differ: char 26, line 1




commit rabbitmq-server for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package rabbitmq-server for openSUSE:Factory 
checked in at 2018-01-24 15:31:31

Comparing /work/SRC/openSUSE:Factory/rabbitmq-server (Old)
 and  /work/SRC/openSUSE:Factory/.rabbitmq-server.new (New)


Package is "rabbitmq-server"

Wed Jan 24 15:31:31 2018 rev:36 rq:568554 version:3.6.15

Changes:

--- /work/SRC/openSUSE:Factory/rabbitmq-server/rabbitmq-server.changes  
2018-01-22 16:22:21.335165662 +0100
+++ /work/SRC/openSUSE:Factory/.rabbitmq-server.new/rabbitmq-server.changes 
2018-01-24 15:31:32.687442657 +0100
@@ -1,0 +2,14 @@
+Mon Jan 22 19:19:19 UTC 2018 - vu...@suse.com
+
+- Update to 3.6.15:
+  + Bug fixes:
+- Avoid infinite loop when dropping entries in the GM.
+- Various changes to the OCF scripts.
+  + Enhancements:
+- Internal authN backend will now prohibit logins with a blank
+  passwords.
+  + Bug fixes in plugins.
+- Remove ocf-pull-request-63.patch, ocf-pull-request-64.patch,
+  ocf-pull-request-66.patch: merged upstream.
+
+---

Old:

  ocf-pull-request-63.patch
  ocf-pull-request-64.patch
  ocf-pull-request-66.patch
  rabbitmq-server-3.6.14.tar.xz

New:

  rabbitmq-server-3.6.15.tar.xz



Other differences:
--
++ rabbitmq-server.spec ++
--- /var/tmp/diff_new_pack.b0CcOy/_old  2018-01-24 15:31:33.387409920 +0100
+++ /var/tmp/diff_new_pack.b0CcOy/_new  2018-01-24 15:31:33.387409920 +0100
@@ -33,7 +33,7 @@
 %define _make_args DESTDIR="%{buildroot}" PREFIX="%{_prefix}" 
RMQ_ROOTDIR=%{_rabbit_libdir} RMQ_ERLAPP_DIR=%{_rabbit_erllibdir} 
MAN_INSTALL_PATH="%{_mandir}" DOC_INSTALL_DIR=%{buildroot}/%{_docdir} 
VERSION=%{version} V=1
 
 Name:   rabbitmq-server
-Version:3.6.14
+Version:3.6.15
 Release:0
 Summary:The RabbitMQ Server
 License:MPL-1.1
@@ -50,9 +50,6 @@
 Source7:rabbitmq-server.tmpfiles.d.conf
 Source8:README.SUSE
 Source9:rabbitmq.config.example
-Patch0: ocf-pull-request-63.patch
-Patch1: ocf-pull-request-64.patch
-Patch2: ocf-pull-request-66.patch
 BuildRequires:  erlang
 BuildRequires:  erlang-src
 BuildRequires:  fdupes
@@ -118,9 +115,6 @@
 %prep
 %setup -q
 cp %{SOURCE8} .
-%patch0 -p1
-%patch1 -p1
-%patch2 -p1
 
 %build
 make all %{_make_args} %{?_smp_mflags}

++ rabbitmq-server-3.6.14.tar.xz -> rabbitmq-server-3.6.15.tar.xz ++
 25834 lines of diff (skipped)




commit python-gevent for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-gevent for openSUSE:Factory 
checked in at 2018-01-24 15:31:46

Comparing /work/SRC/openSUSE:Factory/python-gevent (Old)
 and  /work/SRC/openSUSE:Factory/.python-gevent.new (New)


Package is "python-gevent"

Wed Jan 24 15:31:46 2018 rev:21 rq:568591 version:1.2.2

Changes:

--- /work/SRC/openSUSE:Factory/python-gevent/python-gevent.changes  
2017-11-24 10:53:55.761471099 +0100
+++ /work/SRC/openSUSE:Factory/.python-gevent.new/python-gevent.changes 
2018-01-24 15:31:48.642696453 +0100
@@ -1,0 +2,8 @@
+Tue Jan 23 13:34:36 UTC 2018 - dims...@opensuse.org
+
+- Disable building of the documentation: the make html call fails
+  already, and with rpm 4.14, this aborts the entire build.
+- Drop python-Sphinx buildrequires: not needed when not building
+  the docs.
+
+---



Other differences:
--
++ python-gevent.spec ++
--- /var/tmp/diff_new_pack.NxuvTw/_old  2018-01-24 15:31:49.314665026 +0100
+++ /var/tmp/diff_new_pack.NxuvTw/_new  2018-01-24 15:31:49.318664840 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-gevent
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -35,8 +35,6 @@
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
-# Documentation requirements
-BuildRequires:  python-Sphinx
 %if %{with tests}
 BuildRequires:  %{python_module nose}
 %endif
@@ -76,7 +74,7 @@
 
 %build
 %python_build
-cd doc && make html && rm _build/html/.buildinfo # Build HTML documentation
+#cd doc && make html && rm _build/html/.buildinfo # Build HTML documentation
 
 %install
 %python_install
@@ -99,6 +97,5 @@
 %files -n python-gevent-doc
 %defattr(-,root,root,-)
 %doc examples/
-%doc doc/_build/html
 
 %changelog




commit pam_p11 for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package pam_p11 for openSUSE:Factory checked 
in at 2018-01-24 15:31:55

Comparing /work/SRC/openSUSE:Factory/pam_p11 (Old)
 and  /work/SRC/openSUSE:Factory/.pam_p11.new (New)


Package is "pam_p11"

Wed Jan 24 15:31:55 2018 rev:21 rq:568719 version:0.1.6

Changes:

--- /work/SRC/openSUSE:Factory/pam_p11/pam_p11.changes  2011-09-23 
12:21:35.0 +0200
+++ /work/SRC/openSUSE:Factory/.pam_p11.new/pam_p11.changes 2018-01-24 
15:31:56.674320828 +0100
@@ -1,0 +2,9 @@
+Mon Jan 22 14:16:07 UTC 2018 - vci...@suse.com
+
+- Update to version 0.1.6
+  * Build system rewritten (NOTICE: configure options was modified).
+- shorten the Description, fixes "invalid utf-8 encoding in Description"
+- fix build with openssl 1.1 (bsc#1074800)
+  * add pam_p11-openssl11.patch
+
+---

Old:

  pam_p11-0.1.5.tar.bz2

New:

  pam_p11-0.1.6.tar.gz
  pam_p11-openssl11.patch



Other differences:
--
++ pam_p11.spec ++
--- /var/tmp/diff_new_pack.tH828x/_old  2018-01-24 15:31:57.450284538 +0100
+++ /var/tmp/diff_new_pack.tH828x/_new  2018-01-24 15:31:57.454284350 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package pam_p11
 #
-# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,77 +15,48 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-# norootforbuild
-
 
 Name:   pam_p11
-Version:0.1.5
-Release:15
-Url:http://www.opensc-project.org/pam_p11/
-Group:  Hardware/Other
-License:LGPL-2.1+
+Version:0.1.6
+Release:0
 Summary:PAM Authentication Module for Using Cryptographic Tokens
-Source: %{name}-%{version}.tar.bz2
+License:LGPL-2.1+
+Group:  Hardware/Other
+Url:https://github.com/OpenSC/pam_p11
+Source: 
https://github.com/OpenSC/pam_p11/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
 Source2:baselibs.conf
-BuildRequires:  libp11-devel openssl-devel pam-devel pkgconfig zlib-devel
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+#PATCH-FIX-UPSTREAM https://github.com/OpenSC/pam_p11/pull/7
+Patch0: pam_p11-openssl11.patch
+BuildRequires:  libp11-devel
+BuildRequires:  openssl-devel
+BuildRequires:  pam-devel
+BuildRequires:  pkgconfig
+BuildRequires:  zlib-devel
 
 %description
 Pam_p11 is a pluggable authentication module (pam) package for using
 cryptographic tokens, such as smart cards and usb crypto tokens, for
 authentication.
 
-Pam_p11 uses libp11 to access any PKCS#11 module. It should be
-compatible with any implementation, but it is primarily developed using
-OpenSC.
-
-Pam_p11 implements two authentication modules:
-
-* pam_p11_openssh authenticates the user using openssh
-   ~/.ssh/authorized_keys file.
-
-* pam_p11_opensc authenticates the user using certificates found in
-   ~/.eid/authorized_certificates. It is compatible with the older
-   opensc "pam_opensc" authentication module (eid mode).
-
-Pam_p11 is very simple. It has no configuration file, no other options
-than the PKCS#11 module file, and does not know about certificate
-chains, certificate authorities, revocation lists, or OCSP. It is
-perfect for the small installation with no frills.
-
-
-
-Authors:
-
-Andreas Jellinghaus
-Antti Tapaninen
-Juan Antonio Martinez
-Juha Yrj�l�
-Kevin Stefanik
-Ludovic Rousseau
-Mario Strasser
-Markus Friedl
-Olaf Kirch
-Tatu Ylonen
-Timo Sirainen
-
 %prep
 %setup -q
+%patch0 -p1
 
 %build
 %configure\
-   --libdir=/%{_lib}
-make %{?jobs:-j%jobs}
+   --libdir=/%{_lib} \
+   --disable-static \
+   --docdir=%{_docdir}/%{name}
 
-%install
-%makeinstall
+make %{?_smp_mflags}
 
-%clean
-rm -rf $RPM_BUILD_ROOT
+%install
+%make_install
+# remove .la files
+find %{buildroot} -type f -name "*.la" -delete -print
 
 %files
-%defattr (-, root, root)
-%doc COPYING NEWS doc/README doc/ChangeLog doc/*.html doc/*.css
+%doc COPYING NEWS
 /%{_lib}/security/*.so
 
 %changelog

++ pam_p11-openssl11.patch ++
Index: pam_p11-0.1.6/src/match_openssh.c
===
--- pam_p11-0.1.6.orig/src/match_openssh.c  2017-03-06 20:03:13.0 
+0100
+++ pam_p11-0.1.6/src/match_openssh.c   2018-01-22 16:57:06.614150955 +0100
@@ -17,11 +17,52 @@
 
 #define OPENSSH_LINE_MAX 8192  /* from openssh SSH_MAX_PUBKEY_BYTES */
 
+#if 

commit xine-lib for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package xine-lib for openSUSE:Factory 
checked in at 2018-01-24 15:31:43

Comparing /work/SRC/openSUSE:Factory/xine-lib (Old)
 and  /work/SRC/openSUSE:Factory/.xine-lib.new (New)


Package is "xine-lib"

Wed Jan 24 15:31:43 2018 rev:69 rq:568582 version:1.2.9

Changes:

--- /work/SRC/openSUSE:Factory/xine-lib/xine-lib.changes2017-08-16 
16:19:19.534119697 +0200
+++ /work/SRC/openSUSE:Factory/.xine-lib.new/xine-lib.changes   2018-01-24 
15:31:45.442846106 +0100
@@ -1,0 +2,88 @@
+Tue Jan 23 12:38:21 UTC 2018 - davejpla...@gmail.com
+
+- Update to release 1.2.9 and add xine-lib-a52dec.patch.
+- Moved xineplug_decode_mad and xineplug_decode_a52 into the main
+  package as they are now unrestricted.
+- Enabled sdl and jack subpackages.
+- Upstream changes:
+ * Add LIBXINE_VERBOSITY environment var override.
+ * Add auto gapless switch. Play clips to their very end when that
+   is likely what the user wants.
+ * Add video single step feature.
+ * Add generic keyframe index feature.
+ * Add x32 (x86 32 on 64bit) support.
+ * Add some more debug logging.
+ * Join 4 network input plugins into a single file.
+ * Matroska fixes.
+ * Build fixes.
+ * Directx2 audio fixes.
+ * VAAPI fixes.
+ * XCB video fixes and optimizations.
+ * Return driver held video frames on shutdown properly.
+ * FAAD audio compatibility fixes.
+ * Fix VP9 playback.
+ * Fix post filtering crash.
+ * Make xml parser thread safe.
+ * More user configuration safety.
+ * Inline assembly fixes.
+ * Failed memory allocation safety fixes.
+ * Memory leak fixes.
+ * Debug and LOG build fixes.
+ * Again, lots of small fixes and optimizations.
+ * Better multiengine client safety.
+ * Hide yuv2rgb implementation details.
+ * Use a single libyuv2rgb copy in both engine and plugins.
+ * Minor ffmpeg optimization.
+ * Lift a few video engine handbrakes. Less CPU load, fewer frame
+   drops, faster seeking.
+ * Optimize audio engine.
+ * Optimize demux buffering system.
+ * Optimize metronom clock.
+ * Optimize port tickets.
+ * Optimize sse/mmx2 memcpy.
+ * Code simplification and cleanup.
+ * Update german translation. * Add LIBXINE_VERBOSITY environment var override.
+ * Add auto gapless switch. Play clips to their very end when that
+   is likely what the user wants.
+ * Add video single step feature.
+ * Add generic keyframe index feature.
+ * Add x32 (x86 32 on 64bit) support.
+ * Add some more debug logging.
+ * Join 4 network input plugins into a single file.
+ * Matroska fixes.
+ * Build fixes.
+ * Directx2 audio fixes.
+ * VAAPI fixes.
+ * XCB video fixes and optimizations.
+ * Return driver held video frames on shutdown properly.
+ * FAAD audio compatibility fixes.
+ * Fix VP9 playback.
+ * Fix post filtering crash.
+ * Make xml parser thread safe.
+ * More user configuration safety.
+ * Inline assembly fixes.
+ * Failed memory allocation safety fixes.
+ * Memory leak fixes.
+ * Debug and LOG build fixes.
+ * Again, lots of small fixes and optimizations.
+ * Better multiengine client safety.
+ * Hide yuv2rgb implementation details.
+ * Use a single libyuv2rgb copy in both engine and plugins.
+ * Minor ffmpeg optimization.
+ * Lift a few video engine handbrakes. Less CPU load, fewer frame
+   drops, faster seeking.
+ * Optimize audio engine.
+ * Optimize demux buffering system.
+ * Optimize metronom clock.
+ * Optimize port tickets.
+ * Optimize sse/mmx2 memcpy.
+ * Code simplification and cleanup.
+ * Update german translation.
+
+---
+Mon Jan 22 15:36:18 UTC 2018 - crrodrig...@opensuse.org
+
+- Cleanup buildrequires so neither Mesa-devel nor xorg-x11-devel 
+  meta/mega packages are required anymore.
+
+---

Old:

  xine-lib-1.2.8.tar.xz

New:

  xine-lib-1.2.9.tar.xz
  xine-lib-a52dec.patch



Other differences:
--
++ xine-lib.spec ++
--- /var/tmp/diff_new_pack.OyGdOF/_old  2018-01-24 15:31:46.222809627 +0100
+++ /var/tmp/diff_new_pack.OyGdOF/_new  2018-01-24 15:31:46.226809440 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package xine-lib
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -29,25 +29,25 @@
 %if 0%{?suse_version} > 1320
 BuildRequires:  gcc
 %else
-# Leap 42.2+ / SLE12SP2Backports
-%if 0%{?sle_version} == 120200
-BuildRequires:  gcc6
+# Leap 42.3+
+%if 0%{?leap_version} >= 420300
+BuildRequires:  cpp7
+BuildRequires:  gcc7
 #!Buildignore:  libgcc_s1
 %else
-# Leap 42.1

commit invm-cli for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package invm-cli for openSUSE:Factory 
checked in at 2018-01-24 15:31:48

Comparing /work/SRC/openSUSE:Factory/invm-cli (Old)
 and  /work/SRC/openSUSE:Factory/.invm-cli.new (New)


Package is "invm-cli"

Wed Jan 24 15:31:48 2018 rev:3 rq:568709 version:1.0.0.1104

Changes:

--- /work/SRC/openSUSE:Factory/invm-cli/invm-cli.changes2017-10-13 
14:17:25.148715908 +0200
+++ /work/SRC/openSUSE:Factory/.invm-cli.new/invm-cli.changes   2018-01-24 
15:31:49.922636593 +0100
@@ -1,0 +2,10 @@
+Thu Jan 18 17:22:17 UTC 2018 - dims...@opensuse.org
+
+- Fixup "grep -lr CONFIDENTIAL ." usage for RPM 4.14: The logic
+  here is: if grep matches the string, we abort the build with
+  'exit 1'. If grep does not find the string, the grep has
+  RETVAL=1, which causes rpmbuild to fail (beofore RPM 4.14, the
+  exit code of the last command in a section was wrongly not
+  interpretet to decide on success/failure of the section).
+
+---



Other differences:
--
++ invm-cli.spec ++
--- /var/tmp/diff_new_pack.145V8N/_old  2018-01-24 15:31:50.558606850 +0100
+++ /var/tmp/diff_new_pack.145V8N/_new  2018-01-24 15:31:50.562606662 +0100
@@ -1,8 +1,8 @@
 #
 # spec file for package invm-cli
 #
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 # Copyright (c) 2016 Intel Corporation
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,6 +16,7 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
+
 # allow building with SLE12-compatible package-names
 %bcond_with short-invm-dnames
 
@@ -25,7 +26,7 @@
 Summary:Framework for Intel Storage CLI Binaries
 License:BSD-3-Clause
 Group:  Development/Libraries/C and C++
-URL:https://01.org/intel-nvm-cli-library
+Url:https://01.org/intel-nvm-cli-library
 Source: https://github.com/01org/lib%{name}/archive/v%{version}.tar.gz
 BuildRequires:  gcc-c++
 %if %{with short-invm-dnames}
@@ -75,7 +76,7 @@
 %prep
 %setup -q -n %{srcname}
 # Remember, remember the 5th^W^W bsc#976448
-grep -lr CONFIDENTIAL . && exit 1
+grep -lr CONFIDENTIAL . && exit 1 || :
 
 %build
 make BUILDNUM=%{version} RELEASE=1 \




commit xine-ui for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package xine-ui for openSUSE:Factory checked 
in at 2018-01-24 15:31:50

Comparing /work/SRC/openSUSE:Factory/xine-ui (Old)
 and  /work/SRC/openSUSE:Factory/.xine-ui.new (New)


Package is "xine-ui"

Wed Jan 24 15:31:50 2018 rev:36 rq:568717 version:0.99.10

Changes:

--- /work/SRC/openSUSE:Factory/xine-ui/xine-ui.changes  2017-05-04 
08:55:29.683742398 +0200
+++ /work/SRC/openSUSE:Factory/.xine-ui.new/xine-ui.changes 2018-01-24 
15:31:52.930495920 +0100
@@ -1,0 +2,15 @@
+Tue Jan 23 15:15:24 UTC 2018 - davejpla...@gmail.com
+
+- Update to release 0.99.10
+- Removed incorporated xine-ui-rpmlintrc.diff and reproducible.patch.
+- Rebased xine-ui-AUTOMAKE.diff, xine-ui-desktop.patch and
+  xine-ui-crippled-LOCAL.diff.
+- Upstream changes:
+  *Added manual video single step feature.
+  *Show millisecond time in slow motion.
+  *Updated spanish translation.
+  *Make desktop file output reproducible.
+  *Deadlock and crash fixes.
+  * Memory and resource leak fixes.
+
+---

Old:

  reproducible.patch
  xine-ui-0.99.9.tar.xz
  xine-ui-rpmlintrc.diff

New:

  xine-ui-0.99.10.tar.xz



Other differences:
--
++ xine-ui.spec ++
--- /var/tmp/diff_new_pack.rW4jPn/_old  2018-01-24 15:31:53.726458695 +0100
+++ /var/tmp/diff_new_pack.rW4jPn/_new  2018-01-24 15:31:53.726458695 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package xine-ui
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -23,7 +23,9 @@
 BuildRequires:  automake
 BuildRequires:  curl-devel
 BuildRequires:  fdupes
+BuildRequires:  gawk
 BuildRequires:  libjpeg-devel
+BuildRequires:  perl-DateTime
 BuildRequires:  pkgconfig(libpng12)
 BuildRequires:  pkgconfig(libxine)
 %if !%{with distributable}
@@ -37,7 +39,7 @@
 Summary:Video player with plugins
 License:GPL-2.0+ and SUSE-Public-Domain
 Group:  Productivity/Multimedia/Video/Players
-Version:0.99.9
+Version:0.99.10
 Release:0
 Url:http://xine.sourceforge.net
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -55,9 +57,6 @@
 #PATCH_FIX-OPENSUSE xine-ui-desktop.patch davejpla...@gmail.com - remove 
desktop file errors
 Patch1: xine-ui-desktop.patch
 Patch2: xine-ui-lirc.diff
-#PATCH-FIX-UPSTREAM reproducible.patch 
https://sourceforge.net/p/xine/xine-ui/merge-requests/2/
-Patch3: reproducible.patch
-Patch22:xine-ui-rpmlintrc.diff
 # *** SUSE only changes
 Patch50:xine-ui-crippled-LOCAL.diff
 Patch60:xine-ui-AUTOMAKE.diff
@@ -76,16 +75,14 @@
 Guenter Bartsch 
 
 %prep
+echo %{with distributable}
 %setup -q
-%if %suse_version > 1110
 %patch2 -p1
-%endif
 %patch0
-%patch22 -p1
-%patch50 -p1
+#%%patch22 -p1
+%patch50 -p0
 %patch60
 %patch1
-%patch3 -p1
 install -m 0644 %SOURCE1 misc/splash-default/xine-ui_logo.png
 install -m 0644 %SOURCE2 misc/splash-default/xine-ui_logo-crippled.png
 %ifarch x86_64
@@ -113,7 +110,8 @@
 %configure \
--enable-vdr-keys \
--with-pic \
-   --disable-static
+   --disable-static \
+   --disable-silent-rules
 make %{_smp_mflags} V=1
 
 %install

++ xine-ui-0.99.9.tar.xz -> xine-ui-0.99.10.tar.xz ++
 28004 lines of diff (skipped)

++ xine-ui-AUTOMAKE.diff ++
--- /var/tmp/diff_new_pack.rW4jPn/_old  2018-01-24 15:31:54.422426145 +0100
+++ /var/tmp/diff_new_pack.rW4jPn/_new  2018-01-24 15:31:54.426425958 +0100
@@ -1,6 +1,8 @@
 config.h.in.orig   2014-02-25 18:11:42.0 +0100
-+++ config.h.in2014-04-12 00:45:23.136645166 +0200
-@@ -225,6 +225,9 @@
+Index: config.h.in
+===
+--- config.h.in.orig   2017-12-28 18:34:33.0 +0200
 config.h.in2018-01-23 15:25:15.780958371 +0200
+@@ -228,6 +228,9 @@
  /* Location of documentation files */
  #undef XINE_DOCDIR
  

++ xine-ui-crippled-LOCAL.diff ++
 3135 lines (skipped)
 between /work/SRC/openSUSE:Factory/xine-ui/xine-ui-crippled-LOCAL.diff
 and /work/SRC/openSUSE:Factory/.xine-ui.new/xine-ui-crippled-LOCAL.diff


++ xine-ui-desktop.patch ++
--- /var/tmp/diff_new_pack.rW4jPn/_old  2018-01-24 15:31:54.454424649 +0100
+++ /var/tmp/diff_new_pack.rW4jPn/_new  2018-01-24 15:31:54.454424649 +0100
@@ -1,19 +1,12 @@
 Index: misc/desktops/xine.desktop.in
 ===
 

commit perl-HTML-Stream for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package perl-HTML-Stream for 
openSUSE:Factory checked in at 2018-01-24 15:31:35

Comparing /work/SRC/openSUSE:Factory/perl-HTML-Stream (Old)
 and  /work/SRC/openSUSE:Factory/.perl-HTML-Stream.new (New)


Package is "perl-HTML-Stream"

Wed Jan 24 15:31:35 2018 rev:1 rq:568560 version:1.60

Changes:

New Changes file:

--- /dev/null   2018-01-05 12:14:39.755488130 +0100
+++ /work/SRC/openSUSE:Factory/.perl-HTML-Stream.new/perl-HTML-Stream.changes   
2018-01-24 15:31:35.907292069 +0100
@@ -0,0 +1,5 @@
+---
+Tue Jan 23 11:46:14 UTC 2018 - co...@suse.com
+
+- initial package 1.60
+ * created by cpanspec 1.78.08

New:

  HTML-Stream-1.60.tar.gz
  perl-HTML-Stream.changes
  perl-HTML-Stream.spec



Other differences:
--
++ perl-HTML-Stream.spec ++
#
# spec file for package perl-HTML-Stream
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:   perl-HTML-Stream
Version:1.60
Release:0
%define cpan_name HTML-Stream
Summary:HTML output stream class, and some markup utilities
License:GPL-1.0+ OR Artistic-1.0
Group:  Development/Libraries/Perl
Url:http://search.cpan.org/dist/HTML-Stream/
Source0:
https://cpan.metacpan.org/authors/id/D/DS/DSTAAL/%{cpan_name}-%{version}.tar.gz
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
The *HTML::Stream* module provides you with an object-oriented (and
subclassable) way of outputting HTML. Basically, you open up an "HTML
stream" on an existing filehandle, and then do all of your output to the
HTML stream. You can intermix HTML-stream-output and ordinary-print-output,
if you like.

There's even a small built-in subclass, *HTML::Stream::Latin1*, which can
handle Latin-1 input right out of the box. But all in good time...

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes docs examples README README.system
%license COPYING

%changelog



commit fec for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package fec for openSUSE:Factory checked in 
at 2018-01-24 15:31:33

Comparing /work/SRC/openSUSE:Factory/fec (Old)
 and  /work/SRC/openSUSE:Factory/.fec.new (New)


Package is "fec"

Wed Jan 24 15:31:33 2018 rev:3 rq:568559 version:3.0.0+git.20160910

Changes:

--- /work/SRC/openSUSE:Factory/fec/fec.changes  2018-01-20 11:28:02.952621698 
+0100
+++ /work/SRC/openSUSE:Factory/.fec.new/fec.changes 2018-01-24 
15:31:34.879340144 +0100
@@ -1,0 +2,8 @@
+Tue Jan 23 11:35:09 UTC 2018 - mar...@gmx.de
+
+- Add patch:
+  * fec-fix-cmake-pkgconfig-whitespace.patch
+Recent rpm version do not like the quotes around version
+in the pkgconfig file.
+
+---

New:

  fec-fix-cmake-pkgconfig-whitespace.patch



Other differences:
--
++ fec.spec ++
--- /var/tmp/diff_new_pack.yEDNTN/_old  2018-01-24 15:31:35.387316387 +0100
+++ /var/tmp/diff_new_pack.yEDNTN/_new  2018-01-24 15:31:35.391316200 +0100
@@ -27,6 +27,7 @@
 Url:https://github.com/Opendigitalradio/ka9q-fec
 Source: %{name}-%{version}.tar.xz
 Patch0: fec-fix-cmake-libdir.patch
+Patch1: fec-fix-cmake-pkgconfig-whitespace.patch
 BuildRequires:  cmake
 BuildRequires:  git-core
 BuildRequires:  pkg-config
@@ -61,6 +62,7 @@
 %prep
 %setup -q
 %patch0 -p1
+%patch1 -p1
 
 %build
 %cmake

++ fec-fix-cmake-pkgconfig-whitespace.patch ++
diff --git a/CMakeLists.txt b/CMakeLists.txt
index f842504..2d2e854 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -34,7 +34,7 @@ include(Version)
 
 if(NOT DEFINED VERSION)
 #set(VERSION 
"\"${VERSION_INFO_MAJOR}.${VERSION_INFO_MINOR}.${VERSION_INFO_PATCH}\"")
-set(VERSION "\"${VERSION_INFO}\"")
+set(VERSION "${VERSION_INFO}")
 endif()
 
 



commit python-glanceclient for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-glanceclient for 
openSUSE:Factory checked in at 2018-01-24 15:31:19

Comparing /work/SRC/openSUSE:Factory/python-glanceclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-glanceclient.new (New)


Package is "python-glanceclient"

Wed Jan 24 15:31:19 2018 rev:24 rq:568547 version:2.9.0

Changes:

--- /work/SRC/openSUSE:Factory/python-glanceclient/python-glanceclient.changes  
2017-08-28 15:32:54.875906687 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-glanceclient.new/python-glanceclient.changes 
2018-01-24 15:31:26.219745142 +0100
@@ -1,0 +2,18 @@
+Thu Jan 18 08:53:53 UTC 2018 - cloud-de...@suse.de
+
+- update to version 2.9.0
+  - Update Image service property keys doc
+  - Revise functional testing README file
+  - Update reno for stable/pike
+  - Remove Babel as a runtime requirement
+  - image-create-via-import fails with ValueError
+  - Restore functional testing under ssl
+  - stage call fails with TypeError
+  - Add domain info to functional test clients
+  - Migrate dsvm functional test jobs to project repo
+  - Compare against 'RequestIdProxy.wrapped'
+  - Update Image service property keys docs
+  - Updated from global requirements
+  - Fix image-import call
+
+---

Old:

  python-glanceclient-2.8.0.tar.gz

New:

  python-glanceclient-2.9.0.tar.gz



Other differences:
--
++ python-glanceclient.spec ++
--- /var/tmp/diff_new_pack.XkNlCU/_old  2018-01-24 15:31:27.291695008 +0100
+++ /var/tmp/diff_new_pack.XkNlCU/_new  2018-01-24 15:31:27.295694822 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-glanceclient
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,54 +18,78 @@
 
 %global sname python-glanceclient
 Name:   python-glanceclient
-Version:2.8.0
+Version:2.9.0
 Release:0
 Summary:Python API and CLI for OpenStack Glance
 License:Apache-2.0
 Group:  Development/Languages/Python
 Url:https://launchpad.net/%{sname}
-Source0:
https://pypi.io/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
+Source0:
https://files.pythonhosted.org/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python-PrettyTable >= 0.7.1
 BuildRequires:  python-devel
-BuildRequires:  python-fixtures >= 3.0.0
-BuildRequires:  python-keystoneclient >= 3.8.0
-BuildRequires:  python-mock >= 2.0
-BuildRequires:  python-os-client-config >= 1.27.0
-BuildRequires:  python-oslo.utils >= 3.20.0
-BuildRequires:  python-pbr >= 2.0.0
-BuildRequires:  python-pyOpenSSL >= 0.14
-BuildRequires:  python-reno >= 1.8.0
-BuildRequires:  python-requests-mock >= 1.1
-BuildRequires:  python-testrepository >= 0.0.18
-BuildRequires:  python-testscenarios >= 0.4
-BuildRequires:  python-testtools >= 1.4.0
-BuildRequires:  python-warlock >= 1.0.1
+BuildRequires:  python2-PrettyTable >= 0.7.1
+BuildRequires:  python2-fixtures >= 3.0.0
+BuildRequires:  python2-keystoneclient >= 3.8.0
+BuildRequires:  python2-mock >= 2.0.0
+BuildRequires:  python2-os-client-config >= 1.28.0
+BuildRequires:  python2-oslo.utils >= 3.31.0
+BuildRequires:  python2-pbr >= 2.0.0
+BuildRequires:  python2-pyOpenSSL >= 16.2.0
+BuildRequires:  python2-reno >= 2.5.0
+BuildRequires:  python2-requests-mock >= 1.1.0
+BuildRequires:  python2-testrepository >= 0.0.18
+BuildRequires:  python2-testscenarios >= 0.4
+BuildRequires:  python2-testtools >= 2.2.0
+BuildRequires:  python2-warlock >= 1.2.0
+BuildRequires:  python3-PrettyTable >= 0.7.1
+BuildRequires:  python3-devel
+BuildRequires:  python3-fixtures >= 3.0.0
+BuildRequires:  python3-keystoneclient >= 3.8.0
+BuildRequires:  python3-mock >= 2.0.0
+BuildRequires:  python3-os-client-config >= 1.28.0
+BuildRequires:  python3-oslo.utils >= 3.31.0
+BuildRequires:  python3-pbr >= 2.0.0
+BuildRequires:  python3-pyOpenSSL >= 16.2.0
+BuildRequires:  python3-reno >= 2.5.0
+BuildRequires:  python3-requests-mock >= 1.1.0
+BuildRequires:  python3-testrepository >= 0.0.18
+BuildRequires:  python3-testscenarios >= 0.4
+BuildRequires:  python3-testtools >= 2.2.0
+BuildRequires:  python3-warlock >= 1.2.0
 Requires:   python-Babel >= 2.3.4
 Requires:   python-PrettyTable >= 0.7.1
-Requires:   python-keystoneauth1 >= 2.21.0
-Requires:   python-oslo.i18n >= 2.1.0
-Requires:   python-oslo.utils >= 3.20.0
+Requires:   python-keystoneauth1 >= 3.2.0
+Requires:   

commit maildir-utils for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package maildir-utils for openSUSE:Factory 
checked in at 2018-01-24 15:31:08

Comparing /work/SRC/openSUSE:Factory/maildir-utils (Old)
 and  /work/SRC/openSUSE:Factory/.maildir-utils.new (New)


Package is "maildir-utils"

Wed Jan 24 15:31:08 2018 rev:7 rq:568541 version:1.0~alpha3

Changes:

--- /work/SRC/openSUSE:Factory/maildir-utils/maildir-utils.changes  
2017-12-19 10:58:46.520516592 +0100
+++ /work/SRC/openSUSE:Factory/.maildir-utils.new/maildir-utils.changes 
2018-01-24 15:31:11.400438223 +0100
@@ -1,0 +2,7 @@
+Tue Jan 23 10:43:22 UTC 2018 - dmacvi...@suse.de
+
+- Add patch mu4e-1.0-alpha3-gh1168.patch
+  * Fix for https://github.com/djcb/mu/issues/1168
+- Make automake version requirement (1.14) explicit
+
+---

New:

  mu4e-1.0-alpha3-gh1168.patch



Other differences:
--
++ maildir-utils.spec ++
--- /var/tmp/diff_new_pack.15XdjS/_old  2018-01-24 15:31:12.252398378 +0100
+++ /var/tmp/diff_new_pack.15XdjS/_new  2018-01-24 15:31:12.256398191 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package maildir-utils
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,8 +25,10 @@
 Group:  Productivity/Networking/Email/Utilities
 Url:http://www.djcbsoftware.nl/code/mu/
 Source: 
https://github.com/djcb/mu/releases/download/%{_version}/mu-%{_version}.tar.xz
+# PATCH-FIX-UPSTREAM mu4e-1.0-alpha3-gh1168.patch #1168
+Patch0: mu4e-1.0-alpha3-gh1168.patch
 BuildRequires:  autoconf
-BuildRequires:  automake
+BuildRequires:  automake >= 1.14
 BuildRequires:  emacs-nox >= 23
 BuildRequires:  libtool
 BuildRequires:  libxapian-devel
@@ -49,6 +51,7 @@
 
 %prep
 %setup -q -n mu-%{_version}
+%patch0 -p1
 
 %build
 autoreconf -i

++ mu4e-1.0-alpha3-gh1168.patch ++
>From 0228f35ec5bcf7f6fdde2244bac0c6937475f3d7 Mon Sep 17 00:00:00 2001
From: djcb 
Date: Wed, 27 Dec 2017 12:51:44 +0200
Subject: [PATCH] simplify mu4e~docid-msgid-param

It was using an ununed `format', which caused trouble when the msgid
contained format characters.
---
 mu4e/mu4e-proc.el | 10 --
 1 file changed, 4 insertions(+), 6 deletions(-)

diff --git a/mu4e/mu4e-proc.el b/mu4e/mu4e-proc.el
index 69dd796c..34534906 100644
--- a/mu4e/mu4e-proc.el
+++ b/mu4e/mu4e-proc.el
@@ -310,13 +310,11 @@ Start the process if needed."
   (t
(error "Something bad happened to the mu server process")
 
-(defsubst mu4e~docid-msgid-param (docid-or-msgid)
+(defun mu4e~docid-msgid-param (docid-or-msgid)
   "Construct a backend parameter based on DOCID-OR-MSGID."
-  (format
-(if (stringp docid-or-msgid)
-  (concat "msgid:"(mu4e~escape (format "%s" docid-or-msgid)))
-  "docid:%d")
-docid-or-msgid))
+  (if (stringp docid-or-msgid)
+(concat "msgid:" (mu4e~escape docid-or-msgid))
+(format "docid:%d" docid-or-msgid)))
 
 (defun mu4e~proc-find (query threads sortfield sortdir maxnum skip-dups
include-related)



commit python-futurist for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-futurist for openSUSE:Factory 
checked in at 2018-01-24 15:31:11

Comparing /work/SRC/openSUSE:Factory/python-futurist (Old)
 and  /work/SRC/openSUSE:Factory/.python-futurist.new (New)


Package is "python-futurist"

Wed Jan 24 15:31:11 2018 rev:5 rq:568544 version:1.6.0

Changes:

--- /work/SRC/openSUSE:Factory/python-futurist/python-futurist.changes  
2016-03-07 13:30:02.0 +0100
+++ /work/SRC/openSUSE:Factory/.python-futurist.new/python-futurist.changes 
2018-01-24 15:31:13.984317378 +0100
@@ -1,0 +2,48 @@
+Tue Jan 23 11:07:46 UTC 2018 - tbecht...@suse.com
+
+- Convert to singlespec
+
+---
+Mon Jan 15 12:15:03 UTC 2018 - cloud-de...@suse.de
+
+- update to version 1.6.0
+  - Improving cover and docs testenv
+  - Fix jitter strategies
+  - Begin adding our own thread pool executor
+  - Remove 'smart' idleness check
+  - Avoid tox_install.sh for constraints support
+  - Improve get optimal count of max_worker for pool
+  - Update reno for stable/ocata
+  - Fix time related check in rejection test
+  - Eliminate unneccessary patching in GreenFuture
+  - Add what the watcher watches to the watcher as a property
+  - Remove discover from test-requirements
+  - Typo fix: arbitary => arbitrary
+  - Add Constraints support
+  - Add reno for release notes management
+  - Show team and repo badges on README
+  - Don't include openstack/common in flake8 exclude list
+  - Introducing NeverAgain functionality for periodics
+  - Add re-raising SystemExit exception
+  - Add Python 3.5 classifier and venv
+  - turn on warning-is-error in doc build
+  - Switch from oslosphinx to openstackdocstheme
+  - Update .gitignore
+  - Do not check spacing if periodic disabled
+  - Fix 'on_failure' param not be used
+  - replace _callables by _works
+  - The python 3.4 support is removed
+  - rearrange existing documentation to fit the new standard layout
+  - Use prettytable to show pretty schedule/active/planned time table
+  - Removes unnecessary utf-8 coding
+  - Improve doctest and doc8 test
+  - Update homepage with developer documentation page
+  - Update reno for stable/pike
+  - Remove setting of version/release from releasenotes
+  - Reduce/remove duplication in run functions
+  - Remove link to modindex
+  - Update URLs in documents according to document migration
+  - Updated from global requirements
+  - Expose underlying timeout error
+
+---

Old:

  futurist-0.13.0.tar.gz

New:

  _service
  futurist-1.6.0.tar.gz



Other differences:
--
++ python-futurist.spec ++
--- /var/tmp/diff_new_pack.o7Prwb/_old  2018-01-24 15:31:14.908274166 +0100
+++ /var/tmp/diff_new_pack.o7Prwb/_new  2018-01-24 15:31:14.912273978 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-futurist
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,42 +17,80 @@
 
 
 Name:   python-futurist
-Version:0.13.0
+Version:1.6.0
 Release:0
-Summary:Useful additions to futures, from the future
+Summary:Useful additions to futures, from the future.
 License:Apache-2.0
 Group:  Development/Languages/Python
-Url:http://www.openstack.org/
-Source: 
https://pypi.python.org/packages/source/f/futurist/futurist-%{version}.tar.gz
+Url:https://launchpad.net/futurist
+Source0:
https://files.pythonhosted.org/packages/source/f/futurist/futurist-1.6.0.tar.gz
+BuildRequires:  openstack-macros
 BuildRequires:  python-devel
-BuildRequires:  python-pbr
-BuildRequires:  python-setuptools
-Requires:   python-contextlib2 >= 0.4.0
-Requires:   python-futures >= 3.0
+BuildRequires:  python2-PrettyTable >= 0.7.1
+BuildRequires:  python2-Sphinx
+BuildRequires:  python2-contextlib2 >= 0.4.0
+BuildRequires:  python2-eventlet >= 0.18.2
+BuildRequires:  python2-futures >= 3.0.0
+BuildRequires:  python2-monotonic >= 0.6
+BuildRequires:  python2-openstackdocstheme >= 1.17.0
+BuildRequires:  python2-oslotest >= 1.10.0
+BuildRequires:  python2-pbr >= 2.0.0
+BuildRequires:  python2-setuptools >= 16.0
+BuildRequires:  python2-six >= 1.10.0
+BuildRequires:  python2-testrepository >= 0.0.18
+BuildRequires:  python2-testscenarios >= 0.4
+BuildRequires:  python2-testtools >= 2.2.0
+BuildRequires:  python3-PrettyTable >= 0.7.1
+BuildRequires:  python3-Sphinx
+BuildRequires:  python3-devel

commit tint2 for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package tint2 for openSUSE:Factory checked 
in at 2018-01-24 15:31:14

Comparing /work/SRC/openSUSE:Factory/tint2 (Old)
 and  /work/SRC/openSUSE:Factory/.tint2.new (New)


Package is "tint2"

Wed Jan 24 15:31:14 2018 rev:14 rq:568545 version:16.2

Changes:

--- /work/SRC/openSUSE:Factory/tint2/tint2.changes  2018-01-19 
11:52:54.796486366 +0100
+++ /work/SRC/openSUSE:Factory/.tint2.new/tint2.changes 2018-01-24 
15:31:16.664192044 +0100
@@ -1,0 +2,9 @@
+Tue Jan 23 11:03:49 UTC 2018 - mvet...@suse.com
+
+- Update to 16.2:
+  * Proper fix for having too much space between virtual desktop
+taskbar (issue #688)
+  * Fix bad word wrapping (issue #693)
+  * Preliminary high DPI support
+
+---

Old:

  tint2-16.1.tar.gz

New:

  tint2-16.2.tar.gz



Other differences:
--
++ tint2.spec ++
--- /var/tmp/diff_new_pack.yzlFIq/_old  2018-01-24 15:31:18.368112353 +0100
+++ /var/tmp/diff_new_pack.yzlFIq/_new  2018-01-24 15:31:18.368112353 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   tint2
-Version:16.1
+Version:16.2
 Release:0
 Summary:A lightweight X11 desktop panel and task manager
 License:GPL-2.0
@@ -50,7 +50,7 @@
 %lang_package
 
 %prep
-%setup -q -n %{name}-v%{version}-8242b494bc0351d42a76450618e22494c9cbb7ff
+%setup -q -n %{name}-v%{version}-b810bad93ff65854137fbd2f344ad2f99338008f
 
 %build
 %cmake -DENABLE_EXAMPLES=ON -DDOCDIR=%{_docdir}/%{name}

++ tint2-16.1.tar.gz -> tint2-16.2.tar.gz ++
 20787 lines of diff (skipped)





commit wine for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package wine for openSUSE:Factory checked in 
at 2018-01-24 15:31:04

Comparing /work/SRC/openSUSE:Factory/wine (Old)
 and  /work/SRC/openSUSE:Factory/.wine.new (New)


Package is "wine"

Wed Jan 24 15:31:04 2018 rev:243 rq:568532 version:3.0

Changes:

--- /work/SRC/openSUSE:Factory/wine/wine.changes2018-01-16 
09:42:11.550189202 +0100
+++ /work/SRC/openSUSE:Factory/.wine.new/wine.changes   2018-01-24 
15:31:07.568617433 +0100
@@ -1,0 +2,13 @@
+Thu Jan 18 15:51:47 UTC 2018 - meiss...@suse.com
+
+- Update to 3.0
+  This release represents a year of development effort and over 6,000
+  individual changes. It contains a large number of improvements that
+  are listed in the release notes below. The main highlights are:
+
+  - Direct3D 10 and 11 support.
+  - The Direct3D command stream.
+  - The Android graphics driver.
+  - Improved DirectWrite and Direct2D support.
+
+---

Old:

  wine-3.0-rc6.tar.xz
  wine-3.0-rc6.tar.xz.sign

New:

  wine-3.0.tar.xz
  wine-3.0.tar.xz.sign



Other differences:
--
++ wine.spec ++
--- /var/tmp/diff_new_pack.LoyA1V/_old  2018-01-24 15:31:09.588522964 +0100
+++ /var/tmp/diff_new_pack.LoyA1V/_new  2018-01-24 15:31:09.592522778 +0100
@@ -79,8 +79,8 @@
 BuildRequires:  valgrind-devel
 BuildRequires:  xorg-x11-devel
 BuildRequires:  pkgconfig(libudev)
-%define realver 3.0-rc6
-Version:3.0~rc6
+%define realver 3.0
+Version:3.0
 Release:0
 Summary:An MS Windows Emulator
 License:LGPL-2.1+

++ wine-3.0-rc6.tar.xz -> wine-3.0.tar.xz ++
/work/SRC/openSUSE:Factory/wine/wine-3.0-rc6.tar.xz 
/work/SRC/openSUSE:Factory/.wine.new/wine-3.0.tar.xz differ: char 26, line 1





commit nftables for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package nftables for openSUSE:Factory 
checked in at 2018-01-24 15:30:54

Comparing /work/SRC/openSUSE:Factory/nftables (Old)
 and  /work/SRC/openSUSE:Factory/.nftables.new (New)


Package is "nftables"

Wed Jan 24 15:30:54 2018 rev:9 rq:568524 version:0.8.1

Changes:

--- /work/SRC/openSUSE:Factory/nftables/nftables.changes2017-10-24 
22:22:44.682189869 +0200
+++ /work/SRC/openSUSE:Factory/.nftables.new/nftables.changes   2018-01-24 
15:30:56.045156374 +0100
@@ -1,0 +2,7 @@
+Tue Jan 16 14:16:40 UTC 2018 - jeng...@inai.de
+
+- Update to new upstream release 0.8.1
+  * This release deprecates the "flow table" syntax in favor
+of "meter".
+
+---

Old:

  nftables-0.8.tar.bz2
  nftables-0.8.tar.bz2.sig

New:

  nftables-0.8.1.tar.bz2
  nftables-0.8.1.tar.bz2.sig



Other differences:
--
++ nftables.spec ++
--- /var/tmp/diff_new_pack.PoFYvk/_old  2018-01-24 15:30:56.837119335 +0100
+++ /var/tmp/diff_new_pack.PoFYvk/_new  2018-01-24 15:30:56.841119148 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package nftables
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   nftables
-Version:0.8
+Version:0.8.1
 Release:0
 Summary:Userspace utility to access the nf_tables packet filter
 License:GPL-2.0
@@ -33,14 +33,12 @@
 BuildRequires:  docbook2x
 BuildRequires:  flex
 BuildRequires:  gmp-devel
-BuildRequires:  pkgconfig >= 0.21
+BuildRequires:  pkg-config >= 0.21
 BuildRequires:  readline-devel
 BuildRequires:  xsltproc
 BuildRequires:  pkgconfig(libmnl) >= 1.0.3
-BuildRequires:  pkgconfig(libnftnl) >= 1.0.8
+BuildRequires:  pkgconfig(libnftnl) >= 1.0.9
 BuildRequires:  pkgconfig(xtables) >= 1.6.0
-Obsoletes:  nftables-plus < %version-%release
-Provides:   nftables-plus = %version-%release
 
 %description
 nf_tables is the new firewalling infrastructure in the Linux kernel,
@@ -70,6 +68,7 @@
 %install
 b="%buildroot"
 %make_install -C obj
+rm -f "%buildroot/%_libdir/pkgconfig"/*.pc
 
 %files
 %defattr(-,root,root)

++ nftables-0.8.tar.bz2 -> nftables-0.8.1.tar.bz2 ++
 57018 lines of diff (skipped)




commit perl-SVG for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package perl-SVG for openSUSE:Factory 
checked in at 2018-01-24 15:30:44

Comparing /work/SRC/openSUSE:Factory/perl-SVG (Old)
 and  /work/SRC/openSUSE:Factory/.perl-SVG.new (New)


Package is "perl-SVG"

Wed Jan 24 15:30:44 2018 rev:18 rq:568488 version:2.82

Changes:

--- /work/SRC/openSUSE:Factory/perl-SVG/perl-SVG.changes2018-01-09 
14:51:23.600865006 +0100
+++ /work/SRC/openSUSE:Factory/.perl-SVG.new/perl-SVG.changes   2018-01-24 
15:30:46.689593927 +0100
@@ -1,0 +2,18 @@
+Tue Jan 23 07:05:03 UTC 2018 - co...@suse.com
+
+- updated to 2.82
+   see /usr/share/doc/packages/perl-SVG/Changes
+
+  2.82  2017.12.18 MANWAR
+- Fixed subquery (txn-1762542) of the issue RT #123896.
+
+---
+Mon Dec 18 06:54:17 UTC 2017 - co...@suse.com
+
+- updated to 2.81
+   see /usr/share/doc/packages/perl-SVG/Changes
+
+  2.81  2017.12.17 MANWAR
+- Fixed issue RT #123896 (trailing space in credit comment).
+
+---

Old:

  SVG-2.80.tar.gz

New:

  SVG-2.82.tar.gz



Other differences:
--
++ perl-SVG.spec ++
--- /var/tmp/diff_new_pack.9cZCxN/_old  2018-01-24 15:30:47.373561938 +0100
+++ /var/tmp/diff_new_pack.9cZCxN/_new  2018-01-24 15:30:47.377561750 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-SVG
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   perl-SVG
-Version:2.80
+Version:2.82
 Release:0
 %define cpan_name SVG
 Summary:Perl extension for generating Scalable Vector Graphics (SVG) 
documents

++ SVG-2.80.tar.gz -> SVG-2.82.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/SVG-2.80/Changes new/SVG-2.82/Changes
--- old/SVG-2.80/Changes2017-12-01 12:12:18.0 +0100
+++ new/SVG-2.82/Changes2017-12-18 13:25:03.0 +0100
@@ -1,5 +1,11 @@
 Revision history for Perl extension SVG.
 
+2.82  2017.12.18 MANWAR
+  - Fixed subquery (txn-1762542) of the issue RT #123896.
+
+2.81  2017.12.17 MANWAR
+  - Fixed issue RT #123896 (trailing space in credit comment).
+
 2.80  2017.11.30 MANWAR
   - Added one more test author only as suggested by @DAVE. (RT #123705)
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/SVG-2.80/META.json new/SVG-2.82/META.json
--- old/SVG-2.80/META.json  2017-12-01 12:13:44.0 +0100
+++ new/SVG-2.82/META.json  2017-12-18 13:25:41.0 +0100
@@ -41,23 +41,23 @@
"provides" : {
   "SVG" : {
  "file" : "lib/SVG.pm",
- "version" : "2.80"
+ "version" : "2.82"
   },
   "SVG::DOM" : {
  "file" : "lib/SVG/DOM.pm",
- "version" : "2.80"
+ "version" : "2.82"
   },
   "SVG::Element" : {
  "file" : "lib/SVG/Element.pm",
- "version" : "2.80"
+ "version" : "2.82"
   },
   "SVG::Extension" : {
  "file" : "lib/SVG/Extension.pm",
- "version" : "2.80"
+ "version" : "2.82"
   },
   "SVG::XML" : {
  "file" : "lib/SVG/XML.pm",
- "version" : "2.80"
+ "version" : "2.82"
   }
},
"release_status" : "stable",
@@ -68,7 +68,7 @@
  "web" : "https://github.com/manwar/SVG;
   }
},
-   "version" : "2.80",
+   "version" : "2.82",
"x_contributors" : [
   "Peter Wainwright",
   "Ian Hickson",
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/SVG-2.80/META.yml new/SVG-2.82/META.yml
--- old/SVG-2.80/META.yml   2017-12-01 12:13:44.0 +0100
+++ new/SVG-2.82/META.yml   2017-12-18 13:25:41.0 +0100
@@ -20,26 +20,26 @@
 provides:
   SVG:
 file: lib/SVG.pm
-version: '2.80'
+version: '2.82'
   SVG::DOM:
 file: lib/SVG/DOM.pm
-version: '2.80'
+version: '2.82'
   SVG::Element:
 file: lib/SVG/Element.pm
-version: '2.80'
+version: '2.82'
   SVG::Extension:
 file: lib/SVG/Extension.pm
-version: '2.80'
+version: '2.82'
   SVG::XML:
 file: lib/SVG/XML.pm
-version: '2.80'
+version: '2.82'
 requires:
   Scalar::Util: '0'
   parent: '0'
   perl: '5.006'
 resources:
   repository: https://github.com/manwar/SVG.git
-version: '2.80'
+version: '2.82'
 x_contributors:
   - 'Peter Wainwright'
   - 'Ian Hickson'
diff -urN 

commit nvmetcli for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package nvmetcli for openSUSE:Factory 
checked in at 2018-01-24 15:30:56

Comparing /work/SRC/openSUSE:Factory/nvmetcli (Old)
 and  /work/SRC/openSUSE:Factory/.nvmetcli.new (New)


Package is "nvmetcli"

Wed Jan 24 15:30:56 2018 rev:7 rq:568526 version:0.6

Changes:

--- /work/SRC/openSUSE:Factory/nvmetcli/nvmetcli.changes2017-12-01 
15:54:38.197881211 +0100
+++ /work/SRC/openSUSE:Factory/.nvmetcli.new/nvmetcli.changes   2018-01-24 
15:31:03.368813854 +0100
@@ -1,0 +2,11 @@
+Tue Jan 23 10:04:23 UTC 2018 - jthumsh...@suse.com
+
+- Update to version v0.6: (FATE#322737)
+   - 0001-nvmetcli-remove-status-method-for-the-uiportnode.patch
+  * nvmetcli: remove status method for the UIPortNode
+  * nvmetcli: expose ls to dump UI configuration
+  * nvmetcli: decorate namespace, subsystem and port UI
+  * nvmetcli: port decoration coloring only if its enabled
+  * bump version to v0.6
+
+---

Old:

  0001-nvmetcli-remove-status-method-for-the-uiportnode.patch
  nvmetcli-v0.5.tar.gz

New:

  nvmetcli-v0.6.tar.gz



Other differences:
--
++ nvmetcli.spec ++
--- /var/tmp/diff_new_pack.DOKBCx/_old  2018-01-24 15:31:04.408765216 +0100
+++ /var/tmp/diff_new_pack.DOKBCx/_new  2018-01-24 15:31:04.412765029 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package nvmetcli
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,14 +17,13 @@
 
 
 Name:   nvmetcli
-Version:0.5
+Version:0.6
 Release:1%{?dist}
 Summary:Command line interface for the kernel NVMe nvmet
 License:Apache-2.0
 Group:  System/Management
 Url:http://git.infradead.org/users/hch/nvmetcli.git
 Source: nvmetcli-v%{version}.tar.gz
-Patch1: 0001-nvmetcli-remove-status-method-for-the-uiportnode.patch
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 Requires:   python-configshell-fb
@@ -43,7 +42,6 @@
 
 %prep
 %setup -q -n nvmetcli-v%{version}
-%patch1 -p1
 
 %build
 python setup.py build

++ _service ++
--- /var/tmp/diff_new_pack.DOKBCx/_old  2018-01-24 15:31:04.448763346 +0100
+++ /var/tmp/diff_new_pack.DOKBCx/_new  2018-01-24 15:31:04.452763158 +0100
@@ -4,8 +4,8 @@
 git
 git://git.infradead.org/users/hch/nvmetcli.git
 nvmetcli
-v0.5
-v0.5
+v0.6
+v0.6
 .git
 enable
   

++ _servicedata ++
--- /var/tmp/diff_new_pack.DOKBCx/_old  2018-01-24 15:31:04.480761849 +0100
+++ /var/tmp/diff_new_pack.DOKBCx/_new  2018-01-24 15:31:04.484761662 +0100
@@ -1,4 +1,4 @@
 
 
 git://git.infradead.org/users/hch/nvmetcli.git
-  389993977d5a0bfc366c8683a05553043740dfa9
\ No newline at end of file
+  9d51ae651a1c39a83b0192fbbe1e400abf3a0409
\ No newline at end of file

++ nvmetcli-v0.5.tar.gz -> nvmetcli-v0.6.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/nvmetcli-v0.5/Documentation/nvmetcli.txt 
new/nvmetcli-v0.6/Documentation/nvmetcli.txt
--- old/nvmetcli-v0.5/Documentation/nvmetcli.txt2017-08-10 
14:46:02.0 +0200
+++ new/nvmetcli-v0.6/Documentation/nvmetcli.txt2018-01-22 
19:45:05.0 +0100
@@ -105,6 +105,7 @@
 Without specifying the filename this will use
 */etc/nvmet/config.json*.
 | clear   | Clears a current NVMe Target configuration.
+| ls  | Dumps the current NVMe Target configuration.
 |==
 
 EXAMPLES
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/nvmetcli-v0.5/nvmetcli new/nvmetcli-v0.6/nvmetcli
--- old/nvmetcli-v0.5/nvmetcli  2017-08-10 14:46:02.0 +0200
+++ new/nvmetcli-v0.6/nvmetcli  2018-01-22 19:45:05.0 +0100
@@ -24,7 +24,11 @@
 import sys
 import configshell_fb as configshell
 import nvmet as nvme
+from string import hexdigits
+import uuid
 
+def ngiud_set(nguid):
+return any(c in hexdigits and c != '0' for c in nguid)
 
 class UINode(configshell.node.ConfigNode):
 def __init__(self, name, parent=None, cfnode=None, shell=None):
@@ -160,6 +164,13 @@
 UINamespacesNode(self)
 UIAllowedHostsNode(self)
 
+def summary(self):
+info = []
+info.append("version=" + self.cfnode.get_attr("attr","version"))
+info.append("allow_any=" + 
self.cfnode.get_attr("attr","allow_any_host"))
+

commit udhcp for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package udhcp for openSUSE:Factory checked 
in at 2018-01-24 15:31:01

Comparing /work/SRC/openSUSE:Factory/udhcp (Old)
 and  /work/SRC/openSUSE:Factory/.udhcp.new (New)


Package is "udhcp"

Wed Jan 24 15:31:01 2018 rev:17 rq:568529 version:0.9.8

Changes:

--- /work/SRC/openSUSE:Factory/udhcp/udhcp.changes  2016-01-23 
01:16:46.0 +0100
+++ /work/SRC/openSUSE:Factory/.udhcp.new/udhcp.changes 2018-01-24 
15:31:04.784747632 +0100
@@ -1,0 +2,5 @@
+Sat Jan 20 22:15:08 UTC 2018 - sleep_wal...@opensuse.org
+
+- ifconfig_path.patch - adjust absolute path to ifconfig
+
+---

New:

  ifconfig_path.patch



Other differences:
--
++ udhcp.spec ++
--- /var/tmp/diff_new_pack.OnRXhH/_old  2018-01-24 15:31:05.780701052 +0100
+++ /var/tmp/diff_new_pack.OnRXhH/_new  2018-01-24 15:31:05.784700865 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package udhcp
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -30,6 +30,7 @@
 Patch3: %{name}-update-scripts.patch
 # PATCH-FIX-UPSTREAM: do not strip binaries (bnc#890844)
 Patch4: udhcp-do-not-strip.patch
+Patch5: ifconfig_path.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -43,6 +44,7 @@
 %patch2 -p1
 %patch3 -p1
 %patch4 -p1
+%patch5 -p1
 
 %build
 export CFLAGS="%{optflags} -fno-strict-aliasing"

++ ifconfig_path.patch ++
Index: udhcp-0.9.8/samples/sample.bound
===
--- udhcp-0.9.8.orig/samples/sample.bound
+++ udhcp-0.9.8/samples/sample.bound
@@ -6,7 +6,7 @@ RESOLV_CONF="/etc/resolv.conf"
 [ -n "$broadcast" ] && BROADCAST="broadcast $broadcast"
 [ -n "$subnet" ] && NETMASK="netmask $subnet"
 
-/sbin/ifconfig $interface $ip $BROADCAST $NETMASK
+/usr/bin/ifconfig $interface $ip $BROADCAST $NETMASK
 
 if [ -n "$router" ]
 then
Index: udhcp-0.9.8/samples/sample.deconfig
===
--- udhcp-0.9.8.orig/samples/sample.deconfig
+++ udhcp-0.9.8/samples/sample.deconfig
@@ -1,4 +1,4 @@
 #!/bin/sh
 # Sample udhcpc deconfig script
 
-/sbin/ifconfig $interface 0.0.0.0
+/usr/bin/ifconfig $interface 0.0.0.0
Index: udhcp-0.9.8/samples/sample.renew
===
--- udhcp-0.9.8.orig/samples/sample.renew
+++ udhcp-0.9.8/samples/sample.renew
@@ -6,7 +6,7 @@ RESOLV_CONF="/etc/udhcpc/resolv.conf"
 [ -n "$broadcast" ] && BROADCAST="broadcast $broadcast"
 [ -n "$subnet" ] && NETMASK="netmask $subnet"
 
-/sbin/ifconfig $interface $ip $BROADCAST $NETMASK
+/usr/bin/ifconfig $interface $ip $BROADCAST $NETMASK
 
 if [ -n "$router" ]
 then
Index: udhcp-0.9.8/samples/simple.script
===
--- udhcp-0.9.8.orig/samples/simple.script
+++ udhcp-0.9.8/samples/simple.script
@@ -10,11 +10,11 @@ RESOLV_CONF="/etc/resolv.conf"
 
 case "$1" in
deconfig)
-   /sbin/ifconfig $interface 0.0.0.0
+   /usr/bin/ifconfig $interface 0.0.0.0
;;
 
renew|bound)
-   /sbin/ifconfig $interface $ip $BROADCAST $NETMASK
+   /usr/bin/ifconfig $interface $ip $BROADCAST $NETMASK
 
if [ -n "$router" ] ; then
echo "deleting routers"



commit perl-Test-ClassAPI for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package perl-Test-ClassAPI for 
openSUSE:Factory checked in at 2018-01-24 15:30:33

Comparing /work/SRC/openSUSE:Factory/perl-Test-ClassAPI (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Test-ClassAPI.new (New)


Package is "perl-Test-ClassAPI"

Wed Jan 24 15:30:33 2018 rev:14 rq:568416 version:1.07

Changes:

--- /work/SRC/openSUSE:Factory/perl-Test-ClassAPI/perl-Test-ClassAPI.changes
2017-10-03 23:19:54.356287601 +0200
+++ 
/work/SRC/openSUSE:Factory/.perl-Test-ClassAPI.new/perl-Test-ClassAPI.changes   
2018-01-24 15:30:33.710200964 +0100
@@ -1,0 +2,6 @@
+Sat Dec 30 07:09:24 UTC 2017 - co...@suse.com
+
+- updated to 1.07
+   see /usr/share/doc/packages/perl-Test-ClassAPI/Changes
+
+---

Old:

  Test-ClassAPI-1.06.tar.gz

New:

  Test-ClassAPI-1.07.tar.gz



Other differences:
--
++ perl-Test-ClassAPI.spec ++
--- /var/tmp/diff_new_pack.jMattu/_old  2018-01-24 15:30:34.194178329 +0100
+++ /var/tmp/diff_new_pack.jMattu/_new  2018-01-24 15:30:34.198178141 +0100
@@ -17,14 +17,14 @@
 
 
 Name:   perl-Test-ClassAPI
-Version:1.06
+Version:1.07
 Release:0
 %define cpan_name Test-ClassAPI
 Summary:Provides basic first-pass API testing for large class trees
 License:Artistic-1.0 or GPL-1.0+
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/Test-ClassAPI/
-Source0:
https://cpan.metacpan.org/authors/id/A/AD/ADAMK/%{cpan_name}-%{version}.tar.gz
+Source0:
https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
 Source1:cpanspec.yml
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -64,7 +64,7 @@
 
 %files -f %{name}.files
 %defattr(-,root,root,755)
-%doc Changes README
+%doc Changes CONTRIBUTING README
 %license LICENSE
 
 %changelog

++ Test-ClassAPI-1.06.tar.gz -> Test-ClassAPI-1.07.tar.gz ++
 5748 lines of diff (skipped)




commit python-cinderclient for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-cinderclient for 
openSUSE:Factory checked in at 2018-01-24 15:30:47

Comparing /work/SRC/openSUSE:Factory/python-cinderclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-cinderclient.new (New)


Package is "python-cinderclient"

Wed Jan 24 15:30:47 2018 rev:30 rq:568513 version:3.4.0

Changes:

--- /work/SRC/openSUSE:Factory/python-cinderclient/python-cinderclient.changes  
2017-08-28 15:29:56.392998669 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-cinderclient.new/python-cinderclient.changes 
2018-01-24 15:30:49.229475138 +0100
@@ -1,0 +2,59 @@
+Tue Jan 16 22:00:53 UTC 2018 - cloud-de...@suse.de
+
+- update to version 3.4.0
+  - Remove 'end_version' parameter in backup update
+  - Remove setting of version/release from releasenotes
+  - Removed unnecessary parameters from group and group_snapshots create APIs
+  - Follow the new PTI for document build
+  - Fix the way to get backup metadata
+  - Deprecate multiattach flag on volume create
+  - Backup create is not available from 3.0 to 3.42
+  - Updated from global requirements
+- Drop 0001-Fix-man-page-build.patch . Applied upstream.
+
+---
+Wed Dec 20 09:33:57 UTC 2017 - cloud-de...@suse.de
+
+- update to version 3.3.0
+  - Implement metadata for backup create/update
+  - Support skip-validation for quota update
+  - Bump Max API version to 3.48
+  - Enable H306
+  - Avoid tox_install.sh for constraints support
+  - Enable F811, F821
+  - Remove unused attribute when updating quota_class
+  - Fix attachment_id returned by create and show volume
+  - Bump Max version to 3.46
+  - Bump MAX version of client to 3.45
+  - Update old url for cinderclient's document
+  - Add api_version_wraps to attachment-complete
+  - Let keystoneauth set the microversion header
+  - Support create volume from backup in client
+  - Explicitly set 'builder' option
+  - Added missing column 'Allocated'
+  - Fix method/module redefinition errors
+  - Revert "Bump MAX version of client to 3.45"
+  - cleanup test-requirements
+  - Migrate to Zuul v3
+  - Add cluster support in migration and manage
+  - Support list with 'with_count' in client
+  - Use generic user for both zuul v2 and v3
+  - Clean the redundant code in shell.py
+  - Fix man page build
+  - Add .stestr.conf configuration
+  - Add an attachment_complete API call
+  - doc: Remove cruft from conf.py
+  - Correct sphinx source code syntax
+  - Fix to use "." to source script files
+  - [Optimize] Adds interval and increase waiting time
+  - Remove run_tests.sh
+  - Update reno for stable/pike
+  - Fix wrong links
+  - Fix OS_AUTH_TYPE env var usage
+  - Fix get_highest_client_server_version with Cinder API + uWSGI
+  - Unsupported 'message' Exception attribute in PY3
+  - Updated from global requirements
+  - Use Sphinx 1.5 warning-is-error
+  - Implement UserID in snapshot list response
+
+---

Old:

  0001-Fix-man-page-build.patch
  python-cinderclient-3.1.0.tar.gz

New:

  python-cinderclient-3.4.0.tar.gz



Other differences:
--
++ python-cinderclient.spec ++
--- /var/tmp/diff_new_pack.O5nSQH/_old  2018-01-24 15:30:50.009438660 +0100
+++ /var/tmp/diff_new_pack.O5nSQH/_new  2018-01-24 15:30:50.013438472 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-cinderclient
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,95 +16,128 @@
 #
 
 
-%global sname python-cinderclient
 Name:   python-cinderclient
-Version:3.1.0
+Version:3.4.0
 Release:0
 Summary:Python API and CLI for OpenStack Cinder
 License:Apache-2.0
 Group:  Development/Languages/Python
-Url:https://launchpad.net/%{sname}
-Source0:
https://pypi.io/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
-# https://review.openstack.org/#/c/488924/
-Patch1: 0001-Fix-man-page-build.patch
+Url:https://launchpad.net/python-cinderclient
+Source0:
https://files.pythonhosted.org/packages/source/p/python-cinderclient/python-cinderclient-3.4.0.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python-PrettyTable >= 0.7.1
-BuildRequires:  python-ddt >= 1.0.1
 BuildRequires:  python-devel
-BuildRequires:  python-fixtures >= 3.0.0
-BuildRequires:  python-keystoneauth1 >= 2.21.0
-BuildRequires:  python-mock >= 2.0
-BuildRequires:  python-os-testr >= 0.8.0
-BuildRequires:  

commit spec-cleaner for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package spec-cleaner for openSUSE:Factory 
checked in at 2018-01-24 15:30:49

Comparing /work/SRC/openSUSE:Factory/spec-cleaner (Old)
 and  /work/SRC/openSUSE:Factory/.spec-cleaner.new (New)


Package is "spec-cleaner"

Wed Jan 24 15:30:49 2018 rev:47 rq:568515 version:1.0.2

Changes:

--- /work/SRC/openSUSE:Factory/spec-cleaner/spec-cleaner.changes
2017-12-08 12:59:41.416696323 +0100
+++ /work/SRC/openSUSE:Factory/.spec-cleaner.new/spec-cleaner.changes   
2018-01-24 15:30:51.905349990 +0100
@@ -1,0 +2,9 @@
+Tue Jan 23 10:01:37 UTC 2018 - tchva...@suse.com
+
+- Version update to 1.0.2 bsc#1077177:
+  * Allow changelog-year specification via cmdline
+  * Switch to pytest
+  * Add groups for rust
+  * Fix bug in otherprovides removal
+
+---

Old:

  spec-cleaner-1.0.1.tar.gz

New:

  spec-cleaner-1.0.2.tar.gz



Other differences:
--
++ spec-cleaner.spec ++
--- /var/tmp/diff_new_pack.cEnbl2/_old  2018-01-24 15:30:52.885304158 +0100
+++ /var/tmp/diff_new_pack.cEnbl2/_new  2018-01-24 15:30:52.889303971 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package spec-cleaner
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 # Copyright (c) 2012 Vincent Untz 
 #
 # All modifications and additions to the file contributed by third parties
@@ -20,7 +20,7 @@
 # This is used for Fedora, we need to sync this
 %{!?py3_ver: %define py3_ver %{python3_version}}
 Name:   spec-cleaner
-Version:1.0.1
+Version:1.0.2
 Release:0
 Summary:.spec file cleaner
 License:BSD-3-Clause
@@ -33,8 +33,9 @@
 Source4:debian.rules
 Source5:%{name}.dsc
 BuildRequires:  python3-devel
-BuildRequires:  python3-mock
-BuildRequires:  python3-nose
+BuildRequires:  python3-pytest
+BuildRequires:  python3-pytest-cov
+BuildRequires:  python3-pytest-runner
 BuildRequires:  python3-setuptools
 # For the pkg_resources used in the binary loader
 Requires:   python3-setuptools


++ spec-cleaner-1.0.1.tar.gz -> spec-cleaner-1.0.2.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/spec-cleaner-spec-cleaner-1.0.1/.gitignore 
new/spec-cleaner-spec-cleaner-1.0.2/.gitignore
--- old/spec-cleaner-spec-cleaner-1.0.1/.gitignore  2017-12-06 
16:42:43.0 +0100
+++ new/spec-cleaner-spec-cleaner-1.0.2/.gitignore  2018-01-23 
10:50:09.0 +0100
@@ -4,6 +4,7 @@
 *.egg-info/
 *.pyc
 .*.swp
+.cache
 .coverage
 .coveralls.yml
 .tox
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/spec-cleaner-spec-cleaner-1.0.1/.travis.yml 
new/spec-cleaner-spec-cleaner-1.0.2/.travis.yml
--- old/spec-cleaner-spec-cleaner-1.0.1/.travis.yml 2017-12-06 
16:42:43.0 +0100
+++ new/spec-cleaner-spec-cleaner-1.0.2/.travis.yml 2018-01-23 
10:50:09.0 +0100
@@ -4,22 +4,17 @@
 packages:
 - rpm
 language: python
-matrix:
-  include:
-  - python: 2.7
-env: TOX_ENV=py27
-  - python: 3.3
-env: TOX_ENV=py33
-  - python: 3.4
-env: TOX_ENV=py34
-  - python: 3.5
-env: TOX_ENV=py35
-  - python: 3.6
-env: TOX_ENV=py36
+python:
+  - "2.7"
+  - "3.4"
+  - "3.5"
+  - "3.6"
 install:
-- pip install tox
+  - pip install tox tox-travis coveralls
 script:
-- tox -e $TOX_ENV
+  - tox
+after_success:
+  - coveralls
 deploy:
   provider: pypi
   user: suse
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/spec-cleaner-spec-cleaner-1.0.1/data/allowed_groups.txt 
new/spec-cleaner-spec-cleaner-1.0.2/data/allowed_groups.txt
--- old/spec-cleaner-spec-cleaner-1.0.1/data/allowed_groups.txt 2017-12-06 
16:42:43.0 +0100
+++ new/spec-cleaner-spec-cleaner-1.0.2/data/allowed_groups.txt 2018-01-23 
10:50:09.0 +0100
@@ -36,6 +36,7 @@
 Development/Languages/PHP
 Development/Languages/Python
 Development/Languages/Ruby
+Development/Languages/Rust
 Development/Languages/Scheme
 Development/Languages/Tcl
 Development/Libraries/C and C++
@@ -49,6 +50,7 @@
 Development/Libraries/Perl
 Development/Libraries/PHP
 Development/Libraries/Python
+Development/Libraries/Rust
 Development/Libraries/Tcl
 Development/Libraries/X11
 Development/Libraries/YaST
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/spec-cleaner-spec-cleaner-1.0.1/pytest.ini 
new/spec-cleaner-spec-cleaner-1.0.2/pytest.ini
--- old/spec-cleaner-spec-cleaner-1.0.1/pytest.ini  1970-01-01 
01:00:00.0 +0100
+++ new/spec-cleaner-spec-cleaner-1.0.2/pytest.ini  

commit perl-Class-Base for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package perl-Class-Base for openSUSE:Factory 
checked in at 2018-01-24 15:30:35

Comparing /work/SRC/openSUSE:Factory/perl-Class-Base (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Class-Base.new (New)


Package is "perl-Class-Base"

Wed Jan 24 15:30:35 2018 rev:10 rq:568417 version:0.09

Changes:

--- /work/SRC/openSUSE:Factory/perl-Class-Base/perl-Class-Base.changes  
2016-11-07 12:21:58.0 +0100
+++ /work/SRC/openSUSE:Factory/.perl-Class-Base.new/perl-Class-Base.changes 
2018-01-24 15:30:36.434073570 +0100
@@ -1,0 +2,6 @@
+Fri Jan  5 06:09:15 UTC 2018 - co...@suse.com
+
+- updated to 0.09
+   see /usr/share/doc/packages/perl-Class-Base/Changes
+
+---

Old:

  Class-Base-0.08.tar.gz

New:

  Class-Base-0.09.tar.gz



Other differences:
--
++ perl-Class-Base.spec ++
--- /var/tmp/diff_new_pack.RYQtcM/_old  2018-01-24 15:30:37.798009780 +0100
+++ /var/tmp/diff_new_pack.RYQtcM/_new  2018-01-24 15:30:37.798009780 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-Class-Base
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,19 +17,21 @@
 
 
 Name:   perl-Class-Base
-Version:0.08
+Version:0.09
 Release:0
 %define cpan_name Class-Base
 Summary:Useful Base Class for Deriving Other Modules
 License:Artistic-1.0 or GPL-1.0+
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/Class-Base/
-Source0:
http://www.cpan.org/authors/id/S/SZ/SZABGAB/%{cpan_name}-%{version}.tar.gz
+Source0:
https://cpan.metacpan.org/authors/id/Y/YA/YANICK/%{cpan_name}-%{version}.tar.gz
 Source1:cpanspec.yml
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
 BuildRequires:  perl-macros
+BuildRequires:  perl(Clone)
+Requires:   perl(Clone)
 %{perl_requires}
 
 %description
@@ -124,6 +126,7 @@
 
 %files -f %{name}.files
 %defattr(-,root,root,755)
-%doc Changes README TODO
+%doc Changes CONTRIBUTORS doap.xml README README.mkdn TODO
+%license LICENSE
 
 %changelog

++ Class-Base-0.08.tar.gz -> Class-Base-0.09.tar.gz ++
 2257 lines of diff (skipped)




commit perl-Mouse for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package perl-Mouse for openSUSE:Factory 
checked in at 2018-01-24 15:29:59

Comparing /work/SRC/openSUSE:Factory/perl-Mouse (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Mouse.new (New)


Package is "perl-Mouse"

Wed Jan 24 15:29:59 2018 rev:22 rq:568396 version:2.5.1

Changes:

--- /work/SRC/openSUSE:Factory/perl-Mouse/perl-Mouse.changes2017-12-08 
12:59:30.437092856 +0100
+++ /work/SRC/openSUSE:Factory/.perl-Mouse.new/perl-Mouse.changes   
2018-01-24 15:30:08.307389043 +0100
@@ -1,0 +2,10 @@
+Tue Jan  9 06:48:50 UTC 2018 - co...@suse.com
+
+- updated to 2.5.1
+   see /usr/share/doc/packages/perl-Mouse/Changes
+
+  v2.5.1 2018-01-07T14:34:19Z
+  - use PERL_UNUSED_RESULT (#83)
+  - Apply several minor patches, especially for packaging (#84)
+
+---

Old:

  Mouse-v2.5.0.tar.gz

New:

  Mouse-v2.5.1.tar.gz



Other differences:
--
++ perl-Mouse.spec ++
--- /var/tmp/diff_new_pack.Z6nH2q/_old  2018-01-24 15:30:10.883268570 +0100
+++ /var/tmp/diff_new_pack.Z6nH2q/_new  2018-01-24 15:30:10.883268570 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-Mouse
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   perl-Mouse
-Version:2.5.0
+Version:2.5.1
 Release:0
 %define cpan_name Mouse
 Summary:Moose minus the antlers

++ Mouse-v2.5.0.tar.gz -> Mouse-v2.5.1.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Mouse-v2.5.0/Changes new/Mouse-v2.5.1/Changes
--- old/Mouse-v2.5.0/Changes2017-11-26 19:40:32.0 +0100
+++ new/Mouse-v2.5.1/Changes2018-01-07 15:35:29.0 +0100
@@ -1,5 +1,9 @@
 Revision history for Mouse
 
+v2.5.1 2018-01-07T14:34:19Z
+- use PERL_UNUSED_RESULT (#83)
+- Apply several minor patches, especially for packaging (#84)
+
 v2.5.0 2017-11-26T18:38:18Z
 - Fix build under perl 5.8 (wyoung #63, autarch #76, #79)
 - Use version->declare() to declare $VERSION (neilb #55, #80)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Mouse-v2.5.0/MANIFEST new/Mouse-v2.5.1/MANIFEST
--- old/Mouse-v2.5.0/MANIFEST   2017-11-26 19:40:32.0 +0100
+++ new/Mouse-v2.5.1/MANIFEST   2018-01-07 15:35:30.0 +0100
@@ -1,7 +1,6 @@
 Build.PL
 Changes
 LICENSE
-MANIFEST.SKIP
 META.json
 README.md
 benchmarks/accessors.pl
@@ -51,7 +50,6 @@
 lib/Test/Mouse.pm
 lib/ouse.pm
 minil.toml
-mouse.h
 t/000-load.t
 t/000_recipes/002_schwartz_tutorial.t
 t/000_recipes/basics-recipe10.t
@@ -383,9 +381,6 @@
 xs-src/MouseAttribute.xs
 xs-src/MouseTypeConstraints.xs
 xs-src/MouseUtil.xs
-xt/001-pod.t
-xt/003-pod_coverage.t
-xt/005-dbsub.t
-xt/006-perlcritic.t
+xs-src/mouse.h
 META.yml
 MANIFEST
\ No newline at end of file
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Mouse-v2.5.0/MANIFEST.SKIP 
new/Mouse-v2.5.1/MANIFEST.SKIP
--- old/Mouse-v2.5.0/MANIFEST.SKIP  2017-11-26 19:40:32.0 +0100
+++ new/Mouse-v2.5.1/MANIFEST.SKIP  1970-01-01 01:00:00.0 +0100
@@ -1,17 +0,0 @@
-# Moose specific tests
-xt/compat
-xt/external
-failing
-
-^TODO$
-
-# author's tools
-author/
-
-lib/Mouse/Tiny\.pm$
-
-ppport\.h$
-
-MYMETA\.(?:yml|json)$
-Moose-t/
-xshelper\.h$
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Mouse-v2.5.0/META.json new/Mouse-v2.5.1/META.json
--- old/Mouse-v2.5.0/META.json  2017-11-26 19:40:32.0 +0100
+++ new/Mouse-v2.5.1/META.json  2018-01-07 15:35:29.0 +0100
@@ -4,7 +4,7 @@
   "Shawn M Moore "
],
"dynamic_config" : 0,
-   "generated_by" : "Minilla/v3.0.13",
+   "generated_by" : "Minilla/v3.0.14",
"license" : [
   "perl_5"
],
@@ -56,6 +56,11 @@
  }
   },
   "runtime" : {
+ "conflicts" : {
+"Any::Moose" : "< 0.10",
+"MouseX::AttributeHelpers" : "< 0.06",
+"MouseX::NativeTraits" : "< 1.00"
+ },
  "requires" : {
 "Scalar::Util" : "1.14",
 "XSLoader" : "0.02",
@@ -77,7 +82,7 @@
"provides" : {
   "Mouse" : {
  "file" : "lib/Mouse.pm",
- "version" : "v2.5.0"
+ "version" : "v2.5.1"
   },
   "Mouse::Exporter" : {
  "file" : "lib/Mouse/Exporter.pm"
@@ -132,18 +137,18 @@
   },
   "Mouse::Role" : {
  "file" : 

commit perl-B-Keywords for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package perl-B-Keywords for openSUSE:Factory 
checked in at 2018-01-24 15:30:29

Comparing /work/SRC/openSUSE:Factory/perl-B-Keywords (Old)
 and  /work/SRC/openSUSE:Factory/.perl-B-Keywords.new (New)


Package is "perl-B-Keywords"

Wed Jan 24 15:30:29 2018 rev:18 rq:568415 version:1.16

Changes:

--- /work/SRC/openSUSE:Factory/perl-B-Keywords/perl-B-Keywords.changes  
2015-11-15 12:48:05.0 +0100
+++ /work/SRC/openSUSE:Factory/.perl-B-Keywords.new/perl-B-Keywords.changes 
2018-01-24 15:30:32.898238939 +0100
@@ -1,0 +2,11 @@
+Fri Dec 29 06:05:06 UTC 2017 - co...@suse.com
+
+- updated to 1.16
+   see /usr/share/doc/packages/perl-B-Keywords/Changes
+
+  1.16 Thu Dec 28 2017 rurban
+- Added 5.27.7 changes, RT #123948
+- Added cperl class keywords
+- Added keywords per version back to 5.004
+
+---

Old:

  B-Keywords-1.15.tar.gz

New:

  B-Keywords-1.16.tar.gz



Other differences:
--
++ perl-B-Keywords.spec ++
--- /var/tmp/diff_new_pack.sjhSg2/_old  2018-01-24 15:30:33.498210879 +0100
+++ /var/tmp/diff_new_pack.sjhSg2/_new  2018-01-24 15:30:33.498210879 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-B-Keywords
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,15 +17,15 @@
 
 
 Name:   perl-B-Keywords
-Version:1.15
+Version:1.16
 Release:0
-#Upstream:  Reini Urban, All rights reserved. This program is free software; 
you can redistribute it and/or modify it under the terms of either: a) the GNU 
General Public License as published by the Free Software Foundation; version 2, 
or b) the "Artistic License" which comes with Perl.
+#Upstream:  2017 Reini Urban, All rights reserved. This program is free 
software; you can redistribute it and/or modify it under the terms of either: 
a) the GNU General Public License as published by the Free Software Foundation; 
version 2, or b) the "Artistic License" which comes with Perl.
 %define cpan_name B-Keywords
 Summary:Lists of reserved barewords and symbol names
 License:GPL-2.0 or Artistic-1.0
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/B-Keywords/
-Source0:
http://www.cpan.org/authors/id/R/RU/RURBAN/%{cpan_name}-%{version}.tar.gz
+Source0:
https://cpan.metacpan.org/authors/id/R/RU/RURBAN/%{cpan_name}-%{version}.tar.gz
 Source1:cpanspec.yml
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -68,6 +68,7 @@
 
 %files -f %{name}.files
 %defattr(-,root,root,755)
-%doc Changes LICENSE README
+%doc Changes README
+%license LICENSE
 
 %changelog

++ B-Keywords-1.15.tar.gz -> B-Keywords-1.16.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/B-Keywords-1.15/Changes new/B-Keywords-1.16/Changes
--- old/B-Keywords-1.15/Changes 2015-11-11 15:25:26.0 +0100
+++ new/B-Keywords-1.16/Changes 2017-12-28 13:00:48.0 +0100
@@ -77,3 +77,7 @@
   - Fixed $OUTPUT_AUTOFLUSH, RT #108572 (Defragmented Reality)
   - Made $* $MULTILINE_MATCHING version specific, deprecated with 5.8.1,
 removed with 5.10
+1.16 Thu Dec 28 2017 rurban
+  - Added 5.27.7 changes, RT #123948
+  - Added cperl class keywords
+  - Added keywords per version back to 5.004
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/B-Keywords-1.15/META.json 
new/B-Keywords-1.16/META.json
--- old/B-Keywords-1.15/META.json   2015-11-11 15:26:01.0 +0100
+++ new/B-Keywords-1.16/META.json   2017-12-28 13:02:19.0 +0100
@@ -4,13 +4,13 @@
   "Joshua ben Jore "
],
"dynamic_config" : 1,
-   "generated_by" : "ExtUtils::MakeMaker version 7.1, CPAN::Meta::Converter 
version 2.150005",
+   "generated_by" : "ExtUtils::MakeMaker version 8.3004, CPAN::Meta::Converter 
version 2.150010",
"license" : [
   "unknown"
],
"meta-spec" : {
   "url" : "http://search.cpan.org/perldoc?CPAN::Meta::Spec;,
-  "version" : "2"
+  "version" : 2
},
"name" : "B-Keywords",
"no_index" : {
@@ -45,6 +45,6 @@
  "url" : "http://github.com/rurban/b-keywords;
   }
},
-   "version" : "1.15",
-   "x_serialization_backend" : "JSON::PP version 2.27300"
+   "version" : "1.16",
+   "x_serialization_backend" : "JSON::PP version 2.94_01"
 }
diff -urN '--exclude=CVS' '--exclude=.cvsignore' 

commit perl-Net-Twitter for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package perl-Net-Twitter for 
openSUSE:Factory checked in at 2018-01-24 15:30:15

Comparing /work/SRC/openSUSE:Factory/perl-Net-Twitter (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Net-Twitter.new (New)


Package is "perl-Net-Twitter"

Wed Jan 24 15:30:15 2018 rev:16 rq:568399 version:4.01043

Changes:

--- /work/SRC/openSUSE:Factory/perl-Net-Twitter/perl-Net-Twitter.changes
2017-10-10 11:43:47.285361529 +0200
+++ /work/SRC/openSUSE:Factory/.perl-Net-Twitter.new/perl-Net-Twitter.changes   
2018-01-24 15:30:21.602767223 +0100
@@ -1,0 +2,12 @@
+Thu Jan 18 06:55:46 UTC 2018 - co...@suse.com
+
+- updated to 4.01043
+   see /usr/share/doc/packages/perl-Net-Twitter/Changes
+
+  4.01043 2018-01-17
+  - deprecation notice: Twitter::API is the new Net::Twitter
+  - deprecated update_with_media
+  - doc and build updates
+  - remove debugger breakpoint (Oof!)
+
+---

Old:

  Net-Twitter-4.01042.tar.gz

New:

  Net-Twitter-4.01043.tar.gz



Other differences:
--
++ perl-Net-Twitter.spec ++
--- /var/tmp/diff_new_pack.lV70ih/_old  2018-01-24 15:30:23.106696884 +0100
+++ /var/tmp/diff_new_pack.lV70ih/_new  2018-01-24 15:30:23.106696884 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-Net-Twitter
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   perl-Net-Twitter
-Version:4.01042
+Version:4.01043
 Release:0
 %define cpan_name Net-Twitter
 Summary:Perl Interface to the Twitter Api
@@ -91,8 +91,12 @@
 # MANUAL END
 
 %description
+This module has been superseded by Twitter::API. Please update as soon as
+you possibly can to use new features and the new API versions. This module
+will no longer be supported.
+
 This module provides a perl interface to the Twitter APIs. See
-http://dev.twitter.com/doc for a full description of the Twitter APIs.
+http://dev.twitter.com/docs for a full description of the Twitter APIs.
 
 %prep
 %setup -q -n %{cpan_name}-%{version}

++ Net-Twitter-4.01042.tar.gz -> Net-Twitter-4.01043.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Net-Twitter-4.01042/Changes 
new/Net-Twitter-4.01043/Changes
--- old/Net-Twitter-4.01042/Changes 2017-02-07 03:24:29.0 +0100
+++ new/Net-Twitter-4.01043/Changes 2018-01-17 19:35:28.0 +0100
@@ -1,3 +1,9 @@
+4.01043 2018-01-17
+- deprecation notice: Twitter::API is the new Net::Twitter
+- deprecated update_with_media
+- doc and build updates
+- remove debugger breakpoint (Oof!)
+
 4.01042 2017-02-06
 - deprecated contributors/contributees
 - Fixed: follow_suggestions and follow_suggestions_for were reversed
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Net-Twitter-4.01042/LICENSE 
new/Net-Twitter-4.01043/LICENSE
--- old/Net-Twitter-4.01042/LICENSE 2017-02-07 03:24:29.0 +0100
+++ new/Net-Twitter-4.01043/LICENSE 2018-01-17 19:35:28.0 +0100
@@ -1,4 +1,4 @@
-This software is copyright (c) 2016 by Marc Mims.
+This software is copyright (c) 2018 by Marc Mims.
 
 This is free software; you can redistribute it and/or modify it under
 the same terms as the Perl 5 programming language system itself.
@@ -12,7 +12,7 @@
 
 --- The GNU General Public License, Version 1, February 1989 ---
 
-This software is Copyright (c) 2016 by Marc Mims.
+This software is Copyright (c) 2018 by Marc Mims.
 
 This is free software, licensed under:
 
@@ -272,7 +272,7 @@
 
 --- The Artistic License 1.0 ---
 
-This software is Copyright (c) 2016 by Marc Mims.
+This software is Copyright (c) 2018 by Marc Mims.
 
 This is free software, licensed under:
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Net-Twitter-4.01042/MANIFEST 
new/Net-Twitter-4.01043/MANIFEST
--- old/Net-Twitter-4.01042/MANIFEST2017-02-07 03:24:29.0 +0100
+++ new/Net-Twitter-4.01043/MANIFEST2018-01-17 19:35:28.0 +0100
@@ -1,4 +1,4 @@
-# This file was automatically generated by Dist::Zilla::Plugin::Manifest 
v6.008.
+# This file was automatically generated by Dist::Zilla::Plugin::Manifest 
v6.010.
 Changes
 LICENSE
 MANIFEST
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Net-Twitter-4.01042/META.yml 
new/Net-Twitter-4.01043/META.yml
--- 

commit perl-File-Slurper for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package perl-File-Slurper for 
openSUSE:Factory checked in at 2018-01-24 15:30:25

Comparing /work/SRC/openSUSE:Factory/perl-File-Slurper (Old)
 and  /work/SRC/openSUSE:Factory/.perl-File-Slurper.new (New)


Package is "perl-File-Slurper"

Wed Jan 24 15:30:25 2018 rev:4 rq:568409 version:0.011

Changes:

--- /work/SRC/openSUSE:Factory/perl-File-Slurper/perl-File-Slurper.changes  
2017-09-20 17:14:00.570418579 +0200
+++ /work/SRC/openSUSE:Factory/.perl-File-Slurper.new/perl-File-Slurper.changes 
2018-01-24 15:30:29.718387659 +0100
@@ -1,0 +2,10 @@
+Tue Dec 19 06:22:05 UTC 2017 - co...@suse.com
+
+- updated to 0.011
+   see /usr/share/doc/packages/perl-File-Slurper/Changes
+
+  0.011 2017-12-18 21:23:24+01:00 Europe/Amsterdam
+Correctly set value of $PerlIO::encoding::fallback
+Don't skip latin-1 checking
+
+---

Old:

  File-Slurper-0.010.tar.gz

New:

  File-Slurper-0.011.tar.gz



Other differences:
--
++ perl-File-Slurper.spec ++
--- /var/tmp/diff_new_pack.tkJSu4/_old  2018-01-24 15:30:30.282361283 +0100
+++ /var/tmp/diff_new_pack.tkJSu4/_new  2018-01-24 15:30:30.282361283 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   perl-File-Slurper
-Version:0.010
+Version:0.011
 Release:0
 %define cpan_name File-Slurper
 Summary:Simple, Sane and Efficient Module to Slurp a File

++ File-Slurper-0.010.tar.gz -> File-Slurper-0.011.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/File-Slurper-0.010/Changes 
new/File-Slurper-0.011/Changes
--- old/File-Slurper-0.010/Changes  2017-09-17 22:09:07.0 +0200
+++ new/File-Slurper-0.011/Changes  2017-12-18 21:23:26.0 +0100
@@ -1,5 +1,9 @@
 Revision history for File-Slurper
 
+0.011 2017-12-18 21:23:24+01:00 Europe/Amsterdam
+  Correctly set value of $PerlIO::encoding::fallback
+  Don't skip latin-1 checking
+
 0.010 2017-09-17 22:09:05+02:00 Europe/Amsterdam
   Recognize "latin-1" as iso-8859-1
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/File-Slurper-0.010/MANIFEST 
new/File-Slurper-0.011/MANIFEST
--- old/File-Slurper-0.010/MANIFEST 2017-09-17 22:09:07.0 +0200
+++ new/File-Slurper-0.011/MANIFEST 2017-12-18 21:23:26.0 +0100
@@ -1,4 +1,4 @@
-# This file was automatically generated by Dist::Zilla::Plugin::Manifest 
v6.007.
+# This file was automatically generated by Dist::Zilla::Plugin::Manifest 
v6.010.
 Changes
 INSTALL
 LICENSE
@@ -15,6 +15,4 @@
 t/10-basics.t
 t/20-no-side-effects.t
 t/data/cp1252.txt
-xt/author/00-compile.t
-xt/author/pod-coverage.t
 xt/author/pod-syntax.t
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/File-Slurper-0.010/META.json 
new/File-Slurper-0.011/META.json
--- old/File-Slurper-0.010/META.json2017-09-17 22:09:07.0 +0200
+++ new/File-Slurper-0.011/META.json2017-12-18 21:23:26.0 +0100
@@ -4,7 +4,7 @@
   "Leon Timmermans "
],
"dynamic_config" : 0,
-   "generated_by" : "Dist::Zilla version 6.007, CPAN::Meta::Converter version 
2.150005",
+   "generated_by" : "Dist::Zilla version 6.010, CPAN::Meta::Converter version 
2.150005",
"license" : [
   "perl_5"
],
@@ -25,15 +25,8 @@
   },
   "develop" : {
  "requires" : {
-"File::Spec" : "0",
-"IO::Handle" : "0",
-"IPC::Open3" : "0",
-"Pod::Coverage::TrustPod" : "0",
 "Test::More" : "0",
-"Test::Pod" : "1.41",
-"Test::Pod::Coverage" : "1.08",
-"blib" : "1.01",
-"perl" : "5.006"
+"Test::Pod" : "1.41"
  }
   },
   "runtime" : {
@@ -65,7 +58,7 @@
"provides" : {
   "File::Slurper" : {
  "file" : "lib/File/Slurper.pm",
- "version" : "0.010"
+ "version" : "0.011"
   }
},
"release_status" : "stable",
@@ -80,7 +73,7 @@
  "web" : "https://github.com/Leont/file-slurp-sane;
   }
},
-   "version" : "0.010",
+   "version" : "0.011",
"x_contributors" : [
   "Jim Davis ",
   "Leon Timmermans ",
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/File-Slurper-0.010/META.yml 
new/File-Slurper-0.011/META.yml
--- old/File-Slurper-0.010/META.yml 2017-09-17 22:09:07.0 +0200
+++ new/File-Slurper-0.011/META.yml 2017-12-18 21:23:26.0 +0100
@@ -13,7 +13,7 @@
   ExtUtils::MakeMaker: '0'
 

commit perl-SQL-Translator for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package perl-SQL-Translator for 
openSUSE:Factory checked in at 2018-01-24 15:30:06

Comparing /work/SRC/openSUSE:Factory/perl-SQL-Translator (Old)
 and  /work/SRC/openSUSE:Factory/.perl-SQL-Translator.new (New)


Package is "perl-SQL-Translator"

Wed Jan 24 15:30:06 2018 rev:13 rq:568397 version:0.11024

Changes:

--- /work/SRC/openSUSE:Factory/perl-SQL-Translator/perl-SQL-Translator.changes  
2018-01-09 14:51:24.896804249 +0100
+++ 
/work/SRC/openSUSE:Factory/.perl-SQL-Translator.new/perl-SQL-Translator.changes 
2018-01-24 15:30:11.631233588 +0100
@@ -1,0 +2,19 @@
+Wed Jan 10 07:08:35 UTC 2018 - co...@suse.com
+
+- updated to 0.11024
+   see /usr/share/doc/packages/perl-SQL-Translator/Changes
+
+  0.11024 2018-01-09
+  
+   * Remove temporary diagnostics added in 0.11023_01
+  
+  0.11023_02 2017-12-08
+  
+   * Make maybe_plan skip on unrecognised failures to load modules
+  
+  0.11023_01 2017-12-07
+  
+   * Add diagnostics to t/postgresql-rename-table-and-field.t that's
+ failing mysteriously on some smokers
+
+---

Old:

  SQL-Translator-0.11023.tar.gz

New:

  SQL-Translator-0.11024.tar.gz



Other differences:
--
++ perl-SQL-Translator.spec ++
--- /var/tmp/diff_new_pack.NMVUfQ/_old  2018-01-24 15:30:12.399197671 +0100
+++ /var/tmp/diff_new_pack.NMVUfQ/_new  2018-01-24 15:30:12.399197671 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-SQL-Translator
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   perl-SQL-Translator
-Version:0.11023
+Version:0.11024
 Release:0
 #Upstream: Artistic-1.0 or GPL-1.0+
 %define cpan_name SQL-Translator

++ SQL-Translator-0.11023.tar.gz -> SQL-Translator-0.11024.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/SQL-Translator-0.11023/Changes 
new/SQL-Translator-0.11024/Changes
--- old/SQL-Translator-0.11023/Changes  2017-12-05 14:48:08.0 +0100
+++ new/SQL-Translator-0.11024/Changes  2018-01-09 11:19:44.0 +0100
@@ -1,5 +1,18 @@
 Changes for SQL::Translator
 
+0.11024 2018-01-09
+
+ * Remove temporary diagnostics added in 0.11023_01
+
+0.11023_02 2017-12-08
+
+ * Make maybe_plan skip on unrecognised failures to load modules
+
+0.11023_01 2017-12-07
+
+ * Add diagnostics to t/postgresql-rename-table-and-field.t that's
+   failing mysteriously on some smokers
+
 0.11023 2017-12-05
 
  * Fix error handling for Test::PostgreSQL 1.20
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/SQL-Translator-0.11023/META.yml 
new/SQL-Translator-0.11024/META.yml
--- old/SQL-Translator-0.11023/META.yml 2017-12-05 14:48:36.0 +0100
+++ new/SQL-Translator-0.11024/META.yml 2018-01-09 11:24:44.0 +0100
@@ -53,5 +53,5 @@
   bugtracker: https://rt.cpan.org/NoAuth/Bugs.html?Dist=SQL-Translator
   license: http://dev.perl.org/licenses/
   repository: https://github.com/dbsrgits/sql-translator/
-version: '0.11023'
+version: '0.11024'
 x_authority: cpan:JROBINSON
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/SQL-Translator-0.11023/lib/SQL/Translator.pm 
new/SQL-Translator-0.11024/lib/SQL/Translator.pm
--- old/SQL-Translator-0.11023/lib/SQL/Translator.pm2017-12-05 
14:47:54.0 +0100
+++ new/SQL-Translator-0.11024/lib/SQL/Translator.pm2018-01-09 
11:23:50.0 +0100
@@ -3,7 +3,8 @@
 use Moo;
 our ( $DEFAULT_SUB, $DEBUG, $ERROR );
 
-our $VERSION  = '0.11023';
+our $VERSION  = '0.11024';
+$VERSION =~ tr/_//d;
 $DEBUG= 0 unless defined $DEBUG;
 $ERROR= "";
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/SQL-Translator-0.11023/lib/Test/SQL/Translator.pm 
new/SQL-Translator-0.11024/lib/Test/SQL/Translator.pm
--- old/SQL-Translator-0.11023/lib/Test/SQL/Translator.pm   2017-04-03 
12:19:36.0 +0200
+++ new/SQL-Translator-0.11024/lib/Test/SQL/Translator.pm   2017-12-11 
13:13:15.0 +0100
@@ -465,6 +465,10 @@
 elsif ($@ =~ /Can't load .+? for module .+?DynaLoader\.pm/i ) {
   push @errors, $module;
 }
+else {
+(my $err = $@) =~ s/\n+/\\n/g; # Can't have newlines in the skip 
message
+push @errors, "$module: $err";
+}
 }
 
 if (@errors) {
diff -urN '--exclude=CVS' '--exclude=.cvsignore' 

commit perl-Test-Mock-Time for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package perl-Test-Mock-Time for 
openSUSE:Factory checked in at 2018-01-24 15:30:11

Comparing /work/SRC/openSUSE:Factory/perl-Test-Mock-Time (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Test-Mock-Time.new (New)


Package is "perl-Test-Mock-Time"

Wed Jan 24 15:30:11 2018 rev:2 rq:568398 version:0.1.7

Changes:

--- /work/SRC/openSUSE:Factory/perl-Test-Mock-Time/perl-Test-Mock-Time.changes  
2017-09-22 21:34:13.833980038 +0200
+++ 
/work/SRC/openSUSE:Factory/.perl-Test-Mock-Time.new/perl-Test-Mock-Time.changes 
2018-01-24 15:30:16.175021076 +0100
@@ -1,0 +2,9 @@
+Wed Jan 10 07:20:09 UTC 2018 - co...@suse.com
+
+- updated to 0.1.7
+   see /usr/share/doc/packages/perl-Test-Mock-Time/Changes
+
+  v0.1.7  2018-01-09 21:05:29 EET
+   - Add support for perl-5.8.
+
+---

Old:

  Test-Mock-Time-v0.1.6.tar.gz

New:

  Test-Mock-Time-v0.1.7.tar.gz
  cpanspec.yml



Other differences:
--
++ perl-Test-Mock-Time.spec ++
--- /var/tmp/diff_new_pack.xFxpjc/_old  2018-01-24 15:30:17.426962524 +0100
+++ /var/tmp/diff_new_pack.xFxpjc/_new  2018-01-24 15:30:17.430962336 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-Test-Mock-Time
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   perl-Test-Mock-Time
-Version:0.1.6
+Version:0.1.7
 Release:0
 %define cpan_name Test-Mock-Time
 Summary:Deterministic time & timers for event loop tests
@@ -25,6 +25,7 @@
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/Test-Mock-Time/
 Source0:
https://cpan.metacpan.org/authors/id/P/PO/POWERMAN/%{cpan_name}-v%{version}.tar.gz
+Source1:cpanspec.yml
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl

++ Test-Mock-Time-v0.1.6.tar.gz -> Test-Mock-Time-v0.1.7.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Test-Mock-Time-v0.1.6/Build.PL 
new/Test-Mock-Time-v0.1.7/Build.PL
--- old/Test-Mock-Time-v0.1.6/Build.PL  2016-02-29 22:22:58.0 +0100
+++ new/Test-Mock-Time-v0.1.7/Build.PL  2018-01-09 20:05:32.0 +0100
@@ -1,7 +1,7 @@
-# This Build.PL for Test-Mock-Time was generated by 
Dist::Zilla::Plugin::ModuleBuildTiny 0.014.
+# This Build.PL for Test-Mock-Time was generated by 
Dist::Zilla::Plugin::ModuleBuildTiny 0.015.
 use strict;
 use warnings;
 
-use 5.010001;
+use 5.008001;
 use Module::Build::Tiny 0.034;
 Build_PL();
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Test-Mock-Time-v0.1.6/Changes 
new/Test-Mock-Time-v0.1.7/Changes
--- old/Test-Mock-Time-v0.1.6/Changes   2016-02-29 22:22:58.0 +0100
+++ new/Test-Mock-Time-v0.1.7/Changes   2018-01-09 20:05:32.0 +0100
@@ -1,5 +1,8 @@
 Revision history for Test-Mock-Time
 
+v0.1.7  2018-01-09 21:05:29 EET
+   - Add support for perl-5.8.
+
 v0.1.6  2016-02-29 23:22:56 EET
- Reformat doc.
- Drop support for Mojolicious < 6.0.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Test-Mock-Time-v0.1.6/MANIFEST 
new/Test-Mock-Time-v0.1.7/MANIFEST
--- old/Test-Mock-Time-v0.1.6/MANIFEST  2016-02-29 22:22:58.0 +0100
+++ new/Test-Mock-Time-v0.1.7/MANIFEST  2018-01-09 20:05:32.0 +0100
@@ -1,4 +1,4 @@
-# This file was automatically generated by Dist::Zilla::Plugin::Manifest 
v5.043.
+# This file was automatically generated by Dist::Zilla::Plugin::Manifest 
v6.008.
 Build.PL
 Changes
 LICENSE
@@ -16,7 +16,7 @@
 t/EV.t
 t/Mojolicious-EV.t
 t/Mojolicious.t
-t/Time::HiRes.t
+t/TimeHiRes.t
 t/author-perlcritic.t
 t/author-pod-syntax.t
 t/release-distribution.t
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Test-Mock-Time-v0.1.6/META.json 
new/Test-Mock-Time-v0.1.7/META.json
--- old/Test-Mock-Time-v0.1.6/META.json 2016-02-29 22:22:58.0 +0100
+++ new/Test-Mock-Time-v0.1.7/META.json 2018-01-09 20:05:32.0 +0100
@@ -4,13 +4,13 @@
   "Alex Efros "
],
"dynamic_config" : 0,
-   "generated_by" : "Dist::Zilla version 5.043, Dist::Milla version v1.0.15, 
CPAN::Meta::Converter version 2.150005",
+   "generated_by" : "Dist::Milla version v1.0.17, Dist::Zilla version 6.008, 
CPAN::Meta::Converter version 2.150010",
"license" : [
   "mit"
],

commit perl-Perl-Tidy for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package perl-Perl-Tidy for openSUSE:Factory 
checked in at 2018-01-24 15:30:20

Comparing /work/SRC/openSUSE:Factory/perl-Perl-Tidy (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Perl-Tidy.new (New)


Package is "perl-Perl-Tidy"

Wed Jan 24 15:30:20 2018 rev:19 rq:568403 version:20180101

Changes:

--- /work/SRC/openSUSE:Factory/perl-Perl-Tidy/perl-Perl-Tidy.changes
2017-12-18 08:57:59.811175665 +0100
+++ /work/SRC/openSUSE:Factory/.perl-Perl-Tidy.new/perl-Perl-Tidy.changes   
2018-01-24 15:30:25.958563504 +0100
@@ -1,0 +2,92 @@
+Mon Jan  1 06:52:06 UTC 2018 - co...@suse.com
+
+- updated to 20180101
+   see /usr/share/doc/packages/perl-Perl-Tidy/CHANGES
+
+2018 01 01
+- Added new flag -wn (--weld-nested-containers) which addresses these 
issues:
+  RT #123749: Problem with promises; 
+  RT #119970: opening token stacking strange behavior;
+  RT #81853: Can't stack block braces
+  
+  This option causes closely nested pairs of opening and closing 
containers
+  to be "welded" together and essentially be formatted as a single 
unit,
+  with just one level of indentation.
+  
+  Since this is a new flag it is set to be "off" by default but it has 
given 
+  excellent results in testing. 
+  
+  EXAMPLE 1, multiple blocks, default formatting:
+  do {
+  {
+  next if $x == $y;# do something here
+  }
+  } until $x++ > $z;
+  
+  perltidy -wn
+  do { {
+  next if $x == $y;
+  } } until $x++ > $z;
+  
+   EXAMPLE 2, three levels of wrapped function calls, default 
formatting:
+  p(
+  em(
+  conjug(
+  translate( param('verb') ), param('tense'),
+  param('person')
+  )
+  )
+  );
+  
+  # perltidy -wn
+  p( em( conjug(
+  translate( param('verb') ),
+  param('tense'), param('person')
+  ) ) );
+  
+  # EXAMPLE 3, chained method calls, default formatting:
+  get('http://mojolicious.org')->then(
+  sub {
+  my $mojo = shift;
+  say $mojo->res->code;
+  return get('http://metacpan.org');
+  }
+  )->then(
+  sub {
+  my $cpan = shift;
+  say $cpan->res->code;
+  }
+  )->catch(
+  sub {
+  my $err = shift;
+  warn "Something went wrong: $err";
+  }
+  )->wait;
+  
+  # perltidy -wn
+  get('http://mojolicious.org')->then( sub {
+  my $mojo = shift;
+  say $mojo->res->code;
+  return get('http://metacpan.org');
+  } )->then( sub {
+  my $cpan = shift;
+  say $cpan->res->code;
+  } )->catch( sub {
+  my $err = shift;
+  warn "Something went wrong: $err";
+  } )->wait;
+  
+  
+- Fixed RT #114359: Missparsing of "print $x ** 0.5;
+  
+- Deactivated the --check-syntax flag for better security.  It will be
+  ignored if set.  
+  
+- Corrected minimum perl version from 5.004 to 5.008 based on perlver
+  report.  The change is required for coding involving wide characters.
+  
+- For certain severe errors, the source file will be copied directly 
to the
+  output without formatting. These include ending in a quote, ending 
in a
+  here doc, and encountering an unidentified character.
+
+---

Old:

  Perl-Tidy-20171214.tar.gz

New:

  Perl-Tidy-20180101.tar.gz



Other differences:
--
++ perl-Perl-Tidy.spec ++
--- /var/tmp/diff_new_pack.k67ZJm/_old  2018-01-24 15:30:26.630532076 +0100
+++ /var/tmp/diff_new_pack.k67ZJm/_new  2018-01-24 15:30:26.630532076 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-Perl-Tidy
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   perl-Perl-Tidy
-Version:

commit perl-RDF-Trine for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package perl-RDF-Trine for openSUSE:Factory 
checked in at 2018-01-24 15:29:50

Comparing /work/SRC/openSUSE:Factory/perl-RDF-Trine (Old)
 and  /work/SRC/openSUSE:Factory/.perl-RDF-Trine.new (New)


Package is "perl-RDF-Trine"

Wed Jan 24 15:29:50 2018 rev:8 rq:568395 version:1.019

Changes:

--- /work/SRC/openSUSE:Factory/perl-RDF-Trine/perl-RDF-Trine.changes
2017-06-26 15:56:35.866988005 +0200
+++ /work/SRC/openSUSE:Factory/.perl-RDF-Trine.new/perl-RDF-Trine.changes   
2018-01-24 15:30:03.243625875 +0100
@@ -1,0 +2,18 @@
+Fri Jan  5 06:57:25 UTC 2018 - co...@suse.com
+
+- updated to 1.019
+   see /usr/share/doc/packages/perl-RDF-Trine/Changes.ttl
+
+  
+  dcterms:isVersionOf  ;
+  dcterms:replaces
 ;
+  
+  doap:Version[
+  doap:revision "1.019" ;
+  doap:created  "2018-01-04" ;
+  ];
+  asc:changes [
+  asc:update   "Add test case for TSV 
serializer fixes (#155, #156 from @phochste)." ;
+  ] .
+
+---

Old:

  RDF-Trine-1.018.tar.gz

New:

  RDF-Trine-1.019.tar.gz



Other differences:
--
++ perl-RDF-Trine.spec ++
--- /var/tmp/diff_new_pack.zIMTJR/_old  2018-01-24 15:30:05.359526914 +0100
+++ /var/tmp/diff_new_pack.zIMTJR/_new  2018-01-24 15:30:05.363526727 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-RDF-Trine
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   perl-RDF-Trine
-Version:1.018
+Version:1.019
 Release:0
 %define cpan_name RDF-Trine
 Summary:An RDF Framework for Perl

++ RDF-Trine-1.018.tar.gz -> RDF-Trine-1.019.tar.gz ++
 1763 lines of diff (skipped)




commit monitor for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package monitor for openSUSE:Factory checked 
in at 2018-01-24 15:29:10

Comparing /work/SRC/openSUSE:Factory/monitor (Old)
 and  /work/SRC/openSUSE:Factory/.monitor.new (New)


Package is "monitor"

Wed Jan 24 15:29:10 2018 rev:2 rq:568120 version:0.3.3

Changes:

--- /work/SRC/openSUSE:Factory/monitor/monitor.changes  2018-01-13 
21:44:13.903628414 +0100
+++ /work/SRC/openSUSE:Factory/.monitor.new/monitor.changes 2018-01-24 
15:29:14.405910025 +0100
@@ -1,0 +2,25 @@
+Sat Jan 20 11:57:51 UTC 2018 - avvi...@yandex.by
+
+- Update to 0.3.3:
+  * override model in OverallView
+  * remove unused vars
+  * update appdata
+  * trying to be more precise when mesuring CPU usage
+  * kill function moved to OveralView
+  * moved things to Headearbar.vala
+  * key handling moved totally to Shortcuts.vala
+  * refactor shortcuts
+  * fix regex glib error
+  * fix #31, but causes few warnings
+  * one line per row
+  * rename ProcessView to OverallView
+  * moar refactoring
+  * inheritance instead of wrapping TreeSortModel
+  * GenericModel works
+  * started to write GenericModel;some refactoring
+  * rm uncrustify
+  * some refactoring
+- Build with meson
+- Add HiDPI icons
+
+---

Old:

  monitor-0.3.2.tar.gz

New:

  monitor-0.3.3.tar.gz



Other differences:
--
++ monitor.spec ++
--- /var/tmp/diff_new_pack.EiIaBt/_old  2018-01-24 15:29:14.985882899 +0100
+++ /var/tmp/diff_new_pack.EiIaBt/_new  2018-01-24 15:29:14.989882712 +0100
@@ -17,18 +17,17 @@
 
 
 Name:   monitor
-Version:0.3.2
+Version:0.3.3
 Release:0
 Summary:Simple Task Manager
 License:GPL-3.0
 Group:  System/GUI/Other
 URL:https://github.com/stsdc/monitor
 Source: 
https://github.com/stsdc/monitor/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
-BuildRequires:  cmake
 BuildRequires:  elementary-cmake-modules
 BuildRequires:  fdupes
-BuildRequires:  gcc-c++
 BuildRequires:  hicolor-icon-theme
+BuildRequires:  meson >= 0.40.0
 BuildRequires:  pkgconfig
 BuildRequires:  update-desktop-files
 BuildRequires:  vala
@@ -52,22 +51,30 @@
 %prep
 %setup -q
 
-%build
-%cmake \
--DGSETTINGS_COMPILE=OFF
+sed -i 's/\bmetainfo\b/appdata/' $(grep -rwl 'metainfo')
 
-make %{?_smp_mflags}
+%build
+%meson
+%meson_build
 
 %install
-%cmake_install
-
-mkdir -p %{buildroot}%{_datadir}/appdata
-mv 
%{buildroot}%{_datadir}/{metainfo,appdata}/com.github.stsdc.monitor.appdata.xml
-
+%meson_install
 %suse_update_desktop_file -r com.github.stsdc.monitor GTK System Monitor
 %find_lang com.github.stsdc.monitor %{name}.lang
 %fdupes %{buildroot}/%{_datadir}
 
+# dirlist HiDPI icons (see: hicolor/index.theme)
+_dirlist=$PWD/dir.lst
+pushd %{buildroot}
+find ./ | while read _list; do
+echo $_list | grep '[0-9]\@[0-9]' || continue
+_path=$(echo $_list | sed 's/[^/]//')
+if ! ls ${_path%/*}; then
+grep -xqs "\%dir\ ${_path%/*}" $_dirlist || echo "%dir ${_path%/*}" >> 
$_dirlist
+fi
+done
+popd
+
 %post
 %desktop_database_post
 %icon_theme_cache_post
@@ -78,10 +85,9 @@
 %icon_theme_cache_postun
 %glib2_gsettings_schema_postun
 
-%files
+%files -f dir.lst
 %doc AUTHORS LICENSE README.md
 %{_bindir}/com.github.stsdc.monitor
-%dir %{_datadir}/appdata
 %{_datadir}/appdata/com.github.stsdc.monitor.appdata.xml
 %{_datadir}/applications/com.github.stsdc.monitor.desktop
 %{_datadir}/glib-2.0/schemas/com.github.stsdc.monitor.gschema.xml

++ monitor-0.3.2.tar.gz -> monitor-0.3.3.tar.gz ++
 16658 lines of diff (skipped)




commit quilter for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package quilter for openSUSE:Factory checked 
in at 2018-01-24 15:29:05

Comparing /work/SRC/openSUSE:Factory/quilter (Old)
 and  /work/SRC/openSUSE:Factory/.quilter.new (New)


Package is "quilter"

Wed Jan 24 15:29:05 2018 rev:3 rq:568119 version:1.4.6

Changes:

--- /work/SRC/openSUSE:Factory/quilter/quilter.changes  2018-01-13 
21:49:46.856106837 +0100
+++ /work/SRC/openSUSE:Factory/.quilter.new/quilter.changes 2018-01-24 
15:29:08.994163135 +0100
@@ -1,0 +2,10 @@
+Sat Jan 20 12:00:04 UTC 2018 - avvi...@yandex.by
+
+- Update to 1.4.6:
+  * 1.4.5 - update metadata files
+  * 1.4.5- even more flatpak friendly
+  * 1.4.5 - Focus only current sentence (PR #116 from wyhasany)
+  * Add focus type configuration option in Preferences window
+  * Focus only current sentence
+
+---

Old:

  quilter-1.4.4.tar.gz

New:

  quilter-1.4.6.tar.gz



Other differences:
--
++ quilter.spec ++
--- /var/tmp/diff_new_pack.8kjU1C/_old  2018-01-24 15:29:09.694130397 +0100
+++ /var/tmp/diff_new_pack.8kjU1C/_new  2018-01-24 15:29:09.698130211 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   quilter
-Version:1.4.4
+Version:1.4.6
 Release:0
 Summary:Writing application
 License:GPL-3.0

++ quilter-1.4.4.tar.gz -> quilter-1.4.6.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/quilter-1.4.4/data/com.github.lainsce.quilter.appdata.xml 
new/quilter-1.4.6/data/com.github.lainsce.quilter.appdata.xml
--- old/quilter-1.4.4/data/com.github.lainsce.quilter.appdata.xml   
2017-12-25 18:01:53.0 +0100
+++ new/quilter-1.4.6/data/com.github.lainsce.quilter.appdata.xml   
2018-01-13 16:31:11.0 +0100
@@ -24,6 +24,15 @@
 https://github.com/lainsce/quilter/
 https://github.com/lainsce/quilter/issues
 
+
+   
+   Release: Focus Mode with a Glasses Push-up
+   
+   In the Preferences, select if you want Focus Mode to 
highlight the sentence or the paragraph. (Contributed by Michał "wyhasany" 
Rowicki)
+   Add Polish translation
+   
+   
+
 

Release: Highlight Your Path
@@ -131,6 +140,5 @@
 
 #b8d2e2
 #33
-
 
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/quilter-1.4.4/data/com.github.lainsce.quilter.desktop 
new/quilter-1.4.6/data/com.github.lainsce.quilter.desktop
--- old/quilter-1.4.4/data/com.github.lainsce.quilter.desktop   2017-12-25 
18:01:53.0 +0100
+++ new/quilter-1.4.6/data/com.github.lainsce.quilter.desktop   2018-01-13 
16:31:11.0 +0100
@@ -3,6 +3,7 @@
 Comment=Focus on your writing
 Comment[pt_BR]=Foque na sua escrita
 Comment[es]=Foque en su escritura
+Comment[pl]=Skup się na pisaniu
 Exec=com.github.lainsce.quilter %U
 Icon=com.github.lainsce.quilter
 Keywords=Text;Markdown;Editor;
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/quilter-1.4.4/data/com.github.lainsce.quilter.gschema.xml 
new/quilter-1.4.6/data/com.github.lainsce.quilter.gschema.xml
--- old/quilter-1.4.4/data/com.github.lainsce.quilter.gschema.xml   
2017-12-25 18:01:53.0 +0100
+++ new/quilter-1.4.6/data/com.github.lainsce.quilter.gschema.xml   
2018-01-13 16:31:11.0 +0100
@@ -84,5 +84,9 @@
80
The margins for the Editor View
 
+
+   0
+   The type of Focus Mode
+

 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/quilter-1.4.4/debian/changelog 
new/quilter-1.4.6/debian/changelog
--- old/quilter-1.4.4/debian/changelog  2017-12-25 18:01:53.0 +0100
+++ new/quilter-1.4.6/debian/changelog  2018-01-13 16:31:11.0 +0100
@@ -1,5 +1,12 @@
 com.github.lainsce.quilter (1.4.4) xenial; urgency=low
 
+  * In the Preferences, select if you want Focus Mode to highlight the 
sentence or the paragraph. (Contributed by Michał "wyhasany" Rowicki)
+  * Add Polish translation
+
+ -- Lains   Sat, 13 Jan 2018 19:40:00 -0300
+
+com.github.lainsce.quilter (1.4.4) xenial; urgency=low
+
   * In Preview Mode, your code block now have syntax highlighting.
   * Saving Files and Opening Files are now safer, with the subtitle always 
updating accordingly.
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 

commit perl-Log-Contextual for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package perl-Log-Contextual for 
openSUSE:Factory checked in at 2018-01-24 15:29:38

Comparing /work/SRC/openSUSE:Factory/perl-Log-Contextual (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Log-Contextual.new (New)


Package is "perl-Log-Contextual"

Wed Jan 24 15:29:38 2018 rev:13 rq:568393 version:0.008001

Changes:

--- /work/SRC/openSUSE:Factory/perl-Log-Contextual/perl-Log-Contextual.changes  
2017-12-08 12:59:28.341168551 +0100
+++ 
/work/SRC/openSUSE:Factory/.perl-Log-Contextual.new/perl-Log-Contextual.changes 
2018-01-24 15:29:50.008244893 +0100
@@ -1,0 +2,9 @@
+Sat Jan 20 06:47:51 UTC 2018 - co...@suse.com
+
+- updated to 0.008001
+   see /usr/share/doc/packages/perl-Log-Contextual/Changes
+
+  0.008001  2018-01-19 09:14:55-08:00 America/Los_Angeles
+   - Ensure new slog functions are exportable (Thanks Dan Book!)
+
+---

Old:

  Log-Contextual-0.008000.tar.gz

New:

  Log-Contextual-0.008001.tar.gz



Other differences:
--
++ perl-Log-Contextual.spec ++
--- /var/tmp/diff_new_pack.3sTpJW/_old  2018-01-24 15:29:50.616216458 +0100
+++ /var/tmp/diff_new_pack.3sTpJW/_new  2018-01-24 15:29:50.620216271 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-Log-Contextual
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   perl-Log-Contextual
-Version:0.008000
+Version:0.008001
 Release:0
 %define cpan_name Log-Contextual
 Summary:Simple logging interface with a contextual log

++ Log-Contextual-0.008000.tar.gz -> Log-Contextual-0.008001.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Log-Contextual-0.008000/Changes 
new/Log-Contextual-0.008001/Changes
--- old/Log-Contextual-0.008000/Changes 2017-11-24 17:40:16.0 +0100
+++ new/Log-Contextual-0.008001/Changes 2018-01-19 18:14:57.0 +0100
@@ -1,5 +1,8 @@
 Revision history for Log-Contextual
 
+0.008001  2018-01-19 09:14:55-08:00 America/Los_Angeles
+ - Ensure new slog functions are exportable (Thanks Dan Book!)
+
 0.008000  2017-11-24 08:40:15-08:00 America/Los_Angeles
  - Add slog for logging strings without a code block
(Thanks Christian Walde!)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Log-Contextual-0.008000/LICENSE 
new/Log-Contextual-0.008001/LICENSE
--- old/Log-Contextual-0.008000/LICENSE 2017-11-24 17:40:16.0 +0100
+++ new/Log-Contextual-0.008001/LICENSE 2018-01-19 18:14:57.0 +0100
@@ -1,4 +1,4 @@
-This software is copyright (c) 2017 by Arthur Axel "fREW" Schmidt.
+This software is copyright (c) 2018 by Arthur Axel "fREW" Schmidt.
 
 This is free software; you can redistribute it and/or modify it under
 the same terms as the Perl 5 programming language system itself.
@@ -12,7 +12,7 @@
 
 --- The GNU General Public License, Version 1, February 1989 ---
 
-This software is Copyright (c) 2017 by Arthur Axel "fREW" Schmidt.
+This software is Copyright (c) 2018 by Arthur Axel "fREW" Schmidt.
 
 This is free software, licensed under:
 
@@ -272,7 +272,7 @@
 
 --- The Artistic License 1.0 ---
 
-This software is Copyright (c) 2017 by Arthur Axel "fREW" Schmidt.
+This software is Copyright (c) 2018 by Arthur Axel "fREW" Schmidt.
 
 This is free software, licensed under:
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Log-Contextual-0.008000/META.json 
new/Log-Contextual-0.008001/META.json
--- old/Log-Contextual-0.008000/META.json   2017-11-24 17:40:16.0 
+0100
+++ new/Log-Contextual-0.008001/META.json   2018-01-19 18:14:57.0 
+0100
@@ -51,7 +51,7 @@
  "web" : "https://github.com/frioux/Log-Contextual;
   }
},
-   "version" : "0.008000",
+   "version" : "0.008001",
"x_serialization_backend" : "Cpanel::JSON::XS version 3.0239"
 }
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Log-Contextual-0.008000/META.yml 
new/Log-Contextual-0.008001/META.yml
--- old/Log-Contextual-0.008000/META.yml2017-11-24 17:40:16.0 
+0100
+++ new/Log-Contextual-0.008001/META.yml2018-01-19 18:14:57.0 
+0100
@@ -23,5 +23,5 @@
   bugtracker: https://github.com/frioux/Log-Contextual/issues
   homepage: https://github.com/frioux/Log-Contextual
   repository: https://github.com/frioux/Log-Contextual.git
-version: 

commit perl-Selenium-Remote-Driver for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package perl-Selenium-Remote-Driver for 
openSUSE:Factory checked in at 2018-01-24 15:29:28

Comparing /work/SRC/openSUSE:Factory/perl-Selenium-Remote-Driver (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Selenium-Remote-Driver.new (New)


Package is "perl-Selenium-Remote-Driver"

Wed Jan 24 15:29:28 2018 rev:6 rq:568392 version:1.21

Changes:

--- 
/work/SRC/openSUSE:Factory/perl-Selenium-Remote-Driver/perl-Selenium-Remote-Driver.changes
  2017-05-31 12:19:56.898654618 +0200
+++ 
/work/SRC/openSUSE:Factory/.perl-Selenium-Remote-Driver.new/perl-Selenium-Remote-Driver.changes
 2018-01-24 15:29:42.952574887 +0100
@@ -1,0 +2,6 @@
+Sat Jan 20 07:18:29 UTC 2018 - co...@suse.com
+
+- updated to 1.21
+   see /usr/share/doc/packages/perl-Selenium-Remote-Driver/Changes
+
+---

Old:

  Selenium-Remote-Driver-1.20.tar.gz

New:

  Selenium-Remote-Driver-1.21.tar.gz



Other differences:
--
++ perl-Selenium-Remote-Driver.spec ++
--- /var/tmp/diff_new_pack.ELWYYF/_old  2018-01-24 15:29:44.632496317 +0100
+++ /var/tmp/diff_new_pack.ELWYYF/_new  2018-01-24 15:29:44.632496317 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-Selenium-Remote-Driver
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,14 +17,14 @@
 
 
 Name:   perl-Selenium-Remote-Driver
-Version:1.20
+Version:1.21
 Release:0
 %define cpan_name Selenium-Remote-Driver
 Summary:Perl Client for Selenium Remote Driver
 License:Apache-2.0
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/Selenium-Remote-Driver/
-Source0:
https://cpan.metacpan.org/authors/id/G/GE/GEMPESAW/%{cpan_name}-%{version}.tar.gz
+Source0:
https://cpan.metacpan.org/authors/id/T/TE/TEODESIAN/%{cpan_name}-%{version}.tar.gz
 Source1:cpanspec.yml
 # MANUAL
 #BuildArch: noarch
@@ -32,6 +32,7 @@
 BuildRequires:  perl
 BuildRequires:  perl-macros
 BuildRequires:  perl(Archive::Zip)
+BuildRequires:  perl(Clone)
 BuildRequires:  perl(File::Which)
 BuildRequires:  perl(HTTP::Headers)
 BuildRequires:  perl(HTTP::Request)
@@ -44,6 +45,7 @@
 BuildRequires:  perl(Moo) >= 1.005
 BuildRequires:  perl(Moo::Role)
 BuildRequires:  perl(Sub::Install)
+BuildRequires:  perl(Test::Deep)
 BuildRequires:  perl(Test::Fatal)
 BuildRequires:  perl(Test::LWP::UserAgent)
 BuildRequires:  perl(Test::LongString)
@@ -53,6 +55,7 @@
 BuildRequires:  perl(XML::Simple)
 BuildRequires:  perl(namespace::clean)
 Requires:   perl(Archive::Zip)
+Requires:   perl(Clone)
 Requires:   perl(File::Which)
 Requires:   perl(HTTP::Headers)
 Requires:   perl(HTTP::Request)
@@ -116,6 +119,7 @@
 
 %files -f %{name}.files
 %defattr(-,root,root,755)
-%doc Changes GPATH GRTAGS GTAGS ide-plugin.js README.md TAGS
+%doc Changes ide-plugin.js README README.md TAGS
+%license LICENSE
 
 %changelog

++ Selenium-Remote-Driver-1.20.tar.gz -> Selenium-Remote-Driver-1.21.tar.gz 
++
 12234 lines of diff (skipped)




commit translator for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package translator for openSUSE:Factory 
checked in at 2018-01-24 15:29:14

Comparing /work/SRC/openSUSE:Factory/translator (Old)
 and  /work/SRC/openSUSE:Factory/.translator.new (New)


Package is "translator"

Wed Jan 24 15:29:14 2018 rev:2 rq:568121 version:1.0.6

Changes:

--- /work/SRC/openSUSE:Factory/translator/translator.changes2018-01-10 
23:33:44.760026912 +0100
+++ /work/SRC/openSUSE:Factory/.translator.new/translator.changes   
2018-01-24 15:29:17.685756624 +0100
@@ -1,0 +2,11 @@
+Sat Jan 20 12:03:47 UTC 2018 - avvi...@yandex.by
+
+- Update to 1.0.6:
+  * Fix AppStream info
+  * Fix icon
+  * Serbian language; Better desktop info
+  * Merge pull request #27 from cassidyjames/patch-1
+  * Merge pull request #25 from rankovic/master
+- Add README.md
+
+---

Old:

  Translator-1.0.3.tar.gz

New:

  Translator-1.0.6.tar.gz



Other differences:
--
++ translator.spec ++
--- /var/tmp/diff_new_pack.cwy4dl/_old  2018-01-24 15:29:18.269729312 +0100
+++ /var/tmp/diff_new_pack.cwy4dl/_new  2018-01-24 15:29:18.273729125 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   translator
-Version:1.0.3
+Version:1.0.6
 Release:0
 Summary:Translation program
 License:GPL-3.0+
@@ -75,14 +75,14 @@
 %desktop_database_postun
 
 %files
-%doc COPYING
+%doc COPYING README.md 
 %{_bindir}/com.github.rapidfingers.translator
 %dir %{_datadir}/appdata
 %{_datadir}/appdata/com.github.rapidfingers.translator.appdata.xml
 %{_datadir}/applications/com.github.rapidfingers.translator.desktop
 %{_datadir}/com.github.rapidfingers.translator/
 %{_datadir}/glib-2.0/schemas/com.github.rapidfingers.translator.gschema.xml
-%{_datadir}/icons/hicolor/*/apps/translator.??g
+%{_datadir}/icons/hicolor/*/apps/com.github.rapidfingers.translator.??g
 
 %files lang -f %{name}.lang
 

++ Translator-1.0.3.tar.gz -> Translator-1.0.6.tar.gz ++
 1889 lines of diff (skipped)




commit perl-DBIx-Class-DeploymentHandler for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package perl-DBIx-Class-DeploymentHandler 
for openSUSE:Factory checked in at 2018-01-24 15:29:43

Comparing /work/SRC/openSUSE:Factory/perl-DBIx-Class-DeploymentHandler (Old)
 and  /work/SRC/openSUSE:Factory/.perl-DBIx-Class-DeploymentHandler.new 
(New)


Package is "perl-DBIx-Class-DeploymentHandler"

Wed Jan 24 15:29:43 2018 rev:9 rq:568394 version:0.00

Changes:

--- 
/work/SRC/openSUSE:Factory/perl-DBIx-Class-DeploymentHandler/perl-DBIx-Class-DeploymentHandler.changes
  2017-10-20 14:47:04.224876918 +0200
+++ 
/work/SRC/openSUSE:Factory/.perl-DBIx-Class-DeploymentHandler.new/perl-DBIx-Class-DeploymentHandler.changes
 2018-01-24 15:29:51.000198499 +0100
@@ -1,0 +2,10 @@
+Tue Jan  9 06:14:32 UTC 2018 - co...@suse.com
+
+- updated to 0.00
+   see /usr/share/doc/packages/perl-DBIx-Class-DeploymentHandler/Changes
+
+  0.00  2018-01-06 10:25:42-08:00 America/Los_Angeles
+   - Stop defaulting to include DROP TABLE, introduced by fix in prior release
+ (Fixes GH#59, thanks for the report Eugen Konkov!)
+
+---

Old:

  DBIx-Class-DeploymentHandler-0.002221.tar.gz

New:

  DBIx-Class-DeploymentHandler-0.00.tar.gz



Other differences:
--
++ perl-DBIx-Class-DeploymentHandler.spec ++
--- /var/tmp/diff_new_pack.hBaqHN/_old  2018-01-24 15:29:51.820160149 +0100
+++ /var/tmp/diff_new_pack.hBaqHN/_new  2018-01-24 15:29:51.824159962 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-DBIx-Class-DeploymentHandler
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,14 +17,14 @@
 
 
 Name:   perl-DBIx-Class-DeploymentHandler
-Version:0.002221
+Version:0.00
 Release:0
 %define cpan_name DBIx-Class-DeploymentHandler
 Summary:Extensible DBIx::Class deployment
 License:Artistic-1.0 or GPL-1.0+
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/DBIx-Class-DeploymentHandler/
-Source0:
https://cpan.metacpan.org/authors/id/M/MM/MMCCLIMON/%{cpan_name}-%{version}.tar.gz
+Source0:
https://cpan.metacpan.org/authors/id/F/FR/FREW/%{cpan_name}-%{version}.tar.gz
 Source1:cpanspec.yml
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build

++ DBIx-Class-DeploymentHandler-0.002221.tar.gz -> 
DBIx-Class-DeploymentHandler-0.00.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/DBIx-Class-DeploymentHandler-0.002221/Changes 
new/DBIx-Class-DeploymentHandler-0.00/Changes
--- old/DBIx-Class-DeploymentHandler-0.002221/Changes   2017-09-28 
03:19:50.0 +0200
+++ new/DBIx-Class-DeploymentHandler-0.00/Changes   2018-01-06 
19:25:45.0 +0100
@@ -1,5 +1,9 @@
 Revision history for DBIx-Class-DeploymentHandler
 
+0.00  2018-01-06 10:25:42-08:00 America/Los_Angeles
+ - Stop defaulting to include DROP TABLE, introduced by fix in prior release
+   (Fixes GH#59, thanks for the report Eugen Konkov!)
+
 0.002221  2017-09-27 21:19:42-04:00 America/New_York
  - Allow easy changing the version storage table name, which makes subclassing
much less painful (Thanks Andrew Gregory!)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/DBIx-Class-DeploymentHandler-0.002221/LICENSE 
new/DBIx-Class-DeploymentHandler-0.00/LICENSE
--- old/DBIx-Class-DeploymentHandler-0.002221/LICENSE   2017-09-28 
03:19:50.0 +0200
+++ new/DBIx-Class-DeploymentHandler-0.00/LICENSE   2018-01-06 
19:25:45.0 +0100
@@ -1,4 +1,4 @@
-This software is copyright (c) 2017 by Arthur Axel "fREW" Schmidt.
+This software is copyright (c) 2018 by Arthur Axel "fREW" Schmidt.
 
 This is free software; you can redistribute it and/or modify it under
 the same terms as the Perl 5 programming language system itself.
@@ -12,7 +12,7 @@
 
 --- The GNU General Public License, Version 1, February 1989 ---
 
-This software is Copyright (c) 2017 by Arthur Axel "fREW" Schmidt.
+This software is Copyright (c) 2018 by Arthur Axel "fREW" Schmidt.
 
 This is free software, licensed under:
 
@@ -272,7 +272,7 @@
 
 --- The Artistic License 1.0 ---
 
-This software is Copyright (c) 2017 by Arthur Axel "fREW" Schmidt.
+This software is Copyright (c) 2018 by Arthur Axel "fREW" Schmidt.
 
 This is free software, licensed under:
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 

commit perl-Encode for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package perl-Encode for openSUSE:Factory 
checked in at 2018-01-24 15:29:22

Comparing /work/SRC/openSUSE:Factory/perl-Encode (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Encode.new (New)


Package is "perl-Encode"

Wed Jan 24 15:29:22 2018 rev:2 rq:568391 version:2.94

Changes:

--- /work/SRC/openSUSE:Factory/perl-Encode/perl-Encode.changes  2017-10-09 
19:48:00.036165510 +0200
+++ /work/SRC/openSUSE:Factory/.perl-Encode.new/perl-Encode.changes 
2018-01-24 15:29:28.897232259 +0100
@@ -1,0 +2,6 @@
+Wed Jan 10 06:22:38 UTC 2018 - co...@suse.com
+
+- updated to 2.94
+   see /usr/share/doc/packages/perl-Encode/Changes
+
+---

Old:

  Encode-2.93.tar.gz

New:

  Encode-2.94.tar.gz



Other differences:
--
++ perl-Encode.spec ++
--- /var/tmp/diff_new_pack.KD2L35/_old  2018-01-24 15:29:29.417207940 +0100
+++ /var/tmp/diff_new_pack.KD2L35/_new  2018-01-24 15:29:29.421207752 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-Encode
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   perl-Encode
-Version:2.93
+Version:2.94
 Release:0
 %define cpan_name Encode
 Summary:Character Encodings in Perl

++ Encode-2.93.tar.gz -> Encode-2.94.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Encode-2.93/Changes new/Encode-2.94/Changes
--- old/Encode-2.93/Changes 2017-10-07 00:21:58.0 +0200
+++ new/Encode-2.94/Changes 2018-01-09 06:53:04.0 +0100
@@ -1,8 +1,20 @@
 # Revision history for Perl extension Encode.
 #
-# $Id: Changes,v 2.93 2017/10/06 22:21:53 dankogai Exp dankogai $
+# $Id: Changes,v 2.94 2018/01/09 05:53:00 dankogai Exp dankogai $
 #
-$Revision: 2.93 $ $Date: 2017/10/06 22:21:53 $
+$Revision: 2.94 $ $Date: 2018/01/09 05:53:00 $
+! lib/Encode/Alias.pm
+  Fixed: deep recursion in Encode::find_encoding when decoding
+  bad MIME header
+  https://github.com/dankogai/p5-encode/pull/127
+! Encode.pm
+  Pulled: Include more information about Encode::is_utf8() that it
+  should not be normally used
+  https://github.com/dankogai/p5-encode/pull/126
+  Pulled: Remove misleading documentation about UTF8 flag
+  https://github.com/dankogai/p5-encode/pull/125
+
+2.93 2017/10/06 22:21:53
 ! lib/Encode/MIME/Name.pm t/mime-name.t
   Pulled: Add "euc-cn" => "EUC-CN" alias to Encode::MIME::Name
   https://github.com/dankogai/p5-encode/pull/124
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Encode-2.93/Encode.pm new/Encode-2.94/Encode.pm
--- old/Encode-2.93/Encode.pm   2017-10-07 00:21:58.0 +0200
+++ new/Encode-2.94/Encode.pm   2018-01-09 06:53:09.0 +0100
@@ -1,5 +1,5 @@
 #
-# $Id: Encode.pm,v 2.93 2017/10/06 22:21:33 dankogai Exp $
+# $Id: Encode.pm,v 2.94 2018/01/09 05:53:00 dankogai Exp dankogai $
 #
 package Encode;
 use strict;
@@ -7,7 +7,7 @@
 use constant DEBUG => !!$ENV{PERL_ENCODE_DEBUG};
 our $VERSION;
 BEGIN {
-$VERSION = sprintf "%d.%02d", q$Revision: 2.93 $ =~ /(\d+)/g;
+$VERSION = sprintf "%d.%02d", q$Revision: 2.94 $ =~ /(\d+)/g;
 require XSLoader;
 XSLoader::load( __PACKAGE__, $VERSION );
 }
@@ -949,38 +949,11 @@
 byte-oriented mode  for when the internal UTF8 flag is off, and the other a
 character-oriented mode for when the internal UTF8 flag is on.
 
-Here is how C handles the UTF8 flag.
-
-=over 2
-
-=item *
-
-When you I, the resulting UTF8 flag is always B.
-
-=item *
-
-When you I, the resulting UTF8 flag is B--I you can
-unambiguously represent data.  Here is what we mean by "unambiguously".
-After C<$str = decode("foo", $octet)>,
-
-  When $octet is...The UTF8 flag in $str is
-  -
-  In ASCII only (or EBCDIC only)OFF
-  In ISO-8859-1  ON
-  In any other Encoding  ON
-  -
-
-As you see, there is one exception: in ASCII.  That way you can assume
-Goal #1.  And with C, Goal #2 is assumed but you still have to be
-careful in the cases mentioned in the B paragraphs above.
-
 This UTF8 flag is not visible in Perl scripts, exactly for the same reason
 you cannot (or rather, you I) see whether a scalar contains
 a string, an integer, or a floating-point number.   But you can still peek
 and poke these if you will.  See the 

commit fritzing for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package fritzing for openSUSE:Factory 
checked in at 2018-01-24 15:28:51

Comparing /work/SRC/openSUSE:Factory/fritzing (Old)
 and  /work/SRC/openSUSE:Factory/.fritzing.new (New)


Package is "fritzing"

Wed Jan 24 15:28:51 2018 rev:22 rq:567967 version:0.9.3b

Changes:

--- /work/SRC/openSUSE:Factory/fritzing/fritzing.changes2017-02-08 
11:04:19.127657023 +0100
+++ /work/SRC/openSUSE:Factory/.fritzing.new/fritzing.changes   2018-01-24 
15:28:56.330755412 +0100
@@ -1,0 +2,5 @@
+Sun Jan 21 10:39:43 UTC 2018 - b...@vdm-design.de
+
+- update parameters of %%suse_update_desktop_file
+
+---



Other differences:
--
++ fritzing.spec ++
--- /var/tmp/diff_new_pack.cak3OZ/_old  2018-01-24 15:28:57.574697232 +0100
+++ /var/tmp/diff_new_pack.cak3OZ/_new  2018-01-24 15:28:57.578697045 +0100
@@ -88,7 +88,7 @@
 sed -i '/Version=/d' fritzing.desktop
 sed -i '/Categories=/d' fritzing.desktop
 sed -i 's/icons\/fritzing_icon.png/fritzing/g' fritzing.desktop
-%suse_update_desktop_file --install --reset %name Development IDE
+%suse_update_desktop_file -i -r %name Development IDE
 find %{buildroot}%{_datadir}/%{name}/ -type f -exec chmod -x {} \;
 rm -rf %{buildroot}%{_datadir}/%{name}/parts
 %fdupes %{buildroot}%{_datadir}/%{name}/sketches




commit libtpms for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package libtpms for openSUSE:Factory checked 
in at 2018-01-24 15:29:18

Comparing /work/SRC/openSUSE:Factory/libtpms (Old)
 and  /work/SRC/openSUSE:Factory/.libtpms.new (New)


Package is "libtpms"

Wed Jan 24 15:29:18 2018 rev:4 rq:568220 version:0.6.0

Changes:

--- /work/SRC/openSUSE:Factory/libtpms/libtpms.changes  2015-03-23 
12:18:59.0 +0100
+++ /work/SRC/openSUSE:Factory/.libtpms.new/libtpms.changes 2018-01-24 
15:29:18.493718836 +0100
@@ -1,0 +2,8 @@
+Wed Jan 17 12:05:51 UTC 2018 - vci...@suse.com
+
+- Update to version 0.6.0-dev1
+  * no upstream changelog
+  * fix build with openssl 1.1 (bsc#1074801)
+- fix rpm group
+
+---

Old:

  v0.5.2.tar.gz

New:

  v0.6.0-dev1.tar.gz



Other differences:
--
++ libtpms.spec ++
--- /var/tmp/diff_new_pack.TZTqNy/_old  2018-01-24 15:29:20.061645504 +0100
+++ /var/tmp/diff_new_pack.TZTqNy/_new  2018-01-24 15:29:20.065645316 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package libtpms
 #
-# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -15,48 +15,47 @@
 # Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
-%define lname libtpms0
 
+%define lname libtpms0
 Name:   libtpms
-Version:0.5.2
+Version:0.6.0
 Release:0
 Summary:Library providing Trusted Platform Module (TPM) functionality
 License:BSD-3-Clause
-Group:  Development/Libraries
+Group:  Development/Libraries/C and C++
 Url:https://github.com/stefanberger/libtpms
-Source0:
https://github.com/stefanberger/libtpms/archive/v%{version}.tar.gz
+Source0:
https://github.com/stefanberger/libtpms/archive/v%{version}-dev1.tar.gz
 BuildRequires:  autoconf
 BuildRequires:  automake
 BuildRequires:  libtool
 BuildRequires:  mozilla-nspr-devel
 BuildRequires:  openssl-devel
-BuildRequires:  pkg-config
+BuildRequires:  pkgconfig
 
 %description
 A library providing TPM functionality for VMs. Targeted for integration
 into Qemu.
 
-%package -n %lname
+%package -n %{lname}
 Summary:Library providing Trusted Platform Module (TPM) functionality
-License:BSD-3-Clause
-Group:  Development/Libraries
+Group:  Development/Libraries/C and C++
 
-%description -n %lname
+%description -n %{lname}
 A library providing TPM functionality for VMs. Targeted for integration
 into Qemu.
 
 %packagedevel
 Summary:Include files for libtpms
-Group:  Development/Libraries
+Group:  Development/Libraries/C and C++
 Requires:   %{lname} = %{version}
-Requires:   libopenssl-devel mozilla-nspr-devel
+Requires:   libopenssl-devel
+Requires:   mozilla-nspr-devel
 
 %description   devel
 Libtpms header files and documentation.
 
-
 %prep
-%setup -q
+%setup -q -n libtpms-%{version}-dev1
 
 %build
 ./bootstrap.sh
@@ -67,27 +66,24 @@
 make %{?_smp_mflags}
 
 %check
-make check
+make %{?_smp_mflags} check
 
 %install
-install -d -m 0755 $RPM_BUILD_ROOT%{_libdir}
-install -d -m 0755 $RPM_BUILD_ROOT%{_includedir}/libtpms
-install -d -m 0755 $RPM_BUILD_ROOT%{_mandir}/man3
-
-make %{?_smp_mflags} install DESTDIR=${RPM_BUILD_ROOT}
+install -d -m 0755 %{buildroot}%{_libdir}
+install -d -m 0755 %{buildroot}%{_includedir}/libtpms
+install -d -m 0755 %{buildroot}%{_mandir}/man3
 
-%post -n %lname -p /sbin/ldconfig
+%make_install
 
-%postun -n %lname -p /sbin/ldconfig
+%post -n %{lname} -p /sbin/ldconfig
+%postun -n %{lname} -p /sbin/ldconfig
 
-%files -n %lname
-%defattr(-, root, root, -)
+%files -n %{lname}
 %doc LICENSE README CHANGES
 %{_libdir}/%{name}.so.%{version}
 %{_libdir}/%{name}.so.0
 
 %files devel
-%defattr(-, root, root, -)
 %{_libdir}/%{name}.so
 %{_libdir}/%{name}.la
 %dir %{_includedir}/%{name}




commit markmywords for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package markmywords for openSUSE:Factory 
checked in at 2018-01-24 15:29:03

Comparing /work/SRC/openSUSE:Factory/markmywords (Old)
 and  /work/SRC/openSUSE:Factory/.markmywords.new (New)


Package is "markmywords"

Wed Jan 24 15:29:03 2018 rev:2 rq:568118 version:0.1.1

Changes:

--- /work/SRC/openSUSE:Factory/markmywords/markmywords.changes  2018-01-13 
21:44:12.831678378 +0100
+++ /work/SRC/openSUSE:Factory/.markmywords.new/markmywords.changes 
2018-01-24 15:29:03.734409137 +0100
@@ -1,0 +2,8 @@
+Fri Jan 19 23:45:10 UTC 2018 - avvi...@yandex.by
+
+- Add new tarball with same version and with the new name
+- Remove ldconfig from postscriptlet
+- Add icons to hicolor
+- Spec file cleanup 
+
+---

Old:

  v0.1.1.tar.gz

New:

  MarkMyWords-0.1.1.tar.gz



Other differences:
--
++ markmywords.spec ++
--- /var/tmp/diff_new_pack.rsL4W2/_old  2018-01-24 15:29:04.26238 +0100
+++ /var/tmp/diff_new_pack.rsL4W2/_new  2018-01-24 15:29:04.266384256 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package markmywords
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -22,8 +22,8 @@
 Summary:Markdown editor
 License:MIT
 Group:  Productivity/File utilities
-Url:https://github.com/voldyman/MarkMyWords
-Source: 
https://github.com/voldyman/MarkMyWords/archive/v%{version}.tar.gz
+URL:https://github.com/voldyman/MarkMyWords
+Source: 
https://github.com/voldyman/MarkMyWords/archive/v%{version}.tar.gz#/MarkMyWords-%{version}.tar.gz
 BuildRequires:  cmake
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
@@ -36,7 +36,6 @@
 BuildRequires:  pkgconfig(gtksourceview-3.0)
 BuildRequires:  pkgconfig(webkit2gtk-4.0)
 Recommends: %{name}-lang
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
 A minimal markdown editor.
@@ -50,27 +49,30 @@
 
 %install
 %cmake_install
+
+install -d %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
+mv 
%{buildroot}%{_datadir}/{pixmaps,icons/hicolor/scalable/apps}/mark-my-words.svg
+
 %fdupes %{buildroot}%{_datadir}
 
+%if 0%{?suse_version} < 1320
 %post
 %glib2_gsettings_schema_post
 %desktop_database_post
 %icon_theme_cache_post
-/sbin/ldconfig
 
 %postun
 %glib2_gsettings_schema_postun
 %desktop_database_postun
 %icon_theme_cache_postun
-/sbin/ldconfig
+%endif
 
 %files
-%defattr(-,root,root)
 %doc LICENSE README.md
 %{_bindir}/mark-my-words
 %{_datadir}/applications/mark-my-words.desktop
+%{_datadir}/icons/hicolor/scalable/apps/mark-my-words.svg
 %{_datadir}/mark-my-words/
-%{_datadir}/pixmaps/mark-my-words.svg
 %{_datadir}/glib-2.0/schemas/org.markmywords.gschema.xml
 %dir %{_datadir}/metainfo/
 %{_datadir}/metainfo/com.github.voldyman.markmywords.appdata.xml




commit eiciel for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package eiciel for openSUSE:Factory checked 
in at 2018-01-24 15:29:00

Comparing /work/SRC/openSUSE:Factory/eiciel (Old)
 and  /work/SRC/openSUSE:Factory/.eiciel.new (New)


Package is "eiciel"

Wed Jan 24 15:29:00 2018 rev:40 rq:568070 version:0.9.12.1

Changes:

--- /work/SRC/openSUSE:Factory/eiciel/eiciel.changes2017-08-16 
16:18:22.750090391 +0200
+++ /work/SRC/openSUSE:Factory/.eiciel.new/eiciel.changes   2018-01-24 
15:29:02.498466943 +0100
@@ -1,0 +2,16 @@
+Wed Jan 17 01:59:58 UTC 2018 - luc1...@linuxmail.org
+
+- Update to version 0.9.12.1:
+  + Fix desktop file.
+- Changes from version 0.9.12:
+  + Updates for better integration with AppStream.
+- Adopt the use of %make_install rather than raw make command,
+  following the best practices.
+- Point fdupes to the data directory instead of the build root,
+  which is a practice that must be avoided.
+- Conditionalize translation-update-upstream BuildRequires use as
+  it's a SLE-only requirement.
+- Drop intltool BuildRequires: since upstream migrated to Gettext
+  it's no longer needed anymore.
+
+---

Old:

  eiciel-0.9.11.tar.bz2

New:

  eiciel-0.9.12.1.tar.bz2



Other differences:
--
++ eiciel.spec ++
--- /var/tmp/diff_new_pack.nFgDJs/_old  2018-01-24 15:29:03.230432709 +0100
+++ /var/tmp/diff_new_pack.nFgDJs/_new  2018-01-24 15:29:03.234432522 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package eiciel
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,25 +17,27 @@
 
 
 %define _libnautilus_extensiondir %(pkg-config --variable extensiondir 
libnautilus-extension)
+
 Name:   eiciel
-Version:0.9.11
+Version:0.9.12.1
 Release:0
 Summary:GNOME ACL viewer and editor
 License:GPL-2.0+
 Group:  System/GUI/GNOME
 Url:http://rofi.roger-ferrer.org/eiciel/
-Source: 
http://rofi.roger-ferrer.org/eiciel/download/%{name}-%{version}.tar.bz2
+Source: 
http://rofi.roger-ferrer.org/eiciel/files/%{name}-%{version}.tar.bz2
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
-BuildRequires:  intltool
 BuildRequires:  libacl-devel
 BuildRequires:  libattr-devel
+%if !0%{?is_opensuse}
 BuildRequires:  translation-update-upstream
+%endif
 BuildRequires:  update-desktop-files
+BuildRequires:  pkgconfig(gtkmm-3.0) >= 3.0.0
+BuildRequires:  pkgconfig(libnautilus-extension) >= 3.0.0
 Recommends: %{name}-lang
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-BuildRequires:  pkgconfig(gtkmm-3.0)
-BuildRequires:  pkgconfig(libnautilus-extension) >= 3.0.0
 
 %description
 Eiciel allows you to visually edit file ACL entries. You can add and
@@ -55,7 +57,9 @@
 
 %prep
 %setup -q
+%if !0%{?is_opensuse}
 translation-update-upstream
+%endif
 
 %build
 %configure \
@@ -63,11 +67,11 @@
 make %{?_smp_mflags}
 
 %install
-make DESTDIR=%{buildroot} install %{?_smp_mflags}
+%make_install
 %find_lang %{name} %{?no_lang_C}
 find %{buildroot} -type f -name "*.la" -delete -print
-%suse_update_desktop_file -r eiciel System Filesystem
-%fdupes -s %{buildroot}
+%suse_update_desktop_file -r org.roger-ferrer.Eiciel System Filesystem
+%fdupes %{buildroot}%{_datadir}
 
 %files
 %defattr (-, root, root)
@@ -77,18 +81,18 @@
 %dir %{_datadir}/gnome/help/%{name}/
 %doc %{_datadir}/gnome/help/%{name}/C/
 %{_bindir}/eiciel
-%doc %{_mandir}/man1/eiciel.1.gz
-%dir %{_datadir}/appdata
-%{_datadir}/appdata/eiciel.appdata.xml
-%{_datadir}/applications/eiciel.desktop
+%doc %{_mandir}/man1/eiciel.1%{?ext_man}
+%{_datadir}/applications/org.roger-ferrer.Eiciel.desktop
 %{_datadir}/eiciel/
 %{_datadir}/icons/hicolor/*/apps/eiciel.*
-
-%files lang -f %{name}.lang
-%defattr(-,root,root)
+%dir %{_datadir}/metainfo
+%{_datadir}/metainfo/org.roger-ferrer.Eiciel.appdata.xml
 
 %files -n nautilus-eiciel
 %defattr (-, root, root)
 %{_libnautilus_extensiondir}/libeiciel-nautilus.so
 
+%files lang -f %{name}.lang
+%defattr(-,root,root)
+
 %changelog

++ eiciel-0.9.11.tar.bz2 -> eiciel-0.9.12.1.tar.bz2 ++
 27988 lines of diff (skipped)




commit python-cursive for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-cursive for openSUSE:Factory 
checked in at 2018-01-24 15:28:55

Comparing /work/SRC/openSUSE:Factory/python-cursive (Old)
 and  /work/SRC/openSUSE:Factory/.python-cursive.new (New)


Package is "python-cursive"

Wed Jan 24 15:28:55 2018 rev:3 rq:568046 version:0.2.1

Changes:

--- /work/SRC/openSUSE:Factory/python-cursive/python-cursive.changes
2017-04-06 11:03:13.998398809 +0200
+++ /work/SRC/openSUSE:Factory/.python-cursive.new/python-cursive.changes   
2018-01-24 15:28:57.754688813 +0100
@@ -1,0 +2,17 @@
+Mon Jan 22 06:31:00 UTC 2018 - tbecht...@suse.com
+
+- Fix python3 test execution
+
+---
+Tue Jan 16 05:58:01 UTC 2018 - tbecht...@suse.com
+
+- update to 0.2.1:
+  * Add mock to test-requirements
+  * Uncaught ManagedObjectNotFoundError exception leads to 500 error
+  * Add certificate validation
+- add 0001-Cleanup-requirements.txt.patch
+  remove unneeded requirements
+- 0001-Use-openstackdocstheme-for-docs-and-release-notes.patch
+  switch to openstackdocstheme instead of oslosphinx
+
+---

Old:

  cursive-0.1.2.tar.gz

New:

  0001-Cleanup-requirements.txt.patch
  0001-Use-openstackdocstheme-for-docs-and-release-notes.patch
  cursive-0.2.1.tar.gz



Other differences:
--
++ python-cursive.spec ++
--- /var/tmp/diff_new_pack.yKzY2t/_old  2018-01-24 15:28:58.542651960 +0100
+++ /var/tmp/diff_new_pack.yKzY2t/_new  2018-01-24 15:28:58.546651773 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-cursive
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,47 +16,49 @@
 #
 
 
+%{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-cursive
-Version:0.1.2
+Version:0.2.1
 Release:0
 Summary:Cursive implements OpenStack-specific validation of digital 
signatures
 License:Apache-2.0
 Group:  Development/Languages/Python
 Url:http://www.openstack.org/
 Source: 
https://pypi.io/packages/source/c/cursive/cursive-%{version}.tar.gz
-BuildRequires:  python-castellan >= 0.4.0
-BuildRequires:  python-cryptography >= 1.0
-BuildRequires:  python-devel
-BuildRequires:  python-lxml >= 2.3
-BuildRequires:  python-netifaces >= 0.10.4
-BuildRequires:  python-oslo.i18n >= 2.1.0
-BuildRequires:  python-oslo.serialization >= 1.10.0
-BuildRequires:  python-oslo.utils >= 3.16.0
-BuildRequires:  python-pbr >= 1.6
-BuildRequires:  python-setuptools
-BuildRequires:  python-six >= 1.9.0
+# PATCH-FEATURE-UPSTREAM 0001-Cleanup-requirements.txt.patch -- 
https://review.openstack.org/#/c/534100/
+Patch0: 0001-Cleanup-requirements.txt.patch
+# PATCH-FEATURE-UPSTREAM 
0001-Use-openstackdocstheme-for-docs-and-release-notes.patch -- 
https://review.openstack.org/#/c/534110/
+Patch1: 0001-Use-openstackdocstheme-for-docs-and-release-notes.patch
+BuildRequires:  %{python_module castellan >= 0.4.0}
+BuildRequires:  %{python_module cryptography >= 1.0}
+BuildRequires:  %{python_module devel}
+BuildRequires:  %{python_module oslo.i18n >= 2.1.0}
+BuildRequires:  %{python_module oslo.serialization >= 1.10.0}
+BuildRequires:  %{python_module oslo.utils >= 3.16.0}
+BuildRequires:  %{python_module pbr >= 1.6}
+BuildRequires:  %{python_module setuptools}
+BuildRequires:  python-rpm-macros
 # test requirements
-BuildRequires:  python-oslosphinx >= 2.5.0
-BuildRequires:  python-oslotest >= 1.10.0
-BuildRequires:  python-python-subunit >= 0.0.18
-BuildRequires:  python-reno >= 1.8.0
-BuildRequires:  python-sphinx >= 1.2.1
-BuildRequires:  python-testrepository >= 0.0.18
-BuildRequires:  python-testscenarios >= 0.4
-BuildRequires:  python-testtools >= 1.4.0
+BuildRequires:  %{python_module Sphinx >= 1.2.1}
+BuildRequires:  %{python_module openstackdocstheme}
+BuildRequires:  %{python_module oslotest >= 1.10.0}
+BuildRequires:  %{python_module python-subunit >= 0.0.18}
+BuildRequires:  %{python_module reno >= 1.8.0}
+BuildRequires:  %{python_module testrepository >= 0.0.18}
+BuildRequires:  %{python_module testscenarios >= 0.4}
+BuildRequires:  %{python_module testtools >= 1.4.0}
 Requires:   python-castellan >= 0.4.0
 Requires:   python-cryptography >= 1.0
-Requires:   python-lxml >= 2.3
-Requires:   python-netifaces >= 0.10.4
 Requires:   python-oslo.i18n >= 2.1.0
 Requires:   python-oslo.log >= 1.14.0
 Requires:   

commit qutebrowser for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package qutebrowser for openSUSE:Factory 
checked in at 2018-01-24 15:28:44

Comparing /work/SRC/openSUSE:Factory/qutebrowser (Old)
 and  /work/SRC/openSUSE:Factory/.qutebrowser.new (New)


Package is "qutebrowser"

Wed Jan 24 15:28:44 2018 rev:14 rq:567918 version:1.1.1

Changes:

--- /work/SRC/openSUSE:Factory/qutebrowser/qutebrowser.changes  2018-01-17 
21:57:07.198564237 +0100
+++ /work/SRC/openSUSE:Factory/.qutebrowser.new/qutebrowser.changes 
2018-01-24 15:28:55.166809851 +0100
@@ -1,0 +2,7 @@
+Sat Jan 20 18:51:40 UTC 2018 - 9@cirno.systems
+
+- Update to version 1.1.1:
+  * Fixed crashes with Qt 5.10 when closing a tab before it
+finished loading.
+
+---

Old:

  qutebrowser-1.1.0.tar.gz
  qutebrowser-1.1.0.tar.gz.asc

New:

  qutebrowser-1.1.1.tar.gz
  qutebrowser-1.1.1.tar.gz.asc



Other differences:
--
++ qutebrowser.spec ++
--- /var/tmp/diff_new_pack.YkUG1b/_old  2018-01-24 15:28:55.866777113 +0100
+++ /var/tmp/diff_new_pack.YkUG1b/_new  2018-01-24 15:28:55.866777113 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   qutebrowser
-Version:1.1.0
+Version:1.1.1
 Release:0
 Summary:Keyboard-driven vim-like browser on Qt5
 License:GPL-3.0+

++ qutebrowser-1.1.0.tar.gz -> qutebrowser-1.1.1.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/qutebrowser-1.1.0/PKG-INFO 
new/qutebrowser-1.1.1/PKG-INFO
--- old/qutebrowser-1.1.0/PKG-INFO  2018-01-15 19:42:55.0 +0100
+++ new/qutebrowser-1.1.1/PKG-INFO  2018-01-20 19:23:49.0 +0100
@@ -1,6 +1,6 @@
 Metadata-Version: 1.2
 Name: qutebrowser
-Version: 1.1.0
+Version: 1.1.1
 Summary: A keyboard-driven, vim-like browser based on PyQt5.
 Home-page: https://www.qutebrowser.org/
 Author: Florian Bruhin
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/qutebrowser-1.1.0/doc/changelog.asciidoc 
new/qutebrowser-1.1.1/doc/changelog.asciidoc
--- old/qutebrowser-1.1.0/doc/changelog.asciidoc2018-01-15 
19:28:51.0 +0100
+++ new/qutebrowser-1.1.1/doc/changelog.asciidoc2018-01-20 
19:21:51.0 +0100
@@ -15,6 +15,15 @@
 // `Fixed` for any bug fixes.
 // `Security` to invite users to upgrade in case of vulnerabilities.
 
+v1.1.1
+--
+
+Fixed
+~
+
+- The Makefile now actually works.
+- Fixed crashes with Qt 5.10 when closing a tab before it finished loading.
+
 v1.1.0
 --
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/qutebrowser-1.1.0/doc/qutebrowser.1 
new/qutebrowser-1.1.1/doc/qutebrowser.1
--- old/qutebrowser-1.1.0/doc/qutebrowser.1 1970-01-01 01:00:00.0 
+0100
+++ new/qutebrowser-1.1.1/doc/qutebrowser.1 2018-01-20 19:23:48.0 
+0100
@@ -0,0 +1,313 @@
+'\" t
+.\" Title: qutebrowser
+.\"Author: [see the "AUTHOR" section]
+.\" Generator: DocBook XSL Stylesheets vsnapshot 
+.\"  Date: 01/20/2018
+.\"Manual: qutebrowser manpage
+.\"Source: qutebrowser
+.\"  Language: English
+.\"
+.TH "QUTEBROWSER" "1" "01/20/2018" "qutebrowser" "qutebrowser manpage"
+.\" -
+.\" * Define some portability stuff
+.\" -
+.\" ~
+.\" http://bugs.debian.org/507673
+.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
+.\" ~
+.ie \n(.g .ds Aq \(aq
+.el   .ds Aq '
+.\" -
+.\" * set default formatting
+.\" -
+.\" disable hyphenation
+.nh
+.\" disable justification (adjust text to left margin only)
+.ad l
+.\" -
+.\" * MAIN CONTENT STARTS HERE *
+.\" -
+.SH "NAME"
+qutebrowser \- a keyboard\-driven, vim\-like browser based on PyQt5\&.
+.SH "SYNOPSIS"
+.sp
+\fBqutebrowser\fR [\fI\-OPTION\fR [\fI\&...\fR]] [\fI:COMMAND\fR 
[\fI\&...\fR]] [\fIURL\fR [\fI\&...\fR]]
+.SH "DESCRIPTION"
+.sp
+qutebrowser is a keyboard\-focused browser with a minimal GUI\&. It\(cqs based 
on Python and Qt5 and is free software, licensed under the GPL\&.
+.sp
+It was inspired by other browsers/addons like dwb and Vimperator/Pentadactyl\&.
+.sp
+Note the commands and settings of qutebrowser are not described in this 

commit opae for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package opae for openSUSE:Factory checked in 
at 2018-01-24 15:28:31

Comparing /work/SRC/openSUSE:Factory/opae (Old)
 and  /work/SRC/openSUSE:Factory/.opae.new (New)


Package is "opae"

Wed Jan 24 15:28:31 2018 rev:3 rq:567761 version:0.13.0

Changes:

--- /work/SRC/openSUSE:Factory/opae/opae.changes2017-09-13 
22:37:57.831166809 +0200
+++ /work/SRC/openSUSE:Factory/.opae.new/opae.changes   2018-01-24 
15:28:44.447311212 +0100
@@ -1,0 +2,8 @@
+Fri Jan 19 10:03:15 UTC 2018 - nmoreychaisemar...@suse.com
+
+- Update to opae 0.13.0
+  * No release notes available
+- Refresh opae-fix-cmake-paths.patch and opae-missing-shebang.patch
+  to the lastest sources
+
+---

Old:

  opae-0.9.0.0.55041b8.tar.bz2

New:

  opae-0.13.0.0.c83632afa605.tar.bz2



Other differences:
--
++ opae.spec ++
--- /var/tmp/diff_new_pack.XhlnYI/_old  2018-01-24 15:28:45.159277912 +0100
+++ /var/tmp/diff_new_pack.XhlnYI/_new  2018-01-24 15:28:45.163277725 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package opae
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,11 +16,12 @@
 #
 
 
-%define git_ver .0.55041b8
-%define lib_major 0
+%define git_ver .0.c83632afa605
+%define lib_opae_major 0
+%define lib_hssi_major 0
 
 Name:   opae
-Version:0.9.0
+Version:0.13.0
 Release:0
 Summary:Open Programmable Acceleration Engine
 License:Intel or MIT
@@ -41,7 +42,8 @@
 BuildRequires:  ncurses-devel
 #Currently *only* builds on x86_64
 ExclusiveArch:  x86_64
-Requires:   libopae-c0 = %{version}
+Requires:   libhssi-io%{lib_hssi_major} = %{version}
+Requires:   libopae-c%{lib_opae_major} = %{version}
 
 %description
 OPAE is the Open Programmable Acceleration Engine, a software framework for
@@ -63,11 +65,19 @@
 development of software applications and accelerators using OPAE.
 This package contains the development files.
 
-%package -n libopae-c0
+%package -n libopae-c%{lib_opae_major}
 Summary:Open Programmable Acceleration Engine Libraries
 Group:  System/Libraries
 
-%description -n libopae-c0
+%description -n libopae-c%{lib_opae_major}
+Libraries for the Open Programmable Acceleration Engine Libraries tools.
+
+
+%package -n libhssi-io%{lib_hssi_major}
+Summary:Open Programmable Acceleration Engine Libraries
+Group:  System/Libraries
+
+%description -n libhssi-io%{lib_hssi_major}
 Libraries for the Open Programmable Acceleration Engine Libraries tools.
 
 %prep
@@ -80,13 +90,17 @@
 export RPM_OPT_FLAGS
 %cmake  -DCMAKE_BUILD_TYPE=Release
 
-%make_jobs
+make VERBOSE=1 all %{?_smp_mflags}
 
 %install
 %cmake_install
+rm -f %{buildroot}%{_libdir}/libsafestr.a
+rm -Rf %{buildroot}%{_includedir}/safe_string
 
-%post   -n libopae-c0 -p /sbin/ldconfig
-%postun -n libopae-c0 -p /sbin/ldconfig
+%post   -n libopae-c%{lib_opae_major} -p /sbin/ldconfig
+%postun -n libopae-c%{lib_opae_major} -p /sbin/ldconfig
+%post   -n libhssi-io%{lib_hssi_major} -p /sbin/ldconfig
+%postun -n libhssi-io%{lib_hssi_major} -p /sbin/ldconfig
 
 %files
 %{_bindir}/*
@@ -97,9 +111,15 @@
 %{_libdir}/*.so
 %dir %{_datarootdir}/opae
 %{_datarootdir}/opae/hello_fpga.c
+%{_datarootdir}/opae/hello_events.c
+%{_datarootdir}/opae/platform
 
-%files -n libopae-c0
-%{_libdir}/*.so.%{lib_major}
-%{_libdir}/*.so.%{lib_major}.*
+%files -n libopae-c%{lib_opae_major}
+%{_libdir}/libopae-c*.so.%{lib_opae_major}
+%{_libdir}/libopae-c*.so.%{lib_opae_major}.*
+
+%files -n libhssi-io%{lib_hssi_major}
+%{_libdir}/libhssi-io*.so.%{lib_hssi_major}
+%{_libdir}/libhssi-io*.so.%{lib_hssi_major}.*
 
 %changelog

++ _service ++
--- /var/tmp/diff_new_pack.XhlnYI/_old  2018-01-24 15:28:45.199276042 +0100
+++ /var/tmp/diff_new_pack.XhlnYI/_new  2018-01-24 15:28:45.199276042 +0100
@@ -8,7 +8,7 @@
 @PARENT_TAG@.@TAG_OFFSET@.%h
 v(.*)
 \1
-55041b86e51e6e827f4ca6956de37ab8b2ee
+c83632afa605c0051b15f7061136ef6bd167500a
   
   
 opae*.tar

++ opae-0.9.0.0.55041b8.tar.bz2 -> opae-0.13.0.0.c83632afa605.tar.bz2 ++
 356548 lines of diff (skipped)

++ opae-fix-cmake-paths.patch ++
--- /var/tmp/diff_new_pack.XhlnYI/_old  2018-01-24 15:28:46.587211126 +0100
+++ /var/tmp/diff_new_pack.XhlnYI/_new  2018-01-24 15:28:46.587211126 +0100
@@ -1,5 +1,13 @@
+commit 06103695f4667ccc2fd33422fc90af3ab2b78ac5
+Author: Nicolas Morey-Chaisemartin 
+Date:   Wed 

commit pdf2djvu for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package pdf2djvu for openSUSE:Factory 
checked in at 2018-01-24 15:28:38

Comparing /work/SRC/openSUSE:Factory/pdf2djvu (Old)
 and  /work/SRC/openSUSE:Factory/.pdf2djvu.new (New)


Package is "pdf2djvu"

Wed Jan 24 15:28:38 2018 rev:33 rq:567790 version:0.9.8

Changes:

--- /work/SRC/openSUSE:Factory/pdf2djvu/pdf2djvu.changes2017-09-26 
21:17:34.731771037 +0200
+++ /work/SRC/openSUSE:Factory/.pdf2djvu.new/pdf2djvu.changes   2018-01-24 
15:28:52.854917980 +0100
@@ -1,0 +2,14 @@
+Fri Jan 19 18:41:40 UTC 2018 - lazy.k...@opensuse.org
+
+- Update to 0.9.8.
+  * Make --help and --version print to stdout, not stderr.
+  * Fix build failure with Poppler ≥ 0.62.
+  * Drop support for Poppler < 0.24.
+  * Use HTTPS for savannah.gnu.org and unicode.org URLs.
+  * Improve documentation.
+  * Improve the configure script.
+  * Remove the install-poppler-h-files tool.
+  * Improve the test suite.
+- Add README to docs.
+
+---

Old:

  pdf2djvu-0.9.7.tar.xz
  pdf2djvu-0.9.7.tar.xz.asc

New:

  pdf2djvu-0.9.8.tar.xz
  pdf2djvu-0.9.8.tar.xz.asc



Other differences:
--
++ pdf2djvu.spec ++
--- /var/tmp/diff_new_pack.4UGqFV/_old  2018-01-24 15:28:54.190855497 +0100
+++ /var/tmp/diff_new_pack.4UGqFV/_new  2018-01-24 15:28:54.194855310 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package pdf2djvu
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   pdf2djvu
-Version:0.9.7
+Version:0.9.8
 Release:0
 Summary:PDF to DjVu Converter
 License:GPL-2.0
@@ -31,7 +31,7 @@
 BuildRequires:  pkgconfig(GraphicsMagick++)
 BuildRequires:  pkgconfig(ddjvuapi) >= 3.5.21
 BuildRequires:  pkgconfig(exiv2)
-BuildRequires:  pkgconfig(poppler) >= 0.11.1
+BuildRequires:  pkgconfig(poppler) >= 0.24
 BuildRequires:  pkgconfig(uuid)
 # Requires to run tests correctly.
 BuildRequires:  liberation-fonts
@@ -66,7 +66,7 @@
 
 %files
 %defattr(-,root,root,-)
-%doc doc/{changelog,COPYING,cjk.txt,credits.txt,djvudigital.txt}
+%doc doc/{changelog,COPYING,credits,djvudigital,README}
 %{_bindir}/%{name}
 %{_mandir}/man?/*
 

++ pdf2djvu-0.9.7.tar.xz -> pdf2djvu-0.9.8.tar.xz ++
 5629 lines of diff (skipped)




commit python-openstackclient for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-openstackclient for 
openSUSE:Factory checked in at 2018-01-24 15:28:18

Comparing /work/SRC/openSUSE:Factory/python-openstackclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-openstackclient.new (New)


Package is "python-openstackclient"

Wed Jan 24 15:28:18 2018 rev:12 rq:567473 version:3.13.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-openstackclient/python-openstackclient.changes
2017-08-28 15:32:15.185486753 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-openstackclient.new/python-openstackclient.changes
   2018-01-24 15:28:21.992361455 +0100
@@ -1,0 +2,93 @@
+Thu Jan 18 15:56:45 UTC 2018 - tbecht...@suse.com
+
+- Convert to singlespec
+
+---
+Mon Jan 15 11:46:42 UTC 2018 - cloud-de...@suse.de
+
+- update to version 3.13.0
+  - Add RemoveNetwork command to server
+  - Accept 0 for --min-disk and --min-ram
+  - network functest: Remove condition for segment test
+  - Switch to $USER in post_test_hooks
+  - Remove a bunch of things we promised to remove in 2H 2017
+  - Attempt to de-race qos policy
+  - Make py27 and py35 versions and template of unit-tips jobs
+  - Make osc-tox-unit-tips work on other repos
+  - Support creating unaddress neutron port
+  - Imported Translations from Zanata
+  - Remove hard-coded policy choices for creating a server group
+  - Native DevStack jobs
+  - Update image cli doc and fix some typos
+  - Use instance variables for subnet tests
+  - Prepare for os-clinet-config to go away
+  - Show detailed message of neutron exception
+  - Neutron agent delete: remove the wrong argument
+  - Implied Roles
+  - Unroll the network qos policy functional tests
+  - Add wrapper around ostestr
+  - Be robust on import plugin module
+  - Replace %r with %s on printing string variable
+  - Add server rescue unit tests
+  - Send 'changes-since' instead of 'changes_since' query parameter
+  - openstack subnet create fails when tags is None
+  - Update the documentation link for doc migration
+  - Fix output for subnet show
+  - flake8-import-order: Ensure to place project imports last
+  - Fix 'project purge' deletes ALL images problem
+  - Updates for stestr
+  - Fix credentials in create, update and list.
+  - Added AddNetwork command to server
+  - Zuul: add file extension to playbook path
+  - Use flake8-import-order plugin
+  - Add support for endpoing filter commands
+  - Replace guildelines with guidelines
+  - Update release/stable branch table in docs
+  - auto-generate docs for v3 identity resources
+  - Release note cleanup
+  - Skip object-store functional tests when Swift is not available
+  - Allow PD as Subnetpool during Subnet creations
+  - Convert network segment functional tests to JSON
+  - Remove -U from pip install
+  - Fix "openstack image unset" command's help message typo
+  - Skip Volume v1 functional tests if v1 not present
+  - Add "volume service list --host" functional test case
+  - Move base functional test job in-repo
+  - Convert network security group functional tests to JSON
+  - Convert network qos functional tests to JSON
+  - Support icmp-type and icmp-code to be set as zero
+  - Convert 'server' commands to use autoprogram
+  - Add python-zunclient plugin
+  - Fix SDK Connection creation alternative to Profile
+  - Avoid default mutable values in arguments
+  - Add cliff and keystoneauth to tips jobs
+  - Allow creating security rules without protocol
+  - Correct import of keystoneauth1 session
+  - Add .htaccess for docs migration
+  - Attempt to work around chronically failing server issues with aggregates 
and qos
+  - Move more jobs in-repo
+  - Display Network QoS rule type details
+  - Set correct designate endpoint in docs
+  - Avoid tox_install.sh for constraints support
+  - Updated from global requirements
+  - Optimize getting endpoint list
+  - Zuul job updates
+  - Convert remaining network functional tests to JSON
+  - Update reno for stable/pike
+  - Use *_as_ids instead *_as_list
+  - Network: Add interfaces info in router show
+  - Remove setting of version/release from releasenotes
+  - Fix subunit collection in functional tests with ostestr>=1.0.0
+  - Add new commands for karbor osc plugin
+  - Revert "Disable karborclient until a fixed version is released"
+  - Network: Add supports rbac target-all-projects
+  - Fix file mode on network-topology.rst
+  - Rehome test units lib
+  - Useless line of code in shell.py
+  - Add python-rsdclient into plugin list
+  - Add functional test cases for "volume qos associate/disassociate"
+  - auto-generate object docs
+  - Add logic to handle old and new sdk constructor
+  - Add missing parameters on openstack server rescue
+

commit python-heatclient for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-heatclient for 
openSUSE:Factory checked in at 2018-01-24 15:28:25

Comparing /work/SRC/openSUSE:Factory/python-heatclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-heatclient.new (New)


Package is "python-heatclient"

Wed Jan 24 15:28:25 2018 rev:25 rq:567543 version:1.13.0

Changes:

--- /work/SRC/openSUSE:Factory/python-heatclient/python-heatclient.changes  
2017-08-28 15:30:32.455928954 +0200
+++ /work/SRC/openSUSE:Factory/.python-heatclient.new/python-heatclient.changes 
2018-01-24 15:28:26.752138835 +0100
@@ -1,0 +2,21 @@
+Fri Jan 19 05:52:48 UTC 2018 - cloud-de...@suse.de
+
+- update to version 1.13.0
+  - Add plug-in summary for osc doc
+  - Add --no-rollback option for stack cancel
+  - Add `--converge` argument for osc stack update
+  - No longer use oslotest.mockpatch
+  - Use generic user for both zuul v2 and v3
+  - Modify error message encountered during stack update
+  - Decode content before checking
+  - Support --show-nested in openstack stack update --dry-run
+  - Don't override sections in deep_update
+  - Imported Translations from Zanata
+  - Don't preformat stack output show list/map values
+  - Remove vestigate HUDSON_PUBLISH_DOCS reference
+  - Allow cancelling create_in_progress stacks with --no-rollback
+  - Updated from global requirements
+  - Use Sphinx 1.5 warning-is-error
+- Convert to singlespec
+
+---

Old:

  python-heatclient-1.11.0.tar.gz

New:

  python-heatclient-1.13.0.tar.gz



Other differences:
--
++ python-heatclient.spec ++
--- /var/tmp/diff_new_pack.U33kOF/_old  2018-01-24 15:28:27.408108154 +0100
+++ /var/tmp/diff_new_pack.U33kOF/_new  2018-01-24 15:28:27.408108154 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-heatclient
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,96 +16,127 @@
 #
 
 
-%global sname python-heatclient
 Name:   python-heatclient
-Version:1.11.0
+Version:1.13.0
 Release:0
 Summary:Python API and CLI for OpenStack Heat
 License:Apache-2.0
 Group:  Development/Languages/Python
-Url:https://launchpad.net/%{sname}
-Source0:
https://pypi.io/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
+Url:https://launchpad.net/python-heatclient
+Source0:
https://files.pythonhosted.org/packages/source/p/python-heatclient/python-heatclient-1.13.0.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python-PyYAML >= 3.10.0
-BuildRequires:  python-cliff >= 2.6.0
 BuildRequires:  python-devel
-BuildRequires:  python-fixtures >= 3.0.0
-BuildRequires:  python-mock >= 2.0
-BuildRequires:  python-mox3 >= 0.7.0
-BuildRequires:  python-osc-lib >= 1.5.1
-BuildRequires:  python-oslo.serialization >= 1.10.0
-BuildRequires:  python-oslotest >= 1.10.0
-BuildRequires:  python-pbr >= 2.0.0
-BuildRequires:  python-requests-mock >= 1.1
-BuildRequires:  python-swiftclient >= 3.2.0
-BuildRequires:  python-testrepository >= 0.0.18
-BuildRequires:  python-testscenarios >= 0.4
-BuildRequires:  python-testtools >= 1.4.0
-Requires:   python-Babel >= 2.3.4
-Requires:   python-PrettyTable >= 0.7.1
-Requires:   python-PyYAML >= 3.10.0
-Requires:   python-cliff >= 2.6.0
-Requires:   python-iso8601 >= 0.1.11
-Requires:   python-keystoneauth1 >= 2.21.0
-Requires:   python-osc-lib >= 1.5.1
-Requires:   python-oslo.i18n >= 2.1.0
-Requires:   python-oslo.serialization >= 1.10.0
-Requires:   python-oslo.utils >= 3.20.0
-Requires:   python-requests >= 2.14.2
-Requires:   python-six >= 1.9.0
-Requires:   python-swiftclient >= 3.2.0
+BuildRequires:  python2-PyYAML
+BuildRequires:  python2-cliff
+BuildRequires:  python2-fixtures
+BuildRequires:  python2-mock
+BuildRequires:  python2-mox3
+BuildRequires:  python2-osc-lib
+BuildRequires:  python2-oslo.serialization
+BuildRequires:  python2-pbr
+BuildRequires:  python2-requests-mock
+BuildRequires:  python2-swiftclient
+BuildRequires:  python2-testrepository
+BuildRequires:  python2-testscenarios
+BuildRequires:  python2-testtools
+BuildRequires:  python3-PyYAML
+BuildRequires:  python3-cliff
+BuildRequires:  python3-devel
+BuildRequires:  python3-fixtures
+BuildRequires:  python3-mock
+BuildRequires:  python3-mox3
+BuildRequires:  python3-osc-lib
+BuildRequires:  python3-oslo.serialization
+BuildRequires:  python3-pbr
+BuildRequires:  python3-requests-mock

commit python-swiftclient for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-swiftclient for 
openSUSE:Factory checked in at 2018-01-24 15:28:22

Comparing /work/SRC/openSUSE:Factory/python-swiftclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-swiftclient.new (New)


Package is "python-swiftclient"

Wed Jan 24 15:28:22 2018 rev:23 rq:567542 version:3.4.0

Changes:

--- /work/SRC/openSUSE:Factory/python-swiftclient/python-swiftclient.changes
2017-08-28 15:32:10.414157545 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-swiftclient.new/python-swiftclient.changes   
2018-01-24 15:28:24.352251080 +0100
@@ -1,0 +2,5 @@
+Fri Jan 19 05:53:56 UTC 2018 - tbecht...@suse.com
+
+- Convert to singlespec
+
+---



Other differences:
--
++ python-swiftclient.spec ++
--- /var/tmp/diff_new_pack.FX7yIc/_old  2018-01-24 15:28:25.264208426 +0100
+++ /var/tmp/diff_new_pack.FX7yIc/_new  2018-01-24 15:28:25.268208239 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-swiftclient
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,71 +16,98 @@
 #
 
 
-%global sname python-swiftclient
 Name:   python-swiftclient
 Version:3.4.0
 Release:0
 Summary:OpenStack Object Storage API Client Library
 License:Apache-2.0
 Group:  Development/Languages/Python
-Url:https://launchpad.net/%{sname}
-Source0:
https://pypi.io/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
+Url:https://launchpad.net/python-swiftclient
+Source0:
https://files.pythonhosted.org/packages/source/p/python-swiftclient/python-swiftclient-3.4.0.tar.gz
 BuildRequires:  openstack-macros
 BuildRequires:  python-devel
-BuildRequires:  python-keystoneclient >= 3.8.0
-BuildRequires:  python-mock >= 2.0
-BuildRequires:  python-pbr >= 2.0.0
-BuildRequires:  python-setuptools >= 16.0
-BuildRequires:  python-testrepository >= 0.0.18
-BuildRequires:  python-testscenarios >= 0.4
-Requires:   python-futures >= 3.0
-Requires:   python-requests >= 2.14.2
-Requires:   python-six >= 1.9.0
+BuildRequires:  python2-keystoneclient
+BuildRequires:  python2-mock
+BuildRequires:  python2-pbr
+BuildRequires:  python2-setuptools
+BuildRequires:  python2-testrepository
+BuildRequires:  python2-testscenarios
+BuildRequires:  python3-devel
+BuildRequires:  python3-keystoneclient
+BuildRequires:  python3-mock
+BuildRequires:  python3-pbr
+BuildRequires:  python3-setuptools
+BuildRequires:  python3-testrepository
+BuildRequires:  python3-testscenarios
+Requires:   python-requests
+Requires:   python-six
 BuildArch:  noarch
+%ifpython2
+Requires:   python-futures
+%endif
+%if 0%{?suse_version}
+Requires(post): update-alternatives
+Requires(postun): update-alternatives
+%else
+# on RDO, update-alternatives is in chkconfig
+Requires(post): chkconfig
+Requires(postun): chkconfig
+%endif
+%python_subpackages
 
 %description
 This is a python client for the Swift API. There's a Python API (the
 swiftclient module), and a command-line script (swift).
 
-%package doc
+%package -n python-swiftclient-doc
 Summary:%{summary} - Documentation
 Group:  Documentation/HTML
 BuildRequires:  python-Sphinx
-BuildRequires:  python-futures >= 3.0
-BuildRequires:  python-oslosphinx >= 4.7.0
+BuildRequires:  python-futures
+BuildRequires:  python-oslosphinx
 Requires:   %{name} = %{version}
 
-%description doc
+%description -n python-swiftclient-doc
 This is a python client for the Swift API. There's a Python API (the
 swiftclient module), and a command-line script (swift).
 
 This package contains documentation files for %{name}.
 
 %prep
-%autosetup -n %{sname}-%{version}
+%autosetup -p1 -n python-swiftclient-3.4.0
 %py_req_cleanup
 
 %build
-%py2_build
+%{python_build}
 %{__python2} setup.py build_sphinx
 rm -rf doc/build/html/.{doctrees,buildinfo}
 
 %install
-%py2_install
+%{python_install}
+%python_clone -a %{buildroot}%{_bindir}/swift
+%python_clone -a %{buildroot}%{_mandir}/man1/swift.1
+
+%post
+%{python_install_alternative swift swift.1}
+
+%postun
+%python_uninstall_alternative swift
 
 %check
-%{__python2} setup.py testr
+%{python_expand rm -rf .testrepository
+$python setup.py testr
+}
 
-%files
+%files %{python_files}
 %license LICENSE
 %doc ChangeLog README.rst
-%{_bindir}/swift
-%{python2_sitelib}/swiftclient
-%{python2_sitelib}/*.egg-info
+%{python_sitelib}/swiftclient
+%{python_sitelib}/*.egg-info
+%python_alternative 

commit python-saharaclient for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-saharaclient for 
openSUSE:Factory checked in at 2018-01-24 15:28:05

Comparing /work/SRC/openSUSE:Factory/python-saharaclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-saharaclient.new (New)


Package is "python-saharaclient"

Wed Jan 24 15:28:05 2018 rev:7 rq:567283 version:1.4.0

Changes:

--- /work/SRC/openSUSE:Factory/python-saharaclient/python-saharaclient.changes  
2017-08-28 15:31:52.184720374 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-saharaclient.new/python-saharaclient.changes 
2018-01-24 15:28:06.305095171 +0100
@@ -1,0 +2,17 @@
+Mon Jan 15 12:04:28 UTC 2018 - cloud-de...@suse.de
+
+- update to version 1.4.0
+  - Add export of node group templates to CLI
+  - Update reno for stable/pike
+  - Add import of node group templates
+  - Reorganize the documentation following the new structure
+  - Fix KeyError in "cluster scale" command
+  - Adding volume_mount_prefix parameter
+  - [ut] replace .testr.conf with .stestr.conf
+  - Update and optimize documentation links
+  - Add export of cluster templates
+  - Add export of node group templates
+  - Add import of Cluster Templates
+  - Updated from global requirements
+
+---

Old:

  python-saharaclient-1.3.0.tar.gz

New:

  python-saharaclient-1.4.0.tar.gz



Other differences:
--
++ python-saharaclient.spec ++
--- /var/tmp/diff_new_pack.p3R1Vk/_old  2018-01-24 15:28:07.001062619 +0100
+++ /var/tmp/diff_new_pack.p3R1Vk/_new  2018-01-24 15:28:07.005062432 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-saharaclient
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,41 +18,41 @@
 
 %global sname saharaclient
 Name:   python-saharaclient
-Version:1.3.0
+Version:1.4.0
 Release:0
 Summary:Client library for OpenStack Sahara API
 License:Apache-2.0
 Group:  Development/Languages/Python
 Url:https://launchpad.net/%{name}
-Source0:
https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
+Source0:
https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
 BuildRequires:  openstack-macros
 BuildRequires:  python-devel
 BuildRequires:  python-keystoneclient >= 3.8.0
-BuildRequires:  python-mock >= 2.0
-BuildRequires:  python-os-testr >= 0.8.0
-BuildRequires:  python-osc-lib >= 1.5.1
-BuildRequires:  python-oslo.i18n >= 2.1.0
-BuildRequires:  python-oslo.log >= 3.22.0
-BuildRequires:  python-oslo.serialization >= 1.10.0
-BuildRequires:  python-oslo.utils >= 3.20.0
+BuildRequires:  python-mock >= 2.0.0
+BuildRequires:  python-os-testr >= 1.0.0
+BuildRequires:  python-osc-lib >= 1.7.0
+BuildRequires:  python-oslo.i18n >= 3.15.3
+BuildRequires:  python-oslo.log >= 3.30.0
+BuildRequires:  python-oslo.serialization >= 2.18.0
+BuildRequires:  python-oslo.utils >= 3.31.0
 BuildRequires:  python-oslotest >= 1.10.0
 BuildRequires:  python-pbr >= 2.0.0
 BuildRequires:  python-requests >= 2.14.2
-BuildRequires:  python-requests-mock >= 1.1
+BuildRequires:  python-requests-mock >= 1.1.0
 BuildRequires:  python-setuptools >= 16.0
 BuildRequires:  python-testrepository >= 0.0.18
 Requires:   python-Babel >= 2.3.4
 Requires:   python-PrettyTable >= 0.7.1
-Requires:   python-keystoneauth1 >= 2.21.0
+Requires:   python-keystoneauth1 >= 3.2.0
 Requires:   python-keystoneclient >= 3.8.0
-Requires:   python-openstackclient >= 3.3.0
-Requires:   python-osc-lib >= 1.5.1
-Requires:   python-oslo.i18n >= 2.1.0
-Requires:   python-oslo.log >= 3.22.0
-Requires:   python-oslo.serialization >= 1.10.0
-Requires:   python-oslo.utils >= 3.20.0
+Requires:   python-openstackclient >= 3.12.0
+Requires:   python-osc-lib >= 1.7.0
+Requires:   python-oslo.i18n >= 3.15.3
+Requires:   python-oslo.log >= 3.30.0
+Requires:   python-oslo.serialization >= 2.18.0
+Requires:   python-oslo.utils >= 3.31.0
 Requires:   python-requests >= 2.14.2
-Requires:   python-six >= 1.9.0
+Requires:   python-six >= 1.10.0
 BuildArch:  noarch
 
 %description
@@ -60,9 +60,9 @@
 
 %package doc
 Summary:Documentation for Client library for OpenStack Sahara API
-Group:  Documentation
+Group:  Documentation/HTML
 BuildRequires:  python-Sphinx
-BuildRequires:  python-openstackdocstheme >= 1.11.0
+BuildRequires:  python-openstackdocstheme >= 1.17.0
 
 %description doc
 

commit python-oslosphinx for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-oslosphinx for 
openSUSE:Factory checked in at 2018-01-24 15:28:12

Comparing /work/SRC/openSUSE:Factory/python-oslosphinx (Old)
 and  /work/SRC/openSUSE:Factory/.python-oslosphinx.new (New)


Package is "python-oslosphinx"

Wed Jan 24 15:28:12 2018 rev:12 rq:567467 version:4.18.0

Changes:

--- /work/SRC/openSUSE:Factory/python-oslosphinx/python-oslosphinx.changes  
2017-08-28 15:31:38.838596655 +0200
+++ /work/SRC/openSUSE:Factory/.python-oslosphinx.new/python-oslosphinx.changes 
2018-01-24 15:28:13.984735983 +0100
@@ -1,0 +2,16 @@
+Thu Jan 18 15:42:03 UTC 2018 - tbecht...@suse.com
+
+- Convert to singlespec
+
+---
+Mon Jan 15 12:02:51 UTC 2018 - cloud-de...@suse.de
+
+- update to version 4.18.0
+  - Remove -U from pip install
+  - Update reno for stable/pike
+  - Remove setting of version/release from releasenotes
+  - mark oslosphinx as obsolete
+  - Avoid tox_install.sh for constraints support
+  - Updated from global requirements
+
+---

Old:

  oslosphinx-4.15.1.tar.gz

New:

  oslosphinx-4.18.0.tar.gz



Other differences:
--
++ python-oslosphinx.spec ++
--- /var/tmp/diff_new_pack.lTzlTg/_old  2018-01-24 15:28:14.540709979 +0100
+++ /var/tmp/diff_new_pack.lTzlTg/_new  2018-01-24 15:28:14.540709979 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-oslosphinx
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,42 +16,45 @@
 #
 
 
-%global sname oslosphinx
 Name:   python-oslosphinx
-Version:4.15.1
+Version:4.18.0
 Release:0
 Summary:OpenStack Sphinx
 License:Apache-2.0
 Group:  Development/Languages/Python
 Url:https://launchpad.net/oslosphinx
-Source0:
https://pypi.io/packages/source/o/%{sname}/%{sname}-%{version}.tar.gz
+Source0:
https://files.pythonhosted.org/packages/source/o/oslosphinx/oslosphinx-4.18.0.tar.gz
 BuildRequires:  openstack-macros
 BuildRequires:  python-devel
-BuildRequires:  python-pbr >= 2.0.0
-BuildRequires:  python-setuptools >= 16.0
+BuildRequires:  python2-pbr >= 2.0.0
+BuildRequires:  python2-setuptools >= 16.0
+BuildRequires:  python3-devel
+BuildRequires:  python3-pbr >= 2.0.0
+BuildRequires:  python3-setuptools >= 16.0
 Requires:   python-pbr >= 2.0.0
 Requires:   python-requests >= 2.14.2
-Requires:   python-six >= 1.9.0
+Requires:   python-six >= 1.10.0
 BuildArch:  noarch
+%python_subpackages
 
 %description
 The Oslo Sphinx library provides an OpenStack common
 layer of Sphinx plugins.
 
 %prep
-%autosetup -n %{sname}-%{version}
+%autosetup -p1 -n oslosphinx-4.18.0
 %py_req_cleanup
 
 %build
-%{py2_build}
+%{python_build}
 
 %install
-%{py2_install}
+%{python_install}
 
-%files
+%files %{python_files}
 %doc README.rst
 %license LICENSE
-%{python2_sitelib}/%{sname}
-%{python2_sitelib}/*.egg-info
+%{python_sitelib}/oslosphinx
+%{python_sitelib}/*.egg-info
 
 %changelog

++ _service ++
--- /var/tmp/diff_new_pack.lTzlTg/_old  2018-01-24 15:28:14.572708482 +0100
+++ /var/tmp/diff_new_pack.lTzlTg/_new  2018-01-24 15:28:14.572708482 +0100
@@ -1,8 +1,8 @@
 
   
-https://raw.githubusercontent.com/openstack/rpm-packaging/stable/pike/openstack/oslosphinx/oslosphinx.spec.j2
+https://raw.githubusercontent.com/openstack/rpm-packaging/master/openstack/oslosphinx/oslosphinx.spec.j2
 python-oslosphinx.spec
-https://raw.githubusercontent.com/openstack/rpm-packaging/stable/pike/global-requirements.txt
+https://raw.githubusercontent.com/openstack/rpm-packaging/master/requirements.txt
 cloud-de...@suse.de
 gh,openstack,oslosphinx
   

++ oslosphinx-4.15.1.tar.gz -> oslosphinx-4.18.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/oslosphinx-4.15.1/AUTHORS 
new/oslosphinx-4.18.0/AUTHORS
--- old/oslosphinx-4.15.1/AUTHORS   2017-07-10 22:14:32.0 +0200
+++ new/oslosphinx-4.18.0/AUTHORS   2018-01-08 15:14:23.0 +0100
@@ -1,4 +1,5 @@
 Akihiro Motoki 
+Andreas Jaeger 
 Anne Gentle 
 Ben Nemec 
 Beth Elwell 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/oslosphinx-4.15.1/ChangeLog 
new/oslosphinx-4.18.0/ChangeLog
--- old/oslosphinx-4.15.1/ChangeLog 

commit python-novaclient for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-novaclient for 
openSUSE:Factory checked in at 2018-01-24 15:28:15

Comparing /work/SRC/openSUSE:Factory/python-novaclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-novaclient.new (New)


Package is "python-novaclient"

Wed Jan 24 15:28:15 2018 rev:28 rq:567469 version:9.1.1

Changes:

--- /work/SRC/openSUSE:Factory/python-novaclient/python-novaclient.changes  
2017-11-24 10:56:04.172780902 +0100
+++ /work/SRC/openSUSE:Factory/.python-novaclient.new/python-novaclient.changes 
2018-01-24 15:28:16.416622240 +0100
@@ -1,0 +2,5 @@
+Thu Jan 18 15:46:28 UTC 2018 - tbecht...@suse.com
+
+- Convert to singlespec
+
+---



Other differences:
--
++ python-novaclient.spec ++
--- /var/tmp/diff_new_pack.ulld6S/_old  2018-01-24 15:28:17.396576406 +0100
+++ /var/tmp/diff_new_pack.ulld6S/_new  2018-01-24 15:28:17.396576406 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-novaclient
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -22,112 +22,114 @@
 Summary:Python API and CLI for OpenStack Nova
 License:Apache-2.0
 Group:  Development/Languages/Python
-Url:https://launchpad.net/{name}
-Source0:
https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
+Source0:
https://files.pythonhosted.org/packages/source/p/python-novaclient/python-novaclient-9.1.1.tar.gz
 BuildRequires:  openssl
 BuildRequires:  openstack-macros
-BuildRequires:  python-cinderclient >= 2.1.0
 BuildRequires:  python-devel
-BuildRequires:  python-fixtures >= 3.0.0
-BuildRequires:  python-glanceclient >= 2.7.0
-BuildRequires:  python-keystoneclient >= 3.8.0
-BuildRequires:  python-mock >= 2.0
-BuildRequires:  python-os-client-config >= 1.27.0
-BuildRequires:  python-osprofiler >= 1.4.0
-BuildRequires:  python-pbr >= 2.0.0
-BuildRequires:  python-requests-mock >= 1.1
-BuildRequires:  python-setuptools >= 16.0
-BuildRequires:  python-testrepository >= 0.0.18
-BuildRequires:  python-testscenarios >= 0.4
-BuildRequires:  python-testtools >= 1.4.0
+BuildRequires:  python2-cinderclient >= 3.2.0
+BuildRequires:  python2-fixtures >= 3.0.0
+BuildRequires:  python2-glanceclient >= 2.8.0
+BuildRequires:  python2-keystoneclient >= 3.8.0
+BuildRequires:  python2-mock >= 2.0.0
+BuildRequires:  python2-os-client-config >= 1.28.0
+BuildRequires:  python2-osprofiler >= 1.4.0
+BuildRequires:  python2-pbr >= 2.0.0
+BuildRequires:  python2-requests-mock >= 1.1.0
+BuildRequires:  python2-setuptools >= 16.0
+BuildRequires:  python2-testrepository >= 0.0.18
+BuildRequires:  python2-testscenarios >= 0.4
+BuildRequires:  python2-testtools >= 2.2.0
+BuildRequires:  python3-cinderclient >= 3.2.0
+BuildRequires:  python3-devel
+BuildRequires:  python3-fixtures >= 3.0.0
+BuildRequires:  python3-glanceclient >= 2.8.0
+BuildRequires:  python3-keystoneclient >= 3.8.0
+BuildRequires:  python3-mock >= 2.0.0
+BuildRequires:  python3-os-client-config >= 1.28.0
+BuildRequires:  python3-osprofiler >= 1.4.0
+BuildRequires:  python3-pbr >= 2.0.0
+BuildRequires:  python3-requests-mock >= 1.1.0
+BuildRequires:  python3-setuptools >= 16.0
+BuildRequires:  python3-testrepository >= 0.0.18
+BuildRequires:  python3-testscenarios >= 0.4
+BuildRequires:  python3-testtools >= 2.2.0
 Requires:   openssl
 Requires:   python-Babel >= 2.3.4
 Requires:   python-PrettyTable >= 0.7.1
 Requires:   python-iso8601 >= 0.1.11
-Requires:   python-keystoneauth1 >= 2.21.0
-Requires:   python-oslo.i18n >= 2.1.0
-Requires:   python-oslo.serialization >= 1.10.0
-Requires:   python-oslo.utils >= 3.20.0
+Requires:   python-keystoneauth1 >= 3.2.0
+Requires:   python-oslo.i18n >= 3.15.3
+Requires:   python-oslo.serialization >= 2.18.0
+Requires:   python-oslo.utils >= 3.31.0
 Requires:   python-pbr >= 2.0.0
-Requires:   python-simplejson >= 2.2.0
-Requires:   python-six >= 1.9.0
+Requires:   python-simplejson >= 3.5.1
+Requires:   python-six >= 1.10.0
 BuildArch:  noarch
+%if 0%{?suse_version}
+Requires(post): update-alternatives
+Requires(postun): update-alternatives
+%else
+# on RDO, update-alternatives is in chkconfig
+Requires(post): chkconfig
+Requires(postun): chkconfig
+%endif
+%python_subpackages
 
 %description
 This is a client for the OpenStack Nova API. There's a Python API (the
 novaclient module), and a command-line script (nova). Each implements 

commit python-zaqarclient for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-zaqarclient for 
openSUSE:Factory checked in at 2018-01-24 15:28:10

Comparing /work/SRC/openSUSE:Factory/python-zaqarclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-zaqarclient.new (New)


Package is "python-zaqarclient"

Wed Jan 24 15:28:10 2018 rev:6 rq:567285 version:1.8.0

Changes:

--- /work/SRC/openSUSE:Factory/python-zaqarclient/python-zaqarclient.changes
2017-08-28 15:32:08.778387514 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-zaqarclient.new/python-zaqarclient.changes   
2018-01-24 15:28:12.948784436 +0100
@@ -1,0 +2,15 @@
+Mon Jan 15 12:06:41 UTC 2018 - cloud-de...@suse.de
+
+- update to version 1.8.0
+  - Remove -U from pip install
+  - Update reno for stable/pike
+  - Remove setting of version/release from releasenotes
+  - Fix functional CI failure
+  - Fix renew claim NoneType error
+  - Avoid tox_install.sh for constraints support
+  - Fix class Queue __init__ method's param note
+  - Updated from global requirements
+  - Add claim_count to message __init__()
+  - Update queue metadata failed when the original value is zero.
+
+---

Old:

  python-zaqarclient-1.7.0.tar.gz

New:

  python-zaqarclient-1.8.0.tar.gz



Other differences:
--
++ python-zaqarclient.spec ++
--- /var/tmp/diff_new_pack.xgF9Ag/_old  2018-01-24 15:28:13.496758806 +0100
+++ /var/tmp/diff_new_pack.xgF9Ag/_new  2018-01-24 15:28:13.500758619 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-zaqarclient
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,43 +18,43 @@
 
 %global sname zaqarclient
 Name:   python-zaqarclient
-Version:1.7.0
+Version:1.8.0
 Release:0
 Summary:Client Library for OpenStack Zaqar Queueing API
 License:Apache-2.0
 Group:  Development/Languages/Python
 Url:http://launchpad.net/%{sname}
-Source0:
https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
+Source0:
https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
 BuildRequires:  openstack-macros
 BuildRequires:  python-ddt >= 1.0.1
 BuildRequires:  python-devel
 BuildRequires:  python-fixtures >= 3.0.0
-BuildRequires:  python-jsonschema >= 2.0.0
-BuildRequires:  python-keystoneauth1 >= 2.21.0
-BuildRequires:  python-mock >= 2.0
-BuildRequires:  python-nose
-BuildRequires:  python-nose-exclude
-BuildRequires:  python-os-client-config >= 1.27.0
-BuildRequires:  python-osc-lib >= 1.5.1
-BuildRequires:  python-oslo.i18n >= 2.1.0
-BuildRequires:  python-oslo.log >= 3.22.0
+BuildRequires:  python-jsonschema >= 2.6.0
+BuildRequires:  python-keystoneauth1 >= 3.2.0
+BuildRequires:  python-mock >= 2.0.0
+BuildRequires:  python-nose >= 1.3.7
+BuildRequires:  python-nose-exclude >= 0.3.0
+BuildRequires:  python-os-client-config >= 1.28.0
+BuildRequires:  python-osc-lib >= 1.7.0
+BuildRequires:  python-oslo.i18n >= 3.15.3
+BuildRequires:  python-oslo.log >= 3.30.0
 BuildRequires:  python-pbr >= 2.0.0
-BuildRequires:  python-python-subunit >= 0.0.18
+BuildRequires:  python-python-subunit >= 1.0.0
 BuildRequires:  python-requests >= 2.14.2
-BuildRequires:  python-requests-mock >= 1.1
+BuildRequires:  python-requests-mock >= 1.1.0
 BuildRequires:  python-setuptools >= 16.0
 BuildRequires:  python-testrepository >= 0.0.18
 BuildRequires:  python-testscenarios >= 0.4
-BuildRequires:  python-testtools >= 1.4.0
-Requires:   python-jsonschema >= 2.0.0
-Requires:   python-keystoneauth1 >= 2.21.0
-Requires:   python-osc-lib >= 1.5.1
-Requires:   python-oslo.i18n >= 2.1.0
-Requires:   python-oslo.log >= 3.22.0
-Requires:   python-oslo.utils >= 3.20.0
+BuildRequires:  python-testtools >= 2.2.0
+Requires:   python-jsonschema >= 2.6.0
+Requires:   python-keystoneauth1 >= 3.2.0
+Requires:   python-osc-lib >= 1.7.0
+Requires:   python-oslo.i18n >= 3.15.3
+Requires:   python-oslo.log >= 3.30.0
+Requires:   python-oslo.utils >= 3.31.0
 Requires:   python-pbr >= 2.0.0
 Requires:   python-requests >= 2.14.2
-Requires:   python-six >= 1.9.0
+Requires:   python-six >= 1.10.0
 Requires:   python-stevedore >= 1.20.0
 BuildArch:  noarch
 
@@ -63,9 +63,9 @@
 
 %package doc
 Summary:Documentation for OpenStack Zaqar Queueing API
-Group:  Documentation
+Group:  Documentation/HTML
 BuildRequires:  python-Sphinx
-BuildRequires:  

commit python-senlinclient for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-senlinclient for 
openSUSE:Factory checked in at 2018-01-24 15:28:07

Comparing /work/SRC/openSUSE:Factory/python-senlinclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-senlinclient.new (New)


Package is "python-senlinclient"

Wed Jan 24 15:28:07 2018 rev:4 rq:567284 version:1.5.0

Changes:

--- /work/SRC/openSUSE:Factory/python-senlinclient/python-senlinclient.changes  
2017-08-28 15:31:55.592241321 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-senlinclient.new/python-senlinclient.changes 
2018-01-24 15:28:08.860975628 +0100
@@ -1,0 +2,17 @@
+Mon Jan 15 12:04:59 UTC 2018 - cloud-de...@suse.de
+
+- update to version 1.5.0
+  - Add profile type ops cli
+  - Switch to Zuul v3 testing
+  - Update reno for stable/pike
+  - Updated from global requirements
+  - Remove setting of version/release from releasenotes
+  - Imported Translations from Zanata
+  - fixes support for osprofiler
+  - Fix the ineffective url links in python-senlinclient docs
+  - Fix delete cluster/node miss force-delete parameter
+  - Add force parameter for cluster and node deletion
+  - Support node-adopt/preview CLI
+  - Fix unit test failure
+
+---

Old:

  python-senlinclient-1.4.0.tar.gz

New:

  python-senlinclient-1.5.0.tar.gz



Other differences:
--
++ python-senlinclient.spec ++
--- /var/tmp/diff_new_pack.0Nq6ME/_old  2018-01-24 15:28:09.496945883 +0100
+++ /var/tmp/diff_new_pack.0Nq6ME/_new  2018-01-24 15:28:09.496945883 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-senlinclient
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,51 +18,51 @@
 
 %global sname python-senlinclient
 Name:   python-senlinclient
-Version:1.4.0
+Version:1.5.0
 Release:0
 Summary:Python API and CLI for OpenStack Senlin
 License:Apache-2.0
 Group:  Development/Languages/Python
 Url:https://launchpad.net/%{sname}
-Source0:
https://pypi.io/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
+Source0:
https://files.pythonhosted.org/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
 BuildRequires:  openstack-macros
 BuildRequires:  python-Babel >= 2.3.4
 BuildRequires:  python-PrettyTable >= 0.7.1
-BuildRequires:  python-PyYAML >= 3.10.0
+BuildRequires:  python-PyYAML >= 3.10
 BuildRequires:  python-appdirs >= 1.3.0
 BuildRequires:  python-devel
 BuildRequires:  python-fixtures >= 3.0.0
-BuildRequires:  python-heatclient >= 1.6.1
-BuildRequires:  python-jsonschema >= 2.0.0
-BuildRequires:  python-mock >= 2.0
-BuildRequires:  python-openstackclient >= 3.3.0
-BuildRequires:  python-openstacksdk >= 0.9.17
-BuildRequires:  python-os-testr >= 0.8.0
-BuildRequires:  python-osc-lib >= 1.5.1
-BuildRequires:  python-oslo.i18n >= 2.1.0
-BuildRequires:  python-oslo.serialization >= 1.10.0
-BuildRequires:  python-oslo.utils >= 3.20.0
+BuildRequires:  python-heatclient >= 1.10.0
+BuildRequires:  python-jsonschema >= 2.6.0
+BuildRequires:  python-mock >= 2.0.0
+BuildRequires:  python-openstackclient >= 3.12.0
+BuildRequires:  python-openstacksdk >= 0.9.19
+BuildRequires:  python-os-testr >= 1.0.0
+BuildRequires:  python-osc-lib >= 1.7.0
+BuildRequires:  python-oslo.i18n >= 3.15.3
+BuildRequires:  python-oslo.serialization >= 2.18.0
+BuildRequires:  python-oslo.utils >= 3.31.0
 BuildRequires:  python-oslotest >= 1.10.0
 BuildRequires:  python-pbr >= 2.0.0
-BuildRequires:  python-python-subunit >= 0.0.18
+BuildRequires:  python-python-subunit >= 1.0.0
 BuildRequires:  python-requests >= 2.14.2
-BuildRequires:  python-requests-mock >= 1.1
-BuildRequires:  python-testtools >= 1.4.0
+BuildRequires:  python-requests-mock >= 1.1.0
+BuildRequires:  python-testtools >= 2.2.0
 Requires:   python-PrettyTable >= 0.7.1
-Requires:   python-PyYAML >= 3.10.0
+Requires:   python-PyYAML >= 3.10
 Requires:   python-appdirs >= 1.3.0
-Requires:   python-heatclient >= 1.6.1
-Requires:   python-jsonschema >= 2.0.0
-Requires:   python-keystoneauth1 >= 2.21.0
-Requires:   python-openstackclient >= 3.3.0
-Requires:   python-openstacksdk >= 0.9.17
-Requires:   python-osc-lib >= 1.5.1
-Requires:   python-oslo.i18n >= 2.1.0
-Requires:   python-oslo.serialization >= 1.10.0
-Requires:   python-oslo.utils >= 3.20.0
+Requires:   python-heatclient >= 1.10.0
+Requires:   python-jsonschema >= 2.6.0
+Requires:   

commit python-oslo.privsep for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-oslo.privsep for 
openSUSE:Factory checked in at 2018-01-24 15:27:52

Comparing /work/SRC/openSUSE:Factory/python-oslo.privsep (Old)
 and  /work/SRC/openSUSE:Factory/.python-oslo.privsep.new (New)


Package is "python-oslo.privsep"

Wed Jan 24 15:27:52 2018 rev:6 rq:567277 version:1.26.0

Changes:

--- /work/SRC/openSUSE:Factory/python-oslo.privsep/python-oslo.privsep.changes  
2017-08-28 15:31:28.963984881 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-oslo.privsep.new/python-oslo.privsep.changes 
2018-01-24 15:27:53.941673428 +0100
@@ -1,0 +2,14 @@
+Mon Jan 15 11:58:20 UTC 2018 - cloud-de...@suse.de
+
+- update to version 1.26.0
+  - Remove -U from pip install
+  - Expose caps values/names as int enum
+  - Update reno for stable/pike
+  - Remove setting of version/release from releasenotes
+  - Imported Translations from Zanata
+  - Avoid tox_install.sh for constraints support
+  - add bandit to pep8 job
+  - Updated from global requirements
+  - Update capabilities from current kernel source
+
+---

Old:

  oslo.privsep-1.22.0.tar.gz

New:

  oslo.privsep-1.26.0.tar.gz



Other differences:
--
++ python-oslo.privsep.spec ++
--- /var/tmp/diff_new_pack.6TICn9/_old  2018-01-24 15:27:54.477648360 +0100
+++ /var/tmp/diff_new_pack.6TICn9/_new  2018-01-24 15:27:54.477648360 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-oslo.privsep
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,42 +16,41 @@
 #
 
 
-%global sname oslo.privsep
 Name:   python-oslo.privsep
-Version:1.22.0
+Version:1.26.0
 Release:0
 Summary:OpenStack library for privilege separation
 License:Apache-2.0
 Group:  Development/Languages/Python
-Url:http://launchpad.net/oslo.privsep
-Source0:
https://pypi.io/packages/source/o/%{sname}/%{sname}-%{version}.tar.gz
+Url:https://launchpad.net/oslo.privsep
+Source0:
https://files.pythonhosted.org/packages/source/o/oslo.privsep/oslo.privsep-1.26.0.tar.gz
 BuildRequires:  openstack-macros
 BuildRequires:  python-Babel >= 2.3.4
 BuildRequires:  python-Sphinx
-BuildRequires:  python-cffi
+BuildRequires:  python-cffi >= 1.7.0
 BuildRequires:  python-devel
-BuildRequires:  python-enum34
+BuildRequires:  python-enum34 >= 1.0.4
 BuildRequires:  python-eventlet >= 0.18.2
-BuildRequires:  python-greenlet >= 0.3.2
+BuildRequires:  python-greenlet >= 0.4.10
 BuildRequires:  python-msgpack-python >= 0.4.0
-BuildRequires:  python-openstackdocstheme >= 1.11.0
-BuildRequires:  python-oslo.config >= 4.0.0
-BuildRequires:  python-oslo.i18n >= 2.1.0
-BuildRequires:  python-oslo.log >= 3.22.0
-BuildRequires:  python-oslo.utils >= 3.20.0
+BuildRequires:  python-openstackdocstheme >= 1.17.0
+BuildRequires:  python-oslo.config >= 4.6.0
+BuildRequires:  python-oslo.i18n >= 3.15.3
+BuildRequires:  python-oslo.log >= 3.30.0
+BuildRequires:  python-oslo.utils >= 3.31.0
 BuildRequires:  python-oslotest >= 1.10.0
 BuildRequires:  python-pbr >= 2.0.0
 BuildRequires:  python-setuptools >= 16.0
 Requires:   python-Babel >= 2.3.4
-Requires:   python-cffi
-Requires:   python-enum34
+Requires:   python-cffi >= 1.7.0
+Requires:   python-enum34 >= 1.0.4
 Requires:   python-eventlet >= 0.18.2
-Requires:   python-greenlet >= 0.3.2
+Requires:   python-greenlet >= 0.4.10
 Requires:   python-msgpack-python >= 0.4.0
-Requires:   python-oslo.config >= 4.0.0
-Requires:   python-oslo.i18n >= 2.1.0
-Requires:   python-oslo.log >= 3.22.0
-Requires:   python-oslo.utils >= 3.20.0
+Requires:   python-oslo.config >= 4.6.0
+Requires:   python-oslo.i18n >= 3.15.3
+Requires:   python-oslo.log >= 3.30.0
+Requires:   python-oslo.utils >= 3.31.0
 BuildArch:  noarch
 
 %description
@@ -66,7 +65,7 @@
 Documentation for oslo.privsep
 
 %prep
-%autosetup -n %{sname}-%{version}
+%autosetup -p1 -n oslo.privsep-1.26.0
 %py_req_cleanup
 sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg
 
@@ -93,7 +92,7 @@
 %license LICENSE
 %{_bindir}/privsep-helper
 %{python2_sitelib}/oslo_privsep
-%{python2_sitelib}/%{sname}-*-py?.?.egg-info
+%{python2_sitelib}/oslo.privsep-*-py?.?.egg-info
 
 %files doc
 %doc doc/build/html

++ _service ++
--- /var/tmp/diff_new_pack.6TICn9/_old  2018-01-24 15:27:54.513646676 +0100
+++ /var/tmp/diff_new_pack.6TICn9/_new  2018-01-24 

commit python-oslotest for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-oslotest for openSUSE:Factory 
checked in at 2018-01-24 15:28:02

Comparing /work/SRC/openSUSE:Factory/python-oslotest (Old)
 and  /work/SRC/openSUSE:Factory/.python-oslotest.new (New)


Package is "python-oslotest"

Wed Jan 24 15:28:02 2018 rev:13 rq:567282 version:3.2.0

Changes:

--- /work/SRC/openSUSE:Factory/python-oslotest/python-oslotest.changes  
2017-12-06 08:59:27.835063835 +0100
+++ /work/SRC/openSUSE:Factory/.python-oslotest.new/python-oslotest.changes 
2018-01-24 15:28:04.701170189 +0100
@@ -1,0 +2,11 @@
+Mon Jan 15 12:03:11 UTC 2018 - cloud-de...@suse.de
+
+- update to version 3.2.0
+  - Remove -U from pip install
+  - Remove setting of version/release from releasenotes
+  - Avoid tox_install.sh for constraints support
+  - Remove oslotest.mockpatch
+  - Adds mock autospec fixture
+  - Updated from global requirements
+
+---

Old:

  oslotest-2.18.1.tar.gz

New:

  oslotest-3.2.0.tar.gz



Other differences:
--
++ python-oslotest.spec ++
--- /var/tmp/diff_new_pack.ba8dGX/_old  2018-01-24 15:28:05.797118930 +0100
+++ /var/tmp/diff_new_pack.ba8dGX/_new  2018-01-24 15:28:05.801118742 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-oslotest
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   python-oslotest
-Version:2.18.1
+Version:3.2.0
 Release:0
 Summary:OpenStack test framework
 License:Apache-2.0

++ oslotest-2.18.1.tar.gz -> oslotest-3.2.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/oslotest-2.18.1/AUTHORS new/oslotest-3.2.0/AUTHORS
--- old/oslotest-2.18.1/AUTHORS 2017-09-25 16:20:22.0 +0200
+++ new/oslotest-3.2.0/AUTHORS  2018-01-09 16:24:40.0 +0100
@@ -1,6 +1,7 @@
 Alessio Ababilov 
 Alex Meade 
 Alexander Gorodnev 
+Andreas Jaeger 
 Angus Salkeld 
 Ben Nemec 
 Brant Knudson 
@@ -8,6 +9,7 @@
 ChangBo Guo(gcb) 
 Christian Berendt 
 Chuck Short 
+Claudiu Belu 
 Danek Duvall 
 Davanum Srinivas 
 Davanum Srinivas 
@@ -49,6 +51,7 @@
 Vu Cong Tuan 
 Yuriy Taraday 
 Zhongyue Luo 
+Zuul 
 kavithahr 
 lingyongxu 
 melissaml 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/oslotest-2.18.1/ChangeLog 
new/oslotest-3.2.0/ChangeLog
--- old/oslotest-2.18.1/ChangeLog   2017-09-25 16:20:22.0 +0200
+++ new/oslotest-3.2.0/ChangeLog2018-01-09 16:24:40.0 +0100
@@ -1,6 +1,24 @@
 CHANGES
 ===
 
+3.2.0
+-
+
+* Adds mock autospec fixture
+
+3.1.0
+-
+
+* Remove -U from pip install
+* Avoid tox\_install.sh for constraints support
+* Updated from global requirements
+* Remove setting of version/release from releasenotes
+* Updated from global requirements
+
+3.0.0
+-
+
+
 2.18.1
 --
 
@@ -11,6 +29,7 @@
 * Updated from global requirements
 * Updated from global requirements
 * Deprecate oslotest.functional
+* Remove oslotest.mockpatch
 * Updated from global requirements
 * Updated from global requirements
 * Update reno for stable/pike
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/oslotest-2.18.1/PKG-INFO new/oslotest-3.2.0/PKG-INFO
--- old/oslotest-2.18.1/PKG-INFO2017-09-25 16:20:22.0 +0200
+++ new/oslotest-3.2.0/PKG-INFO 2018-01-09 16:24:41.0 +0100
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: oslotest
-Version: 2.18.1
+Version: 3.2.0
 Summary: Oslo test framework
 Home-page: https://docs.openstack.org/oslotest/latest/
 Author: OpenStack
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/oslotest-2.18.1/doc/source/user/index.rst 
new/oslotest-3.2.0/doc/source/user/index.rst
--- old/oslotest-2.18.1/doc/source/user/index.rst   2017-09-25 
16:18:11.0 +0200
+++ new/oslotest-3.2.0/doc/source/user/index.rst2018-01-09 
16:22:14.0 

commit python-oslo.reports for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-oslo.reports for 
openSUSE:Factory checked in at 2018-01-24 15:27:55

Comparing /work/SRC/openSUSE:Factory/python-oslo.reports (Old)
 and  /work/SRC/openSUSE:Factory/.python-oslo.reports.new (New)


Package is "python-oslo.reports"

Wed Jan 24 15:27:55 2018 rev:4 rq:567278 version:1.25.0

Changes:

--- /work/SRC/openSUSE:Factory/python-oslo.reports/python-oslo.reports.changes  
2017-08-28 15:31:30.715738611 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-oslo.reports.new/python-oslo.reports.changes 
2018-01-24 15:27:55.689591675 +0100
@@ -1,0 +2,14 @@
+Mon Jan 15 11:58:51 UTC 2018 - cloud-de...@suse.de
+
+- update to version 1.25.0
+  - Remove -U from pip install
+  - Remove SIGUSR1 handler, which was deprecated after Ocata
+  - Update reno for stable/pike
+  - Remove psutil 1.x compat wrapping
+  - Remove setting of version/release from releasenotes
+  - Imported Translations from Zanata
+  - Avoid tox_install.sh for constraints support
+  - Update the documentation link
+  - Updated from global requirements
+
+---

Old:

  oslo.reports-1.22.0.tar.gz

New:

  oslo.reports-1.25.0.tar.gz



Other differences:
--
++ python-oslo.reports.spec ++
--- /var/tmp/diff_new_pack.xP7ffx/_old  2018-01-24 15:27:56.321562117 +0100
+++ /var/tmp/diff_new_pack.xP7ffx/_new  2018-01-24 15:27:56.325561930 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-oslo.reports
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,34 +16,33 @@
 #
 
 
-%global sname oslo.reports
 Name:   python-oslo.reports
-Version:1.22.0
+Version:1.25.0
 Release:0
 Summary:OpenStack oslo.reports library
 License:Apache-2.0
 Group:  Development/Languages/Python
-Url:https://launchpad.net/%{sname}
-Source0:
https://pypi.io/packages/source/o/%{sname}/%{sname}-%{version}.tar.gz
+Url:https://launchpad.net/oslo.reports
+Source0:
https://files.pythonhosted.org/packages/source/o/oslo.reports/oslo.reports-1.25.0.tar.gz
 BuildRequires:  openstack-macros
 BuildRequires:  python-Jinja2 >= 2.8
 BuildRequires:  python-devel
 BuildRequires:  python-eventlet >= 0.18.2
-BuildRequires:  python-greenlet >= 0.3.2
-BuildRequires:  python-oslo.config >= 4.0.0
-BuildRequires:  python-oslo.i18n >= 2.1.0
-BuildRequires:  python-oslo.serialization >= 1.10.0
-BuildRequires:  python-oslo.utils >= 3.20.0
+BuildRequires:  python-greenlet >= 0.4.10
+BuildRequires:  python-oslo.config >= 4.6.0
+BuildRequires:  python-oslo.i18n >= 3.15.3
+BuildRequires:  python-oslo.serialization >= 2.18.0
+BuildRequires:  python-oslo.utils >= 3.31.0
 BuildRequires:  python-oslotest >= 1.10.0
 BuildRequires:  python-pbr >= 2.0.0
 BuildRequires:  python-psutil >= 3.2.2
-BuildRequires:  python-six >= 1.9.0
+BuildRequires:  python-six >= 1.10.0
 Requires:   python-Jinja2 >= 2.8
-Requires:   python-oslo.i18n >= 2.1.0
-Requires:   python-oslo.serialization >= 1.10.0
-Requires:   python-oslo.utils >= 3.20.0
+Requires:   python-oslo.i18n >= 3.15.3
+Requires:   python-oslo.serialization >= 2.18.0
+Requires:   python-oslo.utils >= 3.31.0
 Requires:   python-psutil >= 3.2.2
-Requires:   python-six >= 1.9.0
+Requires:   python-six >= 1.10.0
 BuildArch:  noarch
 
 %description
@@ -54,7 +53,7 @@
 Summary:Documentation for OpenStack reports library
 Group:  Development/Languages/Python
 BuildRequires:  python-Sphinx
-BuildRequires:  python-openstackdocstheme >= 1.11.0
+BuildRequires:  python-openstackdocstheme >= 1.17.0
 
 %description doc
 The project oslo.reports hosts a general purpose error report generation
@@ -62,7 +61,7 @@
 This package contains the documentation.
 
 %prep
-%autosetup -n %{sname}-%{version}
+%autosetup -p1 -n oslo.reports-1.25.0
 %py_req_cleanup
 sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg
 

++ _service ++
--- /var/tmp/diff_new_pack.xP7ffx/_old  2018-01-24 15:27:56.361560246 +0100
+++ /var/tmp/diff_new_pack.xP7ffx/_new  2018-01-24 15:27:56.361560246 +0100
@@ -1,8 +1,8 @@
 
   
-https://raw.githubusercontent.com/openstack/rpm-packaging/stable/pike/openstack/oslo.reports/oslo.reports.spec.j2
+https://raw.githubusercontent.com/openstack/rpm-packaging/master/openstack/oslo.reports/oslo.reports.spec.j2
 python-oslo.reports.spec
-

commit python-oslo.middleware for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-oslo.middleware for 
openSUSE:Factory checked in at 2018-01-24 15:27:49

Comparing /work/SRC/openSUSE:Factory/python-oslo.middleware (Old)
 and  /work/SRC/openSUSE:Factory/.python-oslo.middleware.new (New)


Package is "python-oslo.middleware"

Wed Jan 24 15:27:49 2018 rev:8 rq:567276 version:3.33.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-oslo.middleware/python-oslo.middleware.changes
2017-09-29 11:56:36.524460824 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-oslo.middleware.new/python-oslo.middleware.changes
   2018-01-24 15:27:50.929814298 +0100
@@ -1,0 +2,14 @@
+Mon Jan 15 11:57:19 UTC 2018 - cloud-de...@suse.de
+
+- update to version 3.33.0
+  - Invalid parsing of Forwarded header fixed
+  - Update reno for stable/pike
+  - Remove setting of version/release from releasenotes
+  - doc: Specify openstackdocs theme
+  - Remove method set_latent
+  - Imported Translations from Zanata
+  - Remove Class HTTPProxyToWSGIMiddleware
+  - Updated from global requirements
+  - Fix exception in json response under py35
+
+---

Old:

  oslo.middleware-3.30.1.tar.gz

New:

  oslo.middleware-3.33.0.tar.gz



Other differences:
--
++ python-oslo.middleware.spec ++
--- /var/tmp/diff_new_pack.S9QhWq/_old  2018-01-24 15:27:51.573784179 +0100
+++ /var/tmp/diff_new_pack.S9QhWq/_new  2018-01-24 15:27:51.577783991 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-oslo.middleware
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,40 +16,41 @@
 #
 
 
-%global sname oslo.middleware
 Name:   python-oslo.middleware
-Version:3.30.1
+Version:3.33.0
 Release:0
 Summary:OpenStack oslo.middleware library
 License:Apache-2.0
 Group:  Development/Languages/Python
-Url:https://launchpad.net/%{sname}
-Source0:
https://pypi.io/packages/source/o/%{sname}/%{sname}-%{version}.tar.gz
+Url:https://launchpad.net/oslo.middleware
+Source0:
https://files.pythonhosted.org/packages/source/o/oslo.middleware/oslo.middleware-3.33.0.tar.gz
 BuildRequires:  openstack-macros
 BuildRequires:  python-Jinja2 >= 2.8
 BuildRequires:  python-WebOb >= 1.7.1
 BuildRequires:  python-debtcollector >= 1.2.0
 BuildRequires:  python-devel
 BuildRequires:  python-fixtures >= 3.0.0
-BuildRequires:  python-mock >= 2.0
-BuildRequires:  python-oslo.config >= 4.0.0
-BuildRequires:  python-oslo.context >= 2.14.0
-BuildRequires:  python-oslo.i18n >= 2.1.0
-BuildRequires:  python-oslo.utils >= 3.20.0
+BuildRequires:  python-mock >= 2.0.0
+BuildRequires:  python-oslo.config >= 4.6.0
+BuildRequires:  python-oslo.context >= 2.19.2
+BuildRequires:  python-oslo.i18n >= 3.15.3
+BuildRequires:  python-oslo.serialization >= 2.18.0
+BuildRequires:  python-oslo.utils >= 3.31.0
 BuildRequires:  python-oslotest >= 1.10.0
 BuildRequires:  python-pbr >= 2.0.0
-BuildRequires:  python-six >= 1.9.0
+BuildRequires:  python-six >= 1.10.0
 BuildRequires:  python-statsd >= 3.2.1
 BuildRequires:  python-stevedore >= 1.20.0
-BuildRequires:  python-testtools >= 1.4.0
+BuildRequires:  python-testtools >= 2.2.0
 Requires:   python-Jinja2 >= 2.8
 Requires:   python-WebOb >= 1.7.1
 Requires:   python-debtcollector >= 1.2.0
-Requires:   python-oslo.config >= 4.0.0
-Requires:   python-oslo.context >= 2.14.0
-Requires:   python-oslo.i18n >= 2.1.0
-Requires:   python-oslo.utils >= 3.20.0
-Requires:   python-six >= 1.9.0
+Requires:   python-oslo.config >= 4.6.0
+Requires:   python-oslo.context >= 2.19.2
+Requires:   python-oslo.i18n >= 3.15.3
+Requires:   python-oslo.serialization >= 2.18.0
+Requires:   python-oslo.utils >= 3.31.0
+Requires:   python-six >= 1.10.0
 Requires:   python-statsd >= 3.2.1
 Requires:   python-stevedore >= 1.20.0
 BuildArch:  noarch
@@ -64,8 +65,8 @@
 Summary:Documentation for OpenStack middleware library
 Group:  Development/Languages/Python
 BuildRequires:  python-Sphinx
-BuildRequires:  python-openstackdocstheme >= 1.16.0
-BuildRequires:  python-reno >= 1.8.0
+BuildRequires:  python-openstackdocstheme >= 1.17.0
+BuildRequires:  python-reno >= 2.5.0
 
 %description doc
 Oslo middleware library includes components that can be injected into wsgi
@@ -75,7 +76,7 @@
 This package contains the documentation.
 
 %prep
-%autosetup -p1 -n %{sname}-%{version}
+%autosetup -p1 -n 

commit python-oslo.vmware for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-oslo.vmware for 
openSUSE:Factory checked in at 2018-01-24 15:27:59

Comparing /work/SRC/openSUSE:Factory/python-oslo.vmware (Old)
 and  /work/SRC/openSUSE:Factory/.python-oslo.vmware.new (New)


Package is "python-oslo.vmware"

Wed Jan 24 15:27:59 2018 rev:11 rq:567280 version:2.26.0

Changes:

--- /work/SRC/openSUSE:Factory/python-oslo.vmware/python-oslo.vmware.changes
2017-08-28 15:31:44.945738077 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-oslo.vmware.new/python-oslo.vmware.changes   
2018-01-24 15:28:00.717356518 +0100
@@ -1,0 +2,13 @@
+Mon Jan 15 12:02:26 UTC 2018 - cloud-de...@suse.de
+
+- update to version 2.26.0
+  - Fix the repeating titles
+  - Remove -U from pip install
+  - Update reno for stable/pike
+  - Remove setting of version/release from releasenotes
+  - Imported Translations from Zanata
+  - Avoid tox_install.sh for constraints support
+  - Cleanup test-requirements
+  - Updated from global requirements
+
+---

Old:

  oslo.vmware-2.23.0.tar.gz

New:

  oslo.vmware-2.26.0.tar.gz



Other differences:
--
++ python-oslo.vmware.spec ++
--- /var/tmp/diff_new_pack.kzS91Q/_old  2018-01-24 15:28:01.285329953 +0100
+++ /var/tmp/diff_new_pack.kzS91Q/_new  2018-01-24 15:28:01.285329953 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-oslo.vmware
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,45 +16,44 @@
 #
 
 
-%global pypi_name oslo.vmware
 Name:   python-oslo.vmware
-Version:2.23.0
+Version:2.26.0
 Release:0
 Summary:Oslo VMware library for OpenStack projects
 License:Apache-2.0
 Group:  Development/Languages/Python
-Url:http://launchpad.net/oslo.vmware
-Source0:
https://pypi.io/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
+Url:https://launchpad.net/oslo.vmware
+Source0:
https://files.pythonhosted.org/packages/source/o/oslo.vmware/oslo.vmware-2.26.0.tar.gz
 BuildRequires:  openstack-macros
 BuildRequires:  python-Babel >= 2.3.4
 BuildRequires:  python-ddt >= 1.0.1
 BuildRequires:  python-devel
 BuildRequires:  python-eventlet >= 0.18.2
 BuildRequires:  python-fixtures >= 3.0.0
-BuildRequires:  python-lxml >= 2.3
-BuildRequires:  python-mock >= 2.0
-BuildRequires:  python-mox3 >= 0.7.0
-BuildRequires:  python-netaddr >= 0.7.13
-BuildRequires:  python-oslo.concurrency >= 3.8.0
-BuildRequires:  python-oslo.i18n >= 2.1.0
-BuildRequires:  python-oslo.utils >= 3.20.0
+BuildRequires:  python-lxml >= 3.4.1
+BuildRequires:  python-mock >= 2.0.0
+BuildRequires:  python-mox3 >= 0.20.0
+BuildRequires:  python-netaddr >= 0.7.18
+BuildRequires:  python-oslo.concurrency >= 3.20.0
+BuildRequires:  python-oslo.i18n >= 3.15.3
+BuildRequires:  python-oslo.utils >= 3.31.0
 BuildRequires:  python-pbr >= 2.0.0
-BuildRequires:  python-python-subunit >= 0.0.18
+BuildRequires:  python-python-subunit >= 1.0.0
 BuildRequires:  python-requests >= 2.14.2
 BuildRequires:  python-suds-jurko >= 0.6
 BuildRequires:  python-testrepository >= 0.0.18
 BuildRequires:  python-testscenarios >= 0.4
-BuildRequires:  python-testtools >= 1.4.0
+BuildRequires:  python-testtools >= 2.2.0
 BuildRequires:  python-urllib3 >= 1.21.1
-Requires:   python-PyYAML >= 3.10.0
+Requires:   python-PyYAML >= 3.10
 Requires:   python-eventlet >= 0.18.2
-Requires:   python-lxml >= 2.3
-Requires:   python-netaddr >= 0.7.13
-Requires:   python-oslo.concurrency >= 3.8.0
-Requires:   python-oslo.i18n >= 2.1.0
-Requires:   python-oslo.utils >= 3.20.0
+Requires:   python-lxml >= 3.4.1
+Requires:   python-netaddr >= 0.7.18
+Requires:   python-oslo.concurrency >= 3.20.0
+Requires:   python-oslo.i18n >= 3.15.3
+Requires:   python-oslo.utils >= 3.31.0
 Requires:   python-requests >= 2.14.2
-Requires:   python-six >= 1.9.0
+Requires:   python-six >= 1.10.0
 Requires:   python-stevedore >= 1.20.0
 Requires:   python-suds-jurko >= 0.6
 Requires:   python-urllib3 >= 1.21.1
@@ -72,14 +71,14 @@
 Summary:Documentation for OpenStack common VMware library
 Group:  Development/Languages/Python
 BuildRequires:  python-Sphinx
-BuildRequires:  python-openstackdocstheme >= 1.11.0
+BuildRequires:  python-openstackdocstheme >= 1.17.0
 Requires:   %{name} = %{version}
 
 %description doc
 Documentation for OpenStack common VMware library.
 

commit python-oslo.versionedobjects for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-oslo.versionedobjects for 
openSUSE:Factory checked in at 2018-01-24 15:27:57

Comparing /work/SRC/openSUSE:Factory/python-oslo.versionedobjects (Old)
 and  /work/SRC/openSUSE:Factory/.python-oslo.versionedobjects.new (New)


Package is "python-oslo.versionedobjects"

Wed Jan 24 15:27:57 2018 rev:4 rq:567279 version:1.31.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-oslo.versionedobjects/python-oslo.versionedobjects.changes
2017-08-28 15:31:42.786041700 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-oslo.versionedobjects.new/python-oslo.versionedobjects.changes
   2018-01-24 15:27:58.537458476 +0100
@@ -1,0 +2,18 @@
+Mon Jan 15 12:02:02 UTC 2018 - cloud-de...@suse.de
+
+- update to version 1.31.0
+  - iso8601.is8601.Utc No Longer Exists
+  - Fix wrong indent of releasenotes
+  - Follow the new PTI for document build
+  - Update reno for stable/pike
+  - Updated from global requirements
+  - Remove setting of version/release from releasenotes
+  - Imported Translations from Zanata
+  - Migrate to zuulv3 - move legacy jobs to project
+  - Avoid tox_install.sh for constraints support
+  - Use newer location for iso8601 UTC
+  - Zuul: add file extension to playbook path
+  - Add a TimestampedObject mixin
+  - Add bandit to pep8 job
+
+---

Old:

  oslo.versionedobjects-1.26.0.tar.gz

New:

  oslo.versionedobjects-1.31.0.tar.gz



Other differences:
--
++ python-oslo.versionedobjects.spec ++
--- /var/tmp/diff_new_pack.0n3aDR/_old  2018-01-24 15:27:59.321421808 +0100
+++ /var/tmp/diff_new_pack.0n3aDR/_new  2018-01-24 15:27:59.329421434 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-oslo.versionedobjects
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,41 +17,41 @@
 
 
 Name:   python-oslo.versionedobjects
-Version:1.26.0
+Version:1.31.0
 Release:0
 Summary:Oslo Versioned Objects library
 License:Apache-2.0
 Group:  Development/Languages/Python
-Url:http://launchpad.net/%{sname}
-Source0:
https://pypi.io/packages/source/o/oslo.versionedobjects/oslo.versionedobjects-%{version}.tar.gz
+Url:https://launchpad.net/oslo.versionedobjects
+Source0:
https://files.pythonhosted.org/packages/source/o/oslo.versionedobjects/oslo.versionedobjects-1.31.0.tar.gz
 BuildRequires:  openstack-macros
 BuildRequires:  python-devel
 BuildRequires:  python-iso8601 >= 0.1.11
-BuildRequires:  python-jsonschema >= 2.0.0
-BuildRequires:  python-oslo.concurrency >= 3.8.0
-BuildRequires:  python-oslo.config >= 4.0.0
-BuildRequires:  python-oslo.context >= 2.14.0
-BuildRequires:  python-oslo.i18n >= 2.1.0
-BuildRequires:  python-oslo.log >= 3.22.0
-BuildRequires:  python-oslo.messaging >= 5.24.2
-BuildRequires:  python-oslo.serialization >= 1.10.0
-BuildRequires:  python-oslo.utils >= 3.20.0
+BuildRequires:  python-jsonschema >= 2.6.0
+BuildRequires:  python-oslo.concurrency >= 3.20.0
+BuildRequires:  python-oslo.config >= 4.6.0
+BuildRequires:  python-oslo.context >= 2.19.2
+BuildRequires:  python-oslo.i18n >= 3.15.3
+BuildRequires:  python-oslo.log >= 3.30.0
+BuildRequires:  python-oslo.messaging >= 5.29.0
+BuildRequires:  python-oslo.serialization >= 2.18.0
+BuildRequires:  python-oslo.utils >= 3.31.0
 BuildRequires:  python-oslotest >= 1.10.0
 BuildRequires:  python-pbr >= 2.0.0
-BuildRequires:  python-testtools >= 1.4.0
+BuildRequires:  python-testtools >= 2.2.0
 Requires:   python-WebOb >= 1.7.1
 Requires:   python-iso8601 >= 0.1.11
-Requires:   python-jsonschema >= 2.0.0
-Requires:   python-netaddr >= 0.7.13
-Requires:   python-oslo.concurrency >= 3.8.0
-Requires:   python-oslo.config >= 4.0.0
-Requires:   python-oslo.context >= 2.14.0
-Requires:   python-oslo.i18n >= 2.1.0
-Requires:   python-oslo.log >= 3.22.0
-Requires:   python-oslo.messaging >= 5.24.2
-Requires:   python-oslo.serialization >= 1.10.0
-Requires:   python-oslo.utils >= 3.20.0
-Requires:   python-six >= 1.9.0
+Requires:   python-jsonschema >= 2.6.0
+Requires:   python-netaddr >= 0.7.18
+Requires:   python-oslo.concurrency >= 3.20.0
+Requires:   python-oslo.config >= 4.6.0
+Requires:   python-oslo.context >= 2.19.2
+Requires:   python-oslo.i18n >= 3.15.3
+Requires:   python-oslo.log >= 3.30.0
+Requires:   python-oslo.messaging >= 5.29.0
+Requires:   

commit python-oslo.db for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-oslo.db for openSUSE:Factory 
checked in at 2018-01-24 15:27:40

Comparing /work/SRC/openSUSE:Factory/python-oslo.db (Old)
 and  /work/SRC/openSUSE:Factory/.python-oslo.db.new (New)


Package is "python-oslo.db"

Wed Jan 24 15:27:40 2018 rev:12 rq:567273 version:4.32.0

Changes:

--- /work/SRC/openSUSE:Factory/python-oslo.db/python-oslo.db.changes
2017-08-28 15:32:28.599600879 +0200
+++ /work/SRC/openSUSE:Factory/.python-oslo.db.new/python-oslo.db.changes   
2018-01-24 15:27:43.334169560 +0100
@@ -1,0 +2,36 @@
+Mon Jan 15 11:52:16 UTC 2018 - cloud-de...@suse.de
+
+- update to version 4.32.0
+  - Add requirements.txt for docs builds
+  - Remove AutoString* in ndb.py
+  - Imported Translations from Zanata
+  - Migrate to zuulv3 - move legacy jobs to project
+  - Remove class InsertFromSelect
+  - Zuul: add file extension to playbook path
+  - Add new foreign key utility function to utils
+  - Remove kwarg retry_on_request in wrap_db_retry
+  - Use assertRegex instead of assertRegexpMatches
+  - Remove deprecation warning when loading tests/sqlalchemy
+  - Test illegal "boolean" values without Boolean datatype
+  - Replace six.iteritems() with .items()
+  - Remove class TransactionResource
+  - Remove provisioned_engine in class BackendImpl
+  - Handle deprecation of inspect.getargspec
+  - Drop MySQL-python dependency from oslo.db
+  - Fix pagination when marker value is None
+  - Use skipTest() method instead of deprecated skip()
+  - Remove method get_connect_string and is_backend_avail
+  - Rename idle_timeout to connection_recycle_time
+  - Throw DBMigrationError instead of DbMigrationError.
+  - Log an exception when reconnect-to-disconnected occurs
+  - Update the documentation link
+  - Remove property message for DBInvalidUnicodeParameter and InvalidSortKey
+  - Replace ndb "auto" types with unified String
+  - Update reno for stable/pike
+  - Remove method provisioned_engine in class Backend
+  - Remove setting of version/release from releasenotes
+  - Let others listen to SQLAlchemy errors
+  - Workaround non-compatible type.adapt() for SQLAlchemy < 1.1
+  - Updated from global requirements
+
+---

Old:

  oslo.db-4.25.0.tar.gz

New:

  oslo.db-4.32.0.tar.gz



Other differences:
--
++ python-oslo.db.spec ++
--- /var/tmp/diff_new_pack.yg5hSk/_old  2018-01-24 15:27:43.962140189 +0100
+++ /var/tmp/diff_new_pack.yg5hSk/_new  2018-01-24 15:27:43.962140189 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-oslo.db
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,15 +16,14 @@
 #
 
 
-%global sname oslo.db
 Name:   python-oslo.db
-Version:4.25.0
+Version:4.32.0
 Release:0
 Summary:OpenStack oslo.db library
 License:Apache-2.0
 Group:  Development/Languages/Python
-Url:https://launchpad.net/%{sname}
-Source0:
https://pypi.io/packages/source/o/%{sname}/%{sname}-%{version}.tar.gz
+Url:https://launchpad.net/oslo.db
+Source0:
https://files.pythonhosted.org/packages/source/o/oslo.db/oslo.db-4.32.0.tar.gz
 BuildRequires:  openstack-macros
 BuildRequires:  python-PyMySQL >= 0.7.6
 BuildRequires:  python-alembic >= 0.8.10
@@ -32,32 +31,32 @@
 BuildRequires:  python-devel
 BuildRequires:  python-eventlet >= 0.18.2
 BuildRequires:  python-fixtures >= 3.0.0
-BuildRequires:  python-mock >= 2.0
-BuildRequires:  python-oslo.config >= 4.0.0
-BuildRequires:  python-oslo.context >= 2.14.0
-BuildRequires:  python-oslo.i18n >= 2.1.0
-BuildRequires:  python-oslo.utils >= 3.20.0
+BuildRequires:  python-mock >= 2.0.0
+BuildRequires:  python-oslo.config >= 4.6.0
+BuildRequires:  python-oslo.context >= 2.19.2
+BuildRequires:  python-oslo.i18n >= 3.15.3
+BuildRequires:  python-oslo.utils >= 3.31.0
 BuildRequires:  python-oslotest >= 1.10.0
 BuildRequires:  python-pbr >= 2.0.0
-BuildRequires:  python-psycopg2 >= 2.5
-BuildRequires:  python-python-subunit >= 0.0.18
-BuildRequires:  python-reno >= 1.8.0
-BuildRequires:  python-six >= 1.9.0
+BuildRequires:  python-psycopg2 >= 2.6.2
+BuildRequires:  python-python-subunit >= 1.0.0
+BuildRequires:  python-reno >= 2.5.0
+BuildRequires:  python-six >= 1.10.0
 BuildRequires:  python-sqlalchemy-migrate >= 0.11.0
 BuildRequires:  python-testrepository >= 0.0.18
-BuildRequires:  python-testresources >= 0.2.4
+BuildRequires:  python-testresources >= 2.0.0
 BuildRequires:  

commit python-oslo.messaging for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-oslo.messaging for 
openSUSE:Factory checked in at 2018-01-24 15:27:46

Comparing /work/SRC/openSUSE:Factory/python-oslo.messaging (Old)
 and  /work/SRC/openSUSE:Factory/.python-oslo.messaging.new (New)


Package is "python-oslo.messaging"

Wed Jan 24 15:27:46 2018 rev:14 rq:567275 version:5.35.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-oslo.messaging/python-oslo.messaging.changes  
2017-08-28 15:30:54.048893377 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-oslo.messaging.new/python-oslo.messaging.changes
 2018-01-24 15:27:49.073901102 +0100
@@ -1,0 +2,61 @@
+Mon Jan 15 11:56:37 UTC 2018 - cloud-de...@suse.de
+
+- update to version 5.35.0
+  - Fix default value of RPC dispatcher access_policy
+  - Ensure RPC endpoint target attribute is correct
+  - Add support for virtual hosts
+  - Imported Translations from Zanata
+  - Flesh out transport_url help
+  - Avoid tox_install.sh for constraints support
+  - don't convert generator to list unless required
+  - Fix wrong transport warnings in functional tests
+  - Suppress excessive debug logs when consume rabbit
+  - Add zmq packages that are no longer in bindep-fallback
+  - Catch socket.timeout when doing heartbeat_check
+  - Add kafka driver vhost emulation
+  - Fix some reST field lists in docstrings
+  - Provide bindep_profile in openstack-tox job setup
+  - Fix typo in contributor docs title
+  - Remove pbr version from setup.py
+  - Prevent rabbit from raising unexpected exceptions
+  - Update links in README
+  - Fix use of print function on python3
+  - Warn when wrong transport instance is used
+  - Remove envelope argument from driver send() interface
+  - Remove stable/newton from zuul settings
+  - sort when using groupby
+  - Zuul: add file extension to playbook path
+  - fix 'configration' typo
+  - Update kafka functional test
+  - Move legacy zuulv3 tests into oslo.messaging repo
+  - Remove the test that counts kombu connect calls
+  - Class-level _exchanges in FakeExchangeManager
+  - Remove unnecessary setUp function in testcase
+  - Fix a typo
+  - Create doc/requirements.txt
+  - Update amqp 1.0 driver deployment guide
+  - Remove setting of version/release from releasenotes
+  - fix batch handling
+  - Update reno for stable/pike
+  - rabbitmq: don't wait for message ack/requeue
+  - Updated from global requirements
+  - Add licenses and remove unused import in doc/source/conf.py
+
+---
+Wed Nov 22 10:30:15 UTC 2017 - vu...@suse.com
+
+- Add 0001-Catch-socket.timeout-when-doing-heartbeat_check.patch:
+  fix a specific kind of reconnection error when rabbitmq node goes
+  down.
+
+---
+Thu Sep 28 06:51:46 UTC 2017 - cloud-de...@suse.de
+
+- update to version 5.30.1
+  - Add support for virtual hosts
+  - Updated from global requirements
+  - Update .gitreview for stable/pike
+  - Remove the test that counts kombu connect calls
+  - Update UPPER_CONSTRAINTS_FILE for stable/pike
+
+---

Old:

  oslo.messaging-5.30.0.tar.gz

New:

  oslo.messaging-5.35.0.tar.gz



Other differences:
--
++ python-oslo.messaging.spec ++
--- /var/tmp/diff_new_pack.TLr5Cp/_old  2018-01-24 15:27:49.757869113 +0100
+++ /var/tmp/diff_new_pack.TLr5Cp/_new  2018-01-24 15:27:49.761868925 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-oslo.messaging
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,73 +16,72 @@
 #
 
 
-%global sname oslo.messaging
 Name:   python-oslo.messaging
-Version:5.30.0
+Version:5.35.0
 Release:0
 Summary:OpenStack oslo.messaging library
 License:Apache-2.0
 Group:  Development/Languages/Python
-Url:https://launchpad.net/%{sname}
-Source0:
https://pypi.io/packages/source/o/%{sname}/%{sname}-%{version}.tar.gz
+Url:https://launchpad.net/oslo.messaging
+Source0:
https://files.pythonhosted.org/packages/source/o/oslo.messaging/oslo.messaging-5.35.0.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python-PyYAML >= 3.10.0
+BuildRequires:  python-PyYAML >= 3.10
 BuildRequires:  python-WebOb >= 1.7.1
-BuildRequires:  python-amqp >= 2.1.0
-BuildRequires:  python-cachetools >= 1.1.0
+BuildRequires:  python-amqp >= 2.1.1
+BuildRequires:  python-cachetools >= 2.0.0
 BuildRequires:  

commit python-oslo.i18n for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-oslo.i18n for 
openSUSE:Factory checked in at 2018-01-24 15:27:44

Comparing /work/SRC/openSUSE:Factory/python-oslo.i18n (Old)
 and  /work/SRC/openSUSE:Factory/.python-oslo.i18n.new (New)


Package is "python-oslo.i18n"

Wed Jan 24 15:27:44 2018 rev:10 rq:567274 version:3.19.0

Changes:

--- /work/SRC/openSUSE:Factory/python-oslo.i18n/python-oslo.i18n.changes
2017-12-14 10:55:00.062804347 +0100
+++ /work/SRC/openSUSE:Factory/.python-oslo.i18n.new/python-oslo.i18n.changes   
2018-01-24 15:27:45.894049830 +0100
@@ -1,0 +2,10 @@
+Mon Jan 15 11:52:39 UTC 2018 - cloud-de...@suse.de
+
+- update to version 3.19.0
+  - Imported Translations from Zanata
+  - Remove setting of version/release from releasenotes
+  - Remove -U from pip install
+  - Updated from global requirements
+  - Avoid tox_install.sh for constraints support
+
+---

Old:

  oslo.i18n-3.18.0.tar.gz

New:

  oslo.i18n-3.19.0.tar.gz



Other differences:
--
++ python-oslo.i18n.spec ++
--- /var/tmp/diff_new_pack.SUOfJe/_old  2018-01-24 15:27:46.602016718 +0100
+++ /var/tmp/diff_new_pack.SUOfJe/_new  2018-01-24 15:27:46.610016343 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-oslo.i18n
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,26 +17,26 @@
 
 
 Name:   python-oslo.i18n
-Version:3.18.0
+Version:3.19.0
 Release:0
 Summary:OpenStack i18n library
 License:Apache-2.0
 Group:  Development/Languages/Python
 Url:https://launchpad.net/oslo.i18n
-Source0:
https://files.pythonhosted.org/packages/source/o/oslo.i18n/oslo.i18n-3.18.0.tar.gz
+Source0:
https://files.pythonhosted.org/packages/source/o/oslo.i18n/oslo.i18n-3.19.0.tar.gz
 BuildRequires:  openstack-macros
 BuildRequires:  python2-Babel >= 2.3.4
-BuildRequires:  python2-mock >= 2.0
+BuildRequires:  python2-mock >= 2.0.0
 BuildRequires:  python2-oslotest >= 1.10.0
 BuildRequires:  python2-pbr >= 2.0.0
 BuildRequires:  python2-testscenarios >= 0.4
 BuildRequires:  python3-Babel >= 2.3.4
-BuildRequires:  python3-mock >= 2.0
+BuildRequires:  python3-mock >= 2.0.0
 BuildRequires:  python3-oslotest >= 1.10.0
 BuildRequires:  python3-pbr >= 2.0.0
 BuildRequires:  python3-testscenarios >= 0.4
 Requires:   python-Babel >= 2.3.4
-Requires:   python-six >= 1.9.0
+Requires:   python-six >= 1.10.0
 BuildArch:  noarch
 %python_subpackages
 
@@ -49,13 +49,13 @@
 Summary:Documentation for OpenStack i18n library
 Group:  Development/Languages/Python
 BuildRequires:  python-Sphinx
-BuildRequires:  python-openstackdocstheme >= 1.11.0
+BuildRequires:  python-openstackdocstheme >= 1.17.0
 
 %description -n python-oslo.i18n-doc
 Documentation for the oslo.i18n library.
 
 %prep
-%autosetup -p1 -n oslo.i18n-3.18.0
+%autosetup -p1 -n oslo.i18n-3.19.0
 %py_req_cleanup
 sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg
 

++ oslo.i18n-3.18.0.tar.gz -> oslo.i18n-3.19.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/oslo.i18n-3.18.0/AUTHORS new/oslo.i18n-3.19.0/AUTHORS
--- old/oslo.i18n-3.18.0/AUTHORS2017-09-20 10:43:16.0 +0200
+++ new/oslo.i18n-3.19.0/AUTHORS2017-12-04 11:33:13.0 +0100
@@ -2,6 +2,7 @@
 Akihiro Motoki 
 Alessio Ababilov 
 Anderson Mesquita 
+Andreas Jaeger 
 Andreas Jaeger 
 Andrey Kurilin 
 Balazs Gibizer 
@@ -56,6 +57,7 @@
 Zhiteng Huang 
 ZhongShengping 
 Zhongyue Luo 
+Zuul 
 howardlee 
 kavithahr 
 lingyongxu 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/oslo.i18n-3.18.0/ChangeLog 
new/oslo.i18n-3.19.0/ChangeLog
--- old/oslo.i18n-3.18.0/ChangeLog  2017-09-20 10:43:16.0 +0200
+++ new/oslo.i18n-3.19.0/ChangeLog  2017-12-04 11:33:13.0 +0100
@@ -1,6 +1,17 @@
 CHANGES
 ===
 
+3.19.0
+--
+
+* Remove -U from pip install
+* Avoid tox\_install.sh for constraints support
+* Updated from global requirements
+* Remove setting of version/release from releasenotes
+* 

commit python-neutronclient for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-neutronclient for 
openSUSE:Factory checked in at 2018-01-24 15:27:20

Comparing /work/SRC/openSUSE:Factory/python-neutronclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-neutronclient.new (New)


Package is "python-neutronclient"

Wed Jan 24 15:27:20 2018 rev:17 rq:567269 version:6.6.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-neutronclient/python-neutronclient.changes
2017-08-28 15:32:18.273052677 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-neutronclient.new/python-neutronclient.changes
   2018-01-24 15:27:25.487004308 +0100
@@ -1,0 +2,20 @@
+Mon Jan 15 11:46:11 UTC 2018 - cloud-de...@suse.de
+
+- update to version 6.6.0
+  - Use generic $USER variable for functional tests
+  - SFC plugin: fix all list commands
+  - SFC plugin: preserve chain order in set/unset commands
+  - Update reno for stable/pike
+  - SFC plugin: fix port chain set commands
+  - Remove setting of version/release from releasenotes
+  - Define shell.COMMANDS explicitly to avoid random UT failure
+  - SFC plugin: fix dictionary parameters
+  - Avoid tox_install.sh for constraints support
+  - Dynamic routing CLIs OSC transition
+  - Added 'tap_enabled' parameter for Port-pair-group
+  - Add Service Graphs networking-sfc resource
+  - Add missing correlation type "mpls" to port pair
+  - Updated from global requirements
+  - Make func test work with keystone v3 only
+
+---

Old:

  python-neutronclient-6.5.0.tar.gz

New:

  python-neutronclient-6.6.0.tar.gz



Other differences:
--
++ python-neutronclient.spec ++
--- /var/tmp/diff_new_pack.wNUWAb/_old  2018-01-24 15:27:26.078976621 +0100
+++ /var/tmp/diff_new_pack.wNUWAb/_new  2018-01-24 15:27:26.078976621 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-neutronclient
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,67 +17,97 @@
 
 
 Name:   python-neutronclient
-Version:6.5.0
+Version:6.6.0
 Release:0
 Summary:Python API and CLI for OpenStack Neutron
 License:Apache-2.0
 Group:  Development/Languages/Python
 Url:http://launchpad.net/%{name}
-Source0:
https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
+Source0:
https://files.pythonhosted.org/packages/source/p/python-neutronclient/python-neutronclient-6.6.0.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python-cliff >= 2.6.0
 BuildRequires:  python-devel
-BuildRequires:  python-fixtures >= 3.0.0
-BuildRequires:  python-keystoneauth1 >= 2.21.0
-BuildRequires:  python-mock >= 2.0
-BuildRequires:  python-mox3 >= 0.7.0
-BuildRequires:  python-netaddr >= 0.7.13
-BuildRequires:  python-openstackclient >= 3.3.0
-BuildRequires:  python-os-client-config >= 1.27.0
-BuildRequires:  python-osc-lib >= 1.5.1
-BuildRequires:  python-oslo.i18n >= 2.1.0
-BuildRequires:  python-oslo.log >= 3.22.0
-BuildRequires:  python-oslo.serialization >= 1.10.0
-BuildRequires:  python-oslo.utils >= 3.20.0
-BuildRequires:  python-oslotest >= 1.10.0
-BuildRequires:  python-osprofiler >= 1.4.0
-BuildRequires:  python-pbr >= 2.0.0
-BuildRequires:  python-requests-mock >= 1.1
-BuildRequires:  python-setuptools >= 16.0
-BuildRequires:  python-testrepository >= 0.0.18
-BuildRequires:  python-testscenarios >= 0.4
-BuildRequires:  python-testtools >= 1.4.0
+BuildRequires:  python2-cliff >= 2.8.0
+BuildRequires:  python2-fixtures >= 3.0.0
+BuildRequires:  python2-keystoneauth1 >= 3.2.0
+BuildRequires:  python2-keystoneclient >= 3.8.0
+BuildRequires:  python2-mock >= 2.0.0
+BuildRequires:  python2-mox3 >= 0.20.0
+BuildRequires:  python2-netaddr >= 0.7.18
+BuildRequires:  python2-os-client-config >= 1.28.0
+BuildRequires:  python2-osc-lib >= 1.7.0
+BuildRequires:  python2-oslo.i18n >= 3.15.3
+BuildRequires:  python2-oslo.log >= 3.30.0
+BuildRequires:  python2-oslo.serialization >= 2.18.0
+BuildRequires:  python2-oslo.utils >= 3.31.0
+BuildRequires:  python2-oslotest >= 1.10.0
+BuildRequires:  python2-osprofiler >= 1.4.0
+BuildRequires:  python2-pbr >= 2.0.0
+BuildRequires:  python2-requests-mock >= 1.1.0
+BuildRequires:  python2-setuptools >= 16.0
+BuildRequires:  python2-testrepository >= 0.0.18
+BuildRequires:  python2-testscenarios >= 0.4
+BuildRequires:  python2-testtools >= 2.2.0
+BuildRequires:  python3-cliff >= 2.8.0
+BuildRequires:  python3-devel
+BuildRequires:  python3-fixtures >= 3.0.0
+BuildRequires:  

commit python-oslo.cache for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-oslo.cache for 
openSUSE:Factory checked in at 2018-01-24 15:27:34

Comparing /work/SRC/openSUSE:Factory/python-oslo.cache (Old)
 and  /work/SRC/openSUSE:Factory/.python-oslo.cache.new (New)


Package is "python-oslo.cache"

Wed Jan 24 15:27:34 2018 rev:3 rq:567272 version:1.28.0

Changes:

--- /work/SRC/openSUSE:Factory/python-oslo.cache/python-oslo.cache.changes  
2017-08-28 15:31:22.776854698 +0200
+++ /work/SRC/openSUSE:Factory/.python-oslo.cache.new/python-oslo.cache.changes 
2018-01-24 15:27:40.430305379 +0100
@@ -1,0 +2,13 @@
+Mon Jan 15 11:49:42 UTC 2018 - cloud-de...@suse.de
+
+- update to version 1.28.0
+  - Update the documentation link for doc migration
+  - Follow the new PTI for document build
+  - Update reno for stable/pike
+  - Remove setting of version/release from releasenotes
+  - Imported Translations from Zanata
+  - Add more cache backend options
+  - add bandit to pep8 job
+  - Updated from global requirements
+
+---

Old:

  oslo.cache-1.25.0.tar.gz

New:

  oslo.cache-1.28.0.tar.gz



Other differences:
--
++ python-oslo.cache.spec ++
--- /var/tmp/diff_new_pack.JX67hd/_old  2018-01-24 15:27:41.022277692 +0100
+++ /var/tmp/diff_new_pack.JX67hd/_new  2018-01-24 15:27:41.026277505 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-oslo.cache
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,35 +16,34 @@
 #
 
 
-%global sname oslo.cache
 Name:   python-oslo.cache
-Version:1.25.0
+Version:1.28.0
 Release:0
 Summary:Cache storage for Openstack projects
 License:Apache-2.0
 Group:  Development/Languages/Python
-Url:http://launchpad.net/oslo
-Source0:
https://pypi.io/packages/source/o/%{sname}/%{sname}-%{version}.tar.gz
+Url:http://launchpad.net/%{sname}
+Source0:
https://files.pythonhosted.org/packages/source/o/oslo.cache/oslo.cache-1.28.0.tar.gz
 BuildRequires:  openstack-macros
 BuildRequires:  python-devel
 BuildRequires:  python-dogpile.cache >= 0.6.2
-BuildRequires:  python-mock >= 2.0
-BuildRequires:  python-oslo.config >= 4.0.0
-BuildRequires:  python-oslo.i18n >= 2.1.0
-BuildRequires:  python-oslo.log >= 3.22.0
-BuildRequires:  python-oslo.utils >= 3.20.0
+BuildRequires:  python-mock >= 2.0.0
+BuildRequires:  python-oslo.config >= 4.6.0
+BuildRequires:  python-oslo.i18n >= 3.15.3
+BuildRequires:  python-oslo.log >= 3.30.0
+BuildRequires:  python-oslo.utils >= 3.31.0
 BuildRequires:  python-oslotest >= 1.10.0
 BuildRequires:  python-pbr >= 2.0.0
 BuildRequires:  python-pymongo >= 3.0.2
 BuildRequires:  python-python-memcached >= 1.56
-BuildRequires:  python-six >= 1.9.0
+BuildRequires:  python-six >= 1.10.0
 Requires:   python-dogpile.cache >= 0.6.2
-Requires:   python-oslo.config >= 4.0.0
-Requires:   python-oslo.i18n >= 2.1.0
-Requires:   python-oslo.log >= 3.22.0
-Requires:   python-oslo.utils >= 3.20.0
+Requires:   python-oslo.config >= 4.6.0
+Requires:   python-oslo.i18n >= 3.15.3
+Requires:   python-oslo.log >= 3.30.0
+Requires:   python-oslo.utils >= 3.31.0
 Requires:   python-python-memcached >= 1.56
-Requires:   python-six >= 1.9.0
+Requires:   python-six >= 1.10.0
 BuildArch:  noarch
 
 %description
@@ -57,13 +56,13 @@
 Summary:Documentation for the OpenStack Oslo Cache library
 Group:  Development/Languages/Python
 BuildRequires:  python-Sphinx
-BuildRequires:  python-openstackdocstheme >= 1.11.0
+BuildRequires:  python-openstackdocstheme >= 1.17.0
 
 %description doc
 Documentation for the OpenStack Oslo cache library.
 
 %prep
-%autosetup -n %{sname}-%{version}
+%autosetup -p1 -n oslo.cache-1.28.0
 %py_req_cleanup
 sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg
 

++ _service ++
--- /var/tmp/diff_new_pack.JX67hd/_old  2018-01-24 15:27:41.050276382 +0100
+++ /var/tmp/diff_new_pack.JX67hd/_new  2018-01-24 15:27:41.050276382 +0100
@@ -1,8 +1,8 @@
 
   
-https://raw.githubusercontent.com/openstack/rpm-packaging/stable/pike/openstack/oslo.cache/oslo.cache.spec.j2
+https://raw.githubusercontent.com/openstack/rpm-packaging/master/openstack/oslo.cache/oslo.cache.spec.j2
 python-oslo.cache.spec
-https://raw.githubusercontent.com/openstack/rpm-packaging/stable/pike/global-requirements.txt
+

commit python-openstacksdk for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-openstacksdk for 
openSUSE:Factory checked in at 2018-01-24 15:27:26

Comparing /work/SRC/openSUSE:Factory/python-openstacksdk (Old)
 and  /work/SRC/openSUSE:Factory/.python-openstacksdk.new (New)


Package is "python-openstacksdk"

Wed Jan 24 15:27:26 2018 rev:7 rq:567271 version:0.9.19

Changes:

--- /work/SRC/openSUSE:Factory/python-openstacksdk/python-openstacksdk.changes  
2017-08-28 15:31:20.329198800 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-openstacksdk.new/python-openstacksdk.changes 
2018-01-24 15:27:30.586765782 +0100
@@ -1,0 +2,36 @@
+Mon Jan 15 11:47:28 UTC 2018 - cloud-de...@suse.de
+
+- update to version 0.9.19
+  - Update load_balancer for v2 API
+  - Introduce Member for Octavia (load balancing)
+  - Fix comment in services function
+  - Remove dead links about OpenStack RC file
+  - Fix stack_file function return body
+  - Cleanup test-requirements
+  - Fix title in Network Agent resource doc
+  - Add parameter_groups and conditions params for StackTemplate
+  - Introduce Health Monitor for Octavia
+  - fix the bug that cannot create a listener by openstacksdk
+  - Introduce L7Rule for Octavia (load balancing)
+  - Add required pool_id property to HealthMonitor
+  - Fix some typos
+  - Replace six.iteritems() with .items()
+  - Add doc8 rule and check doc/source files
+  - Add support for network quota details command
+  - Allow filtering network ports by fixed_ips
+  - Introduce Pool for Octavia (load balancing)
+  - Update links in README
+  - Update links in CONTRIBUTING.rst
+  - Introduce Listener for Octavia (load balancing)
+  - Fix octavia l7rules
+  - Update external links which have moved
+  - Introduce L7Policy for Octavia (load balancing)
+  - Unify style of 'domain' field
+  - Support to node-adopt and node-adopt-preview
+  - fix the bug that cannot create a pool by openstacksdk
+  - Add config param for cluster object
+  - Add getting of QoS rule type details
+  - Support node-adopt/preview CLI
+  - Updated from global requirements
+
+---

Old:

  openstacksdk-0.9.17.tar.gz

New:

  openstacksdk-0.9.19.tar.gz



Other differences:
--
++ python-openstacksdk.spec ++
--- /var/tmp/diff_new_pack.K6KV4n/_old  2018-01-24 15:27:32.234688705 +0100
+++ /var/tmp/diff_new_pack.K6KV4n/_new  2018-01-24 15:27:32.234688705 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-openstacksdk
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,39 +18,55 @@
 
 %global sname openstacksdk
 Name:   python-openstacksdk
-Version:0.9.17
+Version:0.9.19
 Release:0
 Summary:An SDK for building applications to work with OpenStack
 License:Apache-2.0
 Group:  Development/Languages/Python
 Url:https://launchpad.net/python-openstacksdk
-Source0:
https://pypi.io/packages/source/o/%{sname}/%{sname}-%{version}.tar.gz
+Source0:
https://files.pythonhosted.org/packages/source/o/%{sname}/%{sname}-%{version}.tar.gz
 BuildRequires:  openstack-macros
 BuildRequires:  python-Sphinx
-BuildRequires:  python-beautifulsoup4
-BuildRequires:  python-deprecation >= 1.0
 BuildRequires:  python-devel
-BuildRequires:  python-fixtures >= 3.0.0
-BuildRequires:  python-jsonpatch >= 1.1
-BuildRequires:  python-mock >= 2.0
-BuildRequires:  python-openstackdocstheme >= 1.11.0
-BuildRequires:  python-os-testr >= 0.8.0
-BuildRequires:  python-pbr >= 2.0.0
-BuildRequires:  python-requests >= 2.14.2
-BuildRequires:  python-requests-mock >= 1.1
-BuildRequires:  python-setuptools >= 16.0
-BuildRequires:  python-six >= 1.9.0
-BuildRequires:  python-stevedore >= 1.20.0
-BuildRequires:  python-testrepository >= 0.0.18
-BuildRequires:  python-testscenarios >= 0.4
-BuildRequires:  python-testtools >= 1.4.0
+BuildRequires:  python2-beautifulsoup4 >= 4.6.0
+BuildRequires:  python2-deprecation >= 1.0
+BuildRequires:  python2-fixtures >= 3.0.0
+BuildRequires:  python2-jsonpatch >= 1.16
+BuildRequires:  python2-mock >= 2.0.0
+BuildRequires:  python2-os-testr >= 1.0.0
+BuildRequires:  python2-pbr >= 2.0.0
+BuildRequires:  python2-requests >= 2.14.2
+BuildRequires:  python2-requests-mock >= 1.1.0
+BuildRequires:  python2-setuptools >= 16.0
+BuildRequires:  python2-six >= 1.10.0
+BuildRequires:  python2-stevedore >= 1.20.0
+BuildRequires:  python2-testrepository >= 0.0.18
+BuildRequires:  python2-testscenarios >= 0.4
+BuildRequires:  

commit python-masakariclient for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-masakariclient for 
openSUSE:Factory checked in at 2018-01-24 15:27:04

Comparing /work/SRC/openSUSE:Factory/python-masakariclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-masakariclient.new (New)


Package is "python-masakariclient"

Wed Jan 24 15:27:04 2018 rev:2 rq:567266 version:4.0.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-masakariclient/python-masakariclient.changes  
2017-08-28 15:32:22.816413931 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-masakariclient.new/python-masakariclient.changes
 2018-01-24 15:27:04.251997518 +0100
@@ -1,0 +2,18 @@
+Mon Jan 15 11:44:37 UTC 2018 - cloud-de...@suse.de
+
+- update to version 4.0.0
+  - Fix failing test case for PY3
+  - Bump openstacksdk to 0.9.13
+  - Use os-testr and add PY35 support
+  - Improve command arguments
+  - Change the base class of osc.v1.DeleteHost
+  - Add assertions to UT code
+  - Re-factor test cases to reduce code
+  - [Fix gate]Update test requirement
+  - Remove unnecessary return statement
+  - Fix failing gate jobs by fixing constraints support
+  - Add support for auto_priority, rh_priority recovery method
+  - Remove inproper comment for APIs.
+  - Enable to specify name and ID when operating segments and hosts
+
+---

Old:

  python-masakariclient-3.0.1.tar.gz

New:

  python-masakariclient-4.0.0.tar.gz



Other differences:
--
++ python-masakariclient.spec ++
--- /var/tmp/diff_new_pack.dmK22h/_old  2018-01-24 15:27:04.935965527 +0100
+++ /var/tmp/diff_new_pack.dmK22h/_new  2018-01-24 15:27:04.939965340 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-masakariclient
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,32 +18,34 @@
 
 %global sname python-masakariclient
 Name:   python-masakariclient
-Version:3.0.1
+Version:4.0.0
 Release:0
 Summary:Python API and CLI for OpenStack Masakari
 License:Apache-2.0
 Group:  Development/Languages/Python
 Url:http://launchpad.net/%{name}
-Source0:
https://pypi.io/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
+Source0:
https://files.pythonhosted.org/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
 BuildRequires:  openstack-macros
 BuildRequires:  python-PrettyTable >= 0.7.1
-BuildRequires:  python-nose
-BuildRequires:  python-openstacksdk >= 0.9.17
-BuildRequires:  python-osc-lib >= 1.5.1
-BuildRequires:  python-oslo.serialization >= 1.10.0
-BuildRequires:  python-oslo.utils >= 3.20.0
+BuildRequires:  python-ddt >= 1.0.1
+BuildRequires:  python-nose >= 1.3.7
+BuildRequires:  python-openstacksdk >= 0.9.19
+BuildRequires:  python-osc-lib >= 1.7.0
+BuildRequires:  python-oslo.serialization >= 2.18.0
+BuildRequires:  python-oslo.utils >= 3.31.0
 BuildRequires:  python-oslosphinx >= 4.7.0
 BuildRequires:  python-oslotest >= 1.10.0
-BuildRequires:  python-python-subunit >= 0.0.18
-BuildRequires:  python-reno >= 1.8.0
+BuildRequires:  python-python-subunit >= 1.0.0
+BuildRequires:  python-reno >= 2.5.0
+BuildRequires:  python-requests-mock >= 1.1.0
 BuildRequires:  python-sphinx >= 1.6.2
 BuildRequires:  python-testrepository >= 0.0.18
 BuildRequires:  python-testscenarios >= 0.4
-BuildRequires:  python-testtools >= 1.4.0
-Requires:   python-openstacksdk >= 0.9.17
-Requires:   python-oslo.i18n >= 2.1.0
-Requires:   python-oslo.serialization >= 1.10.0
-Requires:   python-oslo.utils >= 3.20.0
+BuildRequires:  python-testtools >= 2.2.0
+Requires:   python-openstacksdk >= 0.9.19
+Requires:   python-oslo.i18n >= 3.15.3
+Requires:   python-oslo.serialization >= 2.18.0
+Requires:   python-oslo.utils >= 3.31.0
 Requires:   python-pbr >= 2.0.0
 BuildArch:  noarch
 
@@ -53,7 +55,7 @@
 
 %package doc
 Summary:Documentation for OpenStack Masakari API client libary
-Group:  Documentation
+Group:  Documentation/HTML
 BuildRequires:  python-Sphinx
 BuildRequires:  python-oslosphinx >= 4.7.0
 

++ _service ++
--- /var/tmp/diff_new_pack.dmK22h/_old  2018-01-24 15:27:04.971963844 +0100
+++ /var/tmp/diff_new_pack.dmK22h/_new  2018-01-24 15:27:04.971963844 +0100
@@ -1,8 +1,8 @@
 
   
-https://raw.githubusercontent.com/openstack/rpm-packaging/stable/pike/openstack/python-masakariclient/python-masakariclient.spec.j2
+

commit python-mistralclient for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-mistralclient for 
openSUSE:Factory checked in at 2018-01-24 15:27:08

Comparing /work/SRC/openSUSE:Factory/python-mistralclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-mistralclient.new (New)


Package is "python-mistralclient"

Wed Jan 24 15:27:08 2018 rev:5 rq:567267 version:3.1.4

Changes:

--- 
/work/SRC/openSUSE:Factory/python-mistralclient/python-mistralclient.changes
2017-09-23 21:34:20.981283327 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-mistralclient.new/python-mistralclient.changes
   2018-01-24 15:27:16.919405033 +0100
@@ -1,0 +2,8 @@
+Mon Jan 15 11:45:12 UTC 2018 - cloud-de...@suse.de
+
+- update to version 3.1.4
+  - Don't create client for help and bash completion
+  - Fix several problems in keycloak auth module
+  - Updated from global requirements
+
+---

Old:

  python-mistralclient-3.1.3.tar.gz

New:

  python-mistralclient-3.1.4.tar.gz



Other differences:
--
++ python-mistralclient.spec ++
--- /var/tmp/diff_new_pack.lYf2Sd/_old  2018-01-24 15:27:18.123348722 +0100
+++ /var/tmp/diff_new_pack.lYf2Sd/_new  2018-01-24 15:27:18.123348722 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-mistralclient
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,37 +17,37 @@
 
 
 Name:   python-mistralclient
-Version:3.1.3
+Version:3.1.4
 Release:0
 Summary:Python API and CLI for OpenStack Mistral
 License:Apache-2.0
 Group:  Development/Languages/Python
 Url:http://launchpad.net/%{name}
-Source0:
https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
+Source0:
https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
 BuildRequires:  openstack-macros
-BuildRequires:  python-PyYAML >= 3.10.0
+BuildRequires:  python-PyYAML >= 3.10
 BuildRequires:  python-devel
 BuildRequires:  python-fixtures >= 3.0.0
-BuildRequires:  python-mock >= 2.0
-BuildRequires:  python-nose
-BuildRequires:  python-openstackclient >= 3.11.0
+BuildRequires:  python-mock >= 2.0.0
+BuildRequires:  python-nose >= 1.3.7
+BuildRequires:  python-openstackclient >= 3.12.0
 BuildRequires:  python-oslotest >= 1.10.0
 BuildRequires:  python-osprofiler >= 1.4.0
 BuildRequires:  python-pbr >= 2.0.0
-BuildRequires:  python-requests-mock >= 1.1
+BuildRequires:  python-requests-mock >= 1.1.0
 BuildRequires:  python-setuptools >= 16.0
 BuildRequires:  python-testrepository >= 0.0.18
-BuildRequires:  python-testtools >= 1.4.0
-Requires:   python-PyYAML >= 3.10.0
+BuildRequires:  python-testtools >= 2.2.0
+Requires:   python-PyYAML >= 3.10
 Requires:   python-cliff >= 2.8.0
 Requires:   python-keystoneclient >= 3.8.0
 Requires:   python-os-client-config >= 1.28.0
 Requires:   python-osc-lib >= 1.7.0
-Requires:   python-oslo.i18n >= 2.1.0
-Requires:   python-oslo.utils >= 3.20.0
+Requires:   python-oslo.i18n >= 3.15.3
+Requires:   python-oslo.utils >= 3.31.0
 Requires:   python-osprofiler >= 1.4.0
 Requires:   python-requests >= 2.14.2
-Requires:   python-six >= 1.9.0
+Requires:   python-six >= 1.10.0
 Requires:   python-stevedore >= 1.20.0
 BuildArch:  noarch
 
@@ -57,9 +57,9 @@
 
 %package doc
 Summary:Documentation for OpenStack Mistral API client libary
-Group:  Documentation
+Group:  Documentation/HTML
 BuildRequires:  python-Sphinx
-BuildRequires:  python-openstackdocstheme >= 1.16.0
+BuildRequires:  python-openstackdocstheme >= 1.17.0
 
 %description doc
 Client library for Mistral built on the Mistral API. It provides a Python API

++ _service ++
--- /var/tmp/diff_new_pack.lYf2Sd/_old  2018-01-24 15:27:18.155347226 +0100
+++ /var/tmp/diff_new_pack.lYf2Sd/_new  2018-01-24 15:27:18.155347226 +0100
@@ -1,8 +1,8 @@
 
   
-https://git.openstack.org/cgit/openstack/rpm-packaging/plain/openstack/python-mistralclient/python-mistralclient.spec.j2?h=stable/pike
+https://git.openstack.org/cgit/openstack/rpm-packaging/plain/openstack/python-mistralclient/python-mistralclient.spec.j2?h=master
 python-mistralclient.spec
-https://raw.githubusercontent.com/openstack/rpm-packaging/stable/pike/global-requirements.txt
+https://raw.githubusercontent.com/openstack/rpm-packaging/master/requirements.txt
 cloud-de...@suse.de
 gh,openstack,python-mistralclient
 

++ 

commit python-monascaclient for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-monascaclient for 
openSUSE:Factory checked in at 2018-01-24 15:27:17

Comparing /work/SRC/openSUSE:Factory/python-monascaclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-monascaclient.new (New)


Package is "python-monascaclient"

Wed Jan 24 15:27:17 2018 rev:4 rq:567268 version:1.8.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-monascaclient/python-monascaclient.changes
2017-08-28 15:32:34.950707980 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-monascaclient.new/python-monascaclient.changes
   2018-01-24 15:27:19.859267529 +0100
@@ -1,0 +2,11 @@
+Mon Jan 15 11:45:41 UTC 2018 - cloud-de...@suse.de
+
+- update to version 1.8.0
+  - Exclude tests from coverage
+  - Cleanup repo and update documentation
+  - Update the documentation link for doc migration
+  - Fix auth version detection
+  - Allow to reuse the session
+  - Updated from global requirements
+
+---

Old:

  python-monascaclient-1.7.0.tar.gz

New:

  python-monascaclient-1.8.0.tar.gz



Other differences:
--
++ python-monascaclient.spec ++
--- /var/tmp/diff_new_pack.3l8uvh/_old  2018-01-24 15:27:20.451239841 +0100
+++ /var/tmp/diff_new_pack.3l8uvh/_new  2018-01-24 15:27:20.451239841 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-monascaclient
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,50 +18,50 @@
 
 %global sname python-monascaclient
 Name:   python-monascaclient
-Version:1.7.0
+Version:1.8.0
 Release:0
 Summary:Python API and CLI for OpenStack Monasca
 License:Apache-2.0
 Group:  Development/Languages/Python
 Url:https://launchpad.net/%{sname}
-Source0:
https://pypi.io/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
+Source0:
https://files.pythonhosted.org/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
 BuildRequires:  openstack-macros
 BuildRequires:  python-PrettyTable >= 0.7.1
-BuildRequires:  python-PyYAML >= 3.10.0
+BuildRequires:  python-PyYAML >= 3.10
 BuildRequires:  python-devel
 BuildRequires:  python-fixtures >= 3.0.0
 BuildRequires:  python-keystoneclient >= 3.8.0
-BuildRequires:  python-mock >= 2.0
-BuildRequires:  python-mox3 >= 0.7.0
-BuildRequires:  python-osc-lib >= 1.5.1
-BuildRequires:  python-oslo.concurrency >= 3.8.0
-BuildRequires:  python-oslo.config >= 4.0.0
-BuildRequires:  python-oslo.i18n >= 2.1.0
-BuildRequires:  python-oslo.log >= 3.22.0
-BuildRequires:  python-oslo.serialization >= 1.10.0
-BuildRequires:  python-oslo.utils >= 3.20.0
+BuildRequires:  python-mock >= 2.0.0
+BuildRequires:  python-mox3 >= 0.20.0
+BuildRequires:  python-osc-lib >= 1.7.0
+BuildRequires:  python-oslo.concurrency >= 3.20.0
+BuildRequires:  python-oslo.config >= 4.6.0
+BuildRequires:  python-oslo.i18n >= 3.15.3
+BuildRequires:  python-oslo.log >= 3.30.0
+BuildRequires:  python-oslo.serialization >= 2.18.0
+BuildRequires:  python-oslo.utils >= 3.31.0
 BuildRequires:  python-oslotest >= 1.10.0
 BuildRequires:  python-pbr >= 2.0.0
-BuildRequires:  python-requests-mock >= 1.1
+BuildRequires:  python-requests-mock >= 1.1.0
 BuildRequires:  python-setuptools >= 16.0
 BuildRequires:  python-testrepository >= 0.0.18
 BuildRequires:  python-testscenarios >= 0.4
-BuildRequires:  python-testtools >= 1.4.0
+BuildRequires:  python-testtools >= 2.2.0
 Requires:   python-Babel >= 2.3.4
 Requires:   python-PrettyTable >= 0.7.1
-Requires:   python-PyYAML >= 3.10.0
+Requires:   python-PyYAML >= 3.10
 Requires:   python-keystoneclient >= 3.8.0
-Requires:   python-osc-lib >= 1.5.1
-Requires:   python-oslo.concurrency >= 3.8.0
-Requires:   python-oslo.config >= 4.0.0
-Requires:   python-oslo.i18n >= 2.1.0
-Requires:   python-oslo.log >= 3.22.0
-Requires:   python-oslo.serialization >= 1.10.0
-Requires:   python-oslo.service >= 1.10.0
-Requires:   python-oslo.utils >= 3.20.0
+Requires:   python-osc-lib >= 1.7.0
+Requires:   python-oslo.concurrency >= 3.20.0
+Requires:   python-oslo.config >= 4.6.0
+Requires:   python-oslo.i18n >= 3.15.3
+Requires:   python-oslo.log >= 3.30.0
+Requires:   python-oslo.serialization >= 2.18.0
+Requires:   python-oslo.service >= 1.24.0
+Requires:   python-oslo.utils >= 3.31.0
 Requires:   python-pbr >= 2.0.0
 Requires:   python-requests >= 2.14.2
-Requires:   python-six >= 1.9.0
+Requires:   

commit python-manilaclient for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-manilaclient for 
openSUSE:Factory checked in at 2018-01-24 15:27:01

Comparing /work/SRC/openSUSE:Factory/python-manilaclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-manilaclient.new (New)


Package is "python-manilaclient"

Wed Jan 24 15:27:01 2018 rev:10 rq:567265 version:1.19.0

Changes:

--- /work/SRC/openSUSE:Factory/python-manilaclient/python-manilaclient.changes  
2017-09-26 21:16:27.729190946 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-manilaclient.new/python-manilaclient.changes 
2018-01-24 15:27:03.096051585 +0100
@@ -1,0 +2,32 @@
+Mon Jan 15 11:44:01 UTC 2018 - cloud-de...@suse.de
+
+- update to version 1.19.0
+  - Fix for use endpoint_type in _discover_client method
+  - Compare API call body in assertions with respect to values
+  - Fix missing domain arguments in functional tests
+  - [TrivialFix] Add three kinds of ignorable file to .gitignore
+  - doc-migration: new directory layout
+  - Add license to doc/source/conf.py
+  - Migrating legacy jobs
+  - Group specs can not be set in share group type create CLI
+  - Allows the use of dollar sign in usernames to allow
+  - Use more parts from keystoneauth
+  - Stop skipping ipv6 delete access rule test
+  - Add rally job manifests
+  - tests: use .stestr.conf except for functional tests
+  - Use generic user for both zuul v2 and v3
+  - TrivialFix for HACKING file
+  - Fix list command when not given search_opts
+  - Correct import of keystoneauth1 session
+  - TrivialFix flake8 and docs build in tox.ini
+  - Update reno for stable/pike
+  - Remove setting of version/release from releasenotes
+  - doc migration: openstackdocstheme completion
+  - Add MAPRFS protocol in create help
+  - Properly deprecate v1.client and some other client related things
+  - Correcting author
+  - Updated from global requirements
+  - Increase code coverage
+  - Fix 'List' command filters do not accept unicode symbols
+
+---

Old:

  python-manilaclient-1.17.2.tar.gz

New:

  python-manilaclient-1.19.0.tar.gz



Other differences:
--
++ python-manilaclient.spec ++
--- /var/tmp/diff_new_pack.RgNk3z/_old  2018-01-24 15:27:03.740021464 +0100
+++ /var/tmp/diff_new_pack.RgNk3z/_new  2018-01-24 15:27:03.740021464 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-manilaclient
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,33 +18,33 @@
 
 %global sname python-manilaclient
 Name:   python-manilaclient
-Version:1.17.2
+Version:1.19.0
 Release:0
 Summary:Client Library for OpenStack Share API
 License:Apache-2.0
 Group:  Development/Languages/Python
 Url:https://launchpad.net/%{sname}
-Source0:
https://pypi.io/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
+Source0:
https://files.pythonhosted.org/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
 BuildRequires:  openstack-macros
 BuildRequires:  openstack-tempest
 BuildRequires:  python-ddt >= 1.0.1
 BuildRequires:  python-devel
 BuildRequires:  python-fixtures >= 3.0.0
-BuildRequires:  python-mock >= 2.0
-BuildRequires:  python-openstackclient >= 3.3.0
+BuildRequires:  python-mock >= 2.0.0
+BuildRequires:  python-openstackclient >= 3.12.0
 BuildRequires:  python-oslotest >= 1.10.0
 BuildRequires:  python-testrepository >= 0.0.18
-BuildRequires:  python-testtools >= 1.4.0
+BuildRequires:  python-testtools >= 2.2.0
 Requires:   python-Babel >= 2.3.4
 Requires:   python-PrettyTable >= 0.7.1
 Requires:   python-keystoneclient >= 3.8.0
-Requires:   python-oslo.config >= 4.0.0
-Requires:   python-oslo.log >= 3.22.0
-Requires:   python-oslo.serialization >= 1.10.0
-Requires:   python-oslo.utils >= 3.20.0
+Requires:   python-oslo.config >= 4.6.0
+Requires:   python-oslo.log >= 3.30.0
+Requires:   python-oslo.serialization >= 2.18.0
+Requires:   python-oslo.utils >= 3.31.0
 Requires:   python-requests >= 2.14.2
-Requires:   python-simplejson >= 2.2.0
-Requires:   python-six >= 1.9.0
+Requires:   python-simplejson >= 3.5.1
+Requires:   python-six >= 1.10.0
 BuildArch:  noarch
 
 %description
@@ -53,9 +53,9 @@
 
 %package doc
 Summary:Documentation for OpenStack Share API Client
-Group:  Documentation
+Group:  Documentation/HTML
 BuildRequires:  python-Sphinx
-BuildRequires:  python-openstackdocstheme >= 1.11.0

commit python-keystonemiddleware for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-keystonemiddleware for 
openSUSE:Factory checked in at 2018-01-24 15:26:57

Comparing /work/SRC/openSUSE:Factory/python-keystonemiddleware (Old)
 and  /work/SRC/openSUSE:Factory/.python-keystonemiddleware.new (New)


Package is "python-keystonemiddleware"

Wed Jan 24 15:26:57 2018 rev:5 rq:567263 version:4.21.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-keystonemiddleware/python-keystonemiddleware.changes
  2017-08-28 15:31:00.324011204 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-keystonemiddleware.new/python-keystonemiddleware.changes
 2018-01-24 15:26:58.708256812 +0100
@@ -1,0 +2,28 @@
+Mon Jan 15 11:42:13 UTC 2018 - cloud-de...@suse.de
+
+- update to version 4.21.0
+  - Update config docs to reflect non-deprecated methods
+  - Imported Translations from Zanata
+  - rel-note and doc for lazy loading of oslo_cache
+  - Update comment about fetch token kwargs
+  - Correct docs usage of keystoneauth1 session
+  - lazy loading of oslo_cache
+  - Updates for stestr
+  - Add doc8 rule and check doc/source files
+  - Use oslo_cache in auth_token middleware
+  - Remove notice about system time
+  - Fix py3 byte/string error
+  - Remove use of positional decorator
+  - Rename auth_uri to www_authenticate_uri
+  - Enable sphinx todo extension
+  - Fix gate error caused by mocked URLs
+  - Update reno for stable/pike
+  - Log TokenNotFound at INFO level instead of WARNING
+  - Remove setting of version/release from releasenotes
+  - Issue a deprecation warning for validating PKI tokens
+  - Fix docs builds
+  - cfg.CONF must not be used directly
+  - strip whitespace from token
+  - Updated from global requirements
+
+---

Old:

  keystonemiddleware-4.17.0.tar.gz

New:

  keystonemiddleware-4.21.0.tar.gz



Other differences:
--
++ python-keystonemiddleware.spec ++
--- /var/tmp/diff_new_pack.xK3x6z/_old  2018-01-24 15:26:59.256231182 +0100
+++ /var/tmp/diff_new_pack.xK3x6z/_new  2018-01-24 15:26:59.260230996 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-keystonemiddleware
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,50 +18,52 @@
 
 %global sname keystonemiddleware
 Name:   python-keystonemiddleware
-Version:4.17.0
+Version:4.21.0
 Release:0
 Summary:Middleware for OpenStack Identity
 License:Apache-2.0
 Group:  Development/Languages/Python
 Url:https://launchpad.net/%{sname}
-Source0:
https://pypi.io/packages/source/k/%{sname}/%{sname}-%{version}.tar.gz
+Source0:
https://files.pythonhosted.org/packages/source/k/%{sname}/%{sname}-%{version}.tar.gz
 BuildRequires:  openstack-macros
 BuildRequires:  python-WebOb >= 1.7.1
-BuildRequires:  python-WebTest >= 2.0
+BuildRequires:  python-WebTest >= 2.0.27
 BuildRequires:  python-fixtures >= 3.0.0
-BuildRequires:  python-keystoneauth1 >= 2.21.0
+BuildRequires:  python-keystoneauth1 >= 3.2.0
 BuildRequires:  python-keystoneclient >= 3.8.0
-BuildRequires:  python-mock >= 2.0
-BuildRequires:  python-oslo.config >= 4.0.0
-BuildRequires:  python-oslo.context >= 2.14.0
-BuildRequires:  python-oslo.i18n >= 2.1.0
-BuildRequires:  python-oslo.messaging >= 5.24.2
-BuildRequires:  python-oslo.serialization >= 1.10.0
-BuildRequires:  python-oslo.utils >= 3.20.0
+BuildRequires:  python-mock >= 2.0.0
+BuildRequires:  python-oslo.cache >= 1.26.0
+BuildRequires:  python-oslo.config >= 4.6.0
+BuildRequires:  python-oslo.context >= 2.19.2
+BuildRequires:  python-oslo.i18n >= 3.15.3
+BuildRequires:  python-oslo.messaging >= 5.29.0
+BuildRequires:  python-oslo.serialization >= 2.18.0
+BuildRequires:  python-oslo.utils >= 3.31.0
 BuildRequires:  python-oslotest >= 1.10.0
-BuildRequires:  python-positional >= 1.1.1
+BuildRequires:  python-positional
 BuildRequires:  python-pycadf >= 1.1.0
 BuildRequires:  python-pycrypto >= 2.6
 BuildRequires:  python-python-memcached >= 1.56
 BuildRequires:  python-requests >= 2.14.2
-BuildRequires:  python-requests-mock >= 1.1
-BuildRequires:  python-six >= 1.9.0
+BuildRequires:  python-requests-mock >= 1.1.0
+BuildRequires:  python-six >= 1.10.0
 BuildRequires:  python-stevedore >= 1.20.0
 BuildRequires:  python-testrepository >= 0.0.18
-BuildRequires:  python-testresources >= 0.2.4
-BuildRequires:  python-testtools >= 1.4.0
+BuildRequires:  python-testresources >= 2.0.0
+BuildRequires:  python-testtools >= 2.2.0
 Requires:   

commit python-magnumclient for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-magnumclient for 
openSUSE:Factory checked in at 2018-01-24 15:26:59

Comparing /work/SRC/openSUSE:Factory/python-magnumclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-magnumclient.new (New)


Package is "python-magnumclient"

Wed Jan 24 15:26:59 2018 rev:3 rq:567264 version:2.7.0

Changes:

--- /work/SRC/openSUSE:Factory/python-magnumclient/python-magnumclient.changes  
2017-08-28 15:31:02.959640679 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-magnumclient.new/python-magnumclient.changes 
2018-01-24 15:27:00.336180671 +0100
@@ -1,0 +2,21 @@
+Mon Jan 15 11:42:52 UTC 2018 - cloud-de...@suse.de
+
+- update to version 2.7.0
+  - Make cluster name positional in ca-show
+  - Add --docker-volume-size for cluster-create
+  - Change assertTrue(isinstance()) by optimal assert
+  - Remove log translations
+  - Make --profile load from environment variables
+  - remove slash from kubernetes cluster context name
+  - Don't set a default for docker_volume_size
+  - Update the documentation link for doc migration
+  - OSC: Add cluster config command
+  - OSC 2/4 Add Cluster Create and List
+  - switch to openstackdocstheme
+  - OSC 3/4 Add remaining CT commands
+  - OSC 1/4 Add CT create and UT framework
+  - Remove docker-volume-size from cluster-list
+  - Updated from global requirements
+  - OSC 4/4 Add remaining cluster commands
+
+---

Old:

  python-magnumclient-2.6.0.tar.gz

New:

  python-magnumclient-2.7.0.tar.gz



Other differences:
--
++ python-magnumclient.spec ++
--- /var/tmp/diff_new_pack.OrVBVJ/_old  2018-01-24 15:27:01.092145312 +0100
+++ /var/tmp/diff_new_pack.OrVBVJ/_new  2018-01-24 15:27:01.096145125 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-magnumclient
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,45 +17,49 @@
 
 
 Name:   python-magnumclient
-Version:2.6.0
+Version:2.7.0
 Release:0
 Summary:Python API and CLI for OpenStack Magnum
 License:Apache-2.0
 Group:  Development/Languages/Python
 Url:http://launchpad.net/%{name}
-Source0:
https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
+Source0:
https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
 BuildRequires:  openstack-macros
 BuildRequires:  python-PrettyTable >= 0.7.1
-BuildRequires:  python-cryptography >= 1.6
+BuildRequires:  python-cryptography >= 1.9
 BuildRequires:  python-decorator >= 3.4.0
 BuildRequires:  python-devel
 BuildRequires:  python-fixtures >= 3.0.0
-BuildRequires:  python-keystoneauth1 >= 2.21.0
-BuildRequires:  python-mock >= 2.0
-BuildRequires:  python-os-client-config >= 1.27.0
-BuildRequires:  python-oslo.i18n >= 2.1.0
-BuildRequires:  python-oslo.serialization >= 1.10.0
-BuildRequires:  python-oslo.utils >= 3.20.0
+BuildRequires:  python-keystoneauth1 >= 3.2.0
+BuildRequires:  python-mock >= 2.0.0
+BuildRequires:  python-openstackclient >= 3.12.0
+BuildRequires:  python-os-client-config >= 1.28.0
+BuildRequires:  python-osc-lib >= 1.7.0
+BuildRequires:  python-oslo.i18n >= 3.15.3
+BuildRequires:  python-oslo.serialization >= 2.18.0
+BuildRequires:  python-oslo.utils >= 3.31.0
 BuildRequires:  python-oslotest >= 1.10.0
 BuildRequires:  python-osprofiler >= 1.4.0
 BuildRequires:  python-pbr >= 2.0.0
-BuildRequires:  python-python-subunit >= 0.0.18
+BuildRequires:  python-python-subunit >= 1.0.0
 BuildRequires:  python-setuptools >= 16.0
 BuildRequires:  python-testrepository >= 0.0.18
 BuildRequires:  python-testscenarios >= 0.4
-BuildRequires:  python-testtools >= 1.4.0
+BuildRequires:  python-testtools >= 2.2.0
 Requires:   python-Babel >= 2.3.4
 Requires:   python-PrettyTable >= 0.7.1
-Requires:   python-cryptography >= 1.6
+Requires:   python-cryptography >= 1.9
 Requires:   python-decorator >= 3.4.0
-Requires:   python-keystoneauth1 >= 2.21.0
-Requires:   python-os-client-config >= 1.27.0
-Requires:   python-oslo.i18n >= 2.1.0
-Requires:   python-oslo.serialization >= 1.10.0
-Requires:   python-oslo.utils >= 3.20.0
+Requires:   python-keystoneauth1 >= 3.2.0
+Requires:   python-openstackclient >= 3.12.0
+Requires:   python-os-client-config >= 1.28.0
+Requires:   python-osc-lib >= 1.7.0
+Requires:   python-oslo.i18n >= 3.15.3
+Requires:   python-oslo.serialization >= 2.18.0
+Requires:  

commit python-keystoneclient for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-keystoneclient for 
openSUSE:Factory checked in at 2018-01-24 15:26:51

Comparing /work/SRC/openSUSE:Factory/python-keystoneclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-keystoneclient.new (New)


Package is "python-keystoneclient"

Wed Jan 24 15:26:51 2018 rev:26 rq:567262 version:3.14.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-keystoneclient/python-keystoneclient.changes  
2017-08-28 15:30:40.930737554 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-keystoneclient.new/python-keystoneclient.changes
 2018-01-24 15:26:57.372319298 +0100
@@ -1,0 +2,15 @@
+Mon Jan 15 11:41:39 UTC 2018 - cloud-de...@suse.de
+
+- update to version 3.14.0
+  - Remove functional tests for v2.0 API
+  - Use generic user for both zuul v2 and v3
+  - Update reno for stable/pike
+  - Remove use of positional decorator
+  - Remove setting of version/release from releasenotes
+  - Adds bandit nosec flag to hashlib.sha1
+  - Handle UTC+00:00 in datetime strings
+  - Imported Translations from Zanata
+  - Avoid tox_install.sh for constraints support
+  - Updated from global requirements
+
+---

Old:

  python-keystoneclient-3.13.0.tar.gz

New:

  python-keystoneclient-3.14.0.tar.gz



Other differences:
--
++ python-keystoneclient.spec ++
--- /var/tmp/diff_new_pack.1Y6bdj/_old  2018-01-24 15:26:58.012289365 +0100
+++ /var/tmp/diff_new_pack.1Y6bdj/_new  2018-01-24 15:26:58.012289365 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-keystoneclient
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,54 +18,71 @@
 
 %global sname python-keystoneclient
 Name:   python-keystoneclient
-Version:3.13.0
+Version:3.14.0
 Release:0
 Summary:Client library for OpenStack Identity API
 License:Apache-2.0
 Group:  Development/Languages/Python
 Url:http://launchpad.net/%{sname}
-Source0:
https://pypi.io/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
+Source0:
https://files.pythonhosted.org/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
 BuildRequires:  openssl
 BuildRequires:  openstack-macros
-BuildRequires:  python-debtcollector >= 1.2.0
 BuildRequires:  python-devel
-BuildRequires:  python-keystoneauth1 >= 2.21.0
-BuildRequires:  python-lxml >= 2.3
-BuildRequires:  python-mock >= 2.0
-BuildRequires:  python-oslo.config >= 4.0.0
-BuildRequires:  python-oslo.i18n >= 2.1.0
-BuildRequires:  python-oslo.serialization >= 1.10.0
-BuildRequires:  python-oslo.utils >= 3.20.0
-BuildRequires:  python-oslotest >= 1.10.0
-BuildRequires:  python-pbr >= 2.0.0
-BuildRequires:  python-positional >= 1.1.1
-BuildRequires:  python-requests-mock >= 1.1
-BuildRequires:  python-six >= 1.9.0
-BuildRequires:  python-testrepository >= 0.0.18
-BuildRequires:  python-testresources >= 0.2.4
-BuildRequires:  python-testscenarios >= 0.4
+BuildRequires:  python2-debtcollector >= 1.2.0
+BuildRequires:  python2-keystoneauth1 >= 3.2.0
+BuildRequires:  python2-lxml >= 3.4.1
+BuildRequires:  python2-mock >= 2.0.0
+BuildRequires:  python2-oslo.config >= 4.6.0
+BuildRequires:  python2-oslo.i18n >= 3.15.3
+BuildRequires:  python2-oslo.serialization >= 2.18.0
+BuildRequires:  python2-oslo.utils >= 3.31.0
+BuildRequires:  python2-oslotest >= 1.10.0
+BuildRequires:  python2-pbr >= 2.0.0
+BuildRequires:  python2-positional
+BuildRequires:  python2-requests-mock >= 1.1.0
+BuildRequires:  python2-six >= 1.10.0
+BuildRequires:  python2-testrepository >= 0.0.18
+BuildRequires:  python2-testresources >= 2.0.0
+BuildRequires:  python2-testscenarios >= 0.4
+BuildRequires:  python3-debtcollector >= 1.2.0
+BuildRequires:  python3-devel
+BuildRequires:  python3-keystoneauth1 >= 3.2.0
+BuildRequires:  python3-lxml >= 3.4.1
+BuildRequires:  python3-mock >= 2.0.0
+BuildRequires:  python3-oslo.config >= 4.6.0
+BuildRequires:  python3-oslo.i18n >= 3.15.3
+BuildRequires:  python3-oslo.serialization >= 2.18.0
+BuildRequires:  python3-oslo.utils >= 3.31.0
+BuildRequires:  python3-oslotest >= 1.10.0
+BuildRequires:  python3-pbr >= 2.0.0
+BuildRequires:  python3-requests-mock >= 1.1.0
+BuildRequires:  python3-six >= 1.10.0
+BuildRequires:  python3-testrepository >= 0.0.18
+BuildRequires:  python3-testresources >= 2.0.0
+BuildRequires:  python3-testscenarios >= 0.4
 Requires:   python-debtcollector >= 1.2.0
-Requires:   python-keystoneauth1 >= 2.21.0
-Requires:   

commit python-glareclient for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-glareclient for 
openSUSE:Factory checked in at 2018-01-24 15:26:48

Comparing /work/SRC/openSUSE:Factory/python-glareclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-glareclient.new (New)


Package is "python-glareclient"

Wed Jan 24 15:26:48 2018 rev:4 rq:567261 version:0.4.2

Changes:

--- /work/SRC/openSUSE:Factory/python-glareclient/python-glareclient.changes
2017-08-28 15:30:22.957264282 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-glareclient.new/python-glareclient.changes   
2018-01-24 15:26:49.264698513 +0100
@@ -1,0 +2,10 @@
+Wed Dec 20 09:59:13 UTC 2017 - cloud-de...@suse.de
+
+- update to version 0.4.2
+  - Allow to delete blobs with external urls
+  - Add content_length to header in upload_blob
+  - Updated from global requirements
+  - Add ssl options to keycloak auth module
+  - Add ssl options to glare cli
+
+---

Old:

  python-glareclient-0.4.1.tar.gz

New:

  python-glareclient-0.4.2.tar.gz



Other differences:
--
++ python-glareclient.spec ++
--- /var/tmp/diff_new_pack.BwNxzc/_old  2018-01-24 15:26:50.028662780 +0100
+++ /var/tmp/diff_new_pack.BwNxzc/_new  2018-01-24 15:26:50.028662780 +0100
@@ -18,37 +18,38 @@
 
 %global sname python-glareclient
 Name:   python-glareclient
-Version:0.4.1
+Version:0.4.2
 Release:0
 Summary:Python API and CLI for OpenStack Glare
 License:Apache-2.0
 Group:  Development/Languages/Python
 Url:https://launchpad.net/%{sname}
-Source0:
https://pypi.io/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
+Source0:
https://files.pythonhosted.org/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
 BuildRequires:  openstack-macros
+BuildRequires:  python-PyYAML >= 3.10
 BuildRequires:  python-coverage >= 4.0
 BuildRequires:  python-devel
 BuildRequires:  python-fixtures >= 3.0.0
-BuildRequires:  python-mock >= 2.0
-BuildRequires:  python-os-client-config >= 1.27.0
-BuildRequires:  python-osc-lib >= 1.5.1
-BuildRequires:  python-oslo.log >= 3.22.0
-BuildRequires:  python-oslo.utils >= 3.20.0
-BuildRequires:  python-reno >= 1.8.0
-BuildRequires:  python-requests-mock >= 1.1
+BuildRequires:  python-mock >= 2.0.0
+BuildRequires:  python-os-client-config >= 1.28.0
+BuildRequires:  python-osc-lib >= 1.7.0
+BuildRequires:  python-oslo.log >= 3.30.0
+BuildRequires:  python-oslo.utils >= 3.31.0
+BuildRequires:  python-reno >= 2.5.0
+BuildRequires:  python-requests-mock >= 1.1.0
 BuildRequires:  python-testrepository >= 0.0.18
 BuildRequires:  python-testscenarios >= 0.4
-BuildRequires:  python-testtools >= 1.4.0
+BuildRequires:  python-testtools >= 2.2.0
 Requires:   python-Babel >= 2.3.4
 Requires:   python-PrettyTable >= 0.7.1
-Requires:   python-keystoneauth1 >= 2.21.0
-Requires:   python-osc-lib >= 1.5.1
-Requires:   python-oslo.i18n >= 2.1.0
-Requires:   python-oslo.log >= 3.22.0
-Requires:   python-oslo.utils >= 3.20.0
+Requires:   python-keystoneauth1 >= 3.2.0
+Requires:   python-osc-lib >= 1.7.0
+Requires:   python-oslo.i18n >= 3.15.3
+Requires:   python-oslo.log >= 3.30.0
+Requires:   python-oslo.utils >= 3.31.0
 Requires:   python-pbr >= 2.0.0
 Requires:   python-requests >= 2.14.2
-Requires:   python-six >= 1.9.0
+Requires:   python-six >= 1.10.0
 BuildArch:  noarch
 
 %description
@@ -56,7 +57,7 @@
 
 %package doc
 Summary:Documentation for OpenStack Glare API Client
-Group:  Documentation
+Group:  Documentation/HTML
 BuildRequires:  python-Sphinx
 BuildRequires:  python-oslosphinx >= 4.7.0
 

++ _service ++
--- /var/tmp/diff_new_pack.BwNxzc/_old  2018-01-24 15:26:50.060661283 +0100
+++ /var/tmp/diff_new_pack.BwNxzc/_new  2018-01-24 15:26:50.060661283 +0100
@@ -1,8 +1,8 @@
 
   
-https://raw.githubusercontent.com/openstack/rpm-packaging/stable/pike/openstack/python-glareclient/python-glareclient.spec.j2
+https://raw.githubusercontent.com/openstack/rpm-packaging/master/openstack/python-glareclient/python-glareclient.spec.j2
 python-glareclient.spec
-https://raw.githubusercontent.com/openstack/rpm-packaging/stable/pike/global-requirements.txt
+https://raw.githubusercontent.com/openstack/rpm-packaging/master/requirements.txt
 cloud-de...@suse.de
 gh,openstack,python-glareclient
   

++ python-glareclient-0.4.1.tar.gz -> python-glareclient-0.4.2.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/python-glareclient-0.4.1/AUTHORS 
new/python-glareclient-0.4.2/AUTHORS
--- 

commit python-designateclient for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-designateclient for 
openSUSE:Factory checked in at 2018-01-24 15:26:44

Comparing /work/SRC/openSUSE:Factory/python-designateclient (Old)
 and  /work/SRC/openSUSE:Factory/.python-designateclient.new (New)


Package is "python-designateclient"

Wed Jan 24 15:26:44 2018 rev:10 rq:567260 version:2.8.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-designateclient/python-designateclient.changes
2017-08-28 15:30:13.810550127 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-designateclient.new/python-designateclient.changes
   2018-01-24 15:26:48.108752579 +0100
@@ -1,0 +2,17 @@
+Mon Jan 15 10:54:09 UTC 2018 - cloud-de...@suse.de
+
+- update to version 2.8.0
+  - Improve recordset create UI
+  - Split doc requirements into their own file
+  - Update reno for stable/pike
+  - Use jobs from designate repo
+  - Remove setting of version/release from releasenotes
+  - Make remote error handling more robust
+  - Update the documentation link for doc migration
+  - Avoid tox_install.sh for constraints support
+  - Update and optimize documentation links
+  - Remove unneeded requirements file
+  - Updated from global requirements
+  - Add tsig key support to python-designateclient
+
+---

Old:

  python-designateclient-2.7.0.tar.gz

New:

  python-designateclient-2.8.0.tar.gz



Other differences:
--
++ python-designateclient.spec ++
--- /var/tmp/diff_new_pack.wAi1hu/_old  2018-01-24 15:26:48.716724143 +0100
+++ /var/tmp/diff_new_pack.wAi1hu/_new  2018-01-24 15:26:48.720723956 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-designateclient
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,33 +18,33 @@
 
 %global sname python-designateclient
 Name:   python-designateclient
-Version:2.7.0
+Version:2.8.0
 Release:0
 Summary:OpenStack DNS as a Service - Client
 License:Apache-2.0
 Group:  Development/Languages/Python
 Url:https://launchpad.net/%{sname}
-Source0:
https://pypi.io/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
+Source0:
https://files.pythonhosted.org/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
 BuildRequires:  openstack-macros
 BuildRequires:  python-devel
-BuildRequires:  python-jsonschema >= 2.0.0
+BuildRequires:  python-jsonschema >= 2.6.0
 BuildRequires:  python-keystoneclient >= 3.8.0
-BuildRequires:  python-mock >= 2.0
+BuildRequires:  python-mock >= 2.0.0
 BuildRequires:  python-oslotest >= 1.10.0
 BuildRequires:  python-pbr >= 2.0.0
-BuildRequires:  python-python-subunit >= 0.0.18
-BuildRequires:  python-requests-mock >= 1.1
+BuildRequires:  python-python-subunit >= 1.0.0
+BuildRequires:  python-requests-mock >= 1.1.0
 BuildRequires:  python-setuptools >= 16.0
 BuildRequires:  python-testrepository >= 0.0.18
-Requires:   python-cliff >= 2.6.0
+Requires:   python-cliff >= 2.8.0
 Requires:   python-debtcollector >= 1.2.0
-Requires:   python-jsonschema >= 2.0.0
-Requires:   python-keystoneauth1 >= 2.21.0
+Requires:   python-jsonschema >= 2.6.0
+Requires:   python-keystoneauth1 >= 3.2.0
 Requires:   python-keystoneclient >= 3.8.0
-Requires:   python-osc-lib >= 1.5.1
-Requires:   python-oslo.utils >= 3.20.0
+Requires:   python-osc-lib >= 1.7.0
+Requires:   python-oslo.utils >= 3.31.0
 Requires:   python-requests >= 2.14.2
-Requires:   python-six >= 1.9.0
+Requires:   python-six >= 1.10.0
 Requires:   python-stevedore >= 1.20.0
 BuildArch:  noarch
 
@@ -53,9 +53,9 @@
 
 %package doc
 Summary:Documentation for the OpenStack DNS as a Service - Client
-Group:  Documentation
+Group:  Documentation/HTML
 BuildRequires:  python-Sphinx
-BuildRequires:  python-openstackdocstheme >= 1.11.0
+BuildRequires:  python-openstackdocstheme >= 1.17.0
 
 %description doc
 Documentation for the OpenStack DNS as a Service - Client.

++ _service ++
--- /var/tmp/diff_new_pack.wAi1hu/_old  2018-01-24 15:26:48.748722646 +0100
+++ /var/tmp/diff_new_pack.wAi1hu/_new  2018-01-24 15:26:48.748722646 +0100
@@ -1,8 +1,8 @@
 
   
-https://raw.githubusercontent.com/openstack/rpm-packaging/stable/pike/openstack/python-designateclient/python-designateclient.spec.j2
+https://raw.githubusercontent.com/openstack/rpm-packaging/master/openstack/python-designateclient/python-designateclient.spec.j2
 

commit python-stevedore for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package python-stevedore for 
openSUSE:Factory checked in at 2018-01-24 15:26:40

Comparing /work/SRC/openSUSE:Factory/python-stevedore (Old)
 and  /work/SRC/openSUSE:Factory/.python-stevedore.new (New)


Package is "python-stevedore"

Wed Jan 24 15:26:40 2018 rev:29 rq:567254 version:1.28.0

Changes:

--- /work/SRC/openSUSE:Factory/python-stevedore/python-stevedore.changes
2017-11-12 18:02:58.383449331 +0100
+++ /work/SRC/openSUSE:Factory/.python-stevedore.new/python-stevedore.changes   
2018-01-24 15:26:41.349068748 +0100
@@ -1,0 +2,17 @@
+Mon Jan 15 12:05:24 UTC 2018 - cloud-de...@suse.de
+
+- update to version 1.28.0
+  - move doc requirements to doc/requirements.txt
+  - Remove -U from pip install
+  - add bandit to pep8 job
+  - Update reno for stable/pike
+  - Remove setting of version/release from releasenotes
+  - Add an ExtensionManager.items() method
+  - Make openstackdocstheme an optional doc dependency
+  - Avoid tox_install.sh for constraints support
+  - Move reno to optional docs requirements
+  - Remove duplicate optional requirement
+  - Remove Pillow from test-requirements
+  - Updated from global requirements
+
+---

Old:

  stevedore-1.25.0.tar.gz

New:

  stevedore-1.28.0.tar.gz



Other differences:
--
++ python-stevedore.spec ++
--- /var/tmp/diff_new_pack.DqFSAs/_old  2018-01-24 15:26:43.340975581 +0100
+++ /var/tmp/diff_new_pack.DqFSAs/_new  2018-01-24 15:26:43.344975394 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-stevedore
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,26 +16,29 @@
 #
 
 
-%global pypi_name stevedore
 Name:   python-stevedore
-Version:1.25.0
+Version:1.28.0
 Release:0
 Summary:Manage dynamic plugins for Python applications
 License:Apache-2.0
 Group:  Development/Languages/Python
 Url:http://docs.openstack.org/developer/stevedore/
-Source0:
https://pypi.io/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
+Source0:
https://files.pythonhosted.org/packages/source/s/stevedore/stevedore-1.28.0.tar.gz
 BuildRequires:  openstack-macros
 BuildRequires:  python-devel
-BuildRequires:  python-mock >= 2.0
-BuildRequires:  python-pbr >= 2.0.0
-BuildRequires:  python-reno >= 1.8.0
-BuildRequires:  python-setuptools >= 16.0
-BuildRequires:  python-testrepository >= 0.0.18
-Requires:   python-pbr >= 2.0.0
-Requires:   python-six >= 1.9.0
-Provides:   python2-stevedore = %{version}
+BuildRequires:  python2-mock
+BuildRequires:  python2-pbr
+BuildRequires:  python2-setuptools
+BuildRequires:  python2-testrepository
+BuildRequires:  python3-devel
+BuildRequires:  python3-mock
+BuildRequires:  python3-pbr
+BuildRequires:  python3-setuptools
+BuildRequires:  python3-testrepository
+Requires:   python-pbr
+Requires:   python-six >= 1.10.0
 BuildArch:  noarch
+%python_subpackages
 
 %description
 Python makes loading code dynamically easy, allowing you to configure
@@ -48,13 +51,13 @@
 provides manager classes for implementing common patterns for using
 dynamically loaded extensions.
 
-%package doc
+%package -n python-stevedore-doc
 Summary:Documentation for %{name}
-Group:  Documentation
-BuildRequires:  python-Sphinx
-BuildRequires:  python-openstackdocstheme >= 1.16.0
+Group:  Documentation/HTML
+BuildRequires:  python2-Sphinx
+Provides:   %{python_module stevedore-doc = %{version}}
 
-%description doc
+%description -n python-stevedore-doc
 Python makes loading code dynamically easy, allowing you to configure
 and extend your application by discovering and loading extensions
 (plugins) at runtime. Many applications implement their own
@@ -68,31 +71,33 @@
 This package contains documentation in HTML format.
 
 %prep
-%autosetup -n %{pypi_name}-%{version}
+%autosetup -p1 -n stevedore-%{version}
 %py_req_cleanup
 sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg
 
 %build
-%py2_build
+%python_build
 
 # generate html docs
 %{__python2} setup.py build_sphinx
 # remove the Sphinx-build leftovers
 rm -rf html/.{doctrees,buildinfo}
 
-%check
-%{__python2} setup.py test
-
 %install
-%py2_install
+%python_install
+
+%check
+%{python_expand rm -rf .testrepository
+$python setup.py test
+}
 
-%files
+%files %{python_files}
 %license LICENSE
 %doc README.rst
-%{python2_sitelib}/%{pypi_name}

commit perl-Test-Object for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package perl-Test-Object for 
openSUSE:Factory checked in at 2018-01-24 15:26:36

Comparing /work/SRC/openSUSE:Factory/perl-Test-Object (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Test-Object.new (New)


Package is "perl-Test-Object"

Wed Jan 24 15:26:36 2018 rev:14 rq:568413 version:0.08

Changes:

--- /work/SRC/openSUSE:Factory/perl-Test-Object/perl-Test-Object.changes
2017-10-03 23:19:57.363864339 +0200
+++ /work/SRC/openSUSE:Factory/.perl-Test-Object.new/perl-Test-Object.changes   
2018-01-24 15:26:37.337256392 +0100
@@ -1,0 +2,6 @@
+Sun Dec 24 07:04:10 UTC 2017 - co...@suse.com
+
+- updated to 0.08
+   see /usr/share/doc/packages/perl-Test-Object/Changes
+
+---

Old:

  Test-Object-0.07.tar.gz

New:

  Test-Object-0.08.tar.gz



Other differences:
--
++ perl-Test-Object.spec ++
--- /var/tmp/diff_new_pack.yvwy5s/_old  2018-01-24 15:26:38.025224214 +0100
+++ /var/tmp/diff_new_pack.yvwy5s/_new  2018-01-24 15:26:38.025224214 +0100
@@ -17,21 +17,19 @@
 
 
 Name:   perl-Test-Object
-Version:0.07
+Version:0.08
 Release:0
 %define cpan_name Test-Object
 Summary:Thoroughly testing objects via registered handlers
 License:Artistic-1.0 or GPL-1.0+
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/Test-Object/
-Source0:
https://cpan.metacpan.org/authors/id/A/AD/ADAMK/%{cpan_name}-%{version}.tar.gz
+Source0:
https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
 Source1:cpanspec.yml
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  perl
 BuildRequires:  perl-macros
-BuildRequires:  perl(Test::Builder) >= 0.33
-Requires:   perl(Test::Builder) >= 0.33
 %{perl_requires}
 
 %description
@@ -84,7 +82,7 @@
 
 %files -f %{name}.files
 %defattr(-,root,root,755)
-%doc Changes README
+%doc Changes CONTRIBUTING README
 %license LICENSE
 
 %changelog

++ Test-Object-0.07.tar.gz -> Test-Object-0.08.tar.gz ++
 4890 lines of diff (skipped)




commit perl-Test-SubCalls for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package perl-Test-SubCalls for 
openSUSE:Factory checked in at 2018-01-24 15:26:38

Comparing /work/SRC/openSUSE:Factory/perl-Test-SubCalls (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Test-SubCalls.new (New)


Package is "perl-Test-SubCalls"

Wed Jan 24 15:26:38 2018 rev:14 rq:568414 version:1.10

Changes:

--- /work/SRC/openSUSE:Factory/perl-Test-SubCalls/perl-Test-SubCalls.changes
2017-10-03 23:20:01.235319502 +0200
+++ 
/work/SRC/openSUSE:Factory/.perl-Test-SubCalls.new/perl-Test-SubCalls.changes   
2018-01-24 15:26:39.313163973 +0100
@@ -1,0 +2,6 @@
+Sun Dec 24 07:04:55 UTC 2017 - co...@suse.com
+
+- updated to 1.10
+   see /usr/share/doc/packages/perl-Test-SubCalls/Changes
+
+---

Old:

  Test-SubCalls-1.09.tar.gz

New:

  Test-SubCalls-1.10.tar.gz



Other differences:
--
++ perl-Test-SubCalls.spec ++
--- /var/tmp/diff_new_pack.cIuxGz/_old  2018-01-24 15:26:40.037130111 +0100
+++ /var/tmp/diff_new_pack.cIuxGz/_new  2018-01-24 15:26:40.041129924 +0100
@@ -17,14 +17,14 @@
 
 
 Name:   perl-Test-SubCalls
-Version:1.09
+Version:1.10
 Release:0
 %define cpan_name Test-SubCalls
 Summary:Track the number of times subs are called
 License:Artistic-1.0 or GPL-1.0+
 Group:  Development/Libraries/Perl
 Url:http://search.cpan.org/dist/Test-SubCalls/
-Source0:
https://cpan.metacpan.org/authors/id/A/AD/ADAMK/%{cpan_name}-%{version}.tar.gz
+Source0:
https://cpan.metacpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
 Source1:cpanspec.yml
 BuildArch:  noarch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
@@ -63,7 +63,7 @@
 
 %files -f %{name}.files
 %defattr(-,root,root,755)
-%doc Changes README
+%doc Changes CONTRIBUTING README
 %license LICENSE
 
 %changelog

++ Test-SubCalls-1.09.tar.gz -> Test-SubCalls-1.10.tar.gz ++
 5453 lines of diff (skipped)




commit vigra for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package vigra for openSUSE:Factory checked 
in at 2018-01-24 15:25:37

Comparing /work/SRC/openSUSE:Factory/vigra (Old)
 and  /work/SRC/openSUSE:Factory/.vigra.new (New)


Package is "vigra"

Wed Jan 24 15:25:37 2018 rev:35 rq:568710 version:1.11.1

Changes:

--- /work/SRC/openSUSE:Factory/vigra/vigra.changes  2017-12-23 
12:16:49.031392193 +0100
+++ /work/SRC/openSUSE:Factory/.vigra.new/vigra.changes 2018-01-24 
15:25:41.523866967 +0100
@@ -1,0 +2,8 @@
+Tue Jan 23 14:40:13 UTC 2018 - tchva...@suse.com
+
+- Remove python dependencies as we are not buliding the numpy code
+  at all, as such it does not make sense to have just part of them
+- Make sure develpkg requires python3-base and fix shebang on
+  vigra-config
+
+---



Other differences:
--
++ vigra.spec ++
--- /var/tmp/diff_new_pack.kAz3H4/_old  2018-01-24 15:25:43.747762946 +0100
+++ /var/tmp/diff_new_pack.kAz3H4/_new  2018-01-24 15:25:43.751762760 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package vigra
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -36,11 +36,9 @@
 BuildRequires:  libtiff-devel
 BuildRequires:  openexr-devel
 BuildRequires:  pkgconfig
-BuildRequires:  python-devel
 BuildRequires:  zlib-devel
 %if 0%{?suse_version} > 1325
 BuildRequires:  libboost_headers-devel
-BuildRequires:  libboost_python-devel
 %else
 BuildRequires:  boost-devel
 %endif
@@ -78,6 +76,7 @@
 Requires:   libstdc++-devel
 Requires:   libtiff-devel
 Requires:   openexr-devel
+Requires:   python3-base
 Requires:   zlib-devel
 
 %description devel
@@ -90,6 +89,7 @@
 
 %prep
 %setup -q
+sed -i -e "1s|#!.*|#!/usr/bin/python3|" config/vigra-config.in
 
 %build
 %cmake \




commit git for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package git for openSUSE:Factory checked in 
at 2018-01-24 15:25:20

Comparing /work/SRC/openSUSE:Factory/git (Old)
 and  /work/SRC/openSUSE:Factory/.git.new (New)


Package is "git"

Wed Jan 24 15:25:20 2018 rev:212 rq:568594 version:2.16.1

Changes:

--- /work/SRC/openSUSE:Factory/git/git.changes  2018-01-21 15:47:27.806160655 
+0100
+++ /work/SRC/openSUSE:Factory/.git.new/git.changes 2018-01-24 
15:25:24.200677238 +0100
@@ -1,0 +2,8 @@
+Tue Jan 23 14:23:47 UTC 2018 - astie...@suse.com
+
+- git 2.16.1:
+  * "git clone" segfaulted when cloning a project that happens to
+track two paths that differ only in case on a case insensitive
+filesystem
+
+---

Old:

  git-2.16.0.tar.sign
  git-2.16.0.tar.xz

New:

  git-2.16.1.tar.sign
  git-2.16.1.tar.xz



Other differences:
--
++ git.spec ++
--- /var/tmp/diff_new_pack.SLIqY5/_old  2018-01-24 15:25:25.568613255 +0100
+++ /var/tmp/diff_new_pack.SLIqY5/_new  2018-01-24 15:25:25.568613255 +0100
@@ -33,7 +33,7 @@
 %bcond_without docs
 
 Name:   git
-Version:2.16.0
+Version:2.16.1
 Release:0
 Summary:Fast, scalable, distributed revision control system
 License:GPL-2.0

++ git-2.16.0.tar.xz -> git-2.16.1.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/git-2.16.0/Documentation/RelNotes/2.16.1.txt 
new/git-2.16.1/Documentation/RelNotes/2.16.1.txt
--- old/git-2.16.0/Documentation/RelNotes/2.16.1.txt1970-01-01 
01:00:00.0 +0100
+++ new/git-2.16.1/Documentation/RelNotes/2.16.1.txt2018-01-22 
06:38:30.0 +0100
@@ -0,0 +1,11 @@
+Git v2.16.1 Release Notes
+=
+
+Fixes since v2.16
+-
+
+ * "git clone" segfaulted when cloning a project that happens to
+   track two paths that differ only in case on a case insensitive
+   filesystem.
+
+Does not contain any other documentation updates or code clean-ups.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/git-2.16.0/GIT-VERSION-GEN 
new/git-2.16.1/GIT-VERSION-GEN
--- old/git-2.16.0/GIT-VERSION-GEN  2018-01-17 23:49:47.0 +0100
+++ new/git-2.16.1/GIT-VERSION-GEN  2018-01-22 06:38:30.0 +0100
@@ -1,7 +1,7 @@
 #!/bin/sh
 
 GVF=GIT-VERSION-FILE
-DEF_VER=v2.16.0
+DEF_VER=v2.16.1
 
 LF='
 '
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/git-2.16.0/RelNotes new/git-2.16.1/RelNotes
--- old/git-2.16.0/RelNotes 2018-01-24 15:25:26.852553200 +0100
+++ new/git-2.16.1/RelNotes 2018-01-24 15:25:26.856553012 +0100
@@ -1 +1 @@
-symbolic link to Documentation/RelNotes/2.16.0.txt
+symbolic link to Documentation/RelNotes/2.16.1.txt
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/git-2.16.0/configure new/git-2.16.1/configure
--- old/git-2.16.0/configure2018-01-17 23:49:47.0 +0100
+++ new/git-2.16.1/configure2018-01-22 06:38:30.0 +0100
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.69 for git 2.16.0.
+# Generated by GNU Autoconf 2.69 for git 2.16.1.
 #
 # Report bugs to .
 #
@@ -580,8 +580,8 @@
 # Identity of this package.
 PACKAGE_NAME='git'
 PACKAGE_TARNAME='git'
-PACKAGE_VERSION='2.16.0'
-PACKAGE_STRING='git 2.16.0'
+PACKAGE_VERSION='2.16.1'
+PACKAGE_STRING='git 2.16.1'
 PACKAGE_BUGREPORT='g...@vger.kernel.org'
 PACKAGE_URL=''
 
@@ -1254,7 +1254,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures git 2.16.0 to adapt to many kinds of systems.
+\`configure' configures git 2.16.1 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1315,7 +1315,7 @@
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
- short | recursive ) echo "Configuration of git 2.16.0:";;
+ short | recursive ) echo "Configuration of git 2.16.1:";;
esac
   cat <<\_ACEOF
 
@@ -1460,7 +1460,7 @@
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-git configure 2.16.0
+git configure 2.16.1
 generated by GNU Autoconf 2.69
 
 Copyright (C) 2012 Free Software Foundation, Inc.
@@ -1940,7 +1940,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by git $as_me 2.16.0, which was
+It was created by git $as_me 2.16.1, which was
 generated 

commit enscript for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package enscript for openSUSE:Factory 
checked in at 2018-01-24 15:25:26

Comparing /work/SRC/openSUSE:Factory/enscript (Old)
 and  /work/SRC/openSUSE:Factory/.enscript.new (New)


Package is "enscript"

Wed Jan 24 15:25:26 2018 rev:29 rq:568705 version:1.6.6

Changes:

--- /work/SRC/openSUSE:Factory/enscript/enscript.changes2013-06-25 
14:39:53.0 +0200
+++ /work/SRC/openSUSE:Factory/.enscript.new/enscript.changes   2018-01-24 
15:25:27.956501563 +0100
@@ -1,0 +2,88 @@
+Tue Jan 23 14:27:55 UTC 2018 - wer...@suse.de
+
+- Add missing scan vor LC_PAPER in patch enscript-1.6.6-encoding+paper.patch 
+
+---
+Tue Jan 23 10:57:32 UTC 2018 - wer...@suse.de
+
+- Add enscript-1.6.6-ghostscript.patch to get correct support for
+  ghostscript back 
+
+---
+Tue Jan 23 10:42:02 UTC 2018 - wer...@suse.de
+
+- Add enscript-1.6.6-silent-warns.patch to silent gcc 
+- Move %install_info_delete from %postun to %preun
+
+---
+Tue Jan 23 09:49:31 UTC 2018 - wer...@suse.de
+
+- Add patch enscript-1.6.6-helper-apps.patch to mention
+  helper app support again
+
+---
+Tue Jan 23 09:39:43 UTC 2018 - wer...@suse.de
+
+- Add patch enscript-1.6.6-mailto.patch to get mailto support with
+  optional address back
+
+---
+Tue Jan 23 09:24:52 UTC 2018 - wer...@suse.de
+
+- Add patch enscript-1.6.6-encoding+paper.patch to get better
+  encoding and automatic paper size support back
+
+---
+Tue Jan 23 08:59:49 UTC 2018 - wer...@suse.de
+
+- Add patch enscript-1.6.6-euro+baltic.patch to get support for the
+  Euro symbol as well as the Baltic language support back 
+
+---
+Tue Jan 23 01:38:16 UTC 2018 - avin...@opensuse.org
+
+- update to 1.6.6
+  * Add afm/MustRead.html, containing licensing information for
+Adobe AFM files. 
+  * Sync all translations from the Translation Project. Visit
+http://translationproject.org/ to help translate Enscript
+  * Add documented but missing '-w' option as an alias for
+'--language'
+  * Apply sliceprint patch from Debian
+- includes 1.6.5.2:
+  * Fix CFG_FATAL macro in util.c-- prevents a segfault when the
+config file contains unknown parameters
+  * Fix segfault with line lengths over 90 characters
+- includes 1.6.5.1:
+  * Typo corrections in the manual pages
+  * Actually ship f90.st in the tarball
+  * Better organization for ChangeLog, INSTALL and README
+- includes 1.6.5:
+  * Licensing change: GNU Enscript is now distributed under
+version 3 or later of the GNU GPL
+  * Build system fixes - distcheck now passes
+  * At least four security bug fixes:
+- CAN-2004-1184
+- CAN-2004-1185
+- CAN-2004-1186
+- CVE-2008-3863, CVE-2008-4306
+  * Syntax highlighting fixes
+- shell escaping rules from Shawn McMahon
+- JavaScript regexps now recognised
+- New highlighting rules for Fortran 90 from David Bowler
+- rebase enscript-automake.diff
+- remove enscript-1.6.4-CAN-2004-1184.patch
+  * upstreamed in 9510e4315705329e51b27fa2f3f688989b9fb37f
+- remove enscript-1.6.4-CAN-2004-1185.patch
+  * fixed in a3e6bf57e48bb7434cdd590732e221fd2e0b4c17
+- remove enscript-1.6.4-CAN-2004-1186.patch
+  * fixed in 0acc7b63a1be9f5d02f1a21d6df52cb5a9ce7e58
+- remove enscript-1.6.4-CVE-2008-3863.patch
+  * upstreamed in 94135714871a735e3fe624eaf37901bbb6314e05
+- remove enscript-1.6.4-fdleak.patch
+  * fixed in f2bfb5ead29048ce42000e4796383a4406b069f6
+- remove enscript-1.6.4.dif
+- renumber patches
+- cleanup with spec-cleaner
+
+---

Old:

  enscript-1.6.4-CAN-2004-1184.patch
  enscript-1.6.4-CAN-2004-1185.patch
  enscript-1.6.4-CAN-2004-1186.patch
  enscript-1.6.4-CVE-2008-3863.patch
  enscript-1.6.4-fdleak.patch
  enscript-1.6.4.dif
  enscript-1.6.4.tar.bz2

New:

  enscript-1.6.6-encoding+paper.patch
  enscript-1.6.6-euro+baltic.patch
  enscript-1.6.6-ghostscript.patch
  enscript-1.6.6-helper-apps.patch
  enscript-1.6.6-mailto.patch
  enscript-1.6.6-silent-warns.patch
  enscript-1.6.6.tar.gz
  enscript-1.6.6.tar.gz.sig



Other differences:
--
++ enscript.spec ++
--- /var/tmp/diff_new_pack.43hdhS/_old  2018-01-24 15:25:28.740464895 +0100
+++ /var/tmp/diff_new_pack.43hdhS/_new  2018-01-24 15:25:28.744464707 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for 

commit cups-filters for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package cups-filters for openSUSE:Factory 
checked in at 2018-01-24 15:25:31

Comparing /work/SRC/openSUSE:Factory/cups-filters (Old)
 and  /work/SRC/openSUSE:Factory/.cups-filters.new (New)


Package is "cups-filters"

Wed Jan 24 15:25:31 2018 rev:29 rq:568707 version:1.19.0

Changes:

--- /work/SRC/openSUSE:Factory/cups-filters/cups-filters.changes
2017-11-10 14:41:27.574655802 +0100
+++ /work/SRC/openSUSE:Factory/.cups-filters.new/cups-filters.changes   
2018-01-24 15:25:34.932175284 +0100
@@ -1,0 +2,10 @@
+Tue Jan 23 10:51:28 UTC 2018 - tchva...@suse.com
+
+- Update to 1.19.0:
+  * See the detailed stuff in NEWS file
+  * New filters and poppler compatibility as always
+- Do not require python-cups but rather python3-cups in order to
+  allow build on python2 less system
+- Explicitly enable ijs and opvp filters
+
+---

Old:

  cups-filters-1.17.6.tar.xz

New:

  cups-filters-1.19.0.tar.xz



Other differences:
--
++ cups-filters.spec ++
--- /var/tmp/diff_new_pack.O5uW38/_old  2018-01-24 15:25:35.800134687 +0100
+++ /var/tmp/diff_new_pack.O5uW38/_new  2018-01-24 15:25:35.800134687 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package cups-filters
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -37,7 +37,7 @@
 #   and also run: zypper vcmp 'next version' 'current version'
 # e.g. zypper vcmp '1.0.49' '1.0.49.20140326' -> 1.0.49 is older than 
1.0.49.20140326
 #  and zypper vcmp '1.0.50' '1.0.49.20140326' -> 1.0.50 is newer than 
1.0.49.20140326
-Version:1.17.6
+Version:1.19.0
 Release:0
 Source0:
http://www.openprinting.org/download/cups-filters/cups-filters-%{version}.tar.xz
 # Since cups-filters version 1.0.42 foomatic-rip is also provided by 
cups-filters.
@@ -76,7 +76,7 @@
 # braille embossers
 BuildRequires:  liblouis-devel
 # Make sure we get postscriptdriver tags.
-BuildRequires:  python-cups
+BuildRequires:  python3-cups
 # cups-browsed
 # "BuildRequires libavahi-devel" is insufficient
 # (build fails at configure "checking for AVAHI_GLIB")
@@ -224,6 +224,8 @@
--enable-shared \
--enable-imagefilters \
--enable-braille \
+   --enable-ijs \
+   --enable-opvp \
--with-pdftops=pdftops \
--with-browseremoteprotocols=DNSSD,CUPS \
--without-php \
@@ -318,6 +320,7 @@
 %attr(0755,root,root) /usr/lib/cups/backend/beh
 %attr(0755,root,root) /usr/lib/cups/backend/implicitclass
 %attr(0755,root,root) /usr/lib/cups/backend/parallel
+%attr(0755,root,root) /usr/lib/cups/backend/cups-brf
 # Serial backend needs to run as root
 # see https://bugzilla.redhat.com/show_bug.cgi?id=212577#c4
 %attr(0700,root,root) /usr/lib/cups/backend/serial
@@ -358,6 +361,7 @@
 %attr(0755,root,root)  /usr/lib/cups/filter/vectortoubrl
 %attr(0755,root,root)  /usr/lib/cups/filter/wmftopdf
 %attr(0755,root,root)  /usr/lib/cups/filter/xfigtopdf
+%attr(0755,root,root)  /usr/lib/cups/filter/musicxmltobrf
 
 # See the "./configure --help" output
 #  --with-apple-raster-filter=rastertopdf|urftopdf
@@ -402,6 +406,7 @@
 %{_datadir}/cups/drv/cupsfilters.drv
 # Driver info files for braille embosser support:
 %{_datadir}/cups/drv/generic-brf.drv
+%{_datadir}/cups/drv/generic-ubrl.drv
 %{_datadir}/cups/drv/indexv3.drv
 %{_datadir}/cups/drv/indexv4.drv
 %dir %{_datadir}/cups/mime

++ cups-filters-1.17.6.tar.xz -> cups-filters-1.19.0.tar.xz ++
 6512 lines of diff (skipped)




commit vde2 for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package vde2 for openSUSE:Factory checked in 
at 2018-01-24 15:25:46

Comparing /work/SRC/openSUSE:Factory/vde2 (Old)
 and  /work/SRC/openSUSE:Factory/.vde2.new (New)


Package is "vde2"

Wed Jan 24 15:25:46 2018 rev:13 rq:568713 version:2.3.2+svn587

Changes:

--- /work/SRC/openSUSE:Factory/vde2/vde2.changes2017-09-15 
21:02:01.381893484 +0200
+++ /work/SRC/openSUSE:Factory/.vde2.new/vde2.changes   2018-01-24 
15:25:48.979518238 +0100
@@ -1,0 +2,8 @@
+Tue Jan 23 14:31:28 UTC 2018 - tchva...@suse.com
+
+- Drop python2 from the buildrequirements
+  * This means we lose python bindings but as the package is no
+longer developed there is 0 chance to obtain python3 bindings
+and the code is not compatible
+
+---



Other differences:
--
++ vde2.spec ++
--- /var/tmp/diff_new_pack.dYPkXU/_old  2018-01-24 15:25:49.543491859 +0100
+++ /var/tmp/diff_new_pack.dYPkXU/_new  2018-01-24 15:25:49.543491859 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package vde2
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -35,7 +35,6 @@
 BuildRequires:  libtool
 BuildRequires:  pkgconfig
 BuildRequires:  pkgconfig(openssl)
-BuildRequires:  pkgconfig(python)
 Recommends: %{name}-cryptcab = %{version}
 Recommends: %{name}-slirp = %{version}
 Recommends: kvm
@@ -182,7 +181,8 @@
   --disable-silent-rules \
   --enable-kernel-switch \
   --disable-static \
-  --enable-experimental
+  --enable-experimental \
+  --disable-python
 # Not thread safe makefiles
 make -j1
 
@@ -235,8 +235,6 @@
 %{_libdir}/vde2/plugins/dump.so
 %{_libdir}/vde2/plugins/iplog.so
 %{_libdir}/vde2/plugins/pdump.so
-%{python_sitelib}/VdePlug.py
-%{python_sitelib}/vdeplug_python.so
 %config %{_sysconfdir}/vde2/vdecmd
 %{_mandir}/man1/*
 %{_mandir}/man8/*




commit gdm for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package gdm for openSUSE:Factory checked in 
at 2018-01-24 15:25:10

Comparing /work/SRC/openSUSE:Factory/gdm (Old)
 and  /work/SRC/openSUSE:Factory/.gdm.new (New)


Package is "gdm"

Wed Jan 24 15:25:10 2018 rev:203 rq:568587 version:3.26.2.1

Changes:

--- /work/SRC/openSUSE:Factory/gdm/gdm.changes  2018-01-16 09:29:46.681046848 
+0100
+++ /work/SRC/openSUSE:Factory/.gdm.new/gdm.changes 2018-01-24 
15:25:16.741026156 +0100
@@ -1,0 +2,12 @@
+Fri Jan 19 10:27:26 UTC 2018 - fezh...@suse.com
+
+- Add gdm-disable-wayland-on-unsupported-chipsets.patch: let udev
+  write to a runtime config file to disable Wayland for gdm on
+  chipsets where Wayland is not supported yet, e.g. Cirrus
+  (boo#1059356, bgo#789081).
+- Update gdm-sysconfig-settings.patch: parts of this openSUSE
+  specific patch are splitted and merged into
+  gdm-disable-wayland-on-unsupported-chipsets.patch to push to
+  upstream,
+
+---

New:

  gdm-disable-wayland-on-unsupported-chipsets.patch



Other differences:
--
++ gdm.spec ++
--- /var/tmp/diff_new_pack.4eWGGs/_old  2018-01-24 15:25:18.444946456 +0100
+++ /var/tmp/diff_new_pack.4eWGGs/_new  2018-01-24 15:25:18.448946270 +0100
@@ -47,11 +47,13 @@
 Patch0: gdm-workaround-boo971852.patch
 # PATCH-FIX-UPSTREAM gdm-nb-translations.patch zai...@opensuse.org -- Update 
Norwegian Bokmål translations.
 Patch1: gdm-nb-translations.patch
+# PATCH-FIX-UPSTREAM gdm-disable-wayland-on-unsupported-chipsets.patch 
boo#1059356 bgo#789081 fezh...@suse.com -- Disable Wayland on Cirrus chipsets
+Patch2: gdm-disable-wayland-on-unsupported-chipsets.patch
+# WARNING: do not remove/significantly change patch3 without updating the 
relevant patch in accountsservice too
+# PATCH-FIX-OPENSUSE gdm-sysconfig-settings.patch bnc432360 bsc#919723 
h...@novell.com -- Read autologin options from /etc/sysconfig/displaymanager; 
note that accountsservice has a similar patch (accountsservice-sysconfig.patch)
+Patch3: gdm-sysconfig-settings.patch
 # PATCH-FIX-OPENSUSE gdm-suse-xsession.patch vu...@novell.com -- Use the 
/etc/X11/xdm/* scripts
 Patch7: gdm-suse-xsession.patch
-# WARNING: do not remove/significantly change patch8 without updating the 
relevant patch in accountsservice too
-# PATCH-FIX-OPENSUSE gdm-sysconfig-settings.patch bnc432360 bsc#919723 
h...@novell.com -- Read autologin options from /etc/sysconfig/displaymanager; 
note that accountsservice has a similar patch (accountsservice-sysconfig.patch)
-Patch8: gdm-sysconfig-settings.patch
 # PATCH-NEEDS-REBASE PATCH-FEATURE-OPENSUSE gdm-passwordless-login.patch 
vu...@opensuse.org -- Support DISPLAYMANAGER_PASSWORD_LESS_LOGIN sysconfig 
option
 Patch9: gdm-passwordless-login.patch
 # PATCH-FIX-OPENSUSE gdm-default-wm.patch vu...@novell.com -- Use sysconfig to 
know to which desktop to use by default
@@ -82,9 +84,6 @@
 BuildRequires:  pkgconfig
 BuildRequires:  pwdutils
 BuildRequires:  tcpd-devel
-%if !0%{?is_opensuse}
-BuildRequires:  translation-update-upstream
-%endif
 BuildRequires:  update-desktop-files
 BuildRequires:  xorg-x11-server
 BuildRequires:  xorg-x11-server-extra
@@ -206,8 +205,9 @@
 #patch0 -p1
 %endif
 %patch1 -p1
+%patch2 -p1
+%patch3 -p1
 %patch7 -p1
-%patch8 -p1
 %patch9 -p1
 %patch34 -p1
 %patch35 -p1
@@ -222,6 +222,7 @@
 
 %build
 NOCONFIGURE=1 sh autogen.sh
+autoreconf -fiv
 %configure\
 --disable-static \
 --libexecdir=%{_prefix}/lib/gdm \
@@ -382,6 +383,7 @@
 %{_libexecdir}/X11/displaymanagers/default-displaymanager
 %{_libexecdir}/X11/displaymanagers/gdm
 %ghost %{_sysconfdir}/alternatives/default-displaymanager
+%{_udevrulesdir}/61-gdm.rules
 
 %files -n libgdm1
 %{_libdir}/libgdm.so.*

++ gdm-disable-wayland-on-unsupported-chipsets.patch ++
Index: b/common/Makefile.am
===
--- a/common/Makefile.am2018-01-19 19:38:52.241209373 +0800
+++ b/common/Makefile.am2018-01-22 17:24:46.684883948 +0800
@@ -20,6 +20,8 @@
-DGDM_DEFAULTS_CONF=\"$(GDM_DEFAULTS_CONF)\"\
-DGDM_CUSTOM_CONF=\"$(GDM_CUSTOM_CONF)\"\
-DGDM_OLD_CONF=\"$(GDM_OLD_CONF)\"  \
+   -DGDM_RUN_DIR=\"$(GDM_RUN_DIR)\"\
+   -DGDM_RUNTIME_CONF=\"$(GDM_RUNTIME_CONF)\"  \
-DGDM_SESSION_DEFAULT_PATH=\"$(GDM_SESSION_DEFAULT_PATH)\" \
$(COMMON_CFLAGS)\
$(NULL)
Index: b/common/gdm-settings-desktop-backend.c
===
--- a/common/gdm-settings-desktop-backend.c 2018-01-19 

commit installation-images for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package installation-images for 
openSUSE:Factory checked in at 2018-01-24 15:25:51

Comparing /work/SRC/openSUSE:Factory/installation-images (Old)
 and  /work/SRC/openSUSE:Factory/.installation-images.new (New)


Package is "installation-images"

Wed Jan 24 15:25:51 2018 rev:34 rq:568867 version:14.354

Changes:

--- /work/SRC/openSUSE:Factory/installation-images/installation-images.changes  
2018-01-17 21:43:28.880852300 +0100
+++ 
/work/SRC/openSUSE:Factory/.installation-images.new/installation-images.changes 
2018-01-24 15:25:52.787340133 +0100
@@ -0,0 +1,14 @@
+
+Wed Jan 24 10:48:29 UTC 2018 - wfe...@opensuse.org
+
+- merge gh#openSUSE/installation-images#228
+- set product and menu title in gfxboot.cfg
+- 14.354
+
+
+Tue Jan 23 12:29:58 UTC 2018 - ludwig.nus...@suse.de
+
+- merge gh#openSUSE/installation-images#227
+- copy grub2 background conditionally (boo#1076577)
+- 14.353
+

Old:

  installation-images-14.352.tar.xz

New:

  installation-images-14.354.tar.xz



Other differences:
--
++ installation-images.spec ++
--- /var/tmp/diff_new_pack.SQwjJS/_old  2018-01-24 15:25:53.371312819 +0100
+++ /var/tmp/diff_new_pack.SQwjJS/_new  2018-01-24 15:25:53.375312632 +0100
@@ -502,7 +502,7 @@
 Summary:Installation Image Files for %theme
 License:GPL-2.0+
 Group:  Metapackages
-Version:14.352
+Version:14.354
 Release:0
 Provides:   installation-images = %version-%release
 Conflicts:  otherproviders(installation-images)

++ installation-images-14.352.tar.xz -> installation-images-14.354.tar.xz 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/installation-images-14.352/VERSION 
new/installation-images-14.354/VERSION
--- old/installation-images-14.352/VERSION  2018-01-09 14:42:51.0 
+0100
+++ new/installation-images-14.354/VERSION  2018-01-24 11:48:29.0 
+0100
@@ -1 +1 @@
-14.352
+14.354
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/installation-images-14.352/changelog 
new/installation-images-14.354/changelog
--- old/installation-images-14.352/changelog2018-01-09 14:42:51.0 
+0100
+++ new/installation-images-14.354/changelog2018-01-24 11:48:29.0 
+0100
@@ -1,3 +1,9 @@
+2018-01-24:14.354
+   - set product and menu title in gfxboot.cfg
+
+2018-01-22:14.353
+   - copy grub2 background conditionally (boo#1076577)
+
 2018-01-09:14.352
- simplify definitions for libstoragemgmt image
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/installation-images-14.352/data/boot/openSUSE-efi.diff 
new/installation-images-14.354/data/boot/openSUSE-efi.diff
--- old/installation-images-14.352/data/boot/openSUSE-efi.diff  2018-01-09 
14:42:51.0 +0100
+++ new/installation-images-14.354/data/boot/openSUSE-efi.diff  1970-01-01 
01:00:00.0 +0100
@@ -1,13 +0,0 @@
 grub2-efi/themes/openSUSE/theme.txt
-+++ grub2-efi/themes/openSUSE/theme.txt
-@@ -2,7 +2,9 @@
- 
- desktop-image: "background.png"
- 
--title-text: ""
-+title-text: "PRODUCT"
-+title-color: "#fff"
-+title-font: "DejaVu Sans Bold 14"
- 
- terminal-box: "terminal_*.png"
- terminal-font: "Gnu Unifont Mono Regular 16"
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/installation-images-14.352/data/boot/theme.file_list 
new/installation-images-14.354/data/boot/theme.file_list
--- old/installation-images-14.352/data/boot/theme.file_list2018-01-09 
14:42:51.0 +0100
+++ new/installation-images-14.354/data/boot/theme.file_list2018-01-24 
11:48:29.0 +0100
@@ -6,6 +6,8 @@
 /
 e cp -a etc/bootsplash/themes//cdrom/* loader
 e gfxboot --config-file=loader/gfxboot.cfg --change-config 
install::dud.url=http://download.opensuse.org/update/openSUSE/driverupdate
+e gfxboot --config-file=loader/gfxboot.cfg --change-config 
product=""
+e gfxboot --config-file=loader/gfxboot.cfg --change-config 
mainmenu.title=""
 
   r etc var
 
@@ -29,11 +31,12 @@
 d grub2-efi
 ?grub2-branding-:
   m /usr/share/grub2/themes grub2-efi
-  m /usr/share/grub2/backgrounds//default-43.png 
grub2-efi/themes//background.png
+  if exists(grub2-branding-, 
/usr/share/grub2/backgrounds//default-43.png)
+m /usr/share/grub2/backgrounds//default-43.png 
grub2-efi/themes//background.png
+  endif
   r 

commit product-builder-plugin-Tumbleweed for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package product-builder-plugin-Tumbleweed 
for openSUSE:Factory checked in at 2018-01-24 15:24:58

Comparing /work/SRC/openSUSE:Factory/product-builder-plugin-Tumbleweed (Old)
 and  /work/SRC/openSUSE:Factory/.product-builder-plugin-Tumbleweed.new 
(New)


Package is "product-builder-plugin-Tumbleweed"

Wed Jan 24 15:24:58 2018 rev:12 rq:568586 version:1.0~pre.1516716020.44dfdf4

Changes:

--- 
/work/SRC/openSUSE:Factory/product-builder-plugin-Tumbleweed/product-builder-plugin-Tumbleweed.changes
  2017-11-04 19:28:35.894635868 +0100
+++ 
/work/SRC/openSUSE:Factory/.product-builder-plugin-Tumbleweed.new/product-builder-plugin-Tumbleweed.changes
 2018-01-24 15:25:05.525550750 +0100
@@ -1,0 +2,5 @@
+Tue Jan 23 14:01:25 UTC 2018 - adr...@suse.de
+
+- removed kexec line (bsc#990374)
+
+---

Old:

  product-builder-plugins-1.0~pre.1509619089.24f326a.obscpio

New:

  product-builder-plugins-1.0~pre.1516716020.44dfdf4.obscpio



Other differences:
--
++ product-builder-plugin-Tumbleweed.spec ++
--- /var/tmp/diff_new_pack.dRxC0Q/_old  2018-01-24 15:25:07.701448975 +0100
+++ /var/tmp/diff_new_pack.dRxC0Q/_new  2018-01-24 15:25:07.705448787 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package product-builder-plugin-Tumbleweed
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -20,7 +20,7 @@
 Summary:openSUSE - KIWI Image System
 License:GPL-2.0+
 Group:  System/Management
-Version:1.0~pre.1509619089.24f326a
+Version:1.0~pre.1516716020.44dfdf4
 Release:0
 Source: product-builder-plugins-%version.tar.xz
 Provides:   product-builder-plugin = %version-%release

++ product-builder-plugins-1.0~pre.1509619089.24f326a.obscpio -> 
product-builder-plugins-1.0~pre.1516716020.44dfdf4.obscpio ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/product-builder-plugins-1.0~pre.1509619089.24f326a/KIWIMiniIsoPlugin.pm 
new/product-builder-plugins-1.0~pre.1516716020.44dfdf4/KIWIMiniIsoPlugin.pm
--- old/product-builder-plugins-1.0~pre.1509619089.24f326a/KIWIMiniIsoPlugin.pm 
2017-11-02 11:38:09.0 +0100
+++ new/product-builder-plugins-1.0~pre.1516716020.44dfdf4/KIWIMiniIsoPlugin.pm 
2018-01-23 15:01:12.0 +0100
@@ -138,7 +138,6 @@
 );
 
 $this -> updateInitRDNET("./etc/linuxrc.d/10_repo", 
"defaultrepo=$repoloc\n");
-$this -> updateInitRDNET("./etc/linuxrc.d/15_kexec", "kexec=1\n");
 
 my @gfxbootfiles;
 find(

++ product-builder-plugins.obsinfo ++
--- /var/tmp/diff_new_pack.dRxC0Q/_old  2018-01-24 15:25:07.841442426 +0100
+++ /var/tmp/diff_new_pack.dRxC0Q/_new  2018-01-24 15:25:07.841442426 +0100
@@ -1,5 +1,5 @@
 name: product-builder-plugins
-version: 1.0~pre.1509619089.24f326a
-mtime: 1509619089
-commit: 24f326a05ba7527aafb371729c3f30b7625beae5
+version: 1.0~pre.1516716020.44dfdf4
+mtime: 1516716020
+commit: 44dfdf4852a96f99d3ad2d3513fac02bcf40b105
 




commit SUSEConnect for openSUSE:Factory

2018-01-24 Thread root
Hello community,

here is the log from the commit of package SUSEConnect for openSUSE:Factory 
checked in at 2018-01-24 15:24:54

Comparing /work/SRC/openSUSE:Factory/SUSEConnect (Old)
 and  /work/SRC/openSUSE:Factory/.SUSEConnect.new (New)


Package is "SUSEConnect"

Wed Jan 24 15:24:54 2018 rev:7 rq:568578 version:0.3.7

Changes:

--- /work/SRC/openSUSE:Factory/SUSEConnect/SUSEConnect.changes  2017-12-10 
18:14:57.098320282 +0100
+++ /work/SRC/openSUSE:Factory/.SUSEConnect.new/SUSEConnect.changes 
2018-01-24 15:24:55.238031942 +0100
@@ -1,0 +2,29 @@
+Tue Jan 23 13:27:08 UTC 2018 - fschuel...@suse.com
+
+- Remove unnecessary .gz files 
+
+---
+Thu Jan 18 14:54:57 UTC 2018 - fschuel...@suse.com
+
+- Update to 0.3.7
+  - virt-create-rootfs connects to SMT server without breaking (bsc#914297)
+
+---
+Thu Dec 28 13:29:20 UTC 2017 - hschm...@suse.com
+
+- Update to 0.3.6
+  - Make target_base_product parameter mandatory.
+
+---
+Mon Dec 18 14:56:58 UTC 2017 - hschm...@suse.com
+
+- Update to 0.3.5
+  - Add YaST.system_offline_migrations 
+
+---
+Thu Dec 14 09:01:58 UTC 2017 - tschm...@suse.com
+
+- Update to version 0.3.4: 
+  - Packaging improvements (bsc#964013)
+
+---

Old:

  SUSEConnect.5.gz
  SUSEConnect.8.gz
  suse-connect-0.3.3.gem

New:

  SUSEConnect.5
  SUSEConnect.8
  suse-connect-0.3.7.gem



Other differences:
--
++ SUSEConnect.spec ++
--- /var/tmp/diff_new_pack.2yQT7N/_old  2018-01-24 15:24:55.925999762 +0100
+++ /var/tmp/diff_new_pack.2yQT7N/_new  2018-01-24 15:24:55.925999762 +0100
@@ -16,7 +16,7 @@
 #
 
 Name:   SUSEConnect
-Version:0.3.3
+Version:0.3.7
 Release:0
 %define mod_name suse-connect
 %define mod_full_name %{mod_name}-%{version}
@@ -28,8 +28,12 @@
 %endif
 Conflicts:  suseRegister, yast2-registration < 3.1.129.7
 
-# At some point we had a seperate rubygem-suse-connect package, which we need 
to obsolete
+# In SLE12 GA we had a seperate rubygem-suse-connect package, which we need to 
obsolete now
+%if (0%{?sle_version} > 0 && 0%{?sle_version} < 15)
 Obsoletes:  ruby2.1-rubygem-suse-connect < %{version}
+Provides:   ruby2.1-rubygem-suse-connect = %{version}
+%endif
+
 
 %define ruby_version %{rb_default_ruby_suffix}
 # FIXME: For some reason, on SLE15 %{rb_default_ruby_suffix} resolves to 
ruby2.4 which does not exist there
@@ -43,14 +47,14 @@
 Url:https://github.com/SUSE/connect
 
 Source: %{mod_full_name}.gem
-Source1:%{name}.5.gz
-Source2:%{name}.8.gz
+Source1:%{name}.5
+Source2:%{name}.8
 Source3:%{name}.example
 
 Summary:Utility to register a system with the SUSE Customer Center
 License:LGPL-2.1
 Group:  System/Management
-PreReq: update-alternatives
+Requires(post): update-alternatives
 
 %description
 This package provides a command line tool and rubygem library for connecting a
@@ -70,8 +74,8 @@
 mv %{buildroot}%{_bindir}/%{name}.%{ruby_version} 
%{buildroot}%{_sbindir}/%{name}
 ln -s %{_sbindir}/%{name} %{buildroot}%{_bindir}/%{name}
 
-install -D -m 644 %_sourcedir/SUSEConnect.5.gz 
%{buildroot}%_mandir/man5/SUSEConnect.5.gz
-install -D -m 644 %_sourcedir/SUSEConnect.8.gz 
%{buildroot}%_mandir/man8/SUSEConnect.8.gz
+install -D -m 644 %_sourcedir/SUSEConnect.5 
%{buildroot}%_mandir/man5/SUSEConnect.5
+install -D -m 644 %_sourcedir/SUSEConnect.8 
%{buildroot}%_mandir/man8/SUSEConnect.8
 install -D -m 644 %_sourcedir/SUSEConnect.example 
%{buildroot}%_sysconfdir/SUSEConnect.example
 
 touch %{buildroot}%_sysconfdir/SUSEConnect
@@ -95,7 +99,7 @@
 
 # remove stale update-alternatives config left by previous split, versioned 
packaging of SUSEConnect
 if update-alternatives --config SUSEConnect  &> /dev/null ; then
-  update-alternatives --quiet --remove-all SUSEConnect
+  update-alternatives --force --quiet --remove-all SUSEConnect
   ln -fs ../sbin/%{name} %{_bindir}/%{name}
 fi
 
@@ -107,8 +111,8 @@
 %{gem_base}/cache/%{mod_full_name}.gem
 %{gem_base}/specifications/%{mod_full_name}.gemspec
 
-%doc %{_mandir}/man5/SUSEConnect.5.gz
-%doc %{_mandir}/man8/SUSEConnect.8.gz
+%doc %{_mandir}/man5/SUSEConnect.5.*
+%doc %{_mandir}/man8/SUSEConnect.8.*
 
 %config(noreplace) %ghost %{_sysconfdir}/SUSEConnect
 %config %{_sysconfdir}/SUSEConnect.example

++ SUSEConnect.5 ++
--- /var/tmp/diff_new_pack.2yQT7N/_old  2018-01-24 15:24:55.957998266 +0100
+++ 

  1   2   >